module     p0_dd_emnebardu_abbrevd65h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb65n1
   complex(ki), public :: abb65n2
   complex(ki), public :: abb65n3
   complex(ki), public :: abb65n4
   complex(ki), public :: abb65n5
   complex(ki), public :: abb65n6
   complex(ki), public :: abb65n7
   complex(ki), public :: abb65n8
   complex(ki), public :: abb65n9
   complex(ki), public :: abb65n10
   complex(ki), public :: abb65n11
   complex(ki), public :: rat2d65
   complex(ki), public :: abb65n13
   complex(ki), public :: abb65n14
   complex(ki), public :: abb65n15
   complex(ki), public :: abb65n16
   complex(ki), public :: abb65n17
   complex(ki), public :: abb65n18
   complex(ki), public :: abb65n19
   complex(ki), public :: abb65n20
   complex(ki), public :: abb65n21
   complex(ki), public :: abb65n22
   complex(ki), public :: abb65n23
   complex(ki), public :: abb65n24
   complex(ki), public :: abb65n25
   complex(ki), public :: abb65n26
   complex(ki), public :: abb65n27
   complex(ki), public :: abb65n28
   complex(ki), public :: abb65n29
   complex(ki), public :: abb65n30
   complex(ki), public :: abb65n31
   complex(ki), public :: abb65n32
   complex(ki), public :: abb65n33
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   real(ki) :: t16
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = es234*c1*i_
      t16 = TR*TR
      t2 = (es12+es34-(es56+es345))*(es34+wW*mW*i_-mW*mW)
      t3 = NC*t2
      t4 = es56*c1*i_
      t5 = es61*c1*i_
      t6 = es234*c2*i_
      t7 = NC*NC*t2
      t8 = es56*c2*i_
      t9 = es61*c2*i_
      t10 = NC*c1
      t11 = es234*t10*i_
      t12 = es56*t10*i_
      t13 = es61*t10*i_
      abb65n1 = ((8.0_ki)*(t16*t1/t3*spak3k5*spak3k6*spbk2k1*spbk4k3+t16*t1/t3*s&
      &pak3k6*spak5k6*spbk2k1*spbk6k4-(t16/t3*t5*spak3k6*spak5k6*spbk2k1*spbk6k4&
      &+t16/t3*t5*spak3k5*spak3k6*spbk2k1*spbk4k3+t16/t3*t4*spak3k6*spak5k6*spbk&
      &2k1*spbk6k4+t16/t3*t4*spak3k5*spak3k6*spbk2k1*spbk4k3))+(4.0_ki)*(t16*t12&
      &/t2*spak3k5*spak3k6*spbk2k1*spbk4k3+t16*t12/t2*spak3k6*spak5k6*spbk2k1*sp&
      &bk6k4+t16*t13/t2*spak3k5*spak3k6*spbk2k1*spbk4k3+t16*t13/t2*spak3k6*spak5&
      &k6*spbk2k1*spbk6k4+t16/t7*t8*spak3k5*spak3k6*spbk2k1*spbk4k3+t16/t7*t8*sp&
      &ak3k6*spak5k6*spbk2k1*spbk6k4+t16/t7*t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t&
      &16/t7*t9*spak3k6*spak5k6*spbk2k1*spbk6k4-(t16*t6/t7*spak3k6*spak5k6*spbk2&
      &k1*spbk6k4+t16*t6/t7*spak3k5*spak3k6*spbk2k1*spbk4k3+t16*t11/t2*spak3k6*s&
      &pak5k6*spbk2k1*spbk6k4+t16*t11/t2*spak3k5*spak3k6*spbk2k1*spbk4k3)))
      t1 = c1*i_
      t4 = t1*spak2k5*spak3k6*spbk2k1
      t5 = c2*i_
      t6 = t5*spak2k5*spak3k6*spbk2k1
      t8 = NC*c2*i_
      t9 = t8*spak2k5*spak3k6*spbk2k1
      abb65n2 = ((4.0_ki)*((2.0_ki)*t16/t3*t6*spbk4k3-(t16*t4/t7*spbk4k3+t16/t2*&
      &t9*spbk4k3)))
      abb65n3 = ((4.0_ki)*(t16/t2*t9*spbk6k4+t16*t4/t7*spbk6k4-(2.0_ki)*t16/t3*t&
      &6*spbk6k4))
      t4 = t1*spak3k6
      t6 = t16*t4*spbk4k3
      t9 = t5*spak3k6
      t11 = t16*t9*spbk4k3
      t8 = t8*spak3k6
      abb65n4 = ((4.0_ki)*((2.0_ki)*t11/t3-(t16/t2*t8*spbk4k3+t6/t7)))
      t12 = t16*t4*spbk6k4
      t13 = t16*t9*spbk6k4
      abb65n5 = ((4.0_ki)*(t12/t7+t16/t2*t8*spbk6k4-(2.0_ki)*t13/t3))
      t8 = t5*spak1k5*spak3k6*spbk2k1
      t14 = t1*spak1k5*spak3k6*spbk2k1
      t10 = t10*i_
      t15 = t10*spak1k5*spak3k6*spbk2k1
      abb65n6 = ((4.0_ki)*(t16*t15/t2*spbk4k3+t16/t7*t8*spbk4k3-t16*(2.0_ki)*t14&
      &/t3*spbk4k3))
      abb65n7 = ((4.0_ki)*(t16*(2.0_ki)*t14/t3*spbk6k4-(t16/t7*t8*spbk6k4+t16*t1&
      &5/t2*spbk6k4)))
      t1 = t1*spak3k5*spak3k6
      t4 = t4*spak5k6
      t5 = t5*spak3k5*spak3k6
      t8 = t9*spak5k6
      t9 = t10*spak3k5*spak3k6
      t10 = t10*spak3k6
      t14 = t10*spak5k6
      abb65n8 = ((16.0_ki)*(-(t16/t3*t4*spbk2k1*spbk6k4+t16*t1/t3*spbk2k1*spbk4k&
      &3))+(8.0_ki)*(t16*t14/t2*spbk2k1*spbk6k4+t16/t2*t9*spbk2k1*spbk4k3+t16*t5&
      &/t7*spbk2k1*spbk4k3+t16/t7*t8*spbk2k1*spbk6k4))
      abb65n9 = ((8.0_ki)*(-(t16/t3*t4*spbk5k2*spbk6k4+t16*t1/t3*spbk4k3*spbk5k2&
      &))+(4.0_ki)*(t16*t14/t2*spbk5k2*spbk6k4+t16/t2*t9*spbk4k3*spbk5k2+t16*t5/&
      &t7*spbk4k3*spbk5k2+t16/t7*t8*spbk5k2*spbk6k4))
      abb65n10 = ((4.0_ki)*(t11/t7+t16*t10/t2*spbk4k3-(2.0_ki)/t3*t6))
      abb65n11 = ((4.0_ki)*((2.0_ki)*t12/t3-(t16*t10/t2*spbk6k4+t13/t7)))
      rat2d65 = 0
      rat2 = rat2 + rat2d65
      abb65n13 = abb65n1
      abb65n14 = abb65n11
      abb65n15 = abb65n10
      abb65n16 = abb65n9
      abb65n17 = abb65n8
      abb65n18 = abb65n7
      abb65n19 = abb65n6
      abb65n20 = abb65n5
      abb65n21 = abb65n4
      abb65n22 = abb65n3
      abb65n23 = abb65n2
      abb65n24 = -(abb65n2)
      abb65n25 = -(abb65n3)
      abb65n26 = -(abb65n4)
      abb65n27 = -(abb65n5)
      abb65n28 = -(abb65n6)
      abb65n29 = -(abb65n7)
      abb65n30 = -(abb65n8)
      abb65n31 = -(abb65n9)
      abb65n32 = -(abb65n10)
      abb65n33 = -(abb65n11)
   end subroutine
end module p0_dd_emnebardu_abbrevd65h0
