module     p0_dd_emnebardu_abbrevd7h1
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh1
   implicit none
   private
   complex(ki), public :: abb7n1
   complex(ki), public :: abb7n2
   complex(ki), public :: abb7n3
   complex(ki), public :: abb7n4
   complex(ki), public :: abb7n5
   complex(ki), public :: abb7n6
   complex(ki), public :: abb7n7
   complex(ki), public :: abb7n8
   complex(ki), public :: abb7n9
   complex(ki), public :: abb7n10
   complex(ki), public :: abb7n11
   complex(ki), public :: rat2d7
   complex(ki), public :: abb7n13
   complex(ki), public :: abb7n14
   complex(ki), public :: abb7n15
   complex(ki), public :: abb7n16
   complex(ki), public :: abb7n17
   complex(ki), public :: abb7n18
   complex(ki), public :: abb7n19
   complex(ki), public :: abb7n20
   complex(ki), public :: abb7n21
   complex(ki), public :: abb7n22
   complex(ki), public :: abb7n23
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   real(ki) :: t30
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak1k2
      t3 = t2*spak3k6
      t30 = TR*TR
      t4 = t30*t3*spbk4k2*spbk5k2
      t5 = (es12+es34-(es56+es345))*(es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t6 = t4/t5
      t7 = t1*spak1k5
      t8 = t7*spak3k6*spbk5k2
      t9 = t30*t8*spbk5k4
      t10 = t9/t5
      t11 = NC*NC*t5
      t4 = t4/t11
      t9 = t9/t11
      t12 = c2*i_
      t13 = t12*spak1k2
      t14 = t13*spak3k6
      t15 = NC*t5
      t16 = t30*t14/t15*spbk4k2*spbk5k2
      t17 = t12*spak1k5
      t18 = t17*spak3k6*spbk5k2
      t19 = t30*t18/t15*spbk5k4
      t20 = NC*c2*i_
      t21 = t20*spak1k2
      t22 = t21*spak3k6
      t23 = t30*t22/t5*spbk4k2*spbk5k2
      t24 = t20*spak1k5
      t25 = t24*spak3k6*spbk5k2
      t26 = t30*t25/t5*spbk5k4
      t27 = t10+t16+t19+t6-(t9+t4+t26+t23)
      abb7n1 = ((2.0_ki)*t27)
      t28 = t30*t2*spbk5k2
      abb7n2 = ((4.0_ki)*(t28/t5+t30*t13/t15*spbk5k2-(t30*t21/t5*spbk5k2+t28/t11&
      &)))
      t28 = t30*t2*spak3k4*spbk4k2*spbk5k2
      t29 = t30*t7*spak3k4*spbk5k2*spbk5k4
      abb7n3 = ((4.0_ki)*(t28/t11+t29/t11+t30*t21/t5*spak3k4*spbk4k2*spbk5k2+t30&
      &*t24/t5*spak3k4*spbk5k2*spbk5k4-(t30*t17/t15*spak3k4*spbk5k2*spbk5k4+t30*&
      &t13/t15*spak3k4*spbk4k2*spbk5k2+t29/t5+t28/t5)))
      abb7n4 = ((4.0_ki)*(t23+t26+t4+t9-(t6+t19+t16+t10)))
      abb7n5 = ((8.0_ki)*t27)
      t3 = t30*t3*spbk3k2*spbk5k2
      t2 = t30*t2*spak4k6*spbk4k2*spbk5k2
      t4 = t30*t8*spbk5k3
      t6 = t30*t7*spak4k6*spbk5k2*spbk5k4
      abb7n6 = ((4.0_ki)*(t2/t11+t3/t11+t4/t11+t6/t11+t30*t25/t5*spbk5k3+t30*t22&
      &/t5*spbk3k2*spbk5k2+t30*t21/t5*spak4k6*spbk4k2*spbk5k2+t30*t24/t5*spak4k6&
      &*spbk5k2*spbk5k4-(t30*t17/t15*spak4k6*spbk5k2*spbk5k4+t30*t13/t15*spak4k6&
      &*spbk4k2*spbk5k2+t30*t14/t15*spbk3k2*spbk5k2+t30*t18/t15*spbk5k3+t6/t5+t4&
      &/t5+t3/t5+t2/t5)))
      t2 = t30*t7*spbk5k2
      abb7n7 = ((4.0_ki)*(t2/t11+t30*t24/t5*spbk5k2-(t30*t17/t15*spbk5k2+t2/t5))&
      &)
      t2 = t1*spak1k6
      t3 = t30*t2*spbk5k2
      t4 = t3/t5
      t3 = t3/t11
      t6 = t12*spak1k6
      t7 = t30/t15*t6*spbk5k2
      t8 = t20*spak1k6
      t9 = t30/t5*t8*spbk5k2
      abb7n8 = ((16.0_ki)*(t3+t9-(t7+t4)))
      abb7n9 = ((16.0_ki)*(t4+t7-(t9+t3)))
      t3 = t30*t2*spbk5k1
      t4 = t30*t1*spak2k6*spbk5k2
      abb7n10 = ((8.0_ki)*(t3/t5+t4/t5+t30/t15*t6*spbk5k1+t30*t12/t15*spak2k6*sp&
      &bk5k2-(t30*t20/t5*spak2k6*spbk5k2+t30/t5*t8*spbk5k1+t4/t11+t3/t11)))
      t2 = t30*t2*spbk2k1
      t1 = t30*t1*spak5k6*spbk5k2
      abb7n11 = ((8.0_ki)*(t1/t11+t2/t11+t30/t5*t8*spbk2k1+t30*t20/t5*spak5k6*sp&
      &bk5k2-(t30*t12/t15*spak5k6*spbk5k2+t30/t15*t6*spbk2k1+t2/t5+t1/t5)))
      rat2d7 = abb7n1
      rat2 = rat2 + rat2d7
      abb7n13 = -(abb7n3)
      abb7n14 = abb7n11
      abb7n15 = abb7n10
      abb7n16 = abb7n9
      abb7n17 = abb7n8
      abb7n18 = abb7n7
      abb7n19 = abb7n4
      abb7n20 = abb7n2
      abb7n21 = ((2.0_ki)*abb7n4)
      abb7n22 = -(abb7n5)
      abb7n23 = -(abb7n6)
   end subroutine
end module p0_dd_emnebardu_abbrevd7h1
