module     p0_dd_emnebardu_d56h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p0_dd_emnebardu/helicity1/d56h1l1d.f90
   ! generator: haggies (1.1)
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d56
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_dd_emnebardu_globalsl1, only: epspow
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_abbrevd56h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      real(ki) :: t44
      real(ki) :: t45
      real(ki) :: t46
      real(ki) :: t47
      real(ki) :: t48
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t44 = dotproduct(k1, qshift)
      t45 = dotproduct(k6, qshift)
      t2 = (spvak1k6(1)*qshift(1)-spvak1k6(2)*qshift(2)-spvak1k6(3)*qshift(3)-sp&
      &vak1k6(4)*qshift(4))
      t3 = (spvak1k2(1)*qshift(1)-spvak1k2(2)*qshift(2)-spvak1k2(3)*qshift(3)-sp&
      &vak1k2(4)*qshift(4))
      t4 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-sp&
      &vak6k2(4)*qshift(4))
      t5 = (spvak1k5(1)*qshift(1)-spvak1k5(2)*qshift(2)-spvak1k5(3)*qshift(3)-sp&
      &vak1k5(4)*qshift(4))
      t6 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t46 = dotproduct(k5, qshift)
      t7 = (spvak1k4(1)*qshift(1)-spvak1k4(2)*qshift(2)-spvak1k4(3)*qshift(3)-sp&
      &vak1k4(4)*qshift(4))
      t47 = dotproduct(k2, qshift)
      t8 = (spvak6k4(1)*qshift(1)-spvak6k4(2)*qshift(2)-spvak6k4(3)*qshift(3)-sp&
      &vak6k4(4)*qshift(4))
      t9 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t48 = dotproduct(qshift, qshift)
      if(deg.eq.0) then
         numerator = (t1*abb56n30+t2*abb56n55+t44*abb56n51+t45*abb56n54+t1*t3*ab&
         &b56n44+t1*t5*abb56n48+t2*t4*abb56n32+t2*t9*abb56n40+t3*t45*abb56n31+t3&
         &*t6*abb56n38+t3*t8*abb56n41+t4*t44*abb56n45+t4*t6*abb56n50+t4*t7*abb56&
         &n42+t44*t9*abb56n49+t45*t5*abb56n39+t46*t7*abb56n34+t46*t8*abb56n46+t4&
         &7*t7*abb56n35+t47*t8*abb56n47+t48*t7*abb56n56+t48*t8*abb56n52+t5*t6*ab&
         &b56n33+t5*t8*abb56n36+t6*t9*abb56n43+t7*t9*abb56n37+t3*t6*t9*abb56n59+&
         &t4*t5*t6*abb56n58)
         return
      end if
      t10 = k1(iv1)
      t11 = k6(iv1)
      t12 = spvak1k6(iv1)
      t13 = spvak6k1(iv1)
      t14 = k2(iv1)
      t15 = k5(iv1)
      t16 = qshift(iv1)
      t17 = spvak1k2(iv1)
      t18 = spvak1k4(iv1)
      t19 = spvak1k5(iv1)
      t20 = spvak3k4(iv1)
      t21 = spvak6k2(iv1)
      t22 = spvak6k4(iv1)
      t23 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb56n51+t11*abb56n54+t12*abb56n55+t13*abb56n30+t1*t17&
         &*abb56n44+t1*t19*abb56n48+t10*t4*abb56n45+t10*t9*abb56n49+t11*t3*abb56&
         &n31+t11*t5*abb56n39+t12*t4*abb56n32+t12*t9*abb56n40+t13*t3*abb56n44+t1&
         &3*t5*abb56n48+t14*t7*abb56n35+t14*t8*abb56n47+t15*t7*abb56n34+t15*t8*a&
         &bb56n46+t16*t7*abb56n57+t16*t8*abb56n53+t17*t45*abb56n31+t17*t6*abb56n&
         &38+t17*t8*abb56n41+t18*t4*abb56n42+t18*t46*abb56n34+t18*t47*abb56n35+t&
         &18*t48*abb56n56+t18*t9*abb56n37+t19*t45*abb56n39+t19*t6*abb56n33+t19*t&
         &8*abb56n36+t2*t21*abb56n32+t2*t23*abb56n40+t20*t3*abb56n38+t20*t4*abb5&
         &6n50+t20*t5*abb56n33+t20*t9*abb56n43+t21*t44*abb56n45+t21*t6*abb56n50+&
         &t21*t7*abb56n42+t22*t3*abb56n41+t22*t46*abb56n46+t22*t47*abb56n47+t22*&
         &t48*abb56n52+t22*t5*abb56n36+t23*t44*abb56n49+t23*t6*abb56n43+t23*t7*a&
         &bb56n37+t17*t6*t9*abb56n59+t19*t4*t6*abb56n58+t20*t3*t9*abb56n59+t20*t&
         &4*t5*abb56n58+t21*t5*t6*abb56n58+t23*t3*t6*abb56n59)
         return
      end if
      t44 = d(iv1,iv2)
      t1 = spvak6k2(iv2)
      t2 = spvak6k5(iv2)
      t24 = k1(iv2)
      t25 = spvak1k4(iv2)
      t26 = spvak6k4(iv2)
      t27 = k2(iv2)
      t28 = k5(iv2)
      t29 = spvak1k2(iv2)
      t30 = spvak1k5(iv2)
      t31 = k6(iv2)
      t32 = qshift(iv2)
      t33 = spvak3k4(iv2)
      t34 = t17*t33
      t35 = spvak6k1(iv2)
      t36 = t20*t29
      t37 = t19*t33
      t38 = t20*t30
      t39 = spvak1k6(iv2)
      t40 = t1*t20
      t41 = t2*t20
      t42 = t21*t33
      t43 = t23*t33
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t44*t7*abb56n56+t44*t8*abb56n52)+t34*abb56n38+t3&
         &6*abb56n38+t37*abb56n33+t38*abb56n33+t40*abb56n50+t41*abb56n43+t42*abb&
         &56n50+t43*abb56n43+t1*t10*abb56n45+t1*t12*abb56n32+t1*t18*abb56n42+t10&
         &*t2*abb56n49+t11*t29*abb56n31+t11*t30*abb56n39+t12*t2*abb56n40+t13*t29&
         &*abb56n44+t13*t30*abb56n48+t14*t25*abb56n35+t14*t26*abb56n47+t15*t25*a&
         &bb56n34+t15*t26*abb56n46+t16*t25*abb56n57+t16*t26*abb56n53+t17*t26*abb&
         &56n41+t17*t31*abb56n31+t17*t35*abb56n44+t18*t2*abb56n37+t18*t27*abb56n&
         &35+t18*t28*abb56n34+t18*t32*abb56n57+t19*t26*abb56n36+t19*t31*abb56n39&
         &+t19*t35*abb56n48+t21*t24*abb56n45+t21*t25*abb56n42+t21*t39*abb56n32+t&
         &22*t27*abb56n47+t22*t28*abb56n46+t22*t29*abb56n41+t22*t30*abb56n36+t22&
         &*t32*abb56n53+t23*t24*abb56n49+t23*t25*abb56n37+t23*t39*abb56n40+t3*t4&
         &1*abb56n59+t3*t43*abb56n59+t34*t9*abb56n59+t36*t9*abb56n59+t37*t4*abb5&
         &6n58+t38*t4*abb56n58+t40*t5*abb56n58+t42*t5*abb56n58+t1*t19*t6*abb56n5&
         &8+t17*t2*t6*abb56n59+t21*t30*t6*abb56n58+t23*t29*t6*abb56n59)
         return
      end if
      t45 = d(iv2,iv3)
      t46 = d(iv1,iv3)
      t3 = spvak6k5(iv3)
      t4 = spvak3k4(iv3)
      t5 = spvak1k2(iv3)
      t6 = spvak6k2(iv3)
      t7 = spvak1k5(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak1k4(iv3)*t44*abb56n56+spvak6k4(iv3)*t44*abb&
         &56n52+t18*t45*abb56n56+t22*t45*abb56n52+t25*t46*abb56n56+t26*t46*abb56&
         &n52)+t3*t34*abb56n59+t3*t36*abb56n59+t37*t6*abb56n58+t38*t6*abb56n58+t&
         &1*t19*t4*abb56n58+t1*t20*t7*abb56n58+t17*t2*t4*abb56n59+t2*t20*t5*abb5&
         &6n59+t21*t30*t4*abb56n58+t21*t33*t7*abb56n58+t23*t29*t4*abb56n59+t23*t&
         &33*t5*abb56n59)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d56:
   subroutine     reconstruct_d56(coeffs)
      use p0_dd_emnebardu_groups, only: tensrec_info_group6
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group6), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_56:
      coeffs%coeffs_56%c0 = derivative(czip)
      coeffs%coeffs_56%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_56%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_56%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_56%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_56%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_56%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_56%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_56%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_56%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_56%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_56%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_56%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_56%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_56%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_56%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_56%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_56%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_56%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_56%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_56%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_56%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_56%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_56%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_56%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_56%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_56%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_56%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_56%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_56%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_56%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_56%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_56%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_56%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_56%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_56:
   end subroutine reconstruct_d56
!---#] subroutine reconstruct_d56:
end module p0_dd_emnebardu_d56h1l1d
