module     p17_ddbar_neepdubar_scalar_cache
   use precision, only: ki_sam => ki
   use madds
   implicit none
   save

   private
!---#[ scalar integral cache for samurai:
    logical, public  :: samurai_cache_flag_g0
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_g0
    logical, public :: samurai_cache_flag_d39
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_d39
    logical, public  :: samurai_cache_flag_g1
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_g1
    logical, public :: samurai_cache_flag_d23
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_d23
    logical, public  :: samurai_cache_flag_g2
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_g2
    logical, public :: samurai_cache_flag_d6
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d6
    logical, public  :: samurai_cache_flag_g3
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_g3
    logical, public :: samurai_cache_flag_d4
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d4
    logical, public  :: samurai_cache_flag_g4
    complex(ki_sam), dimension(-2:0,cachedim5(1)), public :: samurai_cache_g4
    logical, public :: samurai_cache_flag_d58
    complex(ki_sam), dimension(-2:0,cachedim5(1)), public :: samurai_cache_d58
    logical, public :: samurai_cache_flag_d59
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d59
    logical, public :: samurai_cache_flag_d66
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d66
    logical, public  :: samurai_cache_flag_g5
    complex(ki_sam), dimension(-2:0,cachedim5(1)), public :: samurai_cache_g5
    logical, public :: samurai_cache_flag_d56
    complex(ki_sam), dimension(-2:0,cachedim5(1)), public :: samurai_cache_d56
    logical, public :: samurai_cache_flag_d61
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d61
    logical, public :: samurai_cache_flag_d65
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d65
    logical, public  :: samurai_cache_flag_g6
    complex(ki_sam), dimension(-2:0,cachedim5(1)), public :: samurai_cache_g6
    logical, public :: samurai_cache_flag_d1
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d1
    logical, public :: samurai_cache_flag_d5
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d5
    logical, public :: samurai_cache_flag_d8
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d8
    logical, public :: samurai_cache_flag_d11
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d11
    logical, public :: samurai_cache_flag_d52
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_d52
    logical, public :: samurai_cache_flag_d55
    complex(ki_sam), dimension(-2:0,cachedim5(1)), public :: samurai_cache_d55
    logical, public :: samurai_cache_flag_d62
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d62
    logical, public  :: samurai_cache_flag_g7
    complex(ki_sam), dimension(-2:0,cachedim5(1)), public :: samurai_cache_g7
    logical, public :: samurai_cache_flag_d2
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d2
    logical, public :: samurai_cache_flag_d3
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d3
    logical, public :: samurai_cache_flag_d7
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d7
    logical, public :: samurai_cache_flag_d10
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d10
    logical, public :: samurai_cache_flag_d13
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d13
    logical, public :: samurai_cache_flag_d15
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d15
    logical, public :: samurai_cache_flag_d17
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d17
    logical, public :: samurai_cache_flag_d19
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_d19
    logical, public :: samurai_cache_flag_d35
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_d35
    logical, public :: samurai_cache_flag_d51
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_d51
    logical, public :: samurai_cache_flag_d54
    complex(ki_sam), dimension(-2:0,cachedim2(1)), public :: samurai_cache_d54
    logical, public :: samurai_cache_flag_d57
    complex(ki_sam), dimension(-2:0,cachedim5(1)), public :: samurai_cache_d57
    logical, public :: samurai_cache_flag_d60
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d60
    logical, public :: samurai_cache_flag_d63
    complex(ki_sam), dimension(-2:0,cachedim4(1)), public :: samurai_cache_d63
    logical, public :: samurai_cache_flag_d67
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d67
    logical, public :: samurai_cache_flag_d69
    complex(ki_sam), dimension(-2:0,cachedim3(1)), public :: samurai_cache_d69
!---#] scalar integral cache for samurai:

   public :: invalidate_cache
contains
   subroutine invalidate_cache()
      implicit none
      samurai_cache_flag_g0 = .false.
      samurai_cache_flag_d39 = .false.
      samurai_cache_flag_g1 = .false.
      samurai_cache_flag_d23 = .false.
      samurai_cache_flag_g2 = .false.
      samurai_cache_flag_d6 = .false.
      samurai_cache_flag_g3 = .false.
      samurai_cache_flag_d4 = .false.
      samurai_cache_flag_g4 = .false.
      samurai_cache_flag_d58 = .false.
      samurai_cache_flag_d59 = .false.
      samurai_cache_flag_d66 = .false.
      samurai_cache_flag_g5 = .false.
      samurai_cache_flag_d56 = .false.
      samurai_cache_flag_d61 = .false.
      samurai_cache_flag_d65 = .false.
      samurai_cache_flag_g6 = .false.
      samurai_cache_flag_d1 = .false.
      samurai_cache_flag_d5 = .false.
      samurai_cache_flag_d8 = .false.
      samurai_cache_flag_d11 = .false.
      samurai_cache_flag_d52 = .false.
      samurai_cache_flag_d55 = .false.
      samurai_cache_flag_d62 = .false.
      samurai_cache_flag_g7 = .false.
      samurai_cache_flag_d2 = .false.
      samurai_cache_flag_d3 = .false.
      samurai_cache_flag_d7 = .false.
      samurai_cache_flag_d10 = .false.
      samurai_cache_flag_d13 = .false.
      samurai_cache_flag_d15 = .false.
      samurai_cache_flag_d17 = .false.
      samurai_cache_flag_d19 = .false.
      samurai_cache_flag_d35 = .false.
      samurai_cache_flag_d51 = .false.
      samurai_cache_flag_d54 = .false.
      samurai_cache_flag_d57 = .false.
      samurai_cache_flag_d60 = .false.
      samurai_cache_flag_d63 = .false.
      samurai_cache_flag_d67 = .false.
      samurai_cache_flag_d69 = .false.
   end subroutine invalidate_cache
end module p17_ddbar_neepdubar_scalar_cache