module     p17_ddbar_neepdubar_abbrevd51h0
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh0
   implicit none
   private
   complex(ki), public :: abb51n1
   complex(ki), public :: abb51n2
   complex(ki), public :: abb51n3
   complex(ki), public :: abb51n4
   complex(ki), public :: abb51n5
   complex(ki), public :: abb51n6
   complex(ki), public :: abb51n7
   complex(ki), public :: abb51n8
   complex(ki), public :: rat2d51
   complex(ki), public :: abb51n10
   complex(ki), public :: abb51n11
   complex(ki), public :: abb51n12
   complex(ki), public :: abb51n13
   complex(ki), public :: abb51n14
   complex(ki), public :: abb51n15
   complex(ki), public :: abb51n16
   complex(ki), public :: abb51n17
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   real(ki) :: t46
   real(ki) :: t47
   real(ki) :: t48
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t46 = es12+es34-(es56+es345)
      t2 = c1*i_
      t3 = t2*spak1k5
      t4 = t3*spak3k4
      t47 = TR*TR
      t5 = t47*t4*spbk4k2*spbk6k4
      t48 = t46*t46
      t6 = t48*t1
      t7 = t3*spak3k6
      t8 = t47*t7*spbk6k2*spbk6k4
      t46 = t46*NC
      t46 = t46*t46
      t9 = t46*t1
      t10 = c2*i_
      t11 = t10*spak1k5
      t12 = t11*spak3k4
      t13 = NC*t1
      t14 = t48*t13
      t15 = t11*spak3k6
      t16 = NC*c2
      t17 = t16*i_
      t18 = t17*spak1k5
      t19 = t18*spak3k4
      t20 = t18*spak3k6
      t21 = es234*c1*i_*spak1k5
      t22 = t47*t21*spak3k4*spbk4k2*spbk6k4
      t1 = es12*t1
      t23 = t48*t1
      t21 = t47*t21*spak3k6*spbk6k2*spbk6k4
      t24 = es34*c1*i_*spak1k5
      t25 = t47*t24*spak3k4*spbk4k2*spbk6k4
      t24 = t47*t24*spak3k6*spbk6k2*spbk6k4
      t26 = es345*c1*i_*spak1k5
      t27 = t47*t26*spak3k4*spbk4k2*spbk6k4
      t26 = t47*t26*spak3k6*spbk6k2*spbk6k4
      t28 = es61*c1*i_*spak1k5
      t29 = t47*t28*spak3k4*spbk4k2*spbk6k4
      t28 = t47*t28*spak3k6*spbk6k2*spbk6k4
      t30 = t2*spak3k4
      t31 = TR*spak1k5
      t31 = t31*t31
      t32 = t30*t31*spbk2k1*spbk5k4*spbk6k4
      t30 = t30*t31*spbk4k1*spbk5k2*spbk6k4
      t33 = t2*spak3k6
      t34 = t31*t33*spbk2k1*spbk6k4*spbk6k5
      t33 = t31*t33*spbk5k2*spbk6k1*spbk6k4
      t1 = t46*t1
      t35 = es234*c2*i_*spak1k5
      t13 = es12*t48*t13
      t36 = es34*c2*i_*spak1k5
      t37 = es345*c2*i_*spak1k5
      t38 = es61*c2*i_*spak1k5
      t39 = t10*spak3k4
      t40 = t10*spak3k6
      t41 = es234*t16*i_*spak1k5
      t42 = es34*t16*i_*spak1k5
      t43 = es345*t16*i_*spak1k5
      t16 = es61*t16*i_*spak1k5
      t44 = t17*spak3k4
      t45 = t17*spak3k6
      abb51n1 = ((4.0_ki)*(t24/t1+t25/t1+t28/t1+t29/t1+t32/t1+t21/t23+t22/t23+t2&
      &6/t23+t27/t23+t30/t23+t33/t23+t34/t23+t5/t9+t8/t9+t47*t19/t6*spbk4k2*spbk&
      &6k4+t47*t20/t6*spbk6k2*spbk6k4+t31/t13*t39*spbk4k1*spbk5k2*spbk6k4+t31/t1&
      &3*t40*spbk2k1*spbk6k4*spbk6k5+t31/t13*t40*spbk5k2*spbk6k1*spbk6k4+t47*t35&
      &/t13*spak3k4*spbk4k2*spbk6k4+t47*t35/t13*spak3k6*spbk6k2*spbk6k4+t47*t37/&
      &t13*spak3k4*spbk4k2*spbk6k4+t47*t37/t13*spak3k6*spbk6k2*spbk6k4+t47*t16/t&
      &23*spak3k4*spbk4k2*spbk6k4+t47*t16/t23*spak3k6*spbk6k2*spbk6k4+t31/t23*t4&
      &4*spbk2k1*spbk5k4*spbk6k4+t47*t42/t23*spak3k4*spbk4k2*spbk6k4+t47*t42/t23&
      &*spak3k6*spbk6k2*spbk6k4-(t47*t43/t23*spak3k6*spbk6k2*spbk6k4+t47*t43/t23&
      &*spak3k4*spbk4k2*spbk6k4+t47*t41/t23*spak3k6*spbk6k2*spbk6k4+t47*t41/t23*&
      &spak3k4*spbk4k2*spbk6k4+t31/t23*t45*spbk5k2*spbk6k1*spbk6k4+t31/t23*t45*s&
      &pbk2k1*spbk6k4*spbk6k5+t31/t23*t44*spbk4k1*spbk5k2*spbk6k4+t47*t38/t13*sp&
      &ak3k6*spbk6k2*spbk6k4+t47*t38/t13*spak3k4*spbk4k2*spbk6k4+t47*t36/t13*spa&
      &k3k6*spbk6k2*spbk6k4+t47*t36/t13*spak3k4*spbk4k2*spbk6k4+t31/t13*t39*spbk&
      &2k1*spbk5k4*spbk6k4+t47*t15/t14*spbk6k2*spbk6k4+t47*t12/t14*spbk4k2*spbk6&
      &k4+t8/t6+t5/t6+t32/t23+t29/t23+t28/t23+t25/t23+t24/t23+t34/t1+t33/t1+t30/&
      &t1+t27/t1+t26/t1+t22/t1+t21/t1)))
      t5 = t47*t4*spbk2k1*spbk6k4
      abb51n2 = ((4.0_ki)*(t5/t23+t47*t12/t13*spbk2k1*spbk6k4-(t47*t19/t23*spbk2&
      &k1*spbk6k4+t5/t1)))
      t5 = t47*t7*spbk2k1*spbk6k4
      abb51n3 = ((4.0_ki)*(t5/t23+t47*t15/t13*spbk2k1*spbk6k4-(t47*t20/t23*spbk2&
      &k1*spbk6k4+t5/t1)))
      t4 = t47*t4*spbk5k2*spbk6k4
      abb51n4 = ((4.0_ki)*(t4/t23+t47*t12/t13*spbk5k2*spbk6k4-(t47*t19/t23*spbk5&
      &k2*spbk6k4+t4/t1)))
      t4 = t2*spak1k3*spak1k5*spbk2k1
      t5 = t47*t4*spbk6k4
      t6 = t3*spak3k5
      t8 = t6*spbk5k2
      t9 = t47*t8*spbk6k4
      t12 = t10*spak1k3*spak1k5*spbk2k1
      t14 = t11*spak3k5
      t16 = t14*spbk5k2
      t19 = t17*spak1k3*spak1k5*spbk2k1
      t21 = t18*spak3k5
      t22 = t21*spbk5k2
      abb51n5 = ((16.0_ki)*(t9/t1+t5/t23+t47*t12/t13*spbk6k4+t47*t22/t23*spbk6k4&
      &-(t47*t19/t23*spbk6k4+t47*t16/t13*spbk6k4+t9/t23+t5/t1)))
      t5 = t47*t7*spbk5k2*spbk6k4
      abb51n6 = ((4.0_ki)*(t5/t23+t47*t15/t13*spbk5k2*spbk6k4-(t47*t20/t23*spbk5&
      &k2*spbk6k4+t5/t1)))
      t5 = t47*t4*spbk6k3
      t2 = t47*t2*spak1k4*spak1k5*spbk2k1*spbk6k4
      t7 = t47*t8*spbk6k3
      t8 = t47*t3*spak4k5*spbk5k2*spbk6k4
      abb51n7 = ((8.0_ki)*(t2/t1+t5/t1+t7/t23+t8/t23+t47*t16/t13*spbk6k3+t47*t19&
      &/t23*spbk6k3+t47*t11/t13*spak4k5*spbk5k2*spbk6k4+t47*t17/t23*spak1k4*spak&
      &1k5*spbk2k1*spbk6k4-(t47*t10/t13*spak1k4*spak1k5*spbk2k1*spbk6k4+t47*t18/&
      &t23*spak4k5*spbk5k2*spbk6k4+t47*t22/t23*spbk6k3+t47*t12/t13*spbk6k3+t5/t2&
      &3+t2/t23+t8/t1+t7/t1)))
      t2 = t47*t4*spbk4k3
      t4 = t47*t3*spak1k6*spbk2k1*spbk6k4
      t5 = t47*t6*spbk4k3*spbk5k2
      t3 = t47*t3*spak5k6*spbk5k2*spbk6k4
      abb51n8 = ((8.0_ki)*(t3/t1+t4/t1+t5/t1+t2/t23+t47*t12/t13*spbk4k3+t47*t21/&
      &t23*spbk4k3*spbk5k2+t47*t18/t23*spak1k6*spbk2k1*spbk6k4+t47*t18/t23*spak5&
      &k6*spbk5k2*spbk6k4-(t47*t11/t13*spak5k6*spbk5k2*spbk6k4+t47*t11/t13*spak1&
      &k6*spbk2k1*spbk6k4+t47*t14/t13*spbk4k3*spbk5k2+t47*t19/t23*spbk4k3+t5/t23&
      &+t4/t23+t3/t23+t2/t1)))
      rat2d51 = 0
      rat2 = rat2 + rat2d51
      abb51n10 = abb51n1
      abb51n11 = -(abb51n2)
      abb51n12 = -(abb51n3)
      abb51n13 = -(abb51n4)
      abb51n14 = -(abb51n5)
      abb51n15 = -(abb51n6)
      abb51n16 = -(abb51n7)
      abb51n17 = -(abb51n8)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd51h0
