module     p17_ddbar_neepdubar_abbrevd63h1
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb63n1
   complex(ki), public :: abb63n2
   complex(ki), public :: abb63n3
   complex(ki), public :: abb63n4
   complex(ki), public :: abb63n5
   complex(ki), public :: abb63n6
   complex(ki), public :: abb63n7
   complex(ki), public :: abb63n8
   complex(ki), public :: abb63n9
   complex(ki), public :: abb63n10
   complex(ki), public :: abb63n11
   complex(ki), public :: abb63n12
   complex(ki), public :: abb63n13
   complex(ki), public :: abb63n14
   complex(ki), public :: abb63n15
   complex(ki), public :: rat2d63
   complex(ki), public :: abb63n17
   complex(ki), public :: abb63n18
   complex(ki), public :: abb63n19
   complex(ki), public :: abb63n20
   complex(ki), public :: abb63n21
   complex(ki), public :: abb63n22
   complex(ki), public :: abb63n23
   complex(ki), public :: abb63n24
   complex(ki), public :: abb63n25
   complex(ki), public :: abb63n26
   complex(ki), public :: abb63n27
   complex(ki), public :: abb63n28
   complex(ki), public :: abb63n29
   complex(ki), public :: abb63n30
   complex(ki), public :: abb63n31
   complex(ki), public :: abb63n32
   complex(ki), public :: abb63n33
   complex(ki), public :: abb63n34
   complex(ki), public :: abb63n35
   complex(ki), public :: abb63n36
   complex(ki), public :: abb63n37
   complex(ki), public :: abb63n38
   complex(ki), public :: abb63n39
   complex(ki), public :: abb63n40
   complex(ki), public :: abb63n41
   complex(ki), public :: abb63n42
   complex(ki), public :: abb63n43
   complex(ki), public :: abb63n44
   complex(ki), public :: abb63n45
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   real(ki) :: t21
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = es12*c1*i_*spak2k5
      t21 = TR*TR
      t2 = (es12+es34-(es56+es345))*(es34+wW*mW*i_-mW*mW)
      t3 = NC*t2
      t4 = es12*c2*i_*spak2k5
      t5 = NC*NC*t2
      t6 = NC*c1
      t7 = es12*t6*i_*spak2k5
      abb63n1 = ((8.0_ki)*(-(t21*t1/t3*spak3k6*spbk6k1*spbk6k4+t21*t1/t3*spak3k4&
      &*spbk4k1*spbk6k4))+(4.0_ki)*(t21/t2*t7*spak3k4*spbk4k1*spbk6k4+t21/t2*t7*&
      &spak3k6*spbk6k1*spbk6k4+t21*t4/t5*spak3k4*spbk4k1*spbk6k4+t21*t4/t5*spak3&
      &k6*spbk6k1*spbk6k4))
      t1 = c2*i_
      t4 = t1*spak2k5
      t7 = t4*spak3k4
      t8 = t21*t7*spbk4k1*spbk6k4
      t4 = t4*spak3k6
      t9 = t21*t4*spbk6k1*spbk6k4
      t10 = c1*i_
      t11 = t10*spak2k5
      t12 = t11*spak3k4
      t13 = t21*t12*spbk4k1*spbk6k4
      t11 = t11*spak3k6
      t14 = t21*t11*spbk6k1*spbk6k4
      t15 = NC*c2*i_
      t16 = t15*spak2k5
      t17 = t16*spak3k4
      t16 = t16*spak3k6
      abb63n2 = ((16.0_ki)*(t8/t3+t9/t3)+(8.0_ki)*(-(t21*t17/t2*spbk4k1*spbk6k4+&
      &t21*t16/t2*spbk6k1*spbk6k4+t14/t5+t13/t5)))
      t18 = t10*spak2k3
      t19 = t1*spak2k3
      t20 = t15*spak2k3
      abb63n3 = ((8.0_ki)*(t21*t18/t5*spbk6k4+t21*t20/t2*spbk6k4-t21*(2.0_ki)*t1&
      &9/t3*spbk6k4))
      abb63n4 = ((8.0_ki)*(t21*t19/t3*spbk6k3+t21*t1/t3*spak2k4*spbk6k4)+(4.0_ki&
      &)*(-(t21*t15/t2*spak2k4*spbk6k4+t21*t10/t5*spak2k4*spbk6k4+t21*t20/t2*spb&
      &k6k3+t21*t18/t5*spbk6k3)))
      abb63n5 = ((8.0_ki)*(t21*t1/t3*spak2k6*spbk6k4-t21*t19/t3*spbk4k3)+(4.0_ki&
      &)*(t21*t18/t5*spbk4k3+t21*t20/t2*spbk4k3-(t21*t15/t2*spak2k6*spbk6k4+t21*&
      &t10/t5*spak2k6*spbk6k4)))
      t18 = t10*spak1k2
      t19 = t1*spak1k2
      t6 = t6*i_
      t20 = t6*spak1k2
      abb63n6 = ((8.0_ki)*(t21/t3*t7*spbk5k4*spbk6k4+t21*t18/t3*spak3k4*spbk4k1*&
      &spbk6k4+t21*t18/t3*spak3k6*spbk6k1*spbk6k4-t21/t3*t4*spbk6k4*spbk6k5)+(4.&
      &0_ki)*(t21*t11/t5*spbk6k4*spbk6k5+t21*t16/t2*spbk6k4*spbk6k5-(t21*t20/t2*&
      &spak3k6*spbk6k1*spbk6k4+t21*t20/t2*spak3k4*spbk4k1*spbk6k4+t21*t19/t5*spa&
      &k3k6*spbk6k1*spbk6k4+t21*t19/t5*spak3k4*spbk4k1*spbk6k4+t21*t17/t2*spbk5k&
      &4*spbk6k4+t21*t12/t5*spbk5k4*spbk6k4)))
      t16 = t6*spak2k5
      t17 = t16*spak3k4
      t16 = t16*spak3k6
      abb63n7 = ((16.0_ki)*(t13/t3+t14/t3)+(8.0_ki)*(-(t21*t17/t2*spbk4k1*spbk6k&
      &4+t21*t16/t2*spbk6k1*spbk6k4+t9/t5+t8/t5)))
      abb63n8 = ((8.0_ki)*(-(t21*t12/t3*spbk4k2*spbk6k4+t21*t11/t3*spbk6k2*spbk6&
      &k4))+(4.0_ki)*(t21*t16/t2*spbk6k2*spbk6k4+t21*t17/t2*spbk4k2*spbk6k4+t21*&
      &t4/t5*spbk6k2*spbk6k4+t21/t5*t7*spbk4k2*spbk6k4))
      t4 = t21*t10*spak3k4*spbk6k4
      t7 = t4/t3
      t8 = t21*t1*spak3k4*spbk6k4
      t9 = t8/t3
      t4 = t4/t5
      t8 = t8/t5
      t11 = t21/t2*t6*spak3k4*spbk6k4
      t12 = t21*t15/t2*spak3k4*spbk6k4
      abb63n9 = ((8.0_ki)*(-(t9+t7))+(4.0_ki)*(t11+t12+t4+t8))
      abb63n10 = ((8.0_ki)*(t7+t9)+(4.0_ki)*(-(t8+t4+t12+t11)))
      t4 = t1*spak3k5
      t7 = t10*spak3k5
      t8 = t6*spak3k5
      abb63n11 = ((8.0_ki)*(t21/t2*t8*spbk6k4+t21*t4/t5*spbk6k4-(2.0_ki)*t21/t3*&
      &t7*spbk6k4))
      t9 = t21*t10*spak3k6*spbk6k4
      t11 = t9/t3
      t12 = t21*t1*spak3k6*spbk6k4
      t13 = t12/t3
      t9 = t9/t5
      t12 = t12/t5
      t14 = t21/t2*t6*spak3k6*spbk6k4
      t15 = t21*t15/t2*spak3k6*spbk6k4
      abb63n12 = ((8.0_ki)*(-(t13+t11))+(4.0_ki)*(t12+t14+t15+t9))
      abb63n13 = ((8.0_ki)*(t11+t13)+(4.0_ki)*(-(t9+t15+t14+t12)))
      abb63n14 = ((8.0_ki)*(t21/t3*t7*spbk6k3+t21*t10/t3*spak4k5*spbk6k4)+(4.0_k&
      &i)*(-(t21/t2*t6*spak4k5*spbk6k4+t21*t1/t5*spak4k5*spbk6k4+t21*t4/t5*spbk6&
      &k3+t21/t2*t8*spbk6k3)))
      abb63n15 = ((8.0_ki)*(-(t21*t10/t3*spak5k6*spbk6k4+t21/t3*t7*spbk4k3))+(4.&
      &0_ki)*(t21/t2*t8*spbk4k3+t21*t4/t5*spbk4k3+t21*t1/t5*spak5k6*spbk6k4+t21/&
      &t2*t6*spak5k6*spbk6k4))
      rat2d63 = 0
      rat2 = rat2 + rat2d63
      abb63n17 = abb63n1
      abb63n18 = abb63n15
      abb63n19 = abb63n14
      abb63n20 = abb63n13
      abb63n21 = abb63n12
      abb63n22 = abb63n11
      abb63n23 = abb63n10
      abb63n24 = abb63n9
      abb63n25 = abb63n8
      abb63n26 = abb63n7
      abb63n27 = abb63n6
      abb63n28 = abb63n5
      abb63n29 = abb63n4
      abb63n30 = abb63n3
      abb63n31 = abb63n2
      abb63n32 = -(abb63n2)
      abb63n33 = -(abb63n3)
      abb63n34 = -(abb63n4)
      abb63n35 = -(abb63n5)
      abb63n36 = -(abb63n6)
      abb63n37 = -(abb63n7)
      abb63n38 = -(abb63n8)
      abb63n39 = -(abb63n9)
      abb63n40 = -(abb63n10)
      abb63n41 = -(abb63n11)
      abb63n42 = -(abb63n12)
      abb63n43 = -(abb63n13)
      abb63n44 = -(abb63n14)
      abb63n45 = -(abb63n15)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd63h1
