module     p17_ddbar_neepdubar_d57h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p17_ddbar_neepdubar/helicity1/d57h1l1d.f90
   ! generator: haggies (1.1)
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d57
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_abbrevd57h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      real(ki) :: t35
      real(ki) :: t36
      real(ki) :: t37
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k3-k6-k5-k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t33 = dotproduct(k2, qshift)
      t1 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t2 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t3 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t4 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t5 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t6 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      t34 = dotproduct(k5, qshift)
      t35 = dotproduct(k6, qshift)
      t7 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t8 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t9 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t10 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-s&
      &pvak3k4(4)*qshift(4))
      t36 = dotproduct(k1, qshift)
      t37 = dotproduct(qshift, qshift)
      if(deg.eq.0) then
         numerator = (t1*abb57n38+t33*abb57n35+t1*t2*abb57n29+t1*t34*abb57n24+t1&
         &*t35*abb57n24+t1*t37*abb57n39+t1*t6*abb57n23+t1*t8*abb57n27+t10*t9*abb&
         &57n30+t2*t3*abb57n21+t2*t33*abb57n33+t2*t36*abb57n34+t2*t4*abb57n31+t2&
         &*t5*abb57n28+t2*t7*abb57n25+t33*t5*abb57n26+t34*t4*abb57n32+t35*t4*abb&
         &57n32+t37*t4*abb57n36+t4*t5*abb57n22+t10*t5*t9*abb57n41)
         return
      end if
      t11 = k2(iv1)
      t12 = spvak2k1(iv1)
      t13 = k1(iv1)
      t14 = k5(iv1)
      t15 = k6(iv1)
      t16 = qshift(iv1)
      t17 = t12*abb57n24
      t18 = spvak2k4(iv1)
      t19 = t18*abb57n32
      t20 = spvak2k6(iv1)
      t21 = spvak3k1(iv1)
      t22 = spvak3k4(iv1)
      t23 = spvak5k1(iv1)
      t24 = spvak5k2(iv1)
      t25 = spvak5k4(iv1)
      t26 = spvak5k6(iv1)
      t27 = spvak6k1(iv1)
      if(deg.eq.1) then
         numerator = (t11*abb57n35+t12*abb57n38+t17*t34+t17*t35+t19*t34+t19*t35+&
         &t1*t14*abb57n24+t1*t15*abb57n24+t1*t16*abb57n40+t1*t24*abb57n27+t1*t25&
         &*abb57n23+t1*t26*abb57n29+t10*t20*abb57n30+t11*t2*abb57n33+t11*t5*abb5&
         &7n26+t12*t2*abb57n29+t12*t37*abb57n39+t12*t6*abb57n23+t12*t8*abb57n27+&
         &t13*t2*abb57n34+t14*t4*abb57n32+t15*t4*abb57n32+t16*t4*abb57n37+t18*t2&
         &*abb57n31+t18*t37*abb57n36+t18*t5*abb57n22+t2*t21*abb57n25+t2*t23*abb5&
         &7n28+t2*t27*abb57n21+t22*t9*abb57n30+t23*t33*abb57n26+t23*t4*abb57n22+&
         &t26*t3*abb57n21+t26*t33*abb57n33+t26*t36*abb57n34+t26*t4*abb57n31+t26*&
         &t5*abb57n28+t26*t7*abb57n25+t10*t20*t5*abb57n41+t10*t23*t9*abb57n41+t2&
         &2*t5*t9*abb57n41)
         return
      end if
      t33 = d(iv1,iv2)
      t2 = spvak5k6(iv2)
      t3 = spvak5k1(iv2)
      t6 = k2(iv2)
      t7 = spvak2k1(iv2)
      t8 = spvak2k4(iv2)
      t17 = k5(iv2)
      t19 = k6(iv2)
      t28 = qshift(iv2)
      t29 = spvak3k4(iv2)
      t30 = t20*t29
      t31 = spvak2k6(iv2)
      t32 = t22*t31
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t1*t33*abb57n39+t33*t4*abb57n36)+t30*abb57n30+t3&
         &2*abb57n30+k1(iv2)*t26*abb57n34+spvak3k1(iv2)*t26*abb57n25+spvak5k2(iv&
         &2)*t12*abb57n27+spvak5k4(iv2)*t12*abb57n23+spvak6k1(iv2)*t26*abb57n21+&
         &t11*t2*abb57n33+t11*t3*abb57n26+t12*t17*abb57n24+t12*t19*abb57n24+t12*&
         &t2*abb57n29+t12*t28*abb57n40+t13*t2*abb57n34+t14*t7*abb57n24+t14*t8*ab&
         &b57n32+t15*t7*abb57n24+t15*t8*abb57n32+t16*t7*abb57n40+t16*t8*abb57n37&
         &+t17*t18*abb57n32+t18*t19*abb57n32+t18*t2*abb57n31+t18*t28*abb57n37+t1&
         &8*t3*abb57n22+t2*t21*abb57n25+t2*t23*abb57n28+t2*t27*abb57n21+t23*t6*a&
         &bb57n26+t23*t8*abb57n22+t24*t7*abb57n27+t25*t7*abb57n23+t26*t3*abb57n2&
         &8+t26*t6*abb57n33+t26*t7*abb57n29+t26*t8*abb57n31+t30*t5*abb57n41+t32*&
         &t5*abb57n41+t10*t20*t3*abb57n41+t10*t23*t31*abb57n41+t22*t3*t9*abb57n4&
         &1+t23*t29*t9*abb57n41)
         return
      end if
      t34 = d(iv2,iv3)
      t35 = d(iv1,iv3)
      t1 = spvak5k1(iv3)
      t2 = spvak3k4(iv3)
      t4 = spvak2k6(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k1(iv3)*t33*abb57n39+spvak2k4(iv3)*t33*abb&
         &57n36+t12*t34*abb57n39+t18*t34*abb57n36+t35*t7*abb57n39+t35*t8*abb57n3&
         &6)+t1*t30*abb57n41+t1*t32*abb57n41+t2*t20*t3*abb57n41+t2*t23*t31*abb57&
         &n41+t22*t3*t4*abb57n41+t23*t29*t4*abb57n41)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d57:
   subroutine     reconstruct_d57(coeffs)
      use p17_ddbar_neepdubar_groups, only: tensrec_info_group7
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group7), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_57:
      coeffs%coeffs_57%c0 = derivative(czip)
      coeffs%coeffs_57%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_57%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_57%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_57%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_57%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_57%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_57%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_57%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_57%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_57%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_57%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_57%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_57%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_57%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_57%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_57%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_57%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_57%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_57%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_57%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_57%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_57%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_57%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_57%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_57%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_57%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_57%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_57%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_57%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_57%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_57%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_57%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_57%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_57%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_57:
   end subroutine reconstruct_d57
!---#] subroutine reconstruct_d57:
end module p17_ddbar_neepdubar_d57h1l1d
