module     p18_ddbar_neepscbar_abbrevd31h0
   use p18_ddbar_neepscbar_config, only: ki
   use p18_ddbar_neepscbar_globalsh0
   implicit none
   private
   complex(ki), public :: abb31n1
   complex(ki), public :: abb31n2
   complex(ki), public :: abb31n3
   complex(ki), public :: abb31n4
   complex(ki), public :: abb31n5
   complex(ki), public :: abb31n6
   complex(ki), public :: abb31n7
   complex(ki), public :: abb31n8
   complex(ki), public :: abb31n9
   complex(ki), public :: abb31n10
   complex(ki), public :: rat2d31
   complex(ki), public :: abb31n12
   complex(ki), public :: abb31n13
   complex(ki), public :: abb31n14
   complex(ki), public :: abb31n15
   complex(ki), public :: abb31n16
   complex(ki), public :: abb31n17
   complex(ki), public :: abb31n18
   complex(ki), public :: abb31n19
   complex(ki), public :: abb31n20
   complex(ki), public :: abb31n21
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   real(ki) :: t13
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p18_ddbar_neepscbar_config, only: deltaOS
      use p18_ddbar_neepscbar_kinematics
      use p18_ddbar_neepscbar_model
      use p18_ddbar_neepscbar_color, only: TR
      use p18_ddbar_neepscbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak1k6*spak3k5
      t13 = TR*TR
      t4 = es345*t1
      t5 = NC*NC*t4
      t6 = c2*i_
      t7 = t6*spak1k6*spak3k5
      t1 = es345*NC*t1
      t8 = NC*c2*i_
      t9 = t8*spak1k6*spak3k5
      abb31n1 = ((4.0_ki)*(t13*t3/t5*spbk5k4*spbk6k2+t13/t4*t9*spbk5k4*spbk6k2-t&
      &13*(2.0_ki)/t1*t7*spbk5k4*spbk6k2))
      t10 = t2*spak1k2*spak3k5
      t11 = t6*spak1k2*spak3k5
      t12 = t8*spak1k2*spak3k5
      abb31n2 = ((4.0_ki)*(t13*t10/t5*spbk4k3*spbk6k2+t13*t12/t4*spbk4k3*spbk6k2&
      &-t13*(2.0_ki)/t1*t11*spbk4k3*spbk6k2))
      abb31n3 = ((4.0_ki)*(t13*(2.0_ki)/t1*t11*spbk5k4*spbk6k2-(t13*t12/t4*spbk5&
      &k4*spbk6k2+t13*t10/t5*spbk5k4*spbk6k2)))
      abb31n4 = ((4.0_ki)*(t13*(2.0_ki)/t1*t7*spbk4k3*spbk6k2-(t13/t4*t9*spbk4k3&
      &*spbk6k2+t13*t3/t5*spbk4k3*spbk6k2)))
      abb31n5 = ((8.0_ki)*(t13/t1*t6*spak2k5*spak3k5*spbk5k4*spbk6k2-t13/t1*t6*s&
      &pak2k3*spak3k5*spbk4k3*spbk6k2)+(4.0_ki)*(t13*t2/t5*spak2k3*spak3k5*spbk4&
      &k3*spbk6k2+t13/t4*t8*spak2k3*spak3k5*spbk4k3*spbk6k2-(t13/t4*t8*spak2k5*s&
      &pak3k5*spbk5k4*spbk6k2+t13*t2/t5*spak2k5*spak3k5*spbk5k4*spbk6k2)))
      t3 = t6*spak3k5
      t2 = t2*spak3k5
      t6 = t8*spak3k5
      abb31n6 = ((8.0_ki)*(t13/t1*t3*spak5k6*spbk5k4*spbk6k2-t13/t1*t3*spak3k6*s&
      &pbk4k3*spbk6k2)+(4.0_ki)*(t13*t2/t5*spak3k6*spbk4k3*spbk6k2+t13/t4*t6*spa&
      &k3k6*spbk4k3*spbk6k2-(t13/t4*t6*spak5k6*spbk5k4*spbk6k2+t13*t2/t5*spak5k6&
      &*spbk5k4*spbk6k2)))
      t7 = t13*t2/t5*spbk4k3
      t8 = t13*(2.0_ki)/t1*t3*spbk4k3
      t9 = t13/t4*t6*spbk4k3
      abb31n7 = ((8.0_ki)*(t7+t9-t8))
      abb31n8 = ((8.0_ki)*(t8-(t9+t7)))
      t2 = t13*t2/t5*spbk5k4
      t1 = t13*(2.0_ki)/t1*t3*spbk5k4
      t3 = t13/t4*t6*spbk5k4
      abb31n9 = ((8.0_ki)*(t2+t3-t1))
      abb31n10 = ((8.0_ki)*(t1-(t3+t2)))
      rat2d31 = 0
      rat2 = rat2 + rat2d31
      abb31n12 = -(abb31n1)
      abb31n13 = abb31n10
      abb31n14 = abb31n9
      abb31n15 = abb31n8
      abb31n16 = abb31n7
      abb31n17 = -(abb31n2)
      abb31n18 = -(abb31n3)
      abb31n19 = -(abb31n4)
      abb31n20 = -(abb31n5)
      abb31n21 = -(abb31n6)
   end subroutine
end module p18_ddbar_neepscbar_abbrevd31h0
