module     p24_udbar_neepuubar_abbrevd19h1
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb19n1
   complex(ki), public :: abb19n2
   complex(ki), public :: abb19n3
   complex(ki), public :: abb19n4
   complex(ki), public :: abb19n5
   complex(ki), public :: abb19n6
   complex(ki), public :: abb19n7
   complex(ki), public :: abb19n8
   complex(ki), public :: abb19n9
   complex(ki), public :: abb19n10
   complex(ki), public :: abb19n11
   complex(ki), public :: abb19n12
   complex(ki), public :: abb19n13
   complex(ki), public :: abb19n14
   complex(ki), public :: abb19n15
   complex(ki), public :: rat2d19
   complex(ki), public :: abb19n17
   complex(ki), public :: abb19n18
   complex(ki), public :: abb19n19
   complex(ki), public :: abb19n20
   complex(ki), public :: abb19n21
   complex(ki), public :: abb19n22
   complex(ki), public :: abb19n23
   complex(ki), public :: abb19n24
   complex(ki), public :: abb19n25
   complex(ki), public :: abb19n26
   complex(ki), public :: abb19n27
   complex(ki), public :: abb19n28
   complex(ki), public :: abb19n29
   complex(ki), public :: abb19n30
   complex(ki), public :: abb19n31
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   real(ki) :: t51
   real(ki) :: t52
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t51 = es234-(es61+es56)
      t1 = es34+wW*mW*i_-mW*mW
      t2 = Nfrat*c1
      t3 = t2*i_
      t4 = t3*spak2k3
      t5 = t4*spak2k5*spbk4k2
      t52 = TR*TR
      t6 = t52*t5*spbk6k1
      t51 = t51*t51
      t7 = t51*t1
      t8 = t4*spak3k5*spbk4k3
      t9 = t52*t8*spbk6k1
      t10 = Nfrat*c2
      t11 = t10*i_
      t12 = t11*spak2k3
      t13 = t12*spak2k5*spbk4k2
      t14 = t52*t13*spbk6k1
      t15 = NC*t1
      t16 = t51*t15
      t17 = t12*spak3k5*spbk4k3
      t18 = t52*t17*spbk6k1
      t19 = es234*t2*i_*spak2k5
      t20 = (es12+es34-(es56+es345))*t1
      t21 = t51*t20
      t22 = es56*t2*i_
      t23 = t22*spak2k5
      t2 = es61*t2*i_
      t24 = t2*spak2k5
      t22 = t22*spak2k3
      t1 = es234*t51*t1
      t2 = t2*spak2k3
      t25 = es234*t10*i_*spak2k5
      t20 = NC*t51*t20
      t26 = es56*t10*i_
      t27 = t26*spak2k5
      t10 = es61*t10*i_
      t28 = t10*spak2k5
      t26 = t26*spak2k3
      t15 = es234*t51*t15
      t10 = t10*spak2k3
      t29 = c2*i_
      t30 = t29*spak2k3
      t31 = t30*spak2k5*spbk4k2
      t32 = t52*t31*spbk6k1
      t33 = t30*spak3k5*spbk4k3
      t34 = t52*t33*spbk6k1
      t35 = NC*c1
      t36 = t35*i_
      t37 = t36*spak2k3
      t38 = t37*spak2k5*spbk4k2
      t39 = t52*t38*spbk6k1
      t40 = t37*spak3k5*spbk4k3
      t41 = t52*t40*spbk6k1
      t42 = es234*c2*i_*spak2k5
      t43 = es56*c2*i_
      t44 = t43*spak2k5
      t45 = es61*c2*i_
      t46 = t45*spak2k5
      t43 = t43*spak2k3
      t45 = t45*spak2k3
      t47 = es234*t35*i_*spak2k5
      t48 = es56*t35*i_
      t49 = t48*spak2k5
      t35 = es61*t35*i_
      t50 = t35*spak2k5
      t48 = t48*spak2k3
      t35 = t35*spak2k3
      t35 = t32/t7+t41/t7+t52*t35/t1*spak2k5*spbk4k2*spbk6k1+t52*t43/t1*spak3k5*&
      &spbk4k3*spbk6k1+t52*t45/t1*spak3k5*spbk4k3*spbk6k1+t52*t48/t1*spak2k5*spb&
      &k4k2*spbk6k1+t52*t42/t21*spak3k4*spbk4k1*spbk6k4+t52*t42/t21*spak3k6*spbk&
      &6k1*spbk6k4+t52*t49/t21*spak3k4*spbk4k1*spbk6k4+t52*t49/t21*spak3k6*spbk6&
      &k1*spbk6k4+t52*t50/t21*spak3k4*spbk4k1*spbk6k4+t52*t50/t21*spak3k6*spbk6k&
      &1*spbk6k4-(t52*t47/t21*spak3k6*spbk6k1*spbk6k4+t52*t47/t21*spak3k4*spbk4k&
      &1*spbk6k4+t52*t46/t21*spak3k6*spbk6k1*spbk6k4+t52*t46/t21*spak3k4*spbk4k1&
      &*spbk6k4+t52*t44/t21*spak3k6*spbk6k1*spbk6k4+t52*t44/t21*spak3k4*spbk4k1*&
      &spbk6k4+t52*t48/t1*spak3k5*spbk4k3*spbk6k1+t52*t45/t1*spak2k5*spbk4k2*spb&
      &k6k1+t52*t43/t1*spak2k5*spbk4k2*spbk6k1+t52*t35/t1*spak3k5*spbk4k3*spbk6k&
      &1+t39/t7+t34/t7)
      abb19n1 = ((20.0_ki/3.0_ki)*(t14/t16+t9/t7+t52*t2/t1*spak2k5*spbk4k2*spbk6&
      &k1+t52*t22/t1*spak2k5*spbk4k2*spbk6k1+t52*t10/t15*spak3k5*spbk4k3*spbk6k1&
      &+t52*t26/t15*spak3k5*spbk4k3*spbk6k1+t52*t25/t20*spak3k4*spbk4k1*spbk6k4+&
      &t52*t25/t20*spak3k6*spbk6k1*spbk6k4+t52*t23/t21*spak3k4*spbk4k1*spbk6k4+t&
      &52*t23/t21*spak3k6*spbk6k1*spbk6k4+t52*t24/t21*spak3k4*spbk4k1*spbk6k4+t5&
      &2*t24/t21*spak3k6*spbk6k1*spbk6k4-(t52*t28/t20*spak3k6*spbk6k1*spbk6k4+t5&
      &2*t28/t20*spak3k4*spbk4k1*spbk6k4+t52*t27/t20*spak3k6*spbk6k1*spbk6k4+t52&
      &*t27/t20*spak3k4*spbk4k1*spbk6k4+t52*t19/t21*spak3k6*spbk6k1*spbk6k4+t52*&
      &t19/t21*spak3k4*spbk4k1*spbk6k4+t52*t26/t15*spak2k5*spbk4k2*spbk6k1+t52*t&
      &10/t15*spak2k5*spbk4k2*spbk6k1+t52*t22/t1*spak3k5*spbk4k3*spbk6k1+t52*t2/&
      &t1*spak3k5*spbk4k3*spbk6k1+t6/t7+t18/t16))+(2.0_ki/3.0_ki)*t35)
      abb19n2 = ((16.0_ki)*(t52*t30/t21*spbk6k4-t52*t37/t21*spbk6k4))
      abb19n3 = ((8.0_ki)*(t52*t37/t21*spbk6k3+t52*t36/t21*spak2k4*spbk6k4-(t52*&
      &t29/t21*spak2k4*spbk6k4+t52*t30/t21*spbk6k3)))
      t2 = t3*spak2k5
      t7 = t2*spak3k4
      t10 = t11*spak2k5
      t16 = t10*spak3k4
      abb19n4 = ((20.0_ki)*(t52/t21*t7*spbk5k1*spbk6k4-t52*t16/t20*spbk5k1*spbk6&
      &k4))
      abb19n5 = ((40.0_ki)*(t52*t11/t20*spak3k4*spbk6k4-t52*t3/t21*spak3k4*spbk6&
      &k4))
      abb19n6 = ((10.0_ki)*t35)
      t19 = t3*spak1k5
      t22 = t19*spak2k3
      t23 = t11*spak1k5
      t24 = t23*spak2k3
      abb19n7 = ((20.0_ki)*(t52*t24/t15*spbk4k2*spbk6k1+t52*t23/t20*spak3k4*spbk&
      &4k1*spbk6k4+t52*t23/t20*spak3k6*spbk6k1*spbk6k4-(t52*t19/t21*spak3k6*spbk&
      &6k1*spbk6k4+t52*t19/t21*spak3k4*spbk4k1*spbk6k4+t52*t22/t1*spbk4k2*spbk6k&
      &1)))
      abb19n8 = ((20.0_ki)*(t52*t22/t1*spbk4k3*spbk6k1-t52*t24/t15*spbk4k3*spbk6&
      &k1))
      t2 = t2*spak3k6
      t10 = t10*spak3k6
      abb19n9 = ((20.0_ki)*(t52*t5/t1*spbk5k1+t52*t17/t15*spbk5k1+t52*t2/t21*spb&
      &k5k1*spbk6k4-(t52*t10/t20*spbk5k1*spbk6k4+t52*t13/t15*spbk5k1+t52/t1*t8*s&
      &pbk5k1)))
      t19 = t52/t21*t7*spbk4k1*spbk6k4
      t22 = t52*t2/t21*spbk6k1*spbk6k4
      t6 = t6/t1
      t9 = t9/t1
      t23 = t52*t16/t20*spbk4k1*spbk6k4
      t24 = t52*t10/t20*spbk6k1*spbk6k4
      t14 = t14/t15
      t18 = t18/t15
      t25 = t29*spak2k5
      t26 = t25*spak3k4
      t27 = t52*t26/t21*spbk4k1*spbk6k4
      t25 = t25*spak3k6
      t28 = t52*t25/t21*spbk6k1*spbk6k4
      t32 = t32/t1
      t34 = t34/t1
      t35 = t36*spak2k5
      t42 = t35*spak3k4
      t43 = t52*t42/t21*spbk4k1*spbk6k4
      t35 = t35*spak3k6
      t44 = t52*t35/t21*spbk6k1*spbk6k4
      t39 = t39/t1
      t41 = t41/t1
      abb19n10 = ((80.0_ki)*(t18+t19+t22+t6-(t9+t24+t23+t14))+(4.0_ki)*(t34+t39+&
      &t43+t44-(t41+t32+t28+t27)))
      t6 = t14+t23+t24+t9-(t6+t22+t19+t18)
      t9 = (4.0_ki)*(t27+t28+t32+t41-(t44+t43+t39+t34))
      abb19n11 = ((40.0_ki)*t6+t9)
      abb19n12 = ((80.0_ki)*t6+t9)
      abb19n13 = ((8.0_ki)*(t52*t37/t1*spbk4k2-t52*t30/t1*spbk4k2)+(40.0_ki)*(t5&
      &2*t12/t15*spbk4k2+t52*t11/t20*spak3k6*spbk6k4-(t52*t3/t21*spak3k6*spbk6k4&
      &+t52*t4/t1*spbk4k2)))
      t6 = t3*spak1k2
      t9 = t11*spak1k2
      t14 = t29*spak1k2
      t18 = t36*spak1k2
      abb19n14 = ((3.0_ki)*(t52*t31/t1*spbk6k5+t52*t40/t1*spbk6k5+t52*t25/t21*sp&
      &bk6k4*spbk6k5+t52*t42/t21*spbk5k4*spbk6k4+t52*t14/t1*spak2k3*spbk4k2*spbk&
      &6k1+t52*t14/t21*spak3k4*spbk4k1*spbk6k4+t52*t14/t21*spak3k6*spbk6k1*spbk6&
      &k4+t52*t36/t1*spak1k3*spak2k3*spbk4k3*spbk6k1-(t52*t29/t1*spak1k3*spak2k3&
      &*spbk4k3*spbk6k1+t52*t18/t21*spak3k6*spbk6k1*spbk6k4+t52*t18/t21*spak3k4*&
      &spbk4k1*spbk6k4+t52*t18/t1*spak2k3*spbk4k2*spbk6k1+t52*t35/t21*spbk6k4*sp&
      &bk6k5+t52*t26/t21*spbk5k4*spbk6k4+t52*t38/t1*spbk6k5+t52*t33/t1*spbk6k5))&
      &+(40.0_ki)*(t52*t5/t1*spbk6k5+t52*t17/t15*spbk6k5+t52*t16/t20*spbk5k4*spb&
      &k6k4+t52*t2/t21*spbk6k4*spbk6k5+t52/t1*t6*spak2k3*spbk4k2*spbk6k1+t52/t21&
      &*t6*spak3k4*spbk4k1*spbk6k4+t52/t21*t6*spak3k6*spbk6k1*spbk6k4+t52*t11/t1&
      &5*spak1k3*spak2k3*spbk4k3*spbk6k1-(t52*t3/t1*spak1k3*spak2k3*spbk4k3*spbk&
      &6k1+t52/t20*t9*spak3k6*spbk6k1*spbk6k4+t52/t20*t9*spak3k4*spbk4k1*spbk6k4&
      &+t52/t15*t9*spak2k3*spbk4k2*spbk6k1+t52/t21*t7*spbk5k4*spbk6k4+t52*t10/t2&
      &0*spbk6k4*spbk6k5+t52*t13/t15*spbk6k5+t52/t1*t8*spbk6k5)))
      t2 = t52*t30*spbk4k3
      t3 = t52*t37*spbk4k3
      abb19n15 = ((40.0_ki)*(t52*t4/t1*spbk4k3-t52*t12/t15*spbk4k3)+(8.0_ki)*(t2&
      &/t1+t2/t21+t52*t36/t21*spak2k6*spbk6k4-(t52*t29/t21*spak2k6*spbk6k4+t3/t2&
      &1+t3/t1)))
      rat2d19 = abb19n1
      rat2 = rat2 + rat2d19
      abb19n17 = abb19n6
      abb19n18 = abb19n15
      abb19n19 = abb19n13
      abb19n20 = abb19n11
      abb19n21 = abb19n5
      abb19n22 = abb19n3
      abb19n23 = abb19n2
      abb19n24 = -(abb19n4)
      abb19n25 = -(abb19n7)
      abb19n26 = -(abb19n8)
      abb19n27 = -(abb19n9)
      abb19n28 = -(abb19n10)
      abb19n29 = ((2.0_ki)*abb19n11)
      abb19n30 = -(abb19n12)
      abb19n31 = -(abb19n14)
   end subroutine
end module p24_udbar_neepuubar_abbrevd19h1
