module     p24_udbar_neepuubar_abbrevd62h1
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb62n1
   complex(ki), public :: abb62n2
   complex(ki), public :: abb62n3
   complex(ki), public :: abb62n4
   complex(ki), public :: abb62n5
   complex(ki), public :: abb62n6
   complex(ki), public :: abb62n7
   complex(ki), public :: abb62n8
   complex(ki), public :: abb62n9
   complex(ki), public :: abb62n10
   complex(ki), public :: abb62n11
   complex(ki), public :: rat2d62
   complex(ki), public :: abb62n13
   complex(ki), public :: abb62n14
   complex(ki), public :: abb62n15
   complex(ki), public :: abb62n16
   complex(ki), public :: abb62n17
   complex(ki), public :: abb62n18
   complex(ki), public :: abb62n19
   complex(ki), public :: abb62n20
   complex(ki), public :: abb62n21
   complex(ki), public :: abb62n22
   complex(ki), public :: abb62n23
   complex(ki), public :: abb62n24
   complex(ki), public :: abb62n25
   complex(ki), public :: abb62n26
   complex(ki), public :: abb62n27
   complex(ki), public :: abb62n28
   complex(ki), public :: abb62n29
   complex(ki), public :: abb62n30
   complex(ki), public :: abb62n31
   complex(ki), public :: abb62n32
   complex(ki), public :: abb62n33
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   real(ki) :: t31
   real(ki) :: t32
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak2k3
      t4 = t3*spak2k5*spbk4k2
      t31 = TR*TR
      t5 = t31*t4*spbk6k1
      t6 = NC*t1
      t7 = t3*spak3k5*spbk4k3
      t8 = t31*t7*spbk6k1
      t9 = es56*c2*i_*spak2k3
      t10 = es234*t6
      t11 = es61*c2*i_*spak2k3
      t12 = c1*i_
      t13 = t12*spak2k3
      t14 = t13*spak2k5*spbk4k2
      t15 = t31*t14*spbk6k1
      t32 = NC*NC
      t16 = t32*t1
      t17 = t13*spak3k5*spbk4k3
      t18 = t31*t17*spbk6k1
      t19 = NC*c2
      t20 = t19*i_
      t21 = t20*spak2k3
      t22 = t21*spak2k5*spbk4k2
      t23 = t31*t22*spbk6k1
      t24 = t21*spak3k5*spbk4k3
      t25 = t31*t24*spbk6k1
      t26 = es56*c1*i_*spak2k3
      t27 = es234*t1
      t28 = t32*t27
      t29 = es61*c1*i_*spak2k3
      t30 = es56*t19*i_*spak2k3
      t19 = es61*t19*i_*spak2k3
      abb62n1 = ((8.0_ki)*(t8/t6+t31*t11/t10*spak2k5*spbk4k2*spbk6k1+t31/t10*t9*&
      &spak2k5*spbk4k2*spbk6k1-(t31/t10*t9*spak3k5*spbk4k3*spbk6k1+t31*t11/t10*s&
      &pak3k5*spbk4k3*spbk6k1+t5/t6))+(4.0_ki)*(t23/t1+t15/t16+t31*t19/t27*spak3&
      &k5*spbk4k3*spbk6k1+t31*t26/t28*spak3k5*spbk4k3*spbk6k1+t31*t30/t27*spak3k&
      &5*spbk4k3*spbk6k1+t31*t29/t28*spak3k5*spbk4k3*spbk6k1-(t31*t29/t28*spak2k&
      &5*spbk4k2*spbk6k1+t31*t30/t27*spak2k5*spbk4k2*spbk6k1+t31*t26/t28*spak2k5&
      &*spbk4k2*spbk6k1+t31*t19/t27*spak2k5*spbk4k2*spbk6k1+t18/t16+t25/t1)))
      t1 = t12*spak1k5*spak2k3
      t2 = t2*spak1k5*spak2k3
      t6 = t20*spak1k5*spak2k3
      abb62n2 = ((4.0_ki)*(t31*(2.0_ki)/t10*t2*spbk4k2*spbk6k1-(t31/t27*t6*spbk4&
      &k2*spbk6k1+t31*t1/t28*spbk4k2*spbk6k1)))
      abb62n3 = ((4.0_ki)*(t31*t1/t28*spbk4k3*spbk6k1+t31/t27*t6*spbk4k3*spbk6k1&
      &-t31*(2.0_ki)/t10*t2*spbk4k3*spbk6k1))
      abb62n4 = ((16.0_ki)*(t5/t10-t8/t10)+(8.0_ki)*(t18/t28+t25/t27-(t23/t27+t1&
      &5/t28)))
      t1 = t31*t13*spbk4k2
      t2 = t31*t3*spbk4k2
      abb62n5 = ((4.0_ki)*((2.0_ki)/t10*t2-(t31*t21/t27*spbk4k2+t1/t28)))
      abb62n6 = ((8.0_ki)*(t31/t10*t7*spbk6k5-t31/t10*t4*spbk6k5)+(4.0_ki)*(t31*&
      &t14/t28*spbk6k5+t31*t22/t27*spbk6k5-(t31*t24/t27*spbk6k5+t31*t17/t28*spbk&
      &6k5)))
      t4 = t31*t13*spbk4k3
      t5 = t31*t3*spbk4k3
      abb62n7 = ((4.0_ki)*(t4/t28+t31*t21/t27*spbk4k3-(2.0_ki)/t10*t5))
      t3 = t3*spak5k6
      t6 = t13*spak5k6
      t7 = NC*c1*i_*spak2k3
      t8 = t7*spak5k6
      abb62n8 = ((4.0_ki)*(t31/t27*t8*spbk4k2*spbk6k1+t31*t3/t28*spbk4k2*spbk6k1&
      &-t31*(2.0_ki)/t10*t6*spbk4k2*spbk6k1))
      abb62n9 = ((4.0_ki)*(t31*(2.0_ki)/t10*t6*spbk4k3*spbk6k1-(t31*t3/t28*spbk4&
      &k3*spbk6k1+t31/t27*t8*spbk4k3*spbk6k1)))
      abb62n10 = ((4.0_ki)*(t2/t28+t31/t27*t7*spbk4k2-(2.0_ki)*t1/t10))
      abb62n11 = ((4.0_ki)*((2.0_ki)/t10*t4-(t31/t27*t7*spbk4k3+t5/t28)))
      rat2d62 = 0
      rat2 = rat2 + rat2d62
      abb62n13 = abb62n1
      abb62n14 = abb62n11
      abb62n15 = abb62n10
      abb62n16 = abb62n9
      abb62n17 = abb62n8
      abb62n18 = abb62n7
      abb62n19 = abb62n6
      abb62n20 = abb62n5
      abb62n21 = abb62n4
      abb62n22 = abb62n3
      abb62n23 = abb62n2
      abb62n24 = -(abb62n2)
      abb62n25 = -(abb62n3)
      abb62n26 = -(abb62n4)
      abb62n27 = -(abb62n5)
      abb62n28 = -(abb62n6)
      abb62n29 = -(abb62n7)
      abb62n30 = -(abb62n8)
      abb62n31 = -(abb62n9)
      abb62n32 = -(abb62n10)
      abb62n33 = -(abb62n11)
   end subroutine
end module p24_udbar_neepuubar_abbrevd62h1
