module     p26_udbar_neepgg_d21h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity0/d21h0l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d21
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd21h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      real(ki) :: t50
      real(ki) :: t51
      real(ki) :: t52
      real(ki) :: t53
      real(ki) :: t54
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t50 = dotproduct(qshift, qshift)
      t2 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t51 = dotproduct(k2, qshift)
      t52 = dotproduct(k6, qshift)
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t53 = dotproduct(k5, qshift)
      t54 = dotproduct(k1, qshift)
      t4 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t5 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t6 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t7 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t8 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (t1*abb21n38+t2*abb21n54+t3*abb21n58+t4*abb21n61+t5*abb21n6&
         &6+t50*abb21n53+t51*abb21n55+t52*abb21n56+t53*abb21n59+t54*abb21n60+t1*&
         &t3*abb21n43+t1*t50*abb21n69+t1*t52*abb21n46+t2*t3*abb21n50+t2*t5*abb21&
         &n52+t3*t4*abb21n49+t3*t5*abb21n39+t3*t50*abb21n67+t3*t51*abb21n47+t3*t&
         &53*abb21n41+t3*t54*abb21n42+t3*t6*abb21n48+t4*t50*abb21n63+t4*t52*abb2&
         &1n51+t5*t50*abb21n78+t5*t52*abb21n40+t50*t53*abb21n73+t50*t54*abb21n71&
         &+t52*t53*abb21n45+t52*t54*abb21n44+t1*t2*t3*abb21n75+t2*t3*t4*abb21n62&
         &+t2*t3*t53*abb21n76+t2*t3*t54*abb21n77+t2*t3*t7*abb21n65+t2*t3*t8*abb2&
         &1n80)
         return
      end if
      t9 = k1(iv1)
      t10 = k2(iv1)
      t11 = k5(iv1)
      t12 = k6(iv1)
      t13 = qshift(iv1)
      t14 = spvak2k6(iv1)
      t15 = spvak3k4(iv1)
      t16 = spvak5k6(iv1)
      t17 = spvak6k1(iv1)
      t18 = spvak6k5(iv1)
      t19 = spvak2k4(iv1)
      t20 = spvak2k1(iv1)
      t21 = spvak2k5(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb21n55+t11*abb21n59+t12*abb21n56+t13*abb21n57+t14*ab&
         &b21n66+t15*abb21n54+t16*abb21n58+t17*abb21n61+t18*abb21n38+t9*abb21n60&
         &+t1*t12*abb21n46+t1*t13*abb21n70+t1*t16*abb21n43+t10*t3*abb21n47+t11*t&
         &3*abb21n41+t11*t50*abb21n73+t11*t52*abb21n45+t12*t4*abb21n51+t12*t5*ab&
         &b21n40+t12*t53*abb21n45+t12*t54*abb21n44+t13*t3*abb21n68+t13*t4*abb21n&
         &64+t13*t5*abb21n79+t13*t53*abb21n74+t13*t54*abb21n72+t14*t2*abb21n52+t&
         &14*t3*abb21n39+t14*t50*abb21n78+t14*t52*abb21n40+t15*t3*abb21n50+t15*t&
         &5*abb21n52+t16*t2*abb21n50+t16*t4*abb21n49+t16*t5*abb21n39+t16*t50*abb&
         &21n67+t16*t51*abb21n47+t16*t53*abb21n41+t16*t54*abb21n42+t16*t6*abb21n&
         &48+t17*t3*abb21n49+t17*t50*abb21n63+t17*t52*abb21n51+t18*t3*abb21n43+t&
         &18*t50*abb21n69+t18*t52*abb21n46+t19*t3*abb21n48+t3*t9*abb21n42+t50*t9&
         &*abb21n71+t52*t9*abb21n44+t1*t15*t3*abb21n75+t1*t16*t2*abb21n75+t11*t2&
         &*t3*abb21n76+t15*t3*t4*abb21n62+t15*t3*t53*abb21n76+t15*t3*t54*abb21n7&
         &7+t15*t3*t7*abb21n65+t15*t3*t8*abb21n80+t16*t2*t4*abb21n62+t16*t2*t53*&
         &abb21n76+t16*t2*t54*abb21n77+t16*t2*t7*abb21n65+t16*t2*t8*abb21n80+t17&
         &*t2*t3*abb21n62+t18*t2*t3*abb21n75+t2*t20*t3*abb21n65+t2*t21*t3*abb21n&
         &80+t2*t3*t9*abb21n77)
         return
      end if
      t50 = d(iv1,iv2)
      t6 = k6(iv2)
      t22 = qshift(iv2)
      t23 = spvak5k6(iv2)
      t24 = t23*t9
      t25 = k1(iv2)
      t26 = t16*t25
      t27 = t11*t23
      t28 = k5(iv2)
      t29 = t16*t28
      t30 = spvak2k6(iv2)
      t31 = spvak6k1(iv2)
      t32 = spvak6k5(iv2)
      t33 = spvak3k4(iv2)
      t34 = t15*t23
      t35 = t16*t33
      t36 = t16*t31
      t37 = t16*t32
      t38 = t17*t23
      t39 = t18*t23
      t40 = t33*t9
      t41 = t15*t25
      t42 = t11*t33
      t43 = t15*t28
      t44 = t20*t33
      t45 = spvak2k1(iv2)
      t46 = t15*t45
      t47 = t21*t33
      t48 = spvak2k5(iv2)
      t49 = t15*t48
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t50*abb21n53+t1*t50*abb21n69+t3*t50*abb21n67+t4*&
         &t50*abb21n63+t5*t50*abb21n78+t50*t53*abb21n73+t50*t54*abb21n71)+t24*ab&
         &b21n42+t26*abb21n42+t27*abb21n41+t29*abb21n41+t34*abb21n50+t35*abb21n5&
         &0+t36*abb21n49+t37*abb21n43+t38*abb21n49+t39*abb21n43+k2(iv2)*t16*abb2&
         &1n47+spvak2k4(iv2)*t16*abb21n48+t1*t34*abb21n75+t1*t35*abb21n75+t10*t2&
         &3*abb21n47+t11*t22*abb21n74+t11*t6*abb21n45+t12*t25*abb21n44+t12*t28*a&
         &bb21n45+t12*t30*abb21n40+t12*t31*abb21n51+t12*t32*abb21n46+t13*t23*abb&
         &21n68+t13*t25*abb21n72+t13*t28*abb21n74+t13*t30*abb21n79+t13*t31*abb21&
         &n64+t13*t32*abb21n70+t14*t22*abb21n79+t14*t23*abb21n39+t14*t33*abb21n5&
         &2+t14*t6*abb21n40+t15*t30*abb21n52+t16*t22*abb21n68+t16*t30*abb21n39+t&
         &17*t22*abb21n64+t17*t6*abb21n51+t18*t22*abb21n70+t18*t6*abb21n46+t19*t&
         &23*abb21n48+t2*t24*abb21n77+t2*t26*abb21n77+t2*t27*abb21n76+t2*t29*abb&
         &21n76+t2*t36*abb21n62+t2*t37*abb21n75+t2*t38*abb21n62+t2*t39*abb21n75+&
         &t22*t9*abb21n72+t3*t40*abb21n77+t3*t41*abb21n77+t3*t42*abb21n76+t3*t43&
         &*abb21n76+t3*t44*abb21n65+t3*t46*abb21n65+t3*t47*abb21n80+t3*t49*abb21&
         &n80+t34*t4*abb21n62+t34*t53*abb21n76+t34*t54*abb21n77+t34*t7*abb21n65+&
         &t34*t8*abb21n80+t35*t4*abb21n62+t35*t53*abb21n76+t35*t54*abb21n77+t35*&
         &t7*abb21n65+t35*t8*abb21n80+t6*t9*abb21n44+t15*t3*t31*abb21n62+t15*t3*&
         &t32*abb21n75+t16*t2*t45*abb21n65+t16*t2*t48*abb21n80+t17*t3*t33*abb21n&
         &62+t18*t3*t33*abb21n75+t2*t20*t23*abb21n65+t2*t21*t23*abb21n80)
         return
      end if
      t51 = d(iv2,iv3)
      t52 = d(iv1,iv3)
      t1 = k1(iv3)
      t2 = k5(iv3)
      t3 = spvak5k6(iv3)
      t4 = spvak6k1(iv3)
      t5 = spvak6k5(iv3)
      t6 = spvak3k4(iv3)
      t7 = spvak2k1(iv3)
      t8 = spvak2k5(iv3)
      t10 = t15*t3
      t12 = t3*t33
      t13 = t16*t6
      t19 = t23*t6
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k6(iv3)*t50*abb21n78+t1*t50*abb21n71+t11*t&
         &51*abb21n73+t14*t51*abb21n78+t16*t51*abb21n67+t17*t51*abb21n63+t18*t51&
         &*abb21n69+t2*t50*abb21n73+t23*t52*abb21n67+t25*t52*abb21n71+t28*t52*ab&
         &b21n73+t3*t50*abb21n67+t30*t52*abb21n78+t31*t52*abb21n63+t32*t52*abb21&
         &n69+t4*t50*abb21n63+t5*t50*abb21n69+t51*t9*abb21n71)+t10*t31*abb21n62+&
         &t10*t32*abb21n75+t12*t17*abb21n62+t12*t18*abb21n75+t13*t31*abb21n62+t1&
         &3*t32*abb21n75+t17*t19*abb21n62+t18*t19*abb21n75+t3*t40*abb21n77+t3*t4&
         &1*abb21n77+t3*t42*abb21n76+t3*t43*abb21n76+t3*t44*abb21n65+t3*t46*abb2&
         &1n65+t3*t47*abb21n80+t3*t49*abb21n80+t34*t4*abb21n62+t34*t5*abb21n75+t&
         &35*t4*abb21n62+t35*t5*abb21n75+t1*t15*t23*abb21n77+t1*t16*t33*abb21n77&
         &+t11*t23*t6*abb21n76+t15*t2*t23*abb21n76+t15*t23*t7*abb21n65+t15*t23*t&
         &8*abb21n80+t16*t2*t33*abb21n76+t16*t25*t6*abb21n77+t16*t28*t6*abb21n76&
         &+t16*t33*t7*abb21n65+t16*t33*t8*abb21n80+t16*t45*t6*abb21n65+t16*t48*t&
         &6*abb21n80+t20*t23*t6*abb21n65+t21*t23*t6*abb21n80+t23*t6*t9*abb21n77)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d21:
   subroutine     reconstruct_d21(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group2
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group2), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_21:
      coeffs%coeffs_21%c0 = derivative(czip)
      coeffs%coeffs_21%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_21%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_21%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_21%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_21%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_21%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_21%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_21%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_21%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_21%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_21%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_21%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_21%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_21%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_21%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_21%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_21%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_21%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_21%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_21%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_21%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_21%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_21%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_21%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_21%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_21%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_21%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_21%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_21%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_21%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_21%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_21%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_21%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_21%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_21:
   end subroutine reconstruct_d21
!---#] subroutine reconstruct_d21:
end module p26_udbar_neepgg_d21h0l1d
