module     p26_udbar_neepgg_d30h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity0/d30h0l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d30
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd30h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      real(ki) :: t39
      real(ki) :: t40
      real(ki) :: t41
      real(ki) :: t42
      real(ki) :: t43
      real(ki) :: t44
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t39 = dotproduct(qshift, qshift)
      t1 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t2 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t40 = dotproduct(k5, qshift)
      t41 = dotproduct(k6, qshift)
      t42 = dotproduct(k3, qshift)
      t43 = dotproduct(k4, qshift)
      t3 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t44 = dotproduct(k2, qshift)
      t4 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t5 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t6 = (spvak4k1(1)*qshift(1)-spvak4k1(2)*qshift(2)-spvak4k1(3)*qshift(3)-sp&
      &vak4k1(4)*qshift(4))
      t7 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t8 = (spvak2k3(1)*qshift(1)-spvak2k3(2)*qshift(2)-spvak2k3(3)*qshift(3)-sp&
      &vak2k3(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb30n42+t1*abb30n66+t2*abb30n67+t3*abb30n71+t39*abb30n62+&
         &t4*abb30n78+t40*abb30n68+t41*abb30n69+t42*abb30n70+t43*abb30n70+t44*ab&
         &b30n73+t5*abb30n79+t1*t3*abb30n65+t1*t40*abb30n54+t1*t41*abb30n53+t2*t&
         &3*abb30n46+t2*t39*abb30n84+t2*t42*abb30n43+t2*t43*abb30n43+t2*t44*abb3&
         &0n45+t3*t39*abb30n74+t3*t4*abb30n48+t3*t44*abb30n59+t3*t5*abb30n47+t3*&
         &t6*abb30n44+t3*t7*abb30n55+t3*t8*abb30n57+t39*t4*abb30n80+t39*t5*abb30&
         &n82+t39*t7*abb30n76+t4*t42*abb30n51+t4*t43*abb30n51+t4*t44*abb30n52+t4&
         &0*t44*abb30n63+t40*t7*abb30n61+t41*t44*abb30n64+t41*t7*abb30n60+t42*t5&
         &*abb30n50+t42*t7*abb30n58+t43*t5*abb30n50+t43*t7*abb30n58+t44*t5*abb30&
         &n49+t44*t7*abb30n56+t1*t3*t40*abb30n87+t1*t3*t41*abb30n86)
         return
      end if
      t9 = k2(iv1)
      t10 = k3(iv1)
      t11 = k4(iv1)
      t12 = k5(iv1)
      t13 = k6(iv1)
      t14 = qshift(iv1)
      t15 = spvak2k1(iv1)
      t16 = spvak3k1(iv1)
      t17 = spvak3k4(iv1)
      t18 = spvak5k1(iv1)
      t19 = spvak6k1(iv1)
      t20 = spvak2k3(iv1)
      t21 = spvak2k4(iv1)
      t22 = t21*abb30n58
      t23 = t16*abb30n43
      t24 = spvak4k1(iv1)
      t25 = t18*abb30n51
      t26 = t19*abb30n50
      if(deg.eq.1) then
         numerator = (t10*abb30n70+t11*abb30n70+t12*abb30n68+t13*abb30n69+t14*ab&
         &b30n72+t15*abb30n66+t16*abb30n67+t17*abb30n71+t18*abb30n78+t19*abb30n7&
         &9+t22*t42+t22*t43+t23*t42+t23*t43+t25*t42+t25*t43+t26*t42+t26*t43+t9*a&
         &bb30n73+t1*t12*abb30n54+t1*t13*abb30n53+t1*t17*abb30n65+t10*t2*abb30n4&
         &3+t10*t4*abb30n51+t10*t5*abb30n50+t10*t7*abb30n58+t11*t2*abb30n43+t11*&
         &t4*abb30n51+t11*t5*abb30n50+t11*t7*abb30n58+t12*t44*abb30n63+t12*t7*ab&
         &b30n61+t13*t44*abb30n64+t13*t7*abb30n60+t14*t2*abb30n85+t14*t3*abb30n7&
         &5+t14*t4*abb30n81+t14*t5*abb30n83+t14*t7*abb30n77+t15*t3*abb30n65+t15*&
         &t40*abb30n54+t15*t41*abb30n53+t16*t3*abb30n46+t16*t39*abb30n84+t16*t44&
         &*abb30n45+t17*t2*abb30n46+t17*t39*abb30n74+t17*t4*abb30n48+t17*t44*abb&
         &30n59+t17*t5*abb30n47+t17*t6*abb30n44+t17*t7*abb30n55+t17*t8*abb30n57+&
         &t18*t3*abb30n48+t18*t39*abb30n80+t18*t44*abb30n52+t19*t3*abb30n47+t19*&
         &t39*abb30n82+t19*t44*abb30n49+t2*t9*abb30n45+t20*t3*abb30n57+t21*t3*ab&
         &b30n55+t21*t39*abb30n76+t21*t40*abb30n61+t21*t41*abb30n60+t21*t44*abb3&
         &0n56+t24*t3*abb30n44+t3*t9*abb30n59+t4*t9*abb30n52+t40*t9*abb30n63+t41&
         &*t9*abb30n64+t5*t9*abb30n49+t7*t9*abb30n56+t1*t12*t3*abb30n87+t1*t13*t&
         &3*abb30n86+t1*t17*t40*abb30n87+t1*t17*t41*abb30n86+t15*t3*t40*abb30n87&
         &+t15*t3*t41*abb30n86)
         return
      end if
      t39 = d(iv1,iv2)
      t6 = k5(iv2)
      t8 = k6(iv2)
      t22 = spvak2k4(iv2)
      t23 = spvak3k1(iv2)
      t25 = spvak3k4(iv2)
      t26 = spvak5k1(iv2)
      t27 = spvak6k1(iv2)
      t28 = k2(iv2)
      t29 = k3(iv2)
      t30 = k4(iv2)
      t31 = spvak2k1(iv2)
      t32 = t12*t31
      t33 = t15*t6
      t34 = t13*t31
      t35 = t15*t8
      t36 = qshift(iv2)
      t37 = t15*t25
      t38 = t17*t31
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t39*abb30n62+t2*t39*abb30n84+t3*t39*abb30n74+t39&
         &*t4*abb30n80+t39*t5*abb30n82+t39*t7*abb30n76)+t32*abb30n54+t33*abb30n5&
         &4+t34*abb30n53+t35*abb30n53+t37*abb30n65+t38*abb30n65+spvak2k3(iv2)*t1&
         &7*abb30n57+spvak4k1(iv2)*t17*abb30n44+t10*t22*abb30n58+t10*t23*abb30n4&
         &3+t10*t26*abb30n51+t10*t27*abb30n50+t11*t22*abb30n58+t11*t23*abb30n43+&
         &t11*t26*abb30n51+t11*t27*abb30n50+t12*t22*abb30n61+t12*t28*abb30n63+t1&
         &3*t22*abb30n60+t13*t28*abb30n64+t14*t22*abb30n77+t14*t23*abb30n85+t14*&
         &t25*abb30n75+t14*t26*abb30n81+t14*t27*abb30n83+t16*t25*abb30n46+t16*t2&
         &8*abb30n45+t16*t29*abb30n43+t16*t30*abb30n43+t16*t36*abb30n85+t17*t22*&
         &abb30n55+t17*t23*abb30n46+t17*t26*abb30n48+t17*t27*abb30n47+t17*t28*ab&
         &b30n59+t17*t36*abb30n75+t18*t25*abb30n48+t18*t28*abb30n52+t18*t29*abb3&
         &0n51+t18*t30*abb30n51+t18*t36*abb30n81+t19*t25*abb30n47+t19*t28*abb30n&
         &49+t19*t29*abb30n50+t19*t30*abb30n50+t19*t36*abb30n83+t20*t25*abb30n57&
         &+t21*t25*abb30n55+t21*t28*abb30n56+t21*t29*abb30n58+t21*t30*abb30n58+t&
         &21*t36*abb30n77+t21*t6*abb30n61+t21*t8*abb30n60+t22*t9*abb30n56+t23*t9&
         &*abb30n45+t24*t25*abb30n44+t25*t9*abb30n59+t26*t9*abb30n52+t27*t9*abb3&
         &0n49+t3*t32*abb30n87+t3*t33*abb30n87+t3*t34*abb30n86+t3*t35*abb30n86+t&
         &37*t40*abb30n87+t37*t41*abb30n86+t38*t40*abb30n87+t38*t41*abb30n86+t6*&
         &t9*abb30n63+t8*t9*abb30n64+t1*t12*t25*abb30n87+t1*t13*t25*abb30n86+t1*&
         &t17*t6*abb30n87+t1*t17*t8*abb30n86)
         return
      end if
      t40 = d(iv2,iv3)
      t41 = d(iv1,iv3)
      t1 = spvak3k4(iv3)
      t2 = spvak2k1(iv3)
      t3 = k5(iv3)
      t4 = k6(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k4(iv3)*t39*abb30n76+spvak3k1(iv3)*t39*abb&
         &30n84+spvak5k1(iv3)*t39*abb30n80+spvak6k1(iv3)*t39*abb30n82+t1*t39*abb&
         &30n74+t16*t40*abb30n84+t17*t40*abb30n74+t18*t40*abb30n80+t19*t40*abb30&
         &n82+t21*t40*abb30n76+t22*t41*abb30n76+t23*t41*abb30n84+t25*t41*abb30n7&
         &4+t26*t41*abb30n80+t27*t41*abb30n82)+t1*t32*abb30n87+t1*t33*abb30n87+t&
         &1*t34*abb30n86+t1*t35*abb30n86+t12*t2*t25*abb30n87+t13*t2*t25*abb30n86&
         &+t15*t25*t3*abb30n87+t15*t25*t4*abb30n86+t17*t2*t6*abb30n87+t17*t2*t8*&
         &abb30n86+t17*t3*t31*abb30n87+t17*t31*t4*abb30n86)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d30:
   subroutine     reconstruct_d30(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group11
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group11), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_30:
      coeffs%coeffs_30%c0 = derivative(czip)
      coeffs%coeffs_30%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_30%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_30%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_30%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_30%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_30%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_30%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_30%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_30%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_30%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_30%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_30%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_30%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_30%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_30%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_30%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_30%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_30%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_30%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_30%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_30%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_30%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_30%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_30%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_30%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_30%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_30%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_30%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_30%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_30%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_30%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_30%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_30%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_30%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_30:
   end subroutine reconstruct_d30
!---#] subroutine reconstruct_d30:
end module p26_udbar_neepgg_d30h0l1d
