module     p26_udbar_neepgg_abbrevd1h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb1n1
   complex(ki), public :: abb1n2
   complex(ki), public :: abb1n3
   complex(ki), public :: abb1n4
   complex(ki), public :: rat2d1
   complex(ki), public :: abb1n6
   complex(ki), public :: abb1n7
   complex(ki), public :: abb1n8
   complex(ki), public :: abb1n9
   complex(ki), public :: abb1n10
   complex(ki), public :: abb1n11
   complex(ki), public :: abb1n12
   complex(ki), public :: abb1n13
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   real(ki) :: t8
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = TR*c3*i_*spak2k5
      t2 = t1*spak3k4
      t3 = (es34+wW*mW*i_-mW*mW)*spak5k6*spbk6k5
      t8 = NC*TR
      t4 = t8*c1*i_*spak2k5
      t5 = t4*spak3k4
      t6 = t8*c2*i_*spak2k5
      t7 = t6*spak3k4
      abb1n1 = ((2.0_ki)*((2.0_ki)*t2/t3*spbk4k1*spbk6k4+t5/t3*spbk4k1*spbk6k4+t&
      &7/t3*spbk4k1*spbk6k4))
      abb1n2 = ((2.0_ki)*(-(t6/t3*spak3k5*spbk6k1*spbk6k4+t4/t3*spak3k5*spbk6k1*&
      &spbk6k4+(2.0_ki)*t1/t3*spak3k5*spbk6k1*spbk6k4)))
      abb1n3 = ((2.0_ki)*((2.0_ki)*t1/t3*spbk6k1+t4/t3*spbk6k1+t6/t3*spbk6k1))
      t1 = spbk6k4*spbk6k4
      abb1n4 = ((2.0_ki)*((2.0_ki)*t1*t2/t3+t1/t3*t5+t1/t3*t7))
      rat2d1 = 0
      rat2 = rat2 + rat2d1
      abb1n6 = -(abb1n1)
      abb1n7 = abb1n4
      abb1n8 = abb1n3
      abb1n9 = abb1n2
      abb1n10 = abb1n1
      abb1n11 = (-2.0_ki)*abb1n2
      abb1n12 = -(abb1n3)
      abb1n13 = -(abb1n4)
   end subroutine
end module p26_udbar_neepgg_abbrevd1h1
