module     p26_udbar_neepgg_abbrevd49h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb49n1
   complex(ki), public :: abb49n2
   complex(ki), public :: abb49n3
   complex(ki), public :: abb49n4
   complex(ki), public :: abb49n5
   complex(ki), public :: abb49n6
   complex(ki), public :: abb49n7
   complex(ki), public :: abb49n8
   complex(ki), public :: abb49n9
   complex(ki), public :: abb49n10
   complex(ki), public :: abb49n11
   complex(ki), public :: abb49n12
   complex(ki), public :: abb49n13
   complex(ki), public :: abb49n14
   complex(ki), public :: abb49n15
   complex(ki), public :: abb49n16
   complex(ki), public :: abb49n17
   complex(ki), public :: rat2d49
   complex(ki), public :: abb49n19
   complex(ki), public :: abb49n20
   complex(ki), public :: abb49n21
   complex(ki), public :: abb49n22
   complex(ki), public :: abb49n23
   complex(ki), public :: abb49n24
   complex(ki), public :: abb49n25
   complex(ki), public :: abb49n26
   complex(ki), public :: abb49n27
   complex(ki), public :: abb49n28
   complex(ki), public :: abb49n29
   complex(ki), public :: abb49n30
   complex(ki), public :: abb49n31
   complex(ki), public :: abb49n32
   complex(ki), public :: abb49n33
   complex(ki), public :: abb49n34
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = TR*c2*i_
      t2 = t1*spak1k3
      t3 = t2*spbk4k1
      t4 = spak2k5*spak2k5
      t5 = (es34+es56-(es234+es12))*(es345-(es61+es12))*(es34+wW*mW*i_-mW*mW)
      t6 = NC*t5*spak5k6*spbk6k5
      t7 = t3*t4/t6*spbk6k1*spbk6k2
      t8 = t1*spak3k4*spbk4k1
      t9 = t4/t6*t8*spbk6k2*spbk6k4
      t10 = NC*TR*c2
      t11 = t10*i_
      t12 = t11*spak1k3
      t13 = t12*spbk4k1
      t5 = t5*spak5k6
      t14 = t5*spbk6k5
      t15 = t13/t14*t4*spbk6k1*spbk6k2
      t16 = t11*spak3k4*spbk4k1
      t17 = t16/t14*t4*spbk6k2*spbk6k4
      abb49n1 = ((2.0_ki)*(t15+t17-(t9+t7)))
      t18 = es234*t10*i_
      t19 = es34*t10*i_
      t20 = es345*t10*i_
      t21 = t20*spak1k3
      t22 = es56*t10*i_
      t23 = es61*t10*i_
      t24 = t23*spak1k3
      t12 = t12*spak2k5*spbk4k1
      t25 = spak2k5*spbk6k2
      t25 = t25*t25
      t26 = t11*spak2k5*spak3k4*spbk4k1
      abb49n2 = ((2.0_ki)*(t12/t14*t25*spbk5k1+t25/t14*t26*spbk5k4)+(4.0_ki)*(t2&
      &4/t14*t4*spbk4k1*spbk6k1*spbk6k2+t19/t14*t4*spak1k3*spbk4k1*spbk6k1*spbk6&
      &k2+t19/t14*t4*spak3k4*spbk4k1*spbk6k2*spbk6k4+t22/t14*t4*spak1k3*spbk4k1*&
      &spbk6k1*spbk6k2+t22/t14*t4*spak3k4*spbk4k1*spbk6k2*spbk6k4+t23/t14*t4*spa&
      &k3k4*spbk4k1*spbk6k2*spbk6k4-(t20/t14*t4*spak3k4*spbk4k1*spbk6k2*spbk6k4+&
      &t18/t14*t4*spak3k4*spbk4k1*spbk6k2*spbk6k4+t18/t14*t4*spak1k3*spbk4k1*spb&
      &k6k1*spbk6k2+t21/t14*t4*spbk4k1*spbk6k1*spbk6k2)))
      t18 = (4.0_ki)*(t15+t17)
      abb49n3 = t18
      abb49n4 = ((4.0_ki)*(-(t17+t15)))
      t19 = t11*spak3k5
      t22 = (3.0_ki)*t19*t4/t5*spbk4k1*spbk6k2
      t27 = t11*spak2k3
      t28 = t25/t14*t27*spbk4k1
      abb49n5 = ((4.0_ki)*(t22-t28))
      abb49n6 = ((4.0_ki)*(t28-t22))
      t22 = t11*spak2k4
      abb49n7 = ((2.0_ki)*(-(t25/t14*t27*spbk3k1+t22/t14*t25*spbk4k1))+(6.0_ki)*&
      &(t19*t4/t5*spbk3k1*spbk6k2+t11*t4/t5*spak4k5*spbk4k1*spbk6k2))
      t28 = t11*spak1k2
      abb49n8 = ((2.0_ki)*(-(t25/t14*t28*spbk4k1+t25/t14*t27*spbk4k3))+(6.0_ki)*&
      &(t19*t4/t5*spbk4k3*spbk6k2-t11*t4/t5*spak1k5*spbk4k1*spbk6k2))
      abb49n9 = ((4.0_ki)*(t12/t14*spbk6k2+t2/t6*spak2k5*spbk4k1*spbk6k2))
      t2 = t1*spak2k3*spak2k5
      t5 = t2/t6*spbk4k1*spbk6k2
      t11 = t27*spak2k5
      t12 = t11/t14*spbk4k1*spbk6k2
      abb49n10 = ((16.0_ki)*(t12+t5))
      abb49n11 = ((16.0_ki)*(-(t5+t12)))
      abb49n12 = ((8.0_ki)*(-(t1/t6*spak2k4*spak2k5*spbk4k1*spbk6k2+t22/t14*spak&
      &2k5*spbk4k1*spbk6k2+t2/t6*spbk3k1*spbk6k2+t11/t14*spbk3k1*spbk6k2)))
      t5 = es12*t10*i_
      abb49n13 = ((4.0_ki)*(-(t4/t6*t8*spbk5k4*spbk6k2+t3*t4/t6*spbk5k1*spbk6k2+&
      &t16/t14*t4*spbk5k4*spbk6k2+t13/t14*t4*spbk5k1*spbk6k2))+(2.0_ki)*(t24/t14&
      &*spak2k5*spbk4k1*spbk6k1+t23/t14*spak2k5*spak3k4*spbk4k1*spbk6k4+t5/t14*s&
      &pak1k3*spak2k5*spbk4k1*spbk6k1+t5/t14*spak2k5*spak3k4*spbk4k1*spbk6k4-(t2&
      &0/t14*spak2k5*spak3k4*spbk4k1*spbk6k4+t21/t14*spak2k5*spbk4k1*spbk6k1)))
      t3 = t7+t9
      abb49n14 = (t18+(8.0_ki)*t3)
      abb49n15 = ((4.0_ki)*(t3-(t17+t15)))
      abb49n16 = ((4.0_ki)*(t26/t14*spbk6k2+t1/t6*spak2k5*spak3k4*spbk4k1*spbk6k&
      &2))
      abb49n17 = ((8.0_ki)*(-(t1/t6*spak1k2*spak2k5*spbk4k1*spbk6k2+t28/t14*spak&
      &2k5*spbk4k1*spbk6k2+t2/t6*spbk4k3*spbk6k2+t11/t14*spbk4k3*spbk6k2)))
      rat2d49 = abb49n1
      rat2 = rat2 + rat2d49
      abb49n19 = abb49n2
      abb49n20 = abb49n17
      abb49n21 = abb49n16
      abb49n22 = abb49n15
      abb49n23 = abb49n12
      abb49n24 = abb49n11
      abb49n25 = abb49n10
      abb49n26 = abb49n9
      abb49n27 = -(abb49n3)
      abb49n28 = -(abb49n4)
      abb49n29 = -(abb49n5)
      abb49n30 = -(abb49n6)
      abb49n31 = -(abb49n7)
      abb49n32 = -(abb49n8)
      abb49n33 = -(abb49n13)
      abb49n34 = -(abb49n14)
   end subroutine
end module p26_udbar_neepgg_abbrevd49h1
