module     p26_udbar_neepgg_abbrevd79h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb79n1
   complex(ki), public :: abb79n2
   complex(ki), public :: abb79n3
   complex(ki), public :: abb79n4
   complex(ki), public :: abb79n5
   complex(ki), public :: abb79n6
   complex(ki), public :: abb79n7
   complex(ki), public :: abb79n8
   complex(ki), public :: abb79n9
   complex(ki), public :: rat2d79
   complex(ki), public :: abb79n11
   complex(ki), public :: abb79n12
   complex(ki), public :: abb79n13
   complex(ki), public :: abb79n14
   complex(ki), public :: abb79n15
   complex(ki), public :: abb79n16
   complex(ki), public :: abb79n17
   complex(ki), public :: abb79n18
   complex(ki), public :: abb79n19
   complex(ki), public :: abb79n20
   complex(ki), public :: abb79n21
   complex(ki), public :: abb79n22
   complex(ki), public :: abb79n23
   complex(ki), public :: abb79n24
   complex(ki), public :: abb79n25
   complex(ki), public :: abb79n26
   complex(ki), public :: abb79n27
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   real(ki) :: t43
   real(ki) :: t44
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t43 = es34+es56-(es234+es12)
      t2 = TR*c2
      t3 = t2*i_
      t4 = t3*spak1k3
      t5 = t4*spak2k5
      t6 = spak2k5*spak2k5
      t7 = (es345-(es61+es12))*t1
      t8 = NC*t7*spak5k6
      t43 = t43*t43
      t9 = t43*t8
      t10 = t3*spak2k5*spak3k4*spbk4k1
      t44 = NC*TR
      t11 = t44*c2
      t12 = t11*i_
      t13 = t12*spak1k3
      t14 = t13*spak2k5
      t7 = t7*spak5k6
      t15 = t43*t7
      t16 = t12*spak2k5*spak3k4*spbk4k1
      t17 = TR*c1
      t18 = t17*i_
      t19 = t18*spak1k3
      t20 = t19*spak2k5
      t1 = (es34+es61-(es345+es234))*t1
      t21 = NC*t1*spak5k6
      t22 = t43*t21
      t23 = t18*spak2k5*spak3k4*spbk4k1
      t24 = t44*c1
      t25 = t24*i_
      t26 = t25*spak1k3
      t27 = t26*spak2k5
      t1 = t1*spak5k6
      t28 = t43*t1
      t29 = t25*spak2k5*spak3k4*spbk4k1
      t30 = spak2k5*spbk6k2
      t30 = t30*t30
      t8 = t43*t8*spbk6k5
      t7 = t43*t7*spbk6k5
      t21 = t43*t21*spbk6k5
      t1 = t43*t1*spbk6k5
      t31 = es12*t2*i_
      t32 = es345*t2*i_
      t33 = es56*t2*i_
      t2 = es61*t2*i_
      t34 = es12*t11*i_
      t35 = es345*t11*i_
      t36 = es56*t11*i_
      t11 = es61*t11*i_
      t37 = es12*t17*i_
      t38 = es345*t17*i_
      t39 = es56*t17*i_
      t17 = es61*t17*i_
      t40 = es12*t24*i_
      t41 = es345*t24*i_
      t42 = es56*t24*i_
      t24 = es61*t24*i_
      abb79n1 = ((4.0_ki)*(t10*t30/t8*spbk5k4+t23/t21*t30*spbk5k4+t10*t6/t9*spbk&
      &4k2*spbk6k2+t20/t21*t30*spbk4k1*spbk5k1+t23/t22*t6*spbk4k2*spbk6k2+t30*t5&
      &/t8*spbk4k1*spbk5k1+t14/t15*t6*spbk2k1*spbk4k1*spbk6k2+t27/t28*t6*spbk2k1&
      &*spbk4k1*spbk6k2+t41/t1*t6*spak1k3*spbk4k1*spbk6k1*spbk6k2+t41/t1*t6*spak&
      &3k4*spbk4k1*spbk6k2*spbk6k4+t42/t1*t6*spak1k3*spbk4k1*spbk6k1*spbk6k2+t42&
      &/t1*t6*spak3k4*spbk4k1*spbk6k2*spbk6k4+t17/t21*t6*spak1k3*spbk4k1*spbk6k1&
      &*spbk6k2+t17/t21*t6*spak3k4*spbk4k1*spbk6k2*spbk6k4+t2*t6/t8*spak1k3*spbk&
      &4k1*spbk6k1*spbk6k2+t2*t6/t8*spak3k4*spbk4k1*spbk6k2*spbk6k4+t37/t21*t6*s&
      &pak1k3*spbk4k1*spbk6k1*spbk6k2+t37/t21*t6*spak3k4*spbk4k1*spbk6k2*spbk6k4&
      &+t31*t6/t8*spak1k3*spbk4k1*spbk6k1*spbk6k2+t31*t6/t8*spak3k4*spbk4k1*spbk&
      &6k2*spbk6k4+t35*t6/t7*spak1k3*spbk4k1*spbk6k1*spbk6k2+t35*t6/t7*spak3k4*s&
      &pbk4k1*spbk6k2*spbk6k4+t36*t6/t7*spak1k3*spbk4k1*spbk6k1*spbk6k2+t36*t6/t&
      &7*spak3k4*spbk4k1*spbk6k2*spbk6k4-(t34*t6/t7*spak3k4*spbk4k1*spbk6k2*spbk&
      &6k4+t34*t6/t7*spak1k3*spbk4k1*spbk6k1*spbk6k2+t33*t6/t8*spak3k4*spbk4k1*s&
      &pbk6k2*spbk6k4+t33*t6/t8*spak1k3*spbk4k1*spbk6k1*spbk6k2+t32*t6/t8*spak3k&
      &4*spbk4k1*spbk6k2*spbk6k4+t32*t6/t8*spak1k3*spbk4k1*spbk6k1*spbk6k2+t39/t&
      &21*t6*spak3k4*spbk4k1*spbk6k2*spbk6k4+t39/t21*t6*spak1k3*spbk4k1*spbk6k1*&
      &spbk6k2+t38/t21*t6*spak3k4*spbk4k1*spbk6k2*spbk6k4+t38/t21*t6*spak1k3*spb&
      &k4k1*spbk6k1*spbk6k2+t11*t6/t7*spak3k4*spbk4k1*spbk6k2*spbk6k4+t11*t6/t7*&
      &spak1k3*spbk4k1*spbk6k1*spbk6k2+t40/t1*t6*spak3k4*spbk4k1*spbk6k2*spbk6k4&
      &+t40/t1*t6*spak1k3*spbk4k1*spbk6k1*spbk6k2+t24/t1*t6*spak3k4*spbk4k1*spbk&
      &6k2*spbk6k4+t24/t1*t6*spak1k3*spbk4k1*spbk6k1*spbk6k2+t5*t6/t9*spbk2k1*sp&
      &bk4k1*spbk6k2+t20/t22*t6*spbk2k1*spbk4k1*spbk6k2+t29/t28*t6*spbk4k2*spbk6&
      &k2+t16/t15*t6*spbk4k2*spbk6k2+t14*t30/t7*spbk4k1*spbk5k1+t27/t1*t30*spbk4&
      &k1*spbk5k1+t16*t30/t7*spbk5k4+t29/t1*t30*spbk5k4)))
      t2 = t4*spbk4k1
      t4 = t13*spbk4k1
      t5 = t19*spbk4k1
      t10 = t26*spbk4k1
      abb79n2 = ((4.0_ki)*(t10/t1*t30+t30*t4/t7-(t30/t21*t5+t2*t30/t8)))
      abb79n3 = ((4.0_ki)*(t2*t6/t9*spbk6k2+t5/t22*t6*spbk6k2-(t4/t15*t6*spbk6k2&
      &+t10/t28*t6*spbk6k2)))
      t2 = t3*spak3k4*spbk4k1
      t4 = t12*spak3k4*spbk4k1
      t5 = t18*spak3k4*spbk4k1
      t10 = t25*spak3k4*spbk4k1
      abb79n4 = ((4.0_ki)*(t10/t1*t30+t30*t4/t7-(t30/t21*t5+t2*t30/t8)))
      abb79n5 = ((4.0_ki)*(t2*t6/t9*spbk6k2+t5/t22*t6*spbk6k2-(t4/t15*t6*spbk6k2&
      &+t10/t28*t6*spbk6k2)))
      t2 = t3*spak3k5
      t4 = t2*t6/t9*spbk4k1*spbk6k2
      t5 = t12*spak3k5
      t10 = t5/t15*t6*spbk4k1*spbk6k2
      t11 = t18*spak3k5
      t13 = t11/t22*t6*spbk4k1*spbk6k2
      t14 = t25*spak3k5
      t16 = t14/t28*t6*spbk4k1*spbk6k2
      t17 = t3*spak2k3
      t19 = t17*t30/t8*spbk4k1
      t20 = t12*spak2k3
      t23 = t20*t30/t7*spbk4k1
      t24 = t18*spak2k3
      t26 = t24/t21*t30*spbk4k1
      t27 = t25*spak2k3
      t29 = t27/t1*t30*spbk4k1
      abb79n6 = ((16.0_ki)*(t13+t19+t26+t4-(t29+t23+t16+t10)))
      abb79n7 = ((16.0_ki)*(t10+t16+t23+t29-(t4+t26+t19+t13)))
      abb79n8 = ((8.0_ki)*(t17*t30/t8*spbk3k1+t24/t21*t30*spbk3k1+t11/t22*t6*spb&
      &k3k1*spbk6k2+t18/t21*t30*spak2k4*spbk4k1+t2*t6/t9*spbk3k1*spbk6k2+t3*t30/&
      &t8*spak2k4*spbk4k1+t18/t22*t6*spak4k5*spbk4k1*spbk6k2+t3*t6/t9*spak4k5*sp&
      &bk4k1*spbk6k2-(t25/t28*t6*spak4k5*spbk4k1*spbk6k2+t12/t15*t6*spak4k5*spbk&
      &4k1*spbk6k2+t5/t15*t6*spbk3k1*spbk6k2+t14/t28*t6*spbk3k1*spbk6k2+t12*t30/&
      &t7*spak2k4*spbk4k1+t25/t1*t30*spak2k4*spbk4k1+t20*t30/t7*spbk3k1+t27/t1*t&
      &30*spbk3k1)))
      abb79n9 = ((8.0_ki)*(t17*t30/t8*spbk4k3+t24/t21*t30*spbk4k3+t11/t22*t6*spb&
      &k4k3*spbk6k2+t18/t21*t30*spak1k2*spbk4k1+t2*t6/t9*spbk4k3*spbk6k2+t3*t30/&
      &t8*spak1k2*spbk4k1+t12/t15*t6*spak1k5*spbk4k1*spbk6k2+t25/t28*t6*spak1k5*&
      &spbk4k1*spbk6k2-(t3*t6/t9*spak1k5*spbk4k1*spbk6k2+t18/t22*t6*spak1k5*spbk&
      &4k1*spbk6k2+t5/t15*t6*spbk4k3*spbk6k2+t14/t28*t6*spbk4k3*spbk6k2+t12*t30/&
      &t7*spak1k2*spbk4k1+t25/t1*t30*spak1k2*spbk4k1+t20*t30/t7*spbk4k3+t27/t1*t&
      &30*spbk4k3)))
      rat2d79 = 0
      rat2 = rat2 + rat2d79
      abb79n11 = abb79n1
      abb79n12 = abb79n9
      abb79n13 = abb79n8
      abb79n14 = abb79n7
      abb79n15 = abb79n6
      abb79n16 = abb79n5
      abb79n17 = abb79n4
      abb79n18 = abb79n3
      abb79n19 = abb79n2
      abb79n20 = -(abb79n2)
      abb79n21 = -(abb79n3)
      abb79n22 = -(abb79n4)
      abb79n23 = -(abb79n5)
      abb79n24 = -(abb79n6)
      abb79n25 = -(abb79n7)
      abb79n26 = -(abb79n8)
      abb79n27 = -(abb79n9)
   end subroutine
end module p26_udbar_neepgg_abbrevd79h1
