module     p26_udbar_neepgg_abbrevd91h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb91n1
   complex(ki), public :: abb91n2
   complex(ki), public :: abb91n3
   complex(ki), public :: abb91n4
   complex(ki), public :: abb91n5
   complex(ki), public :: abb91n6
   complex(ki), public :: abb91n7
   complex(ki), public :: abb91n8
   complex(ki), public :: abb91n9
   complex(ki), public :: abb91n10
   complex(ki), public :: abb91n11
   complex(ki), public :: abb91n12
   complex(ki), public :: abb91n13
   complex(ki), public :: abb91n14
   complex(ki), public :: abb91n15
   complex(ki), public :: abb91n16
   complex(ki), public :: abb91n17
   complex(ki), public :: abb91n18
   complex(ki), public :: abb91n19
   complex(ki), public :: abb91n20
   complex(ki), public :: abb91n21
   complex(ki), public :: abb91n22
   complex(ki), public :: abb91n23
   complex(ki), public :: rat2d91
   complex(ki), public :: abb91n25
   complex(ki), public :: abb91n26
   complex(ki), public :: abb91n27
   complex(ki), public :: abb91n28
   complex(ki), public :: abb91n29
   complex(ki), public :: abb91n30
   complex(ki), public :: abb91n31
   complex(ki), public :: abb91n32
   complex(ki), public :: abb91n33
   complex(ki), public :: abb91n34
   complex(ki), public :: abb91n35
   complex(ki), public :: abb91n36
   complex(ki), public :: abb91n37
   complex(ki), public :: abb91n38
   complex(ki), public :: abb91n39
   complex(ki), public :: abb91n40
   complex(ki), public :: abb91n41
   complex(ki), public :: abb91n42
   complex(ki), public :: abb91n43
   complex(ki), public :: abb91n44
   complex(ki), public :: abb91n45
   complex(ki), public :: abb91n46
   complex(ki), public :: abb91n47
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c3*i_
      t3 = t2*spak1k2
      t4 = t3*spak3k5*spbk4k1
      t5 = t1*spak5k6*spbk6k5
      t6 = TR*c2*i_
      t7 = t6*spak1k2
      t8 = t7*spak3k5*spbk4k1
      t9 = NC*t1
      t10 = t9*spak5k6*spbk6k5
      abb91n1 = ((4.0_ki)*(t8/t10*spbk5k1+t7/t10*spak3k6*spbk4k1*spbk6k1-(t3/t5*&
      &spak3k6*spbk4k1*spbk6k1+t4/t5*spbk5k1)))
      t4 = t4/t5*spbk6k1
      t8 = t8/t10*spbk6k1
      abb91n2 = ((8.0_ki)*(t4-t8))
      t11 = spbk6k1*spbk6k1
      t1 = t1*spbk6k5
      t9 = t9*spbk6k5
      abb91n3 = ((4.0_ki)*(t11/t1*t3-t11*t7/t9))
      abb91n4 = ((4.0_ki)*(t7/t9*spbk6k1*spbk6k4-t3/t1*spbk6k1*spbk6k4))
      t11 = t2*spak2k3
      t12 = t11*spbk2k1
      t13 = t6*spak2k3
      t14 = t13*spbk2k1
      abb91n5 = ((4.0_ki)*(t14/t9*spbk6k4-t12/t1*spbk6k4))
      abb91n6 = ((4.0_ki)*(t12/t5-t14/t10))
      t12 = t11/t5*spbk4k1
      t14 = t13/t10*spbk4k1
      abb91n7 = ((8.0_ki)*(t14-t12))
      abb91n8 = ((4.0_ki)*(t12-t14))
      t12 = t2/t5*spak3k5*spbk4k1
      t14 = t6/t10*spak3k5*spbk4k1
      abb91n9 = ((8.0_ki)*(t14-t12))
      abb91n10 = ((4.0_ki)*(t12-t14))
      abb91n11 = ((4.0_ki)*(t2/t5*spak3k6*spbk4k1-t6/t10*spak3k6*spbk4k1))
      t12 = t11/t1*spbk6k1*spbk6k4
      t14 = t13/t9*spbk6k1*spbk6k4
      abb91n12 = ((4.0_ki)*(t14+t8-(t4+t12)))
      abb91n13 = ((8.0_ki)*(t12-t14))
      abb91n14 = ((4.0_ki)*(t6/t9*spbk6k1-t2/t1*spbk6k1))
      abb91n15 = ((4.0_ki)*(t11/t5*spbk4k2-t13/t10*spbk4k2))
      abb91n16 = ((4.0_ki)*(t13/t9*spbk6k2*spbk6k4-t11/t1*spbk6k2*spbk6k4))
      abb91n17 = ((4.0_ki)*(t13/t10*spbk5k4-t11/t5*spbk5k4))
      t1 = t11/t5*spbk6k4
      t4 = t13/t10*spbk6k4
      abb91n18 = ((4.0_ki)*(t4-t1))
      abb91n19 = ((8.0_ki)*(t1-t4))
      t1 = t2*spak2k5
      t4 = t1/t5*spbk6k4
      t8 = t6*spak2k5
      t9 = t8/t10*spbk6k4
      abb91n20 = ((8.0_ki)*(t9-t4))
      abb91n21 = ((4.0_ki)*(t4-t9))
      abb91n22 = ((4.0_ki)*(t1/t5*spbk5k4+t3/t5*spbk4k1+t2/t5*spak2k6*spbk6k4-(t&
      &6/t10*spak2k6*spbk6k4+t8/t10*spbk5k4+t7/t10*spbk4k1)))
      abb91n23 = ((4.0_ki)*(t6/t10-t2/t5))
      rat2d91 = 0
      rat2 = rat2 + rat2d91
      abb91n25 = abb91n1
      abb91n26 = abb91n23
      abb91n27 = abb91n22
      abb91n28 = abb91n21
      abb91n29 = abb91n20
      abb91n30 = abb91n19
      abb91n31 = abb91n18
      abb91n32 = abb91n17
      abb91n33 = abb91n16
      abb91n34 = abb91n15
      abb91n35 = abb91n14
      abb91n36 = abb91n13
      abb91n37 = abb91n12
      abb91n38 = abb91n11
      abb91n39 = abb91n10
      abb91n40 = abb91n9
      abb91n41 = abb91n8
      abb91n42 = abb91n7
      abb91n43 = abb91n6
      abb91n44 = abb91n5
      abb91n45 = abb91n4
      abb91n46 = abb91n3
      abb91n47 = abb91n2
   end subroutine
end module p26_udbar_neepgg_abbrevd91h1
