module     p26_udbar_neepgg_d18h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity1/d18h1l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d18
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd18h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      real(ki) :: t41
      real(ki) :: t42
      real(ki) :: t43
      real(ki) :: t44
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t41 = dotproduct(qshift, qshift)
      t1 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t2 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t42 = dotproduct(k5, qshift)
      t43 = dotproduct(k6, qshift)
      t44 = dotproduct(k2, qshift)
      t3 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t4 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t5 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t6 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t7 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t8 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t9 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb18n38+t1*abb18n77+t1*t1*abb18n59+t2*abb18n74+t3*abb18n8&
         &3+t4*abb18n93+t41*abb18n57+t42*abb18n76+t43*abb18n76+t44*abb18n82+t5*a&
         &bb18n98+t6*abb18n99+t1*t2*abb18n72+t1*t3*abb18n68+t1*t4*abb18n49+t1*t4&
         &1*abb18n79+t1*t43*abb18n60+t1*t44*abb18n61+t1*t5*abb18n51+t1*t6*abb18n&
         &43+t1*t7*abb18n41+t1*t8*abb18n62+t1*t9*abb18n64+t2*t3*abb18n55+t2*t44*&
         &abb18n56+t2*t5*abb18n50+t2*t6*abb18n45+t2*t8*abb18n54+t4*t41*abb18n105&
         &+t4*t42*abb18n48+t4*t43*abb18n48+t4*t44*abb18n46+t41*t6*abb18n113+t41*&
         &t8*abb18n86+t42*t6*abb18n40+t42*t8*abb18n65+t43*t6*abb18n40+t43*t8*abb&
         &18n65+t44*t6*abb18n42+t44*t8*abb18n63+t1*t2*t5*abb18n109+t1*t2*t6*abb1&
         &8n116)
         return
      end if
      t10 = k2(iv1)
      t11 = k5(iv1)
      t12 = k6(iv1)
      t13 = qshift(iv1)
      t14 = spvak2k1(iv1)
      t15 = spvak3k1(iv1)
      t16 = spvak3k4(iv1)
      t17 = spvak5k1(iv1)
      t18 = spvak5k2(iv1)
      t19 = spvak5k6(iv1)
      t20 = spvak2k5(iv1)
      t21 = spvak2k6(iv1)
      t22 = t21*abb18n84
      t23 = t15*abb18n103
      t24 = t17*abb18n115
      t25 = spvak6k1(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb18n67+t11*abb18n71+t12*abb18n71+t13*abb18n94+t14*ab&
         &b18n53+t15*abb18n58+t16*abb18n73+t17*abb18n52+t18*abb18n66+t19*abb18n7&
         &0+t22*t42+t22*t43+t23*t42+t23*t43+t24*t42+t24*t43+t1*t10*abb18n90+t1*t&
         &12*abb18n91+t1*t13*abb18n78+t1*t14*abb18n100+t1*t15*abb18n102+t1*t16*a&
         &bb18n75+t1*t17*abb18n110+t1*t18*abb18n81+t1*t19*abb18n92+t1*t20*abb18n&
         &86+t1*t21*abb18n89+t1*t25*abb18n113+t10*t2*abb18n95+t10*t4*abb18n107+t&
         &10*t6*abb18n111+t10*t8*abb18n88+t11*t4*abb18n103+t11*t6*abb18n115+t11*&
         &t8*abb18n84+t12*t4*abb18n103+t12*t6*abb18n115+t12*t8*abb18n84+t13*t4*a&
         &bb18n104+t13*t6*abb18n112+t13*t8*abb18n85+t14*t2*abb18n101+t15*t41*abb&
         &18n47+t15*t44*abb18n107+t16*t3*abb18n96+t16*t44*abb18n95+t16*t5*abb18n&
         &101+t16*t6*abb18n108+t16*t8*abb18n97+t17*t2*abb18n108+t17*t41*abb18n41&
         &+t17*t44*abb18n111+t18*t2*abb18n96+t19*t2*abb18n75+t19*t3*abb18n81+t19&
         &*t4*abb18n102+t19*t41*abb18n69+t19*t43*abb18n91+t19*t44*abb18n90+t19*t&
         &5*abb18n100+t19*t6*abb18n110+t19*t7*abb18n113+t19*t8*abb18n89+t19*t9*a&
         &bb18n86+t2*t21*abb18n97+t21*t41*abb18n64+t21*t44*abb18n88+t1*t14*t2*ab&
         &b18n44+t1*t16*t5*abb18n44+t1*t16*t6*abb18n39+t1*t17*t2*abb18n39+t19*t2&
         &*t5*abb18n44+t19*t2*t6*abb18n39)
         return
      end if
      t41 = d(iv1,iv2)
      t3 = spvak5k6(iv2)
      t7 = spvak2k6(iv2)
      t9 = spvak3k1(iv2)
      t22 = spvak3k4(iv2)
      t23 = spvak5k1(iv2)
      t24 = k2(iv2)
      t26 = k5(iv2)
      t27 = k6(iv2)
      t28 = qshift(iv2)
      t29 = t14*t22
      t30 = t14*t3
      t31 = spvak2k1(iv2)
      t32 = t16*t31
      t33 = t19*t31
      t34 = t16*t23
      t35 = spvak5k2(iv2)
      t36 = t16*t3
      t37 = t17*t22
      t38 = t19*t22
      t39 = t17*t3
      t40 = t19*t23
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t41*abb18n57+t1*t41*abb18n79+t19*t3*abb18n59+t4*&
         &t41*abb18n105+t41*t6*abb18n113+t41*t8*abb18n86)+t29*abb18n50+t30*abb18&
         &n51+t32*abb18n50+t33*abb18n51+t34*abb18n45+t36*abb18n72+t37*abb18n45+t&
         &38*abb18n72+t39*abb18n43+t40*abb18n43+spvak2k5(iv2)*t19*abb18n64+spvak&
         &6k1(iv2)*t19*abb18n41+t1*t29*abb18n109+t1*t32*abb18n109+t1*t34*abb18n1&
         &16+t1*t37*abb18n116+t10*t22*abb18n56+t10*t23*abb18n42+t10*t3*abb18n61+&
         &t10*t7*abb18n63+t10*t9*abb18n46+t11*t23*abb18n40+t11*t7*abb18n65+t11*t&
         &9*abb18n48+t12*t23*abb18n40+t12*t3*abb18n60+t12*t7*abb18n65+t12*t9*abb&
         &18n48+t13*t23*abb18n114+t13*t3*abb18n80+t13*t7*abb18n87+t13*t9*abb18n1&
         &06+t15*t24*abb18n46+t15*t26*abb18n48+t15*t27*abb18n48+t15*t28*abb18n10&
         &6+t15*t3*abb18n49+t16*t24*abb18n56+t16*t35*abb18n55+t16*t7*abb18n54+t1&
         &7*t24*abb18n42+t17*t26*abb18n40+t17*t27*abb18n40+t17*t28*abb18n114+t18&
         &*t22*abb18n55+t18*t3*abb18n68+t19*t24*abb18n61+t19*t27*abb18n60+t19*t2&
         &8*abb18n80+t19*t35*abb18n68+t19*t7*abb18n62+t19*t9*abb18n49+t2*t30*abb&
         &18n109+t2*t33*abb18n109+t2*t39*abb18n116+t2*t40*abb18n116+t20*t3*abb18&
         &n64+t21*t22*abb18n54+t21*t24*abb18n63+t21*t26*abb18n65+t21*t27*abb18n6&
         &5+t21*t28*abb18n87+t21*t3*abb18n62+t25*t3*abb18n41+t36*t5*abb18n109+t3&
         &6*t6*abb18n116+t38*t5*abb18n109+t38*t6*abb18n116)
         return
      end if
      t42 = d(iv2,iv3)
      t43 = d(iv1,iv3)
      t1 = spvak5k1(iv3)
      t2 = spvak5k6(iv3)
      t4 = spvak3k4(iv3)
      t5 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k6(iv3)*t41*abb18n64+spvak3k1(iv3)*t41*abb&
         &18n47+t1*t41*abb18n41+t15*t42*abb18n47+t17*t42*abb18n41+t19*t42*abb18n&
         &69+t2*t41*abb18n69+t21*t42*abb18n64+t23*t43*abb18n41+t3*t43*abb18n69+t&
         &43*t7*abb18n64+t43*t9*abb18n47)+t2*t29*abb18n44+t2*t32*abb18n44+t2*t34&
         &*abb18n39+t2*t37*abb18n39+t1*t16*t3*abb18n39+t1*t19*t22*abb18n39+t14*t&
         &3*t4*abb18n44+t16*t3*t5*abb18n44+t17*t3*t4*abb18n39+t19*t22*t5*abb18n4&
         &4+t19*t23*t4*abb18n39+t19*t31*t4*abb18n44)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d18:
   subroutine     reconstruct_d18(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group4
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group4), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_18:
      coeffs%coeffs_18%c0 = derivative(czip)
      coeffs%coeffs_18%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_18%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_18%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_18%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_18%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_18%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_18%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_18%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_18%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_18%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_18%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_18%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_18%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_18%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_18%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_18%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_18%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_18%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_18%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_18%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_18%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_18%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_18%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_18%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_18%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_18%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_18%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_18%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_18%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_18%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_18%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_18%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_18%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_18%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_18:
   end subroutine reconstruct_d18
!---#] subroutine reconstruct_d18:
end module p26_udbar_neepgg_d18h1l1d
