module     p26_udbar_neepgg_abbrevd23h3
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh3
   implicit none
   private
   complex(ki), public :: abb23n1
   complex(ki), public :: abb23n2
   complex(ki), public :: abb23n3
   complex(ki), public :: abb23n4
   complex(ki), public :: abb23n5
   complex(ki), public :: abb23n6
   complex(ki), public :: abb23n7
   complex(ki), public :: abb23n8
   complex(ki), public :: abb23n9
   complex(ki), public :: abb23n10
   complex(ki), public :: abb23n11
   complex(ki), public :: abb23n12
   complex(ki), public :: abb23n13
   complex(ki), public :: abb23n14
   complex(ki), public :: abb23n15
   complex(ki), public :: abb23n16
   complex(ki), public :: abb23n17
   complex(ki), public :: abb23n18
   complex(ki), public :: abb23n19
   complex(ki), public :: abb23n20
   complex(ki), public :: abb23n21
   complex(ki), public :: abb23n22
   complex(ki), public :: abb23n23
   complex(ki), public :: abb23n24
   complex(ki), public :: abb23n25
   complex(ki), public :: abb23n26
   complex(ki), public :: rat2d23
   complex(ki), public :: abb23n28
   complex(ki), public :: abb23n29
   complex(ki), public :: abb23n30
   complex(ki), public :: abb23n31
   complex(ki), public :: abb23n32
   complex(ki), public :: abb23n33
   complex(ki), public :: abb23n34
   complex(ki), public :: abb23n35
   complex(ki), public :: abb23n36
   complex(ki), public :: abb23n37
   complex(ki), public :: abb23n38
   complex(ki), public :: abb23n39
   complex(ki), public :: abb23n40
   complex(ki), public :: abb23n41
   complex(ki), public :: abb23n42
   complex(ki), public :: abb23n43
   complex(ki), public :: abb23n44
   complex(ki), public :: abb23n45
   complex(ki), public :: abb23n46
   complex(ki), public :: abb23n47
   complex(ki), public :: abb23n48
   complex(ki), public :: abb23n49
   complex(ki), public :: abb23n50
   complex(ki), public :: abb23n51
   complex(ki), public :: abb23n52
   complex(ki), public :: abb23n53
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = TR*c1
      t2 = t1*i_
      t3 = t2*spak1k2
      t4 = spbk5k1*spbk5k1
      t5 = NC*(es34+wW*mW*i_-mW*mW)
      t6 = es61*t5
      t7 = spbk6k5*spbk6k5
      t8 = t6*t7
      t9 = t2*spak1k6
      abb23n1 = ((4.0_ki)*(t4/t8*t9*spak2k6*spak3k5*spbk6k4-t3*t4/t8*spak1k6*spa&
      &k3k5*spbk4k1))
      t4 = t5*t7
      t5 = t3/t4*spak3k5*spbk4k1*spbk5k1
      t7 = t2*spak2k6
      t10 = t7/t4*spak3k5*spbk5k1*spbk6k4
      abb23n2 = ((8.0_ki)*(t10-t5))
      abb23n3 = ((4.0_ki)*(t5-t10))
      t5 = t7*spbk5k1
      abb23n4 = ((4.0_ki)/t4*t5)
      t10 = t9*spak2k3
      abb23n5 = ((4.0_ki)*(t10/t8*spbk2k1*spbk5k1-t2/t4*spak3k6*spbk5k1))
      t11 = t10*spbk4k1
      t12 = t11/t8*spbk5k1
      abb23n6 = ((4.0_ki)*t12)
      abb23n7 = (-8.0_ki)*t12
      t12 = t9/t8*spak3k5*spbk4k1*spbk5k1
      abb23n8 = ((4.0_ki)*t12)
      abb23n9 = (-8.0_ki)*t12
      abb23n10 = ((4.0_ki)/t8*t9*spbk5k1)
      t9 = t2*spak2k3
      t12 = t9*spak5k6
      t13 = t12*spbk5k1
      t14 = t13/t8*spbk6k4
      t15 = t2*spak2k5*spak3k6
      t16 = t15*spbk5k1
      t17 = t16/t8*spbk6k4
      t18 = t17-t14
      abb23n11 = ((16.0_ki)*t18)
      abb23n12 = ((8.0_ki)*t18)
      t14 = t14-t17
      abb23n13 = ((8.0_ki)*t14)
      abb23n14 = ((16.0_ki)*t14)
      t14 = t3*spak3k6*spbk4k1
      t17 = t14/t8*spbk5k1
      t18 = t9*spak2k6*spbk4k2
      t19 = t18/t8*spbk5k1
      t13 = t13/t8*spbk5k4
      t16 = t16/t8*spbk5k4
      t20 = t7*spak3k6
      t21 = t20/t8*spbk5k1*spbk6k4
      abb23n15 = ((8.0_ki)*(t13+t21-(t19+t17+t16)))
      abb23n16 = ((8.0_ki)*(t16+t17+t19-(t21+t13)))
      t5 = (16.0_ki)*t5/t8
      abb23n17 = t5
      abb23n18 = -(t5)
      t5 = t12/t8*spbk6k1*spbk6k4
      t13 = t15/t8*spbk6k1*spbk6k4
      abb23n19 = ((4.0_ki)*(t13-t5))
      abb23n20 = ((8.0_ki)*(t5-t13))
      t5 = t15*spbk5k4
      abb23n21 = ((4.0_ki)*(t14/t8*spbk6k1+t18/t8*spbk6k1+t5/t8*spbk6k1-(t20/t8*&
      &spbk6k1*spbk6k4+t12/t8*spbk5k4*spbk6k1+t9/t4*spbk4k1)))
      abb23n22 = (-8.0_ki)*t7/t8*spbk6k1
      t12 = t9/t4*spbk6k4
      t1 = es234*t1*i_*spak2k3
      t13 = t1/t8*spbk6k4
      t6 = t6*spbk6k5
      t15 = t15/t6*spbk6k4
      t2 = t2*spak1k3
      t16 = t2*spak2k5*spbk5k1
      t17 = t16/t8*spbk6k4
      abb23n23 = ((8.0_ki)*(t12+t15-(t17+t13)))
      abb23n24 = ((4.0_ki)*(t13+t17-(t15+t12)))
      abb23n25 = ((4.0_ki)*(t1/t8*spbk5k4+t16/t8*spbk5k4+t20/t6*spbk6k4+t10/t8*s&
      &pbk5k1*spbk6k4+t3/t8*spak1k3*spbk4k1*spbk5k1+t3/t8*spak2k3*spbk4k2*spbk5k&
      &1-(t2/t8*spak2k6*spbk5k1*spbk6k4+t9/t4*spbk5k4+t5/t6+t18/t6+t14/t6+t11/t6&
      &)))
      abb23n26 = ((8.0_ki)*(t7/t6-t3/t8*spbk5k1))
      rat2d23 = 0
      rat2 = rat2 + rat2d23
      abb23n28 = abb23n1
      abb23n29 = abb23n26
      abb23n30 = abb23n25
      abb23n31 = abb23n24
      abb23n32 = abb23n23
      abb23n33 = abb23n22
      abb23n34 = abb23n21
      abb23n35 = abb23n20
      abb23n36 = abb23n19
      abb23n37 = abb23n18
      abb23n38 = abb23n17
      abb23n39 = abb23n16
      abb23n40 = abb23n15
      abb23n41 = abb23n14
      abb23n42 = abb23n13
      abb23n43 = abb23n12
      abb23n44 = abb23n11
      abb23n45 = abb23n10
      abb23n46 = abb23n9
      abb23n47 = abb23n8
      abb23n48 = abb23n7
      abb23n49 = abb23n6
      abb23n50 = abb23n5
      abb23n51 = abb23n4
      abb23n52 = abb23n3
      abb23n53 = abb23n2
   end subroutine
end module p26_udbar_neepgg_abbrevd23h3
