module     p26_udbar_neepgg_abbrevd43h3
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh3
   implicit none
   private
   complex(ki), public :: abb43n1
   complex(ki), public :: abb43n2
   complex(ki), public :: abb43n3
   complex(ki), public :: abb43n4
   complex(ki), public :: abb43n5
   complex(ki), public :: abb43n6
   complex(ki), public :: abb43n7
   complex(ki), public :: abb43n8
   complex(ki), public :: abb43n9
   complex(ki), public :: abb43n10
   complex(ki), public :: abb43n11
   complex(ki), public :: abb43n12
   complex(ki), public :: abb43n13
   complex(ki), public :: abb43n14
   complex(ki), public :: abb43n15
   complex(ki), public :: rat2d43
   complex(ki), public :: abb43n17
   complex(ki), public :: abb43n18
   complex(ki), public :: abb43n19
   complex(ki), public :: abb43n20
   complex(ki), public :: abb43n21
   complex(ki), public :: abb43n22
   complex(ki), public :: abb43n23
   complex(ki), public :: abb43n24
   complex(ki), public :: abb43n25
   complex(ki), public :: abb43n26
   complex(ki), public :: abb43n27
   complex(ki), public :: abb43n28
   complex(ki), public :: abb43n29
   complex(ki), public :: abb43n30
   complex(ki), public :: abb43n31
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   real(ki) :: t39
   real(ki) :: t40
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = TR*c2
      t2 = t1*i_
      t3 = t2*spak2k3
      t4 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t5 = NC*t4
      t6 = spbk6k5*spbk6k5
      t7 = t5*t6
      t8 = t3/t7*spak2k6*spbk4k2*spbk6k1
      t7 = t3/t7*spak3k6*spbk4k3*spbk6k1
      t9 = NC*TR*c2
      t10 = t9*i_
      t11 = t10*spak2k3
      t12 = t11*spak2k6*spbk4k2
      t13 = t12*spbk6k1
      t14 = t4*t6
      t15 = t13/t14
      t16 = t11*spak3k6*spbk4k3
      t17 = t16*spbk6k1
      t18 = t17/t14
      t19 = es56*t1*i_*spak2k3
      t5 = es234*t5
      t20 = t5*t6
      t21 = t19/t20*spak2k6*spbk4k2*spbk6k1
      t19 = t19/t20*spak3k6*spbk4k3*spbk6k1
      t1 = es61*t1*i_*spak2k3
      t22 = t1/t20*spak2k6*spbk4k2*spbk6k1
      t1 = t1/t20*spak3k6*spbk4k3*spbk6k1
      t23 = es56*t9*i_
      t24 = t23*spak2k3
      t25 = t24*spak2k6*spbk4k2
      t26 = t25*spbk6k1
      t27 = es234*t4
      t6 = t27*t6
      t28 = t26/t6
      t29 = t24*spak3k6*spbk4k3
      t30 = t29*spbk6k1
      t31 = t30/t6
      t9 = es61*t9*i_
      t32 = t9*spak2k3
      t33 = t32*spak2k6*spbk4k2
      t34 = t33*spbk6k1
      t35 = t34/t6
      t36 = t32*spak3k6*spbk4k3
      t37 = t36*spbk6k1
      t38 = t37/t6
      abb43n1 = ((2.0_ki)*(t1+t18+t19+t28+t35+t8-(t7+t38+t31+t22+t21+t15)))
      t39 = es56*es56
      t40 = es61*es61
      abb43n2 = ((2.0_ki)*(t26/t14+t37/t14+t40*t13/t6+t39*t17/t6-(t40*t17/t6+t39&
      &*t13/t6+t34/t14+t30/t14)))
      t13 = t15-t18
      abb43n3 = ((8.0_ki)*(t13+t31+t38-(t35+t28)))
      t17 = t27*spbk6k5
      t4 = t4*spbk6k5
      abb43n4 = ((4.0_ki)*(t25/t17+t33/t17-(t36/t17+t29/t17))+(2.0_ki)*(t12/t4+t&
      &23/t6*spak1k2*spak2k3*spbk4k2*spbk5k1+t9/t6*spak1k2*spak2k3*spbk4k2*spbk5&
      &k1-(t9/t6*spak1k3*spak2k3*spbk4k3*spbk5k1+t23/t6*spak1k3*spak2k3*spbk4k3*&
      &spbk5k1+t16/t4)))
      t4 = t10*spak1k2*spak2k3
      t9 = t4*spak5k6*spbk4k2
      t23 = spbk5k1*spbk5k1
      t26 = t10*spak1k3*spak2k3
      t27 = t26*spak5k6*spbk4k3
      abb43n5 = ((4.0_ki)*(t25/t6*spbk5k1-t29/t6*spbk5k1)+(2.0_ki)*(t12/t14*spbk&
      &5k1+t23/t6*t9+t36/t6*spbk5k1-(t33/t6*spbk5k1+t23*t27/t6+t16/t14*spbk5k1))&
      &)
      t9 = t9/t6*spbk5k1*spbk6k1
      t12 = t27/t6*spbk5k1*spbk6k1
      abb43n6 = ((4.0_ki)*(t12+t31-(t9+t28))+(8.0_ki)*(t18+t35-(t38+t15)))
      abb43n7 = ((8.0_ki)*(t13+t38-t35)+(4.0_ki)*(t28+t9-(t31+t12)))
      t9 = t11*spak2k5*spbk4k2
      t12 = t9*spbk6k1
      t11 = t11*spak3k5*spbk4k3
      t13 = t11*spbk6k1
      t10 = t10*spak1k5*spak2k3
      t16 = spbk6k1*spbk6k1
      abb43n8 = ((2.0_ki)*(t13/t14+t10*t16/t6*spak2k6*spbk4k2+t24/t6*spak2k5*spb&
      &k4k2*spbk6k1+t32/t6*spak2k5*spbk4k2*spbk6k1-(t32/t6*spak3k5*spbk4k3*spbk6&
      &k1+t24/t6*spak3k5*spbk4k3*spbk6k1+t10*t16/t6*spak3k6*spbk4k3+t12/t14)))
      abb43n9 = ((4.0_ki)*(t15+t21+t22+t31+t38+t7-(t8+t35+t28+t19+t18+t1)))
      t1 = t2*spak1k5*spak2k3
      abb43n10 = ((4.0_ki)*(t1/t20*spbk4k2*spbk6k1+t10/t6*spbk4k2*spbk6k1))
      abb43n11 = ((4.0_ki)*(-(t10/t6*spbk4k3*spbk6k1+t1/t20*spbk4k3*spbk6k1)))
      t1 = t3*spak2k5*spbk4k2
      t3 = t3*spak3k5*spbk4k3
      abb43n12 = ((8.0_ki)*(t11/t6*spbk5k1+t3/t20*spbk5k1-(t9/t6*spbk5k1+t1/t20*&
      &spbk5k1)))
      t7 = t1/t20*spbk6k1
      t8 = t3/t20*spbk6k1
      t10 = t12/t6
      t12 = t13/t6
      abb43n13 = ((16.0_ki)*(t12+t8-(t7+t10)))
      abb43n14 = ((16.0_ki)*(t10+t7-(t8+t12)))
      t5 = t5*spbk6k5
      abb43n15 = ((8.0_ki)*(t11/t17+t3/t5+t26/t6*spbk4k3*spbk6k1+t2/t20*spak1k3*&
      &spak2k3*spbk4k3*spbk6k1-(t2/t20*spak1k2*spak2k3*spbk4k2*spbk6k1+t4/t6*spb&
      &k4k2*spbk6k1+t9/t17+t1/t5)))
      rat2d43 = abb43n1
      rat2 = rat2 + rat2d43
      abb43n17 = abb43n2
      abb43n18 = abb43n15
      abb43n19 = abb43n14
      abb43n20 = abb43n13
      abb43n21 = abb43n12
      abb43n22 = abb43n11
      abb43n23 = abb43n10
      abb43n24 = abb43n9
      abb43n25 = -(abb43n3)
      abb43n26 = -(abb43n4)
      abb43n27 = -(abb43n5)
      abb43n28 = -(abb43n6)
      abb43n29 = -(abb43n7)
      abb43n30 = -(abb43n8)
      abb43n31 = ((2.0_ki)*abb43n9)
   end subroutine
end module p26_udbar_neepgg_abbrevd43h3
