module     p26_udbar_neepgg_abbrevd85h3
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh3
   implicit none
   private
   complex(ki), public :: abb85n1
   complex(ki), public :: abb85n2
   complex(ki), public :: abb85n3
   complex(ki), public :: abb85n4
   complex(ki), public :: abb85n5
   complex(ki), public :: abb85n6
   complex(ki), public :: abb85n7
   complex(ki), public :: abb85n8
   complex(ki), public :: abb85n9
   complex(ki), public :: abb85n10
   complex(ki), public :: abb85n11
   complex(ki), public :: abb85n12
   complex(ki), public :: abb85n13
   complex(ki), public :: abb85n14
   complex(ki), public :: abb85n15
   complex(ki), public :: abb85n16
   complex(ki), public :: abb85n17
   complex(ki), public :: abb85n18
   complex(ki), public :: abb85n19
   complex(ki), public :: abb85n20
   complex(ki), public :: abb85n21
   complex(ki), public :: abb85n22
   complex(ki), public :: abb85n23
   complex(ki), public :: abb85n24
   complex(ki), public :: abb85n25
   complex(ki), public :: abb85n26
   complex(ki), public :: abb85n27
   complex(ki), public :: abb85n28
   complex(ki), public :: abb85n29
   complex(ki), public :: abb85n30
   complex(ki), public :: abb85n31
   complex(ki), public :: abb85n32
   complex(ki), public :: abb85n33
   complex(ki), public :: abb85n34
   complex(ki), public :: abb85n35
   complex(ki), public :: abb85n36
   complex(ki), public :: abb85n37
   complex(ki), public :: rat2d85
   complex(ki), public :: abb85n39
   complex(ki), public :: abb85n40
   complex(ki), public :: abb85n41
   complex(ki), public :: abb85n42
   complex(ki), public :: abb85n43
   complex(ki), public :: abb85n44
   complex(ki), public :: abb85n45
   complex(ki), public :: abb85n46
   complex(ki), public :: abb85n47
   complex(ki), public :: abb85n48
   complex(ki), public :: abb85n49
   complex(ki), public :: abb85n50
   complex(ki), public :: abb85n51
   complex(ki), public :: abb85n52
   complex(ki), public :: abb85n53
   complex(ki), public :: abb85n54
   complex(ki), public :: abb85n55
   complex(ki), public :: abb85n56
   complex(ki), public :: abb85n57
   complex(ki), public :: abb85n58
   complex(ki), public :: abb85n59
   complex(ki), public :: abb85n60
   complex(ki), public :: abb85n61
   complex(ki), public :: abb85n62
   complex(ki), public :: abb85n63
   complex(ki), public :: abb85n64
   complex(ki), public :: abb85n65
   complex(ki), public :: abb85n66
   complex(ki), public :: abb85n67
   complex(ki), public :: abb85n68
   complex(ki), public :: abb85n69
   complex(ki), public :: abb85n70
   complex(ki), public :: abb85n71
   complex(ki), public :: abb85n72
   complex(ki), public :: abb85n73
   complex(ki), public :: abb85n74
   complex(ki), public :: abb85n75
   complex(ki), public :: abb85n76
   complex(ki), public :: abb85n77
   complex(ki), public :: abb85n78
   complex(ki), public :: abb85n79
   complex(ki), public :: abb85n80
   complex(ki), public :: abb85n81
   complex(ki), public :: abb85n82
   complex(ki), public :: abb85n83
   complex(ki), public :: abb85n84
   complex(ki), public :: abb85n85
   complex(ki), public :: abb85n86
   complex(ki), public :: abb85n87
   complex(ki), public :: abb85n88
   complex(ki), public :: abb85n89
   complex(ki), public :: abb85n90
   complex(ki), public :: abb85n91
   complex(ki), public :: abb85n92
   complex(ki), public :: abb85n93
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c3
      t3 = t2*i_
      t4 = t3*spak2k5
      t5 = t4*spak3k6
      t6 = t1*spbk6k5
      t7 = TR*c2
      t8 = t7*i_
      t9 = t8*spak2k5
      t10 = t9*spak3k6
      t11 = NC*t1
      t12 = t11*spbk6k5
      abb85n1 = ((4.0_ki)*(t10/t12*spbk5k4-t5/t6*spbk5k4))
      t13 = es56*t2*i_
      t14 = es56*t7*i_
      abb85n2 = ((4.0_ki)*(t13/t6*spak2k5*spak3k6*spbk4k1-t14/t12*spak2k5*spak3k&
      &6*spbk4k1))
      t13 = t13*spak3k6
      t15 = spbk6k5*spbk6k5
      t1 = t1*t15
      t14 = t14*spak3k6
      t11 = t11*t15
      abb85n3 = ((4.0_ki)*(t14/t11*spbk5k1-t13/t1*spbk5k1))
      t13 = t13/t1*spbk6k1
      t14 = t14/t11*spbk6k1
      abb85n4 = ((4.0_ki)*(t14-t13))
      abb85n5 = ((8.0_ki)*(t13-t14))
      t13 = t3*spak1k3
      t14 = t13/t1*spak5k6*spbk5k4*spbk6k1
      t15 = t8*spak1k3
      t16 = t15/t11*spak5k6*spbk5k4*spbk6k1
      abb85n6 = ((8.0_ki)*(t16-t14))
      abb85n7 = ((4.0_ki)*(t14-t16))
      t14 = t3*spak2k3
      t16 = t14/t1*spbk4k1
      t17 = t8*spak2k3
      t18 = t17/t11*spbk4k1
      abb85n8 = ((8.0_ki)*(t18-t16))
      abb85n9 = ((8.0_ki)*(t16-t18))
      t16 = t14*spak2k5
      t18 = t17*spak2k5
      abb85n10 = ((4.0_ki)*(t16/t1*spbk2k1*spbk6k4+t4/t6*spak3k5*spbk4k1-(t9/t12&
      &*spak3k5*spbk4k1+t18/t11*spbk2k1*spbk6k4)))
      t19 = t5/t6*spbk4k1
      t20 = t10/t12*spbk4k1
      abb85n11 = ((8.0_ki)*(t20-t19))
      abb85n12 = ((4.0_ki)*(t19-t20))
      t19 = t3*spak3k6
      t20 = t19/t1*spbk5k1
      t21 = t8*spak3k6
      t22 = t21/t11*spbk5k1
      abb85n13 = ((4.0_ki)*(t22-t20))
      abb85n14 = ((8.0_ki)*(t20-t22))
      t20 = t14/t1*spak5k6*spbk5k4*spbk6k1
      t22 = t17/t11*spak5k6*spbk5k4*spbk6k1
      abb85n15 = ((16.0_ki)*(t22-t20))
      abb85n16 = ((8.0_ki)*(t20-t22))
      abb85n17 = ((4.0_ki)*(t4/t1*spbk6k1-t9/t11*spbk6k1))
      abb85n18 = ((4.0_ki)*(t21/t11*spbk6k1+t8/t11*spak3k5*spbk5k1-(t3/t1*spak3k&
      &5*spbk5k1+t19/t1*spbk6k1)))
      t19 = t3/t1*spak5k6*spbk6k1
      t20 = t8/t11*spak5k6*spbk6k1
      abb85n19 = ((8.0_ki)*(t20-t19))
      abb85n20 = ((4.0_ki)*(t19-t20))
      abb85n21 = ((4.0_ki)*(t14/t1*spbk4k2+t15/t11*spbk4k1-(t17/t11*spbk4k2+t13/&
      &t1*spbk4k1)))
      t19 = t14/t1*spbk5k4
      t20 = t17/t11*spbk5k4
      abb85n22 = ((4.0_ki)*(t20-t19))
      abb85n23 = ((8.0_ki)*(t19-t20))
      abb85n24 = ((4.0_ki)*(t17/t11*spbk6k4-t14/t1*spbk6k4))
      t5 = t5/t6*spbk6k4
      t10 = t10/t12*spbk6k4
      t14 = t13/t1*spak2k5*spbk5k4*spbk6k1
      t16 = t16/t1*spbk5k4*spbk6k2
      t17 = t15/t11*spak2k5*spbk5k4*spbk6k1
      t18 = t18/t11*spbk5k4*spbk6k2
      abb85n25 = ((4.0_ki)*(t10+t14+t16-(t5+t18+t17)))
      abb85n26 = ((8.0_ki)*(t17+t18+t5-(t16+t14+t10)))
      t5 = t4/t6
      t10 = t9/t12
      abb85n27 = ((8.0_ki)*(t10-t5))
      abb85n28 = ((4.0_ki)*(t5-t10))
      t5 = t3*spak2k6
      t10 = t5*spak3k6
      t14 = t8*spak2k6
      t16 = t14*spak3k6
      abb85n29 = ((4.0_ki)*(t10/t6*spbk5k4-t16/t12*spbk5k4))
      t17 = es12*t2/t1*i_*spak2k3*spbk5k4
      t18 = es345*t2/t1*i_*spak2k3*spbk5k4
      t2 = es61*t2/t1*i_*spak2k3*spbk5k4
      t10 = t10/t6*spbk6k4
      t19 = es12*t7/t11*i_*spak2k3*spbk5k4
      t20 = es345*t7/t11*i_*spak2k3*spbk5k4
      t7 = es61*t7/t11*i_*spak2k3*spbk5k4
      t16 = t16/t12*spbk6k4
      t13 = t13/t1*spak2k6*spbk5k4*spbk6k1
      t15 = t15/t11*spak2k6*spbk5k4*spbk6k1
      abb85n30 = ((8.0_ki)*(t13+t16+t17+t2+t20-(t7+t19+t18+t15+t10)))
      abb85n31 = ((4.0_ki)*(t10+t15+t18+t19+t7-(t20+t2+t17+t16+t13)))
      t2 = t5/t1*spbk5k4
      t7 = t14/t11*spbk5k4
      abb85n32 = ((8.0_ki)*(t7-t2))
      abb85n33 = ((4.0_ki)*(t2-t7))
      abb85n34 = ((4.0_ki)*(t4/t1*spbk5k4+t5/t1*spbk6k4+t3/t1*spak1k2*spbk4k1-(t&
      &8/t11*spak1k2*spbk4k1+t9/t11*spbk5k4+t14/t11*spbk6k4)))
      t2 = t5/t6
      t4 = t14/t12
      abb85n35 = ((4.0_ki)*(t4-t2))
      abb85n36 = ((8.0_ki)*(t2-t4))
      abb85n37 = ((4.0_ki)*(t8/t11-t3/t1))
      rat2d85 = 0
      rat2 = rat2 + rat2d85
      abb85n39 = abb85n1
      abb85n40 = abb85n37
      abb85n41 = abb85n35
      abb85n42 = abb85n33
      abb85n43 = abb85n30
      abb85n44 = abb85n29
      abb85n45 = abb85n28
      abb85n46 = abb85n26
      abb85n47 = abb85n22
      abb85n48 = abb85n20
      abb85n49 = abb85n17
      abb85n50 = abb85n15
      abb85n51 = abb85n13
      abb85n52 = abb85n12
      abb85n53 = abb85n6
      abb85n54 = abb85n5
      abb85n55 = abb85n3
      abb85n56 = abb85n2
      abb85n57 = ((2.0_ki)*abb85n2)
      abb85n58 = -(abb85n4)
      abb85n59 = (-2.0_ki)*abb85n4
      abb85n60 = -(abb85n7)
      abb85n61 = (-2.0_ki)*abb85n7
      abb85n62 = -(abb85n8)
      abb85n63 = -(abb85n9)
      abb85n64 = -(abb85n10)
      abb85n65 = (-2.0_ki)*abb85n10
      abb85n66 = -(abb85n11)
      abb85n67 = (-2.0_ki)*abb85n11
      abb85n68 = ((4.0_ki)*abb85n12)
      abb85n69 = ((2.0_ki)*abb85n12)
      abb85n70 = ((2.0_ki)*abb85n13)
      abb85n71 = -(abb85n14)
      abb85n72 = -(abb85n16)
      abb85n73 = (-2.0_ki)*abb85n16
      abb85n74 = ((2.0_ki)*abb85n17)
      abb85n75 = -(abb85n18)
      abb85n76 = -(abb85n19)
      abb85n77 = ((2.0_ki)*abb85n20)
      abb85n78 = -(abb85n21)
      abb85n79 = ((2.0_ki)*abb85n22)
      abb85n80 = -(abb85n22)
      abb85n81 = -(abb85n23)
      abb85n82 = -(abb85n24)
      abb85n83 = -(abb85n25)
      abb85n84 = (-2.0_ki)*abb85n25
      abb85n85 = -(abb85n27)
      abb85n86 = ((2.0_ki)*abb85n28)
      abb85n87 = -(abb85n31)
      abb85n88 = (-2.0_ki)*abb85n31
      abb85n89 = -(abb85n32)
      abb85n90 = ((2.0_ki)*abb85n33)
      abb85n91 = -(abb85n34)
      abb85n92 = ((2.0_ki)*abb85n35)
      abb85n93 = -(abb85n36)
   end subroutine
end module p26_udbar_neepgg_abbrevd85h3
