module     p26_udbar_neepgg_d107h3l1
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity3/d107h3l1.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   public :: numerator_samurai
   public :: numerator_golem95
contains
!---#[ numerator interfaces:
   !------#[ function numerator_samurai:
   function numerator_samurai(ncut,Q_ext, mu2_ext) result(numerator)
      use precision, only: ki_sam => ki
!      use p26_udbar_neepgg_groups, only: &
!           & sign => diagram107_sign, shift => diagram107_shift
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd107h3
      implicit none

      integer, intent(in) :: ncut
      complex(ki_sam), dimension(4), intent(in) :: Q_ext
      complex(ki_sam), intent(in) :: mu2_ext
      complex(ki_sam) :: numerator
      complex(ki) :: d107
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17

      ! The Q that goes into the diagram
      complex(ki), dimension(4) :: Q
      real(ki), dimension(0:3) :: qshift

      qshift = k5
      Q(1)   = cmplx(real(+Q_ext(4) - qshift(0),   ki_sam), aimag(+Q_ext(4)),   &
      &ki)
      Q(2:4) = cmplx(real(+Q_ext(1:3) - qshift(1:3), ki_sam), aimag(+Q_ext(1:3))&
      &, ki)
      d107 = 0.0_ki
      t1 = (Q(1)*spvak6k4(1)-Q(2)*spvak6k4(2)-Q(3)*spvak6k4(3)-Q(4)*spvak6k4(4))
      t2 = (Q(1)*spvak5k4(1)-Q(2)*spvak5k4(2)-Q(3)*spvak5k4(3)-Q(4)*spvak5k4(4))
      t3 = (Q(1)*spvak2k1(1)-Q(2)*spvak2k1(2)-Q(3)*spvak2k1(3)-Q(4)*spvak2k1(4))
      t4 = (Q(1)*k1(1)-Q(2)*k1(2)-Q(3)*k1(3)-Q(4)*k1(4))
      t5 = (Q(1)*spvak3k1(1)-Q(2)*spvak3k1(2)-Q(3)*spvak3k1(3)-Q(4)*spvak3k1(4))
      t6 = (Q(1)*Q(1)-Q(2)*Q(2)-Q(3)*Q(3)-Q(4)*Q(4))
      t7 = (Q(1)*k3(1)-Q(2)*k3(2)-Q(3)*k3(3)-Q(4)*k3(4))
      t8 = (Q(1)*k4(1)-Q(2)*k4(2)-Q(3)*k4(3)-Q(4)*k4(4))
      t9 = (Q(1)*k6(1)-Q(2)*k6(2)-Q(3)*k6(3)-Q(4)*k6(4))
      t10 = (Q(1)*spvak5k6(1)-Q(2)*spvak5k6(2)-Q(3)*spvak5k6(3)-Q(4)*spvak5k6(4)&
      &)
      t11 = (Q(1)*spvak6k5(1)-Q(2)*spvak6k5(2)-Q(3)*spvak6k5(3)-Q(4)*spvak6k5(4)&
      &)
      t12 = (Q(1)*k5(1)-Q(2)*k5(2)-Q(3)*k5(3)-Q(4)*k5(4))
      t13 = (Q(1)*spvak6k1(1)-Q(2)*spvak6k1(2)-Q(3)*spvak6k1(3)-Q(4)*spvak6k1(4)&
      &)
      t14 = (Q(1)*spvak5k1(1)-Q(2)*spvak5k1(2)-Q(3)*spvak5k1(3)-Q(4)*spvak5k1(4)&
      &)
      t15 = (Q(1)*spvak3k4(1)-Q(2)*spvak3k4(2)-Q(3)*spvak3k4(3)-Q(4)*spvak3k4(4)&
      &)
      t16 = (Q(1)*spvak2k4(1)-Q(2)*spvak2k4(2)-Q(3)*spvak2k4(3)-Q(4)*spvak2k4(4)&
      &)
      t17 = t6*abb107n5
      d107 = (abb107n18+t1*abb107n14+t10*abb107n35+t11*abb107n36+t12*abb107n37+t&
      &13*abb107n38+t14*abb107n39+t15*abb107n4+t17*t7+t17*t8+t2*abb107n15+t3*abb&
      &107n19+t4*abb107n2+t5*abb107n20+t6*abb107n27+t7*abb107n3+t8*abb107n3+t9*a&
      &bb107n34+t1*t10*abb107n17+t10*t11*abb107n42+t10*t12*abb107n25+t10*t13*abb&
      &107n44+t10*t6*abb107n30+t10*t9*abb107n40+t11*t12*abb107n41+t11*t14*abb107&
      &n43+t11*t2*abb107n16+t11*t6*abb107n31+t11*t9*abb107n26+t12*t15*abb107n8+t&
      &12*t3*abb107n21+t12*t4*abb107n6+t12*t5*abb107n24+t12*t7*abb107n5+t12*t8*a&
      &bb107n5+t15*t6*abb107n8+t15*t9*abb107n7+t16*t6*abb107n12+t3*t6*abb107n28+&
      &t3*t9*abb107n22+t4*t6*abb107n6+t4*t9*abb107n5+t5*t6*abb107n29+t5*t9*abb10&
      &7n23+t7*t9*abb107n6+t8*t9*abb107n6+t10*t11*t15*abb107n11+t10*t11*t16*abb1&
      &07n13+t10*t11*t3*abb107n32+t10*t11*t4*abb107n9+t10*t11*t5*abb107n33+t10*t&
      &11*t7*abb107n10+t10*t11*t8*abb107n10)
      numerator = cmplx(real(d107, ki), aimag(d107), ki_sam)
   end function numerator_samurai
   !------#] function numerator_samurai:
   !------#[ function numerator_golem95:
   function numerator_golem95(Q_ext, mu2_ext) result(numerator)
      use precision_golem, only: ki_gol => ki
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd107h3
      implicit none

      real(ki_gol), dimension(0:3), intent(in) :: Q_ext
      real(ki_gol), intent(in) :: mu2_ext
      complex(ki_gol) :: numerator
      complex(ki) :: d107
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17

      ! The Q that goes into the diagram
      complex(ki), dimension(4) :: Q
      real(ki), dimension(4) :: qshift

      qshift = k5
      Q(:) = cmplx(real(+Q_ext(:) - qshift(:), ki_gol), 0.0_ki_gol, ki)
      d107 = 0.0_ki
      t1 = (Q(1)*spvak6k4(1)-Q(2)*spvak6k4(2)-Q(3)*spvak6k4(3)-Q(4)*spvak6k4(4))
      t2 = (Q(1)*spvak5k4(1)-Q(2)*spvak5k4(2)-Q(3)*spvak5k4(3)-Q(4)*spvak5k4(4))
      t3 = (Q(1)*spvak2k1(1)-Q(2)*spvak2k1(2)-Q(3)*spvak2k1(3)-Q(4)*spvak2k1(4))
      t4 = (Q(1)*k1(1)-Q(2)*k1(2)-Q(3)*k1(3)-Q(4)*k1(4))
      t5 = (Q(1)*spvak3k1(1)-Q(2)*spvak3k1(2)-Q(3)*spvak3k1(3)-Q(4)*spvak3k1(4))
      t6 = (Q(1)*Q(1)-Q(2)*Q(2)-Q(3)*Q(3)-Q(4)*Q(4))
      t7 = (Q(1)*k3(1)-Q(2)*k3(2)-Q(3)*k3(3)-Q(4)*k3(4))
      t8 = (Q(1)*k4(1)-Q(2)*k4(2)-Q(3)*k4(3)-Q(4)*k4(4))
      t9 = (Q(1)*k6(1)-Q(2)*k6(2)-Q(3)*k6(3)-Q(4)*k6(4))
      t10 = (Q(1)*spvak5k6(1)-Q(2)*spvak5k6(2)-Q(3)*spvak5k6(3)-Q(4)*spvak5k6(4)&
      &)
      t11 = (Q(1)*spvak6k5(1)-Q(2)*spvak6k5(2)-Q(3)*spvak6k5(3)-Q(4)*spvak6k5(4)&
      &)
      t12 = (Q(1)*k5(1)-Q(2)*k5(2)-Q(3)*k5(3)-Q(4)*k5(4))
      t13 = (Q(1)*spvak6k1(1)-Q(2)*spvak6k1(2)-Q(3)*spvak6k1(3)-Q(4)*spvak6k1(4)&
      &)
      t14 = (Q(1)*spvak5k1(1)-Q(2)*spvak5k1(2)-Q(3)*spvak5k1(3)-Q(4)*spvak5k1(4)&
      &)
      t15 = (Q(1)*spvak3k4(1)-Q(2)*spvak3k4(2)-Q(3)*spvak3k4(3)-Q(4)*spvak3k4(4)&
      &)
      t16 = (Q(1)*spvak2k4(1)-Q(2)*spvak2k4(2)-Q(3)*spvak2k4(3)-Q(4)*spvak2k4(4)&
      &)
      t17 = t6*abb107n5
      d107 = (abb107n18+t1*abb107n14+t10*abb107n35+t11*abb107n36+t12*abb107n37+t&
      &13*abb107n38+t14*abb107n39+t15*abb107n4+t17*t7+t17*t8+t2*abb107n15+t3*abb&
      &107n19+t4*abb107n2+t5*abb107n20+t6*abb107n27+t7*abb107n3+t8*abb107n3+t9*a&
      &bb107n34+t1*t10*abb107n17+t10*t11*abb107n42+t10*t12*abb107n25+t10*t13*abb&
      &107n44+t10*t6*abb107n30+t10*t9*abb107n40+t11*t12*abb107n41+t11*t14*abb107&
      &n43+t11*t2*abb107n16+t11*t6*abb107n31+t11*t9*abb107n26+t12*t15*abb107n8+t&
      &12*t3*abb107n21+t12*t4*abb107n6+t12*t5*abb107n24+t12*t7*abb107n5+t12*t8*a&
      &bb107n5+t15*t6*abb107n8+t15*t9*abb107n7+t16*t6*abb107n12+t3*t6*abb107n28+&
      &t3*t9*abb107n22+t4*t6*abb107n6+t4*t9*abb107n5+t5*t6*abb107n29+t5*t9*abb10&
      &7n23+t7*t9*abb107n6+t8*t9*abb107n6+t10*t11*t15*abb107n11+t10*t11*t16*abb1&
      &07n13+t10*t11*t3*abb107n32+t10*t11*t4*abb107n9+t10*t11*t5*abb107n33+t10*t&
      &11*t7*abb107n10+t10*t11*t8*abb107n10)

      numerator = cmplx(real(d107, ki), aimag(d107), ki_gol)
   end function numerator_golem95
   !------#] function numerator_golem95:
!---#] numerator interfaces:
end module p26_udbar_neepgg_d107h3l1
