module     p2_ddbar_emnebarcsbar_abbrevd6h0
   use p2_ddbar_emnebarcsbar_config, only: ki
   use p2_ddbar_emnebarcsbar_globalsh0
   implicit none
   private
   complex(ki), public :: abb6n1
   complex(ki), public :: abb6n2
   complex(ki), public :: abb6n3
   complex(ki), public :: abb6n4
   complex(ki), public :: abb6n5
   complex(ki), public :: abb6n6
   complex(ki), public :: abb6n7
   complex(ki), public :: abb6n8
   complex(ki), public :: abb6n9
   complex(ki), public :: abb6n10
   complex(ki), public :: rat2d6
   complex(ki), public :: abb6n12
   complex(ki), public :: abb6n13
   complex(ki), public :: abb6n14
   complex(ki), public :: abb6n15
   complex(ki), public :: abb6n16
   complex(ki), public :: abb6n17
   complex(ki), public :: abb6n18
   complex(ki), public :: abb6n19
   complex(ki), public :: abb6n20
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   real(ki) :: t33
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p2_ddbar_emnebarcsbar_config, only: deltaOS
      use p2_ddbar_emnebarcsbar_kinematics
      use p2_ddbar_emnebarcsbar_model
      use p2_ddbar_emnebarcsbar_color, only: TR
      use p2_ddbar_emnebarcsbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak1k3*spak3k5
      t4 = t3*spbk4k3
      t33 = TR*TR
      t5 = t33*t4*spbk6k2
      t6 = es12*t1
      t7 = es345*t6
      t8 = t5/t7
      t9 = t2*spak1k5*spak3k5
      t10 = t9*spbk5k4
      t11 = t33*t10*spbk6k2
      t12 = t11/t7
      t13 = NC*NC*t7
      t14 = t5/t13
      t15 = t11/t13
      t16 = c2*i_
      t17 = es345*es12*NC*t1
      t18 = t33*t16/t17*spak1k3*spak3k5*spbk4k3*spbk6k2
      t19 = t33*t16/t17*spak1k5*spak3k5*spbk5k4*spbk6k2
      t20 = NC*c2
      t21 = t20*i_
      t22 = t21*spak1k3*spak3k5
      t23 = t22*spbk4k3
      t24 = t33*t23*spbk6k2
      t25 = t24/t7
      t26 = t21*spak1k5*spak3k5
      t27 = t26*spbk5k4
      t28 = t33*t27*spbk6k2
      t29 = t28/t7
      abb6n1 = ((2.0_ki)*(t12+t14+t19+t25-(t8+t29+t18+t15)))
      t8 = t8-t12
      abb6n2 = ((8.0_ki)*(t29+t8-t25))
      t1 = es345*t1
      t12 = es61*c1*i_
      t30 = t2*spak1k6
      t31 = TR*spbk6k2
      t31 = t31*t31
      t20 = es61*t20*i_
      t32 = t21*spak1k6
      abb6n3 = ((4.0_ki)*(t28/t1+t5/t1+t11/t6+t24/t6-(t5/t6+t28/t6+t24/t1+t11/t1&
      &))+(2.0_ki)*(t30*t31/t7*spak2k5*spak3k5*spbk5k4+t31*t32/t7*spak2k3*spak3k&
      &5*spbk4k3+t33*t12/t7*spak1k3*spak3k5*spbk4k3*spbk6k2+t33*t20/t7*spak1k5*s&
      &pak3k5*spbk5k4*spbk6k2-(t33*t20/t7*spak1k3*spak3k5*spbk4k3*spbk6k2+t33*t1&
      &2/t7*spak1k5*spak3k5*spbk5k4*spbk6k2+t31*t32/t7*spak2k5*spak3k5*spbk5k4+t&
      &30*t31/t7*spak2k3*spak3k5*spbk4k3)))
      abb6n4 = ((2.0_ki)*(t33*t10/t7*spbk6k1+t33*t23/t7*spbk6k1+t33*t2/t7*spak2k&
      &5*spak3k5*spbk5k4*spbk6k2+t33*t21/t7*spak2k3*spak3k5*spbk4k3*spbk6k2-(t33&
      &*t21/t7*spak2k5*spak3k5*spbk5k4*spbk6k2+t33*t2/t7*spak2k3*spak3k5*spbk4k3&
      &*spbk6k2+t33*t4/t7*spbk6k1+t33*t27/t7*spbk6k1)))
      t1 = t2*spak3k5
      t4 = t21*spak3k5
      abb6n5 = ((6.0_ki)*(t33*t26/t7*spbk2k1*spbk5k4+t33*t3/t7*spbk2k1*spbk4k3-(&
      &t33/t7*t9*spbk2k1*spbk5k4+t33*t22/t7*spbk2k1*spbk4k3))+(2.0_ki)*(t33*t1/t&
      &7*spak3k6*spbk4k3*spbk6k2+t33*t4/t7*spak5k6*spbk5k4*spbk6k2-(t33*t4/t7*sp&
      &ak3k6*spbk4k3*spbk6k2+t33*t1/t7*spak5k6*spbk5k4*spbk6k2)))
      t2 = t2*spak1k2*spak3k5
      t3 = t16*spak1k2*spak3k5
      abb6n6 = ((4.0_ki)*(t33*t3/t17*spbk4k3*spbk6k2-t33*t2/t13*spbk4k3*spbk6k2)&
      &)
      abb6n7 = ((4.0_ki)*(t33*t2/t13*spbk5k4*spbk6k2-t33*t3/t17*spbk5k4*spbk6k2)&
      &)
      abb6n8 = ((4.0_ki)*(t15+t18+t29+t8-(t25+t19+t14)))
      t2 = t33*t1*spbk4k3
      t3 = t16*spak3k5
      abb6n9 = ((4.0_ki)*(t2/t13+t2/t7-(t33*t4/t7*spbk4k3+t33*t3/t17*spbk4k3)))
      t1 = t33*t1*spbk5k4
      abb6n10 = ((4.0_ki)*(t33*t3/t17*spbk5k4+t33*t4/t7*spbk5k4-(t1/t7+t1/t13)))
      rat2d6 = abb6n1
      rat2 = rat2 + rat2d6
      abb6n12 = abb6n3
      abb6n13 = abb6n10
      abb6n14 = abb6n9
      abb6n15 = abb6n8
      abb6n16 = -(abb6n2)
      abb6n17 = -(abb6n4)
      abb6n18 = -(abb6n5)
      abb6n19 = -(abb6n6)
      abb6n20 = -(abb6n7)
   end subroutine
end module p2_ddbar_emnebarcsbar_abbrevd6h0
