module     p3_ud_emnebaruu_abbrevd52h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb52n1
   complex(ki), public :: abb52n2
   complex(ki), public :: abb52n3
   complex(ki), public :: abb52n4
   complex(ki), public :: abb52n5
   complex(ki), public :: abb52n6
   complex(ki), public :: abb52n7
   complex(ki), public :: abb52n8
   complex(ki), public :: abb52n9
   complex(ki), public :: rat2d52
   complex(ki), public :: abb52n11
   complex(ki), public :: abb52n12
   complex(ki), public :: abb52n13
   complex(ki), public :: abb52n14
   complex(ki), public :: abb52n15
   complex(ki), public :: abb52n16
   complex(ki), public :: abb52n17
   complex(ki), public :: abb52n18
   complex(ki), public :: abb52n19
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   real(ki) :: t48
   real(ki) :: t49
   real(ki) :: t50
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak2k3
      t4 = t3*spak5k6
      t48 = TR*TR
      t5 = t48*t4*spbk2k1*spbk4k2
      t6 = (es234-(es61+es56))*t1
      t7 = es234*t6
      t8 = t2*spak3k4
      t9 = t8*spak5k6
      t10 = t48*t9*spbk4k1*spbk4k2
      t11 = c2*i_
      t12 = t11*spak2k3
      t13 = t12*spak5k6
      t14 = t48*t13*spbk2k1*spbk4k2
      t15 = es61*es234*t1
      t16 = t11*spak3k4
      t17 = t16*spak5k6
      t18 = t48*t17*spbk4k1*spbk4k2
      t49 = NC*NC
      t19 = t49*t7
      t20 = NC*t6
      t21 = es234*t20
      t22 = NC*c2
      t23 = t22*i_
      t24 = t23*spak2k3
      t25 = t24*spak5k6
      t26 = t23*spak3k4
      t27 = t26*spak5k6
      t28 = es56*c1*i_
      t29 = t48*t28*spak2k3*spak5k6*spbk2k1*spbk4k2
      t50 = es234*es234
      t30 = t50*t6
      t28 = t48*t28*spak3k4*spak5k6*spbk4k1*spbk4k2
      t3 = t3*spbk4k2
      t31 = TR*spak5k6
      t31 = t31*t31
      t32 = t3*t31*spbk5k1*spbk6k2
      t3 = t3*t31*spbk5k2*spbk6k1
      t8 = t8*spbk4k2
      t33 = t31*t8*spbk5k1*spbk6k4
      t8 = t31*t8*spbk5k4*spbk6k1
      t34 = t49*t15
      t35 = NC*t1
      t36 = es61*es234*t35
      t37 = NC*c1
      t38 = t37*i_
      t39 = t38*spak2k3
      t40 = t39*spak5k6
      t41 = t38*spak3k4
      t42 = t41*spak5k6
      t43 = es56*c2*i_
      t44 = t48*t43*spak2k3*spak5k6*spbk2k1*spbk4k2
      t1 = es61*t1
      t45 = t50*t1
      t43 = t48*t43*spak3k4*spak5k6*spbk4k1*spbk4k2
      t12 = t12*spbk4k2
      t46 = t12*t31*spbk5k1*spbk6k2
      t12 = t12*t31*spbk5k2*spbk6k1
      t16 = t16*spbk4k2
      t47 = t16*t31*spbk5k1*spbk6k4
      t16 = t16*t31*spbk5k4*spbk6k1
      t49 = NC*es234
      t49 = t49*t49
      t6 = t49*t6
      t20 = t50*t20
      t22 = es56*t22*i_
      t24 = t24*spbk4k2
      t26 = t26*spbk4k2
      t1 = t49*t1
      t35 = es61*t50*t35
      t37 = es56*t37*i_
      t39 = t39*spbk4k2
      t41 = t41*spbk4k2
      abb52n1 = ((4.0_ki)*(t12/t1+t16/t1+t43/t1+t44/t1+t10/t36+t10/t7+t14/t15+t1&
      &4/t21+t18/t15+t18/t21+t46/t20+t47/t20+t28/t6+t29/t6+t3/t6+t32/t30+t33/t30&
      &+t32/t35+t33/t35+t5/t36+t46/t45+t47/t45+t5/t7+t8/t6+t24/t30*t31*spbk5k2*s&
      &pbk6k1+t26/t30*t31*spbk5k4*spbk6k1+t31*t39/t45*spbk5k2*spbk6k1+t31*t41/t4&
      &5*spbk5k4*spbk6k1+t48*t22/t30*spak2k3*spak5k6*spbk2k1*spbk4k2+t48*t22/t30&
      &*spak3k4*spak5k6*spbk4k1*spbk4k2+t48*t37/t45*spak2k3*spak5k6*spbk2k1*spbk&
      &4k2+t48*t37/t45*spak3k4*spak5k6*spbk4k1*spbk4k2-(t31*t41/t45*spbk5k1*spbk&
      &6k4+t31*t39/t45*spbk5k1*spbk6k2+t48*t27/t7*spbk4k1*spbk4k2+t26/t30*t31*sp&
      &bk5k1*spbk6k4+t48*t25/t7*spbk2k1*spbk4k2+t24/t30*t31*spbk5k1*spbk6k2+t48*&
      &t42/t15*spbk4k1*spbk4k2+t48*t40/t15*spbk2k1*spbk4k2+t44/t45+t43/t45+t8/t3&
      &5+t33/t6+t32/t6+t8/t30+t3/t35+t3/t30+t29/t35+t29/t30+t28/t35+t28/t30+t44/&
      &t20+t43/t20+t5/t19+t18/t34+t16/t45+t16/t20+t14/t34+t12/t45+t12/t20+t10/t1&
      &9+t47/t1+t46/t1)))
      t3 = t4*spbk4k2
      t4 = t48*t3*spbk5k1
      t5 = t13*spbk4k2
      t7 = t48*t5*spbk5k1
      t8 = t25*spbk4k2
      t10 = t40*spbk4k2
      abb52n2 = ((4.0_ki)*(t7/t1+t4/t6+t48*t10/t45*spbk5k1+t48/t30*t8*spbk5k1-(t&
      &7/t45+t4/t35+t4/t30+t7/t20)))
      t4 = t9*spbk4k2
      t7 = t48*t4*spbk5k1
      t9 = t17*spbk4k2
      t12 = t48*t9*spbk5k1
      t13 = t27*spbk4k2
      t14 = t42*spbk4k2
      abb52n3 = ((4.0_ki)*(t12/t1+t7/t6+t48*t13/t30*spbk5k1+t48*t14/t45*spbk5k1-&
      &(t7/t35+t7/t30+t12/t45+t12/t20)))
      t3 = t48*t3*spbk6k1
      t5 = t48*t5*spbk6k1
      abb52n4 = ((4.0_ki)*(t5/t1+t3/t6+t48*t10/t45*spbk6k1+t48/t30*t8*spbk6k1-(t&
      &5/t45+t3/t35+t3/t30+t5/t20)))
      t3 = t48*t4*spbk6k1
      t4 = t48*t9*spbk6k1
      abb52n5 = ((4.0_ki)*(t4/t1+t3/t6+t48*t13/t30*spbk6k1+t48*t14/t45*spbk6k1-(&
      &t4/t45+t3/t35+t3/t30+t4/t20)))
      t3 = t2*spak3k5*spak5k6
      t4 = t48*t3*spbk4k2*spbk5k1
      t5 = t4/t30
      t7 = t2*spak3k6*spak5k6
      t8 = t48*t7*spbk4k2*spbk6k1
      t9 = t8/t30
      t10 = t11*spak3k5*spak5k6
      t12 = t48*t10*spbk4k2*spbk5k1
      t13 = t12/t45
      t14 = t11*spak3k6*spak5k6
      t15 = t48*t14*spbk4k2*spbk6k1
      t16 = t15/t45
      t17 = t4/t6
      t18 = t8/t6
      t19 = t12/t20
      t21 = t15/t20
      t22 = t23*spak3k5*spak5k6
      t24 = t48*t22/t30*spbk4k2*spbk5k1
      t25 = t23*spak3k6*spak5k6
      t26 = t48*t25/t30*spbk4k2*spbk6k1
      t12 = t12/t1
      t15 = t15/t1
      t4 = t4/t35
      t8 = t8/t35
      t27 = t38*spak3k5*spak5k6
      t28 = t48*t27/t45*spbk4k2*spbk5k1
      t29 = t38*spak3k6*spak5k6
      t31 = t48*t29/t45*spbk4k2*spbk6k1
      abb52n6 = ((16.0_ki)*(t12+t15+t17+t18+t24+t26+t28+t31-(t9+t8+t5+t4+t21+t19&
      &+t16+t13)))
      abb52n7 = ((16.0_ki)*(t13+t16+t19+t21+t4+t5+t8+t9-(t31+t28+t26+t24+t18+t17&
      &+t15+t12)))
      t4 = t48*t3*spbk3k2*spbk5k1
      t5 = t48*t7*spbk3k2*spbk6k1
      t8 = t48*t2*spak4k5*spak5k6*spbk4k2*spbk5k1
      t9 = t48*t2*spak4k6*spak5k6*spbk4k2*spbk6k1
      t12 = t48*t10*spbk3k2*spbk5k1
      t13 = t48*t14*spbk3k2*spbk6k1
      t15 = t48*t11*spak4k5*spak5k6*spbk4k2*spbk5k1
      t16 = t48*t11*spak4k6*spak5k6*spbk4k2*spbk6k1
      abb52n8 = ((8.0_ki)*(t12/t1+t13/t1+t15/t1+t16/t1+t4/t6+t5/t6+t8/t6+t9/t6+t&
      &48*t22/t30*spbk3k2*spbk5k1+t48*t25/t30*spbk3k2*spbk6k1+t48*t27/t45*spbk3k&
      &2*spbk5k1+t48*t29/t45*spbk3k2*spbk6k1+t48*t23/t30*spak4k5*spak5k6*spbk4k2&
      &*spbk5k1+t48*t23/t30*spak4k6*spak5k6*spbk4k2*spbk6k1+t48*t38/t45*spak4k5*&
      &spak5k6*spbk4k2*spbk5k1+t48*t38/t45*spak4k6*spak5k6*spbk4k2*spbk6k1-(t9/t&
      &35+t8/t35+t5/t35+t4/t35+t9/t30+t8/t30+t5/t30+t4/t30+t16/t45+t16/t20+t15/t&
      &45+t15/t20+t13/t45+t13/t20+t12/t45+t12/t20)))
      t4 = t48*t2*spak2k5*spak5k6*spbk4k2*spbk5k1
      t2 = t48*t2*spak2k6*spak5k6*spbk4k2*spbk6k1
      t3 = t48*t3*spbk4k3*spbk5k1
      t5 = t48*t7*spbk4k3*spbk6k1
      t7 = t48*t11*spak2k5*spak5k6*spbk4k2*spbk5k1
      t8 = t48*t11*spak2k6*spak5k6*spbk4k2*spbk6k1
      t9 = t48*t10*spbk4k3*spbk5k1
      t10 = t48*t14*spbk4k3*spbk6k1
      abb52n9 = ((8.0_ki)*(t10/t1+t9/t1+t2/t30+t2/t35+t7/t20+t8/t20+t3/t6+t4/t30&
      &+t4/t35+t7/t45+t8/t45+t5/t6+t48*t22/t30*spbk4k3*spbk5k1+t48*t25/t30*spbk4&
      &k3*spbk6k1+t48*t27/t45*spbk4k3*spbk5k1+t48*t29/t45*spbk4k3*spbk6k1-(t48*t&
      &38/t45*spak2k6*spak5k6*spbk4k2*spbk6k1+t48*t38/t45*spak2k5*spak5k6*spbk4k&
      &2*spbk5k1+t48*t23/t30*spak2k6*spak5k6*spbk4k2*spbk6k1+t48*t23/t30*spak2k5&
      &*spak5k6*spbk4k2*spbk5k1+t9/t45+t4/t6+t5/t35+t5/t30+t3/t35+t3/t30+t9/t20+&
      &t2/t6+t10/t45+t10/t20+t8/t1+t7/t1)))
      rat2d52 = 0
      rat2 = rat2 + rat2d52
      abb52n11 = abb52n1
      abb52n12 = -(abb52n2)
      abb52n13 = -(abb52n3)
      abb52n14 = -(abb52n4)
      abb52n15 = -(abb52n5)
      abb52n16 = -(abb52n6)
      abb52n17 = -(abb52n7)
      abb52n18 = -(abb52n8)
      abb52n19 = -(abb52n9)
   end subroutine
end module p3_ud_emnebaruu_abbrevd52h0
