module     p6_dubar_emnebarssbar_abbrevd32h1
   use p6_dubar_emnebarssbar_config, only: ki
   use p6_dubar_emnebarssbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb32n1
   complex(ki), public :: abb32n2
   complex(ki), public :: abb32n3
   complex(ki), public :: abb32n4
   complex(ki), public :: abb32n5
   complex(ki), public :: abb32n6
   complex(ki), public :: abb32n7
   complex(ki), public :: rat2d32
   complex(ki), public :: abb32n9
   complex(ki), public :: abb32n10
   complex(ki), public :: abb32n11
   complex(ki), public :: abb32n12
   complex(ki), public :: abb32n13
   complex(ki), public :: abb32n14
   complex(ki), public :: abb32n15
   complex(ki), public :: abb32n16
   complex(ki), public :: abb32n17
   complex(ki), public :: abb32n18
   complex(ki), public :: abb32n19
   complex(ki), public :: abb32n20
   complex(ki), public :: abb32n21
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   real(ki) :: t31
   real(ki) :: t32
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p6_dubar_emnebarssbar_config, only: deltaOS
      use p6_dubar_emnebarssbar_kinematics
      use p6_dubar_emnebarssbar_model
      use p6_dubar_emnebarssbar_color, only: TR
      use p6_dubar_emnebarssbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak2k3
      t4 = t3*spak2k5*spbk4k2
      t31 = TR*TR
      t5 = t31*t4*spbk6k1
      t6 = NC*t1
      t7 = t3*spak3k5*spbk4k3
      t8 = t31*t7*spbk6k1
      t9 = es56*c2*i_*spak2k3
      t10 = es234*t6
      t11 = es61*c2*i_*spak2k3
      t12 = c1*i_
      t13 = t12*spak2k3
      t14 = t13*spak2k5*spbk4k2
      t15 = t31*t14*spbk6k1
      t32 = NC*NC
      t16 = t32*t1
      t17 = t13*spak3k5*spbk4k3
      t18 = t31*t17*spbk6k1
      t19 = NC*c2
      t20 = t19*i_
      t21 = t20*spak2k3
      t22 = t21*spak2k5*spbk4k2
      t23 = t31*t22*spbk6k1
      t24 = t21*spak3k5*spbk4k3
      t25 = t31*t24*spbk6k1
      t26 = es56*c1*i_*spak2k3
      t27 = es234*t1
      t28 = t32*t27
      t29 = es61*c1*i_*spak2k3
      t30 = es56*t19*i_*spak2k3
      t19 = es61*t19*i_*spak2k3
      abb32n1 = ((8.0_ki)*(t8/t6+t31*t11/t10*spak2k5*spbk4k2*spbk6k1+t31/t10*t9*&
      &spak2k5*spbk4k2*spbk6k1-(t31/t10*t9*spak3k5*spbk4k3*spbk6k1+t31*t11/t10*s&
      &pak3k5*spbk4k3*spbk6k1+t5/t6))+(4.0_ki)*(t23/t1+t15/t16+t31*t19/t27*spak3&
      &k5*spbk4k3*spbk6k1+t31*t26/t28*spak3k5*spbk4k3*spbk6k1+t31*t30/t27*spak3k&
      &5*spbk4k3*spbk6k1+t31*t29/t28*spak3k5*spbk4k3*spbk6k1-(t31*t29/t28*spak2k&
      &5*spbk4k2*spbk6k1+t31*t30/t27*spak2k5*spbk4k2*spbk6k1+t31*t26/t28*spak2k5&
      &*spbk4k2*spbk6k1+t31*t19/t27*spak2k5*spbk4k2*spbk6k1+t18/t16+t25/t1)))
      t1 = t12*spak1k5*spak2k3
      t2 = t2*spak1k5*spak2k3
      t6 = t20*spak1k5*spak2k3
      abb32n2 = ((4.0_ki)*(t31*(2.0_ki)/t10*t2*spbk4k2*spbk6k1-(t31/t27*t6*spbk4&
      &k2*spbk6k1+t31*t1/t28*spbk4k2*spbk6k1)))
      abb32n3 = ((4.0_ki)*(t31*t1/t28*spbk4k3*spbk6k1+t31/t27*t6*spbk4k3*spbk6k1&
      &-t31*(2.0_ki)/t10*t2*spbk4k3*spbk6k1))
      abb32n4 = ((16.0_ki)*(t5/t10-t8/t10)+(8.0_ki)*(t18/t28+t25/t27-(t23/t27+t1&
      &5/t28)))
      abb32n5 = ((4.0_ki)*(t31*(2.0_ki)/t10*t3*spbk4k2-(t31*t21/t27*spbk4k2+t31*&
      &t13/t28*spbk4k2)))
      abb32n6 = ((8.0_ki)*(t31/t10*t7*spbk6k5-t31/t10*t4*spbk6k5)+(4.0_ki)*(t31*&
      &t14/t28*spbk6k5+t31*t22/t27*spbk6k5-(t31*t24/t27*spbk6k5+t31*t17/t28*spbk&
      &6k5)))
      abb32n7 = ((4.0_ki)*(t31*t13/t28*spbk4k3+t31*t21/t27*spbk4k3-t31*(2.0_ki)/&
      &t10*t3*spbk4k3))
      rat2d32 = 0
      rat2 = rat2 + rat2d32
      abb32n9 = abb32n1
      abb32n10 = abb32n7
      abb32n11 = abb32n6
      abb32n12 = abb32n5
      abb32n13 = abb32n4
      abb32n14 = abb32n3
      abb32n15 = abb32n2
      abb32n16 = -(abb32n2)
      abb32n17 = -(abb32n3)
      abb32n18 = -(abb32n4)
      abb32n19 = -(abb32n5)
      abb32n20 = -(abb32n6)
      abb32n21 = -(abb32n7)
   end subroutine
end module p6_dubar_emnebarssbar_abbrevd32h1
