module     p7_dubar_emnebargg_d101h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p7_dubar_emnebargg/helicity0/d101h0l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d101
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd101h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      real(ki) :: t26
      real(ki) :: t27
      real(ki) :: t28
      real(ki) :: t29
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t26 = dotproduct(qshift, qshift)
      t1 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t2 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t27 = dotproduct(k6, qshift)
      t3 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t28 = dotproduct(k5, qshift)
      t4 = (spvak3k5(1)*qshift(1)-spvak3k5(2)*qshift(2)-spvak3k5(3)*qshift(3)-sp&
      &vak3k5(4)*qshift(4))
      t29 = dotproduct(k1, qshift)
      t5 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t6 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t7 = (spvak3k6(1)*qshift(1)-spvak3k6(2)*qshift(2)-spvak3k6(3)*qshift(3)-sp&
      &vak3k6(4)*qshift(4))
      t8 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t9 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t10 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-s&
      &pvak2k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb101n29+t1*abb101n46+t2*abb101n47+t26*abb101n45+t27*abb1&
         &01n48+t28*abb101n50+t29*abb101n53+t3*abb101n49+t4*abb101n52+t5*abb101n&
         &54+t6*abb101n55+t1*t28*abb101n32+t1*t29*abb101n30+t1*t5*abb101n34+t10*&
         &t5*abb101n44+t2*t27*abb101n33+t2*t29*abb101n35+t2*t6*abb101n31+t26*t5*&
         &abb101n58+t26*t6*abb101n56+t27*t5*abb101n38+t28*t6*abb101n41+t29*t5*ab&
         &b101n37+t29*t6*abb101n41+t3*t6*abb101n42+t4*t6*abb101n40+t5*t7*abb101n&
         &36+t5*t8*abb101n39+t5*t9*abb101n43)
         return
      end if
      t11 = k1(iv1)
      t12 = k5(iv1)
      t13 = k6(iv1)
      t14 = qshift(iv1)
      t15 = spvak2k5(iv1)
      t16 = spvak3k5(iv1)
      t17 = spvak5k1(iv1)
      t18 = spvak5k6(iv1)
      t19 = spvak6k1(iv1)
      t20 = spvak6k5(iv1)
      t21 = spvak2k1(iv1)
      t22 = spvak2k6(iv1)
      t23 = spvak3k1(iv1)
      t24 = spvak3k6(iv1)
      t25 = t18*abb101n41
      if(deg.eq.1) then
         numerator = (t11*abb101n53+t12*abb101n50+t13*abb101n48+t14*abb101n51+t1&
         &5*abb101n49+t16*abb101n52+t17*abb101n46+t18*abb101n55+t19*abb101n47+t2&
         &0*abb101n54+t25*t28+t25*t29+t1*t11*abb101n30+t1*t12*abb101n32+t1*t20*a&
         &bb101n34+t10*t20*abb101n44+t11*t2*abb101n35+t11*t5*abb101n37+t11*t6*ab&
         &b101n41+t12*t6*abb101n41+t13*t2*abb101n33+t13*t5*abb101n38+t14*t5*abb1&
         &01n59+t14*t6*abb101n57+t15*t6*abb101n42+t16*t6*abb101n40+t17*t28*abb10&
         &1n32+t17*t29*abb101n30+t17*t5*abb101n34+t18*t2*abb101n31+t18*t26*abb10&
         &1n56+t18*t3*abb101n42+t18*t4*abb101n40+t19*t27*abb101n33+t19*t29*abb10&
         &1n35+t19*t6*abb101n31+t20*t26*abb101n58+t20*t27*abb101n38+t20*t29*abb1&
         &01n37+t20*t7*abb101n36+t20*t8*abb101n39+t20*t9*abb101n43+t21*t5*abb101&
         &n44+t22*t5*abb101n39+t23*t5*abb101n43+t24*t5*abb101n36)
         return
      end if
      t26 = d(iv1,iv2)
      t1 = spvak5k1(iv2)
      t2 = spvak5k6(iv2)
      t3 = spvak6k1(iv2)
      t4 = spvak6k5(iv2)
      t7 = k1(iv2)
      t8 = k5(iv2)
      t9 = k6(iv2)
      t10 = qshift(iv2)
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t26*abb101n45+t26*t5*abb101n58+t26*t6*abb101n56)&
         &+spvak2k1(iv2)*t20*abb101n44+spvak2k5(iv2)*t18*abb101n42+spvak2k6(iv2)&
         &*t20*abb101n39+spvak3k1(iv2)*t20*abb101n43+spvak3k5(iv2)*t18*abb101n40&
         &+spvak3k6(iv2)*t20*abb101n36+t1*t11*abb101n30+t1*t12*abb101n32+t1*t20*&
         &abb101n34+t10*t18*abb101n57+t10*t20*abb101n59+t11*t2*abb101n41+t11*t3*&
         &abb101n35+t11*t4*abb101n37+t12*t2*abb101n41+t13*t3*abb101n33+t13*t4*ab&
         &b101n38+t14*t2*abb101n57+t14*t4*abb101n59+t15*t2*abb101n42+t16*t2*abb1&
         &01n40+t17*t4*abb101n34+t17*t7*abb101n30+t17*t8*abb101n32+t18*t3*abb101&
         &n31+t18*t7*abb101n41+t18*t8*abb101n41+t19*t2*abb101n31+t19*t7*abb101n3&
         &5+t19*t9*abb101n33+t20*t7*abb101n37+t20*t9*abb101n38+t21*t4*abb101n44+&
         &t22*t4*abb101n39+t23*t4*abb101n43+t24*t4*abb101n36)
         return
      end if
      t27 = d(iv2,iv3)
      t28 = d(iv1,iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak5k6(iv3)*t26*abb101n56+spvak6k5(iv3)*t26*ab&
         &b101n58+t18*t27*abb101n56+t2*t28*abb101n56+t20*t27*abb101n58+t28*t4*ab&
         &b101n58))
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d101:
   subroutine     reconstruct_d101(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group5
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group5), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_101:
      coeffs%coeffs_101%c0 = derivative(czip)
      coeffs%coeffs_101%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_101%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_101%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_101%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_101%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_101%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_101%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_101%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_101%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_101%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_101%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_101%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_101%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_101%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_101%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_101%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_101%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_101%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_101%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_101%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_101%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_101%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_101%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_101%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_101%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_101%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_101%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_101%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_101%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_101%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_101%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_101%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_101%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_101%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_101:
   end subroutine reconstruct_d101
!---#] subroutine reconstruct_d101:
end module p7_dubar_emnebargg_d101h0l1d
