module     p7_dubar_emnebargg_d29h0l1
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p7_dubar_emnebargg/helicity0/d29h0l1.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   public :: numerator_samurai
   public :: numerator_golem95
contains
!---#[ numerator interfaces:
   !------#[ function numerator_samurai:
   function numerator_samurai(ncut,Q_ext, mu2_ext) result(numerator)
      use precision, only: ki_sam => ki
!      use p7_dubar_emnebargg_groups, only: &
!           & sign => diagram29_sign, shift => diagram29_shift
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd29h0
      implicit none

      integer, intent(in) :: ncut
      complex(ki_sam), dimension(4), intent(in) :: Q_ext
      complex(ki_sam), intent(in) :: mu2_ext
      complex(ki_sam) :: numerator
      complex(ki) :: d29
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16

      ! The Q that goes into the diagram
      complex(ki), dimension(4) :: Q
      real(ki), dimension(0:3) :: qshift

      qshift = k2
      Q(1)   = cmplx(real(+Q_ext(4) - qshift(0),   ki_sam), aimag(+Q_ext(4)),   &
      &ki)
      Q(2:4) = cmplx(real(+Q_ext(1:3) - qshift(1:3), ki_sam), aimag(+Q_ext(1:3))&
      &, ki)
      d29 = 0.0_ki
      t1 = (Q(1)*k2(1)-Q(2)*k2(2)-Q(3)*k2(3)-Q(4)*k2(4))
      t2 = (Q(1)*k1(1)-Q(2)*k1(2)-Q(3)*k1(3)-Q(4)*k1(4))
      t3 = (Q(1)*Q(1)-Q(2)*Q(2)-Q(3)*Q(3)-Q(4)*Q(4))
      t4 = (Q(1)*k6(1)-Q(2)*k6(2)-Q(3)*k6(3)-Q(4)*k6(4))
      t5 = (Q(1)*spvak4k1(1)-Q(2)*spvak4k1(2)-Q(3)*spvak4k1(3)-Q(4)*spvak4k1(4))
      t6 = (Q(1)*k5(1)-Q(2)*k5(2)-Q(3)*k5(3)-Q(4)*k5(4))
      t7 = (Q(1)*k3(1)-Q(2)*k3(2)-Q(3)*k3(3)-Q(4)*k3(4))
      t8 = (Q(1)*k4(1)-Q(2)*k4(2)-Q(3)*k4(3)-Q(4)*k4(4))
      t9 = (Q(1)*spvak3k4(1)-Q(2)*spvak3k4(2)-Q(3)*spvak3k4(3)-Q(4)*spvak3k4(4))
      t10 = (Q(1)*spvak3k1(1)-Q(2)*spvak3k1(2)-Q(3)*spvak3k1(3)-Q(4)*spvak3k1(4)&
      &)
      t11 = (Q(1)*spvak2k1(1)-Q(2)*spvak2k1(2)-Q(3)*spvak2k1(3)-Q(4)*spvak2k1(4)&
      &)
      t12 = (Q(1)*spvak2k4(1)-Q(2)*spvak2k4(2)-Q(3)*spvak2k4(3)-Q(4)*spvak2k4(4)&
      &)
      t13 = (Q(1)*spvak2k5(1)-Q(2)*spvak2k5(2)-Q(3)*spvak2k5(3)-Q(4)*spvak2k5(4)&
      &)
      t14 = (Q(1)*spvak2k6(1)-Q(2)*spvak2k6(2)-Q(3)*spvak2k6(3)-Q(4)*spvak2k6(4)&
      &)
      t15 = (Q(1)*spvak5k1(1)-Q(2)*spvak5k1(2)-Q(3)*spvak5k1(3)-Q(4)*spvak5k1(4)&
      &)
      t16 = (Q(1)*spvak6k1(1)-Q(2)*spvak6k1(2)-Q(3)*spvak6k1(3)-Q(4)*spvak6k1(4)&
      &)
      d29 = (abb29n1+t1*abb29n16+t10*abb29n9+t2*abb29n27+t3*abb29n28+t4*abb29n3+&
      &t5*abb29n30+t6*abb29n4+t7*abb29n5+t8*abb29n5+t9*abb29n6+t1*t9*abb29n29+t1&
      &0*t2*abb29n43+t10*t3*abb29n41+t10*t4*abb29n7+t10*t6*abb29n8+t10*t7*abb29n&
      &40+t10*t8*abb29n40+t10*t9*abb29n39+t11*t4*abb29n11+t11*t6*abb29n10+t11*t9&
      &*abb29n2+t12*t4*abb29n18+t12*t6*abb29n17+t13*t2*abb29n19+t13*t3*abb29n20+&
      &t13*t7*abb29n21+t13*t8*abb29n21+t13*t9*abb29n25+t14*t2*abb29n24+t14*t3*ab&
      &b29n23+t14*t7*abb29n22+t14*t8*abb29n22+t14*t9*abb29n26+t15*t2*abb29n33+t1&
      &5*t3*abb29n32+t15*t7*abb29n31+t15*t8*abb29n31+t15*t9*abb29n37+t16*t2*abb2&
      &9n34+t16*t3*abb29n35+t16*t7*abb29n36+t16*t8*abb29n36+t16*t9*abb29n38+t2*t&
      &4*abb29n12+t2*t6*abb29n15+t2*t9*abb29n29+t3*t4*abb29n13+t3*t6*abb29n14+t5&
      &*t9*abb29n42+t11*t4*t9*abb29n45+t11*t6*t9*abb29n44)
      numerator = cmplx(real(d29, ki), aimag(d29), ki_sam)
   end function numerator_samurai
   !------#] function numerator_samurai:
   !------#[ function numerator_golem95:
   function numerator_golem95(Q_ext, mu2_ext) result(numerator)
      use precision_golem, only: ki_gol => ki
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd29h0
      implicit none

      real(ki_gol), dimension(0:3), intent(in) :: Q_ext
      real(ki_gol), intent(in) :: mu2_ext
      complex(ki_gol) :: numerator
      complex(ki) :: d29
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16

      ! The Q that goes into the diagram
      complex(ki), dimension(4) :: Q
      real(ki), dimension(4) :: qshift

      qshift = k2
      Q(:) = cmplx(real(+Q_ext(:) - qshift(:), ki_gol), 0.0_ki_gol, ki)
      d29 = 0.0_ki
      t1 = (Q(1)*k2(1)-Q(2)*k2(2)-Q(3)*k2(3)-Q(4)*k2(4))
      t2 = (Q(1)*k1(1)-Q(2)*k1(2)-Q(3)*k1(3)-Q(4)*k1(4))
      t3 = (Q(1)*Q(1)-Q(2)*Q(2)-Q(3)*Q(3)-Q(4)*Q(4))
      t4 = (Q(1)*k6(1)-Q(2)*k6(2)-Q(3)*k6(3)-Q(4)*k6(4))
      t5 = (Q(1)*spvak4k1(1)-Q(2)*spvak4k1(2)-Q(3)*spvak4k1(3)-Q(4)*spvak4k1(4))
      t6 = (Q(1)*k5(1)-Q(2)*k5(2)-Q(3)*k5(3)-Q(4)*k5(4))
      t7 = (Q(1)*k3(1)-Q(2)*k3(2)-Q(3)*k3(3)-Q(4)*k3(4))
      t8 = (Q(1)*k4(1)-Q(2)*k4(2)-Q(3)*k4(3)-Q(4)*k4(4))
      t9 = (Q(1)*spvak3k4(1)-Q(2)*spvak3k4(2)-Q(3)*spvak3k4(3)-Q(4)*spvak3k4(4))
      t10 = (Q(1)*spvak3k1(1)-Q(2)*spvak3k1(2)-Q(3)*spvak3k1(3)-Q(4)*spvak3k1(4)&
      &)
      t11 = (Q(1)*spvak2k1(1)-Q(2)*spvak2k1(2)-Q(3)*spvak2k1(3)-Q(4)*spvak2k1(4)&
      &)
      t12 = (Q(1)*spvak2k4(1)-Q(2)*spvak2k4(2)-Q(3)*spvak2k4(3)-Q(4)*spvak2k4(4)&
      &)
      t13 = (Q(1)*spvak2k5(1)-Q(2)*spvak2k5(2)-Q(3)*spvak2k5(3)-Q(4)*spvak2k5(4)&
      &)
      t14 = (Q(1)*spvak2k6(1)-Q(2)*spvak2k6(2)-Q(3)*spvak2k6(3)-Q(4)*spvak2k6(4)&
      &)
      t15 = (Q(1)*spvak5k1(1)-Q(2)*spvak5k1(2)-Q(3)*spvak5k1(3)-Q(4)*spvak5k1(4)&
      &)
      t16 = (Q(1)*spvak6k1(1)-Q(2)*spvak6k1(2)-Q(3)*spvak6k1(3)-Q(4)*spvak6k1(4)&
      &)
      d29 = (abb29n1+t1*abb29n16+t10*abb29n9+t2*abb29n27+t3*abb29n28+t4*abb29n3+&
      &t5*abb29n30+t6*abb29n4+t7*abb29n5+t8*abb29n5+t9*abb29n6+t1*t9*abb29n29+t1&
      &0*t2*abb29n43+t10*t3*abb29n41+t10*t4*abb29n7+t10*t6*abb29n8+t10*t7*abb29n&
      &40+t10*t8*abb29n40+t10*t9*abb29n39+t11*t4*abb29n11+t11*t6*abb29n10+t11*t9&
      &*abb29n2+t12*t4*abb29n18+t12*t6*abb29n17+t13*t2*abb29n19+t13*t3*abb29n20+&
      &t13*t7*abb29n21+t13*t8*abb29n21+t13*t9*abb29n25+t14*t2*abb29n24+t14*t3*ab&
      &b29n23+t14*t7*abb29n22+t14*t8*abb29n22+t14*t9*abb29n26+t15*t2*abb29n33+t1&
      &5*t3*abb29n32+t15*t7*abb29n31+t15*t8*abb29n31+t15*t9*abb29n37+t16*t2*abb2&
      &9n34+t16*t3*abb29n35+t16*t7*abb29n36+t16*t8*abb29n36+t16*t9*abb29n38+t2*t&
      &4*abb29n12+t2*t6*abb29n15+t2*t9*abb29n29+t3*t4*abb29n13+t3*t6*abb29n14+t5&
      &*t9*abb29n42+t11*t4*t9*abb29n45+t11*t6*t9*abb29n44)

      numerator = cmplx(real(d29, ki), aimag(d29), ki_gol)
   end function numerator_golem95
   !------#] function numerator_golem95:
!---#] numerator interfaces:
end module p7_dubar_emnebargg_d29h0l1
