module     p7_dubar_emnebargg_abbrevd89h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb89n1
   complex(ki), public :: abb89n2
   complex(ki), public :: abb89n3
   complex(ki), public :: abb89n4
   complex(ki), public :: abb89n5
   complex(ki), public :: abb89n6
   complex(ki), public :: abb89n7
   complex(ki), public :: abb89n8
   complex(ki), public :: abb89n9
   complex(ki), public :: abb89n10
   complex(ki), public :: abb89n11
   complex(ki), public :: abb89n12
   complex(ki), public :: abb89n13
   complex(ki), public :: abb89n14
   complex(ki), public :: abb89n15
   complex(ki), public :: abb89n16
   complex(ki), public :: abb89n17
   complex(ki), public :: abb89n18
   complex(ki), public :: abb89n19
   complex(ki), public :: abb89n20
   complex(ki), public :: abb89n21
   complex(ki), public :: abb89n22
   complex(ki), public :: abb89n23
   complex(ki), public :: rat2d89
   complex(ki), public :: abb89n25
   complex(ki), public :: abb89n26
   complex(ki), public :: abb89n27
   complex(ki), public :: abb89n28
   complex(ki), public :: abb89n29
   complex(ki), public :: abb89n30
   complex(ki), public :: abb89n31
   complex(ki), public :: abb89n32
   complex(ki), public :: abb89n33
   complex(ki), public :: abb89n34
   complex(ki), public :: abb89n35
   complex(ki), public :: abb89n36
   complex(ki), public :: abb89n37
   complex(ki), public :: abb89n38
   complex(ki), public :: abb89n39
   complex(ki), public :: abb89n40
   complex(ki), public :: abb89n41
   complex(ki), public :: abb89n42
   complex(ki), public :: abb89n43
   complex(ki), public :: abb89n44
   complex(ki), public :: abb89n45
   complex(ki), public :: abb89n46
   complex(ki), public :: abb89n47
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c3*i_
      t3 = t2*spak1k2
      t4 = t3*spak3k5*spbk4k1
      t5 = t1*spak5k6*spbk6k5
      t6 = TR*c1*i_
      t7 = t6*spak1k2
      t8 = t7*spak3k5*spbk4k1
      t9 = NC*t1
      t10 = t9*spak5k6*spbk6k5
      abb89n1 = ((4.0_ki)*(t8/t10*spbk5k1+t7/t10*spak3k6*spbk4k1*spbk6k1-(t3/t5*&
      &spak3k6*spbk4k1*spbk6k1+t4/t5*spbk5k1)))
      t4 = t4/t5*spbk6k1
      t8 = t8/t10*spbk6k1
      abb89n2 = ((8.0_ki)*(t4-t8))
      t11 = spbk6k1*spbk6k1
      t1 = t1*spbk6k5
      t9 = t9*spbk6k5
      abb89n3 = ((4.0_ki)*(t11/t1*t3-t11*t7/t9))
      abb89n4 = ((4.0_ki)*(t7/t9*spbk6k1*spbk6k4-t3/t1*spbk6k1*spbk6k4))
      t11 = t2*spak2k3
      t12 = t11*spbk2k1
      t13 = t6*spak2k3
      t14 = t13*spbk2k1
      abb89n5 = ((4.0_ki)*(t14/t9*spbk6k4-t12/t1*spbk6k4))
      abb89n6 = ((4.0_ki)*(t12/t5-t14/t10))
      t12 = t11/t5*spbk4k1
      t14 = t13/t10*spbk4k1
      abb89n7 = ((8.0_ki)*(t14-t12))
      abb89n8 = ((4.0_ki)*(t12-t14))
      t12 = t2/t5*spak3k5*spbk4k1
      t14 = t6/t10*spak3k5*spbk4k1
      abb89n9 = ((8.0_ki)*(t14-t12))
      abb89n10 = ((4.0_ki)*(t12-t14))
      abb89n11 = ((4.0_ki)*(t2/t5*spak3k6*spbk4k1-t6/t10*spak3k6*spbk4k1))
      t12 = t11/t1*spbk6k1*spbk6k4
      t14 = t13/t9*spbk6k1*spbk6k4
      abb89n12 = ((4.0_ki)*(t14+t8-(t4+t12)))
      abb89n13 = ((8.0_ki)*(t12-t14))
      abb89n14 = ((4.0_ki)*(t6/t9*spbk6k1-t2/t1*spbk6k1))
      abb89n15 = ((4.0_ki)*(t11/t5*spbk4k2-t13/t10*spbk4k2))
      abb89n16 = ((4.0_ki)*(t13/t9*spbk6k2*spbk6k4-t11/t1*spbk6k2*spbk6k4))
      abb89n17 = ((4.0_ki)*(t13/t10*spbk5k4-t11/t5*spbk5k4))
      t1 = t11/t5*spbk6k4
      t4 = t13/t10*spbk6k4
      abb89n18 = ((4.0_ki)*(t4-t1))
      abb89n19 = ((8.0_ki)*(t1-t4))
      t1 = t2*spak2k5
      t4 = t1/t5*spbk6k4
      t8 = t6*spak2k5
      t9 = t8/t10*spbk6k4
      abb89n20 = ((8.0_ki)*(t9-t4))
      abb89n21 = ((4.0_ki)*(t4-t9))
      abb89n22 = ((4.0_ki)*(t1/t5*spbk5k4+t3/t5*spbk4k1+t2/t5*spak2k6*spbk6k4-(t&
      &6/t10*spak2k6*spbk6k4+t8/t10*spbk5k4+t7/t10*spbk4k1)))
      abb89n23 = ((4.0_ki)*(t6/t10-t2/t5))
      rat2d89 = 0
      rat2 = rat2 + rat2d89
      abb89n25 = abb89n1
      abb89n26 = abb89n23
      abb89n27 = abb89n22
      abb89n28 = abb89n21
      abb89n29 = abb89n20
      abb89n30 = abb89n19
      abb89n31 = abb89n18
      abb89n32 = abb89n17
      abb89n33 = abb89n16
      abb89n34 = abb89n15
      abb89n35 = abb89n14
      abb89n36 = abb89n13
      abb89n37 = abb89n12
      abb89n38 = abb89n11
      abb89n39 = abb89n10
      abb89n40 = abb89n9
      abb89n41 = abb89n8
      abb89n42 = abb89n7
      abb89n43 = abb89n6
      abb89n44 = abb89n5
      abb89n45 = abb89n4
      abb89n46 = abb89n3
      abb89n47 = abb89n2
   end subroutine
end module p7_dubar_emnebargg_abbrevd89h1
