module     p7_dubar_emnebargg_abbrevd89h3
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh3
   implicit none
   private
   complex(ki), public :: abb89n1
   complex(ki), public :: abb89n2
   complex(ki), public :: abb89n3
   complex(ki), public :: abb89n4
   complex(ki), public :: abb89n5
   complex(ki), public :: abb89n6
   complex(ki), public :: abb89n7
   complex(ki), public :: abb89n8
   complex(ki), public :: abb89n9
   complex(ki), public :: abb89n10
   complex(ki), public :: abb89n11
   complex(ki), public :: abb89n12
   complex(ki), public :: abb89n13
   complex(ki), public :: abb89n14
   complex(ki), public :: abb89n15
   complex(ki), public :: abb89n16
   complex(ki), public :: abb89n17
   complex(ki), public :: abb89n18
   complex(ki), public :: abb89n19
   complex(ki), public :: abb89n20
   complex(ki), public :: abb89n21
   complex(ki), public :: abb89n22
   complex(ki), public :: abb89n23
   complex(ki), public :: abb89n24
   complex(ki), public :: abb89n25
   complex(ki), public :: abb89n26
   complex(ki), public :: abb89n27
   complex(ki), public :: abb89n28
   complex(ki), public :: abb89n29
   complex(ki), public :: abb89n30
   complex(ki), public :: abb89n31
   complex(ki), public :: abb89n32
   complex(ki), public :: abb89n33
   complex(ki), public :: abb89n34
   complex(ki), public :: abb89n35
   complex(ki), public :: abb89n36
   complex(ki), public :: abb89n37
   complex(ki), public :: abb89n38
   complex(ki), public :: abb89n39
   complex(ki), public :: abb89n40
   complex(ki), public :: abb89n41
   complex(ki), public :: abb89n42
   complex(ki), public :: rat2d89
   complex(ki), public :: abb89n44
   complex(ki), public :: abb89n45
   complex(ki), public :: abb89n46
   complex(ki), public :: abb89n47
   complex(ki), public :: abb89n48
   complex(ki), public :: abb89n49
   complex(ki), public :: abb89n50
   complex(ki), public :: abb89n51
   complex(ki), public :: abb89n52
   complex(ki), public :: abb89n53
   complex(ki), public :: abb89n54
   complex(ki), public :: abb89n55
   complex(ki), public :: abb89n56
   complex(ki), public :: abb89n57
   complex(ki), public :: abb89n58
   complex(ki), public :: abb89n59
   complex(ki), public :: abb89n60
   complex(ki), public :: abb89n61
   complex(ki), public :: abb89n62
   complex(ki), public :: abb89n63
   complex(ki), public :: abb89n64
   complex(ki), public :: abb89n65
   complex(ki), public :: abb89n66
   complex(ki), public :: abb89n67
   complex(ki), public :: abb89n68
   complex(ki), public :: abb89n69
   complex(ki), public :: abb89n70
   complex(ki), public :: abb89n71
   complex(ki), public :: abb89n72
   complex(ki), public :: abb89n73
   complex(ki), public :: abb89n74
   complex(ki), public :: abb89n75
   complex(ki), public :: abb89n76
   complex(ki), public :: abb89n77
   complex(ki), public :: abb89n78
   complex(ki), public :: abb89n79
   complex(ki), public :: abb89n80
   complex(ki), public :: abb89n81
   complex(ki), public :: abb89n82
   complex(ki), public :: abb89n83
   complex(ki), public :: abb89n84
   complex(ki), public :: abb89n85
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c3
      t3 = es56*t2*i_
      t4 = t3*spak1k2*spak3k6*spbk4k1
      t5 = spbk6k5*spbk6k5
      t6 = t1*t5
      t7 = TR*c1
      t8 = es56*t7*i_
      t9 = t8*spak1k2*spak3k6*spbk4k1
      t10 = NC*t1
      t5 = t10*t5
      abb89n1 = ((4.0_ki)*(t9/t5*spbk5k1-t4/t6*spbk5k1))
      t4 = t4/t6*spbk6k1
      t9 = t9/t5*spbk6k1
      abb89n2 = ((4.0_ki)*(t9-t4))
      abb89n3 = ((8.0_ki)*(t4-t9))
      t4 = t3/t6*spak3k6*spbk4k1
      t9 = t8/t5*spak3k6*spbk4k1
      t11 = t4-t9
      abb89n4 = ((4.0_ki)*t11)
      t12 = t3*spak2k3
      t13 = t8*spak2k3
      abb89n5 = ((4.0_ki)*(t13/t5*spbk5k4-t12/t6*spbk5k4))
      t12 = t12/t6*spbk6k4
      t13 = t13/t5*spbk6k4
      abb89n6 = ((4.0_ki)*(t13-t12))
      abb89n7 = ((8.0_ki)*(t12-t13))
      t3 = t3*spak2k6
      t8 = t8*spak2k6
      abb89n8 = ((4.0_ki)*(t3/t6*spbk5k4-t8/t5*spbk5k4))
      t2 = t2*i_
      t12 = t2*spak1k2
      t13 = t12*spak3k6*spbk4k1
      t14 = t13/t6*spbk5k1
      t7 = t7*i_
      t15 = t7*spak1k2
      t16 = t15*spak3k6*spbk4k1
      t17 = t16/t5*spbk5k1
      abb89n9 = ((4.0_ki)*(t17-t14))
      abb89n10 = ((8.0_ki)*(t14-t17))
      abb89n11 = ((4.0_ki)*(t16/t5*spbk6k1+t15/t5*spak3k5*spbk4k1*spbk5k1-(t12/t&
      &6*spak3k5*spbk4k1*spbk5k1+t13/t6*spbk6k1)))
      t13 = t12*spak5k6
      t14 = t13/t6*spbk5k1*spbk6k1
      t16 = t15*spak5k6
      t17 = t16/t5*spbk5k1*spbk6k1
      abb89n12 = ((8.0_ki)*(t17-t14))
      abb89n13 = ((4.0_ki)*(t14-t17))
      t3 = t3/t6*spbk6k4
      t8 = t8/t5*spbk6k4
      t13 = t13/t6*spbk5k4*spbk6k1
      t14 = t16/t5*spbk5k4*spbk6k1
      abb89n14 = ((4.0_ki)*(t14+t3-(t8+t13)))
      abb89n15 = ((8.0_ki)*(t13+t8-(t3+t14)))
      t3 = t2*spak2k3
      t8 = t3*spak5k6
      t13 = t8/t6*spbk2k1*spbk5k4
      t14 = t7*spak2k3
      t16 = t14*spak5k6
      t17 = t16/t5*spbk2k1*spbk5k4
      abb89n16 = ((4.0_ki)*(t11+t17-t13))
      abb89n17 = ((8.0_ki)*(t13+t9-(t4+t17)))
      abb89n18 = ((4.0_ki)*(t3/t6*spbk2k1-t14/t5*spbk2k1))
      t4 = t3/t6*spbk4k1
      t9 = t14/t5*spbk4k1
      abb89n19 = ((8.0_ki)*(t9-t4))
      abb89n20 = ((4.0_ki)*(t4-t9))
      abb89n21 = ((4.0_ki)*(t2/t6*spak3k5*spbk4k1-t7/t5*spak3k5*spbk4k1))
      t4 = t2/t6*spak3k6*spbk4k1
      t9 = t7/t5*spak3k6*spbk4k1
      abb89n22 = ((8.0_ki)*(t9-t4))
      abb89n23 = ((4.0_ki)*(t4-t9))
      t4 = t2/t6*spak5k6*spbk5k1
      t9 = t7/t5*spak5k6*spbk5k1
      abb89n24 = ((4.0_ki)*(t9-t4))
      abb89n25 = ((8.0_ki)*(t4-t9))
      t4 = t8*spbk5k4
      t8 = t4/t6*spbk6k1
      t9 = t16*spbk5k4
      t11 = t9/t5*spbk6k1
      t13 = t11-t8
      abb89n26 = ((16.0_ki)*t13)
      abb89n27 = ((4.0_ki)*t13)
      abb89n28 = ((8.0_ki)*(t8-t11))
      abb89n29 = ((4.0_ki)*(t3/t6*spbk4k2-t14/t5*spbk4k2))
      t4 = t4/t6*spbk6k2
      t8 = t9/t5*spbk6k2
      abb89n30 = ((4.0_ki)*(t8-t4))
      abb89n31 = ((8.0_ki)*(t4-t8))
      t4 = t3/t6*spbk5k4
      t8 = t14/t5*spbk5k4
      abb89n32 = ((4.0_ki)*(t8-t4))
      abb89n33 = ((8.0_ki)*(t4-t8))
      abb89n34 = ((4.0_ki)*(t14/t5*spbk6k4-t3/t6*spbk6k4))
      t3 = t2*spak2k5
      t1 = t1*spbk6k5
      t4 = t3/t1
      t8 = t7*spak2k5
      t9 = t10*spbk6k5
      t10 = t8/t9
      abb89n35 = ((8.0_ki)*(t10-t4))
      abb89n36 = ((4.0_ki)*(t4-t10))
      t4 = t2*spak2k6
      t10 = t4/t6*spbk5k4
      t11 = t7*spak2k6
      t13 = t11/t5*spbk5k4
      abb89n37 = ((8.0_ki)*(t13-t10))
      abb89n38 = ((4.0_ki)*(t10-t13))
      abb89n39 = ((4.0_ki)*(t12/t6*spbk4k1+t3/t6*spbk5k4+t4/t6*spbk6k4-(t8/t5*sp&
      &bk5k4+t15/t5*spbk4k1+t11/t5*spbk6k4)))
      t1 = t4/t1
      t3 = t11/t9
      abb89n40 = ((4.0_ki)*(t3-t1))
      abb89n41 = ((8.0_ki)*(t1-t3))
      abb89n42 = ((4.0_ki)*(t7/t5-t2/t6))
      rat2d89 = 0
      rat2 = rat2 + rat2d89
      abb89n44 = abb89n1
      abb89n45 = abb89n42
      abb89n46 = abb89n41
      abb89n47 = abb89n40
      abb89n48 = abb89n39
      abb89n49 = abb89n38
      abb89n50 = abb89n37
      abb89n51 = abb89n36
      abb89n52 = abb89n35
      abb89n53 = abb89n34
      abb89n54 = abb89n33
      abb89n55 = abb89n32
      abb89n56 = abb89n31
      abb89n57 = abb89n30
      abb89n58 = abb89n29
      abb89n59 = abb89n28
      abb89n60 = abb89n27
      abb89n61 = abb89n26
      abb89n62 = abb89n25
      abb89n63 = abb89n24
      abb89n64 = abb89n23
      abb89n65 = abb89n22
      abb89n66 = abb89n21
      abb89n67 = abb89n20
      abb89n68 = abb89n19
      abb89n69 = abb89n18
      abb89n70 = abb89n17
      abb89n71 = abb89n16
      abb89n72 = abb89n15
      abb89n73 = abb89n14
      abb89n74 = abb89n13
      abb89n75 = abb89n12
      abb89n76 = abb89n11
      abb89n77 = abb89n10
      abb89n78 = abb89n9
      abb89n79 = abb89n8
      abb89n80 = abb89n7
      abb89n81 = abb89n6
      abb89n82 = abb89n5
      abb89n83 = abb89n4
      abb89n84 = abb89n3
      abb89n85 = abb89n2
   end subroutine
end module p7_dubar_emnebargg_abbrevd89h3
