module     p0_dd_emnebardu_abbrevd35h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb35n1
   complex(ki), public :: abb35n2
   complex(ki), public :: abb35n3
   complex(ki), public :: abb35n4
   complex(ki), public :: abb35n5
   complex(ki), public :: abb35n6
   complex(ki), public :: abb35n7
   complex(ki), public :: abb35n8
   complex(ki), public :: abb35n9
   complex(ki), public :: abb35n10
   complex(ki), public :: abb35n11
   complex(ki), public :: abb35n12
   complex(ki), public :: abb35n13
   complex(ki), public :: abb35n14
   complex(ki), public :: abb35n15
   complex(ki), public :: abb35n16
   complex(ki), public :: rat2d35
   complex(ki), public :: abb35n18
   complex(ki), public :: abb35n19
   complex(ki), public :: abb35n20
   complex(ki), public :: abb35n21
   complex(ki), public :: abb35n22
   complex(ki), public :: abb35n23
   complex(ki), public :: abb35n24
   complex(ki), public :: abb35n25
   complex(ki), public :: abb35n26
   complex(ki), public :: abb35n27
   complex(ki), public :: abb35n28
   complex(ki), public :: abb35n29
   complex(ki), public :: abb35n30
   complex(ki), public :: abb35n31
   complex(ki), public :: abb35n32
   complex(ki), public :: abb35n33
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   real(ki) :: t49
   real(ki) :: t50
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t49 = es34+es61-(es345+es234)
      t2 = Nfrat*c1
      t3 = es234*t2*i_
      t50 = TR*TR
      t4 = (es34+es56-(es234+es12))*t1
      t49 = t49*t49
      t5 = t49*t4
      t6 = es34*t2*i_
      t7 = es345*t2*i_
      t8 = es61*t2*i_
      t1 = (es12+es34-(es56+es345))*t1
      t9 = t49*t1
      t10 = Nfrat*c2
      t11 = es234*t10*i_
      t4 = NC*t49*t4
      t12 = es34*t10*i_
      t13 = es345*t10*i_
      t14 = es61*t10*i_
      t1 = NC*t49*t1
      t15 = es234*c2*i_
      t16 = es34*c2*i_
      t17 = es345*c2*i_
      t18 = es61*c2*i_
      t19 = NC*c1
      t20 = es234*t19*i_
      t21 = es34*t19*i_
      t22 = es345*t19*i_
      t23 = es61*t19*i_
      t15 = t50*t15/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t50*t15/t9*spak3k5*spak3k&
      &6*spbk2k1*spbk4k3+t50*t15/t9*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t16/t5*s&
      &pak3k4*spak5k6*spbk4k1*spbk4k2+t50*t17/t5*spak1k3*spak5k6*spbk2k1*spbk4k1&
      &+t50*t17/t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t17/t9*spak3k6*spak5k6*sp&
      &bk2k1*spbk6k4+t50*t18/t5*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t20/t5*spak3&
      &k4*spak5k6*spbk4k1*spbk4k2+t50*t21/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t50&
      &*t21/t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t21/t9*spak3k6*spak5k6*spbk2k&
      &1*spbk6k4+t50*t22/t5*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t23/t5*spak1k3*s&
      &pak5k6*spbk2k1*spbk4k1+t50*t23/t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t23&
      &/t9*spak3k6*spak5k6*spbk2k1*spbk6k4-(t50*t23/t5*spak3k4*spak5k6*spbk4k1*s&
      &pbk4k2+t50*t22/t9*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t22/t9*spak3k5*spak&
      &3k6*spbk2k1*spbk4k3+t50*t22/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t50*t21/t5&
      &*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t20/t9*spak3k6*spak5k6*spbk2k1*spbk6&
      &k4+t50*t20/t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t20/t5*spak1k3*spak5k6*&
      &spbk2k1*spbk4k1+t50*t18/t9*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t18/t9*spa&
      &k3k5*spak3k6*spbk2k1*spbk4k3+t50*t18/t5*spak1k3*spak5k6*spbk2k1*spbk4k1+t&
      &50*t17/t5*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t16/t9*spak3k6*spak5k6*spbk&
      &2k1*spbk6k4+t50*t16/t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t16/t5*spak1k3&
      &*spak5k6*spbk2k1*spbk4k1+t50*t15/t5*spak3k4*spak5k6*spbk4k1*spbk4k2)
      abb35n1 = ((20.0_ki/3.0_ki)*(t50*t11/t1*spak3k5*spak3k6*spbk2k1*spbk4k3+t5&
      &0*t11/t1*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t13/t1*spak3k5*spak3k6*spbk2&
      &k1*spbk4k3+t50*t13/t1*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t11/t4*spak1k3*&
      &spak5k6*spbk2k1*spbk4k1+t50*t12/t4*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t1&
      &3/t4*spak1k3*spak5k6*spbk2k1*spbk4k1+t50*t14/t4*spak3k4*spak5k6*spbk4k1*s&
      &pbk4k2+t50*t3/t5*spak3k4*spak5k6*spbk4k1*spbk4k2+t50/t5*t6*spak1k3*spak5k&
      &6*spbk2k1*spbk4k1+t50/t5*t7*spak3k4*spak5k6*spbk4k1*spbk4k2+t50/t5*t8*spa&
      &k1k3*spak5k6*spbk2k1*spbk4k1+t50*t6/t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t5&
      &0*t6/t9*spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t8/t9*spak3k5*spak3k6*spbk2k1&
      &*spbk4k3+t50*t8/t9*spak3k6*spak5k6*spbk2k1*spbk6k4-(t50*t7/t9*spak3k6*spa&
      &k5k6*spbk2k1*spbk6k4+t50*t7/t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t50/t5*t8*&
      &spak3k4*spak5k6*spbk4k1*spbk4k2+t50/t5*t7*spak1k3*spak5k6*spbk2k1*spbk4k1&
      &+t50/t5*t6*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t3/t9*spak3k6*spak5k6*spbk&
      &2k1*spbk6k4+t50*t3/t9*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t3/t5*spak1k3*s&
      &pak5k6*spbk2k1*spbk4k1+t50*t14/t4*spak1k3*spak5k6*spbk2k1*spbk4k1+t50*t13&
      &/t4*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t12/t4*spak1k3*spak5k6*spbk2k1*sp&
      &bk4k1+t50*t11/t4*spak3k4*spak5k6*spbk4k1*spbk4k2+t50*t14/t1*spak3k6*spak5&
      &k6*spbk2k1*spbk6k4+t50*t14/t1*spak3k5*spak3k6*spbk2k1*spbk4k3+t50*t12/t1*&
      &spak3k6*spak5k6*spbk2k1*spbk6k4+t50*t12/t1*spak3k5*spak3k6*spbk2k1*spbk4k&
      &3))+(2.0_ki/3.0_ki)*t15)
      t3 = c2*i_
      t6 = t3*spak3k6
      t7 = t50/t5*t6*spbk4k1
      t8 = t19*i_
      t11 = t8*spak3k6
      t12 = t50*t11/t5*spbk4k1
      abb35n2 = ((16.0_ki)*(t7-t12))
      abb35n3 = ((16.0_ki)*(t12-t7))
      abb35n4 = ((8.0_ki)*(t50*t11/t5*spbk3k1+t50/t5*t8*spak4k6*spbk4k1-(t50*t3/&
      &t5*spak4k6*spbk4k1+t50/t5*t6*spbk3k1)))
      t2 = t2*i_
      t7 = t2*spak3k4
      t12 = t7*spak5k6*spbk4k1
      t10 = t10*i_
      t13 = t10*spak3k4
      t14 = t13*spak5k6*spbk4k1
      abb35n5 = ((20.0_ki)*(t50*t12/t5*spbk5k2-t50*t14/t4*spbk5k2))
      abb35n6 = ((40.0_ki)*(t50/t5*t7*spbk4k1-t50*t13/t4*spbk4k1))
      abb35n7 = ((10.0_ki)*t15)
      t7 = t2*spak2k5
      t13 = t7*spak3k6*spbk2k1
      t15 = t10*spak2k5
      t16 = t15*spak3k6*spbk2k1
      abb35n8 = ((20.0_ki)*(t50*t13/t9*spbk4k3-t50*t16/t1*spbk4k3))
      t17 = t2*spak1k3
      t18 = t10*spak1k3
      abb35n9 = ((20.0_ki)*(t50*t16/t1*spbk6k4+t50*t18/t4*spak2k5*spbk2k1*spbk4k&
      &1+t50/t5*t7*spak3k4*spbk4k1*spbk4k2-(t50*t17/t5*spak2k5*spbk2k1*spbk4k1+t&
      &50*t15/t4*spak3k4*spbk4k1*spbk4k2+t50*t13/t9*spbk6k4)))
      t7 = t17*spak5k6
      t13 = t50/t5*t7*spbk2k1*spbk4k1
      t15 = t50*t12/t5*spbk4k2
      t16 = t2*spak3k5*spak3k6
      t19 = t50*t16/t9*spbk2k1*spbk4k3
      t20 = t2*spak3k6
      t21 = t20*spak5k6
      t22 = t50*t21/t9*spbk2k1*spbk6k4
      t23 = t18*spak5k6
      t24 = t50*t23/t4*spbk2k1*spbk4k1
      t25 = t50*t14/t4*spbk4k2
      t26 = t10*spak3k5*spak3k6
      t27 = t50*t26/t1*spbk2k1*spbk4k3
      t28 = t10*spak3k6
      t29 = t28*spak5k6
      t30 = t50*t29/t1*spbk2k1*spbk6k4
      t31 = t3*spak1k3
      t32 = t31*spak5k6
      t33 = t50*t32/t5*spbk2k1*spbk4k1
      t34 = t3*spak3k4*spak5k6*spbk4k1
      t35 = t50*t34/t5*spbk4k2
      t36 = t3*spak3k5*spak3k6
      t37 = t50*t36/t9*spbk2k1*spbk4k3
      t38 = t6*spak5k6
      t39 = t50*t38/t9*spbk2k1*spbk6k4
      t40 = t8*spak1k3
      t41 = t40*spak5k6
      t42 = t50*t41/t5*spbk2k1*spbk4k1
      t43 = t8*spak3k4*spak5k6*spbk4k1
      t44 = t50*t43/t5*spbk4k2
      t45 = t8*spak3k5*spak3k6
      t46 = t50*t45/t9*spbk2k1*spbk4k3
      t47 = t11*spak5k6
      t48 = t50*t47/t9*spbk2k1*spbk6k4
      abb35n10 = ((80.0_ki)*(t15+t24+t27+t30-(t25+t22+t19+t13))+(4.0_ki)*(t33+t3&
      &7+t39+t44-(t48+t46+t42+t35)))
      t13 = t13+t19+t22+t25-(t30+t27+t24+t15)
      t15 = (4.0_ki)*(t35+t42+t46+t48-(t44+t39+t37+t33))
      abb35n11 = ((40.0_ki)*t13+t15)
      abb35n12 = ((80.0_ki)*t13+t15)
      t7 = t7*spbk4k1
      t13 = t2*spak2k6
      t15 = t16*spbk4k3
      t16 = t23*spbk4k1
      t19 = t10*spak2k6
      t22 = t26*spbk4k3
      t23 = t3*spak2k6
      t24 = t8*spak2k6
      abb35n13 = ((40.0_ki)*(t50*t22/t1*spbk5k1+t50*t14/t4*spbk5k4+t50*t16/t4*sp&
      &bk5k1+t50*t29/t1*spbk5k1*spbk6k4+t50*t13/t9*spak3k6*spbk2k1*spbk6k4+t50*t&
      &17/t5*spak2k6*spbk2k1*spbk4k1+t50*t19/t4*spak3k4*spbk4k1*spbk4k2+t50*t10/&
      &t1*spak2k3*spak3k6*spbk2k1*spbk4k3-(t50*t2/t9*spak2k3*spak3k6*spbk2k1*spb&
      &k4k3+t50*t18/t4*spak2k6*spbk2k1*spbk4k1+t50*t13/t5*spak3k4*spbk4k1*spbk4k&
      &2+t50*t19/t1*spak3k6*spbk2k1*spbk6k4+t50*t21/t9*spbk5k1*spbk6k4+t50/t5*t7&
      &*spbk5k1+t50*t15/t9*spbk5k1+t50*t12/t5*spbk5k4))+(3.0_ki)*(t50*t43/t5*spb&
      &k5k4+t50*t41/t5*spbk4k1*spbk5k1+t50*t45/t9*spbk4k3*spbk5k1+t50*t47/t9*spb&
      &k5k1*spbk6k4+t50*t23/t9*spak3k6*spbk2k1*spbk6k4+t50*t24/t5*spak3k4*spbk4k&
      &1*spbk4k2+t50*t31/t5*spak2k6*spbk2k1*spbk4k1+t50*t8/t9*spak2k3*spak3k6*sp&
      &bk2k1*spbk4k3-(t50*t3/t9*spak2k3*spak3k6*spbk2k1*spbk4k3+t50*t40/t5*spak2&
      &k6*spbk2k1*spbk4k1+t50*t24/t9*spak3k6*spbk2k1*spbk6k4+t50*t23/t5*spak3k4*&
      &spbk4k1*spbk4k2+t50*t38/t9*spbk5k1*spbk6k4+t50*t36/t9*spbk4k3*spbk5k1+t50&
      &*t32/t5*spbk4k1*spbk5k1+t50*t34/t5*spbk5k4)))
      abb35n14 = ((20.0_ki)*(t50*t15/t9*spbk5k2+t50/t5*t7*spbk5k2+t50*t21/t9*spb&
      &k5k2*spbk6k4-(t50*t29/t1*spbk5k2*spbk6k4+t50*t16/t4*spbk5k2+t50*t22/t1*sp&
      &bk5k2)))
      t2 = t50*t6*spbk4k3
      t7 = t50*t11*spbk4k3
      abb35n15 = ((40.0_ki)*(t50*t28/t1*spbk4k3-t50*t20/t9*spbk4k3)+(8.0_ki)*(t7&
      &/t5+t7/t9+t50*t3/t5*spak1k6*spbk4k1-(t50/t5*t8*spak1k6*spbk4k1+t2/t9+t2/t&
      &5)))
      abb35n16 = ((8.0_ki)*(t50*t6/t9*spbk6k4-t50*t11/t9*spbk6k4)+(40.0_ki)*(t50&
      &*t17/t5*spbk4k1+t50*t20/t9*spbk6k4-(t50*t18/t4*spbk4k1+t50*t28/t1*spbk6k4&
      &)))
      rat2d35 = abb35n1
      rat2 = rat2 + rat2d35
      abb35n18 = abb35n7
      abb35n19 = abb35n16
      abb35n20 = abb35n15
      abb35n21 = abb35n11
      abb35n22 = abb35n6
      abb35n23 = abb35n4
      abb35n24 = abb35n3
      abb35n25 = abb35n2
      abb35n26 = -(abb35n5)
      abb35n27 = -(abb35n8)
      abb35n28 = -(abb35n9)
      abb35n29 = -(abb35n10)
      abb35n30 = ((2.0_ki)*abb35n11)
      abb35n31 = -(abb35n12)
      abb35n32 = -(abb35n13)
      abb35n33 = -(abb35n14)
   end subroutine
end module p0_dd_emnebardu_abbrevd35h0
