module     p0_dd_emnebardu_abbrevd59h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb59n1
   complex(ki), public :: abb59n2
   complex(ki), public :: abb59n3
   complex(ki), public :: abb59n4
   complex(ki), public :: abb59n5
   complex(ki), public :: abb59n6
   complex(ki), public :: abb59n7
   complex(ki), public :: abb59n8
   complex(ki), public :: abb59n9
   complex(ki), public :: abb59n10
   complex(ki), public :: rat2d59
   complex(ki), public :: abb59n12
   complex(ki), public :: abb59n13
   complex(ki), public :: abb59n14
   complex(ki), public :: abb59n15
   complex(ki), public :: abb59n16
   complex(ki), public :: abb59n17
   complex(ki), public :: abb59n18
   complex(ki), public :: abb59n19
   complex(ki), public :: abb59n20
   complex(ki), public :: abb59n21
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   real(ki) :: t19
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak1k3
      t3 = t2*spak5k6
      t19 = TR*TR
      t4 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t5 = NC*t4
      t6 = t1*spak3k4
      t7 = t6*spak5k6*spbk4k1
      t8 = c2*i_
      t9 = t8*spak1k3
      t10 = t9*spak5k6
      t11 = NC*NC*t4
      t12 = t8*spak3k4
      t13 = t12*spak5k6*spbk4k1
      t14 = NC*c1*i_
      t15 = t14*spak1k3
      t16 = t15*spak5k6
      t17 = t14*spak3k4
      t18 = t17*spak5k6*spbk4k1
      abb59n1 = ((8.0_ki)*(t19/t5*t7*spbk6k4+t19*t3/t5*spbk4k1*spbk6k1)+(4.0_ki)&
      &*(-(t19*t16/t4*spbk4k1*spbk6k1+t19*t10/t11*spbk4k1*spbk6k1+t19*t18/t4*spb&
      &k6k4+t19*t13/t11*spbk6k4)))
      t9 = t19/t11*t9*spbk4k1
      t2 = (2.0_ki)*t19*t2/t5*spbk4k1
      t15 = t19*t15/t4*spbk4k1
      abb59n2 = ((4.0_ki)*(t15+t9-t2))
      abb59n3 = ((4.0_ki)*(t2-(t9+t15)))
      abb59n4 = ((16.0_ki)*(t19/t5*t7*spbk4k2-t19*t3/t5*spbk2k1*spbk4k1)+(8.0_ki&
      &)*(t19*t10/t11*spbk2k1*spbk4k1+t19*t16/t4*spbk2k1*spbk4k1-(t19*t18/t4*spb&
      &k4k2+t19*t13/t11*spbk4k2)))
      t2 = t19*t12/t11*spbk4k1
      t3 = (2.0_ki)*t19/t5*t6*spbk4k1
      t6 = t19*t17/t4*spbk4k1
      abb59n5 = ((4.0_ki)*(t2+t6-t3))
      abb59n6 = ((4.0_ki)*(t3-(t6+t2)))
      t2 = t8*spak3k5
      t3 = t19/t11*t2*spbk4k1
      t6 = t1*spak3k5
      t7 = (2.0_ki)*t19/t5*t6*spbk4k1
      t9 = t14*spak3k5
      t10 = t19/t4*t9*spbk4k1
      abb59n7 = ((8.0_ki)*(t10+t3-t7))
      abb59n8 = ((8.0_ki)*(t7-(t3+t10)))
      abb59n9 = ((8.0_ki)*(-(t19*t1/t5*spak4k5*spbk4k1+t19/t5*t6*spbk3k1))+(4.0_&
      &ki)*(t19/t11*t2*spbk3k1+t19/t4*t9*spbk3k1+t19/t11*t8*spak4k5*spbk4k1+t19*&
      &t14/t4*spak4k5*spbk4k1))
      abb59n10 = ((8.0_ki)*(t19*t1/t5*spak1k5*spbk4k1-t19/t5*t6*spbk4k3)+(4.0_ki&
      &)*(t19/t11*t2*spbk4k3+t19/t4*t9*spbk4k3-(t19*t14/t4*spak1k5*spbk4k1+t19/t&
      &11*t8*spak1k5*spbk4k1)))
      rat2d59 = 0
      rat2 = rat2 + rat2d59
      abb59n12 = abb59n1
      abb59n13 = abb59n10
      abb59n14 = abb59n9
      abb59n15 = abb59n8
      abb59n16 = abb59n7
      abb59n17 = abb59n6
      abb59n18 = abb59n5
      abb59n19 = abb59n4
      abb59n20 = abb59n3
      abb59n21 = abb59n2
   end subroutine
end module p0_dd_emnebardu_abbrevd59h0
