module     p0_dd_emnebardu_d6h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p0_dd_emnebardu/helicity0/d6h0l1d.f90
   ! generator: haggies (1.1)
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d6
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_dd_emnebardu_globalsl1, only: epspow
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_abbrevd6h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      real(ki) :: t35
      real(ki) :: t36
      real(ki) :: t37
      real(ki) :: t38
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k6
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t35 = dotproduct(qshift, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t36 = dotproduct(k2, qshift)
      t37 = dotproduct(k5, qshift)
      t2 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t38 = dotproduct(k6, qshift)
      t3 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t4 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t5 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t6 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t7 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-sp&
      &vak6k2(4)*qshift(4))
      t8 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb6n32+t1*abb6n62+t2*abb6n66+t3*abb6n91+t35*abb6n48+t36*a&
         &bb6n63+t37*abb6n64+t38*abb6n68+t4*abb6n92+t5*abb6n93+t1*t38*abb6n58+t1&
         &*t5*abb6n37+t1*t7*abb6n47+t2*t3*abb6n36+t2*t35*abb6n77+t2*t38*abb6n50+&
         &t2*t4*abb6n34+t2*t5*abb6n35+t2*t6*abb6n45+t2*t7*abb6n56+t2*t8*abb6n53+&
         &t3*t35*abb6n83+t3*t36*abb6n44+t3*t37*abb6n46+t3*t38*abb6n46+t35*t4*abb&
         &6n88+t35*t7*abb6n72+t36*t4*abb6n43+t36*t7*abb6n54+t37*t4*abb6n41+t37*t&
         &7*abb6n51+t38*t4*abb6n41+t38*t7*abb6n51+t1*t2*t5*abb6n98)
         return
      end if
      t9 = k2(iv1)
      t10 = k5(iv1)
      t11 = k6(iv1)
      t12 = qshift(iv1)
      t13 = spvak3k1(iv1)
      t14 = spvak3k4(iv1)
      t15 = spvak5k1(iv1)
      t16 = spvak5k2(iv1)
      t17 = spvak6k1(iv1)
      t18 = spvak2k1(iv1)
      t19 = t13*abb6n90
      t20 = t15*abb6n81
      t21 = spvak6k2(iv1)
      t22 = t21*abb6n74
      t23 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb6n59+t11*abb6n55+t12*abb6n79+t13*abb6n39+t14*abb6n6&
         &1+t15*abb6n40+t16*abb6n57+t17*abb6n38+t19*t37+t19*t38+t20*t37+t20*t38+&
         &t22*t37+t22*t38+t9*abb6n60+t1*t11*abb6n65+t1*t17*abb6n94+t1*t21*abb6n8&
         &0+t10*t3*abb6n81+t10*t4*abb6n90+t10*t7*abb6n74+t11*t2*abb6n75+t11*t3*a&
         &bb6n81+t11*t4*abb6n90+t11*t7*abb6n74+t12*t2*abb6n76+t12*t3*abb6n82+t12&
         &*t4*abb6n87+t12*t7*abb6n71+t13*t2*abb6n97+t13*t35*abb6n42+t13*t36*abb6&
         &n86+t14*t38*abb6n65+t14*t5*abb6n94+t14*t7*abb6n80+t15*t2*abb6n95+t15*t&
         &35*abb6n45+t15*t36*abb6n85+t16*t3*abb6n95+t16*t35*abb6n49+t16*t38*abb6&
         &n75+t16*t4*abb6n97+t16*t5*abb6n96+t16*t6*abb6n83+t16*t7*abb6n67+t16*t8&
         &*abb6n70+t17*t2*abb6n96+t18*t2*abb6n83+t2*t21*abb6n67+t2*t23*abb6n70+t&
         &21*t35*abb6n52+t21*t36*abb6n69+t3*t9*abb6n85+t4*t9*abb6n86+t7*t9*abb6n&
         &69+t1*t16*t5*abb6n33+t1*t17*t2*abb6n33+t14*t2*t5*abb6n33)
         return
      end if
      t35 = d(iv1,iv2)
      t6 = spvak3k1(iv2)
      t8 = spvak5k1(iv2)
      t19 = spvak6k2(iv2)
      t20 = k2(iv2)
      t22 = k5(iv2)
      t24 = spvak3k4(iv2)
      t25 = spvak5k2(iv2)
      t26 = k6(iv2)
      t27 = qshift(iv2)
      t28 = spvak6k1(iv2)
      t29 = t14*t28
      t30 = t17*t24
      t31 = t16*t28
      t32 = t17*t25
      t33 = t14*t25
      t34 = t16*t24
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t35*abb6n48+t2*t35*abb6n77+t3*t35*abb6n83+t35*t4&
         &*abb6n88+t35*t7*abb6n72)+t29*abb6n37+t30*abb6n37+t31*abb6n35+t32*abb6n&
         &35+spvak2k1(iv2)*t16*abb6n45+spvak6k5(iv2)*t16*abb6n53+t1*t31*abb6n98+&
         &t1*t32*abb6n98+t10*t19*abb6n51+t10*t6*abb6n41+t10*t8*abb6n46+t11*t19*a&
         &bb6n51+t11*t24*abb6n58+t11*t25*abb6n50+t11*t6*abb6n41+t11*t8*abb6n46+t&
         &12*t19*abb6n73+t12*t25*abb6n78+t12*t6*abb6n89+t12*t8*abb6n84+t13*t20*a&
         &bb6n43+t13*t22*abb6n41+t13*t25*abb6n34+t13*t26*abb6n41+t13*t27*abb6n89&
         &+t14*t19*abb6n47+t14*t26*abb6n58+t15*t20*abb6n44+t15*t22*abb6n46+t15*t&
         &25*abb6n36+t15*t26*abb6n46+t15*t27*abb6n84+t16*t19*abb6n56+t16*t26*abb&
         &6n50+t16*t27*abb6n78+t16*t6*abb6n34+t16*t8*abb6n36+t18*t25*abb6n45+t19&
         &*t9*abb6n54+t2*t29*abb6n98+t2*t30*abb6n98+t20*t21*abb6n54+t21*t22*abb6&
         &n51+t21*t24*abb6n47+t21*t25*abb6n56+t21*t26*abb6n51+t21*t27*abb6n73+t2&
         &3*t25*abb6n53+t33*t5*abb6n98+t34*t5*abb6n98+t6*t9*abb6n43+t8*t9*abb6n4&
         &4)
         return
      end if
      t36 = d(iv2,iv3)
      t37 = d(iv1,iv3)
      t1 = spvak5k2(iv3)
      t2 = spvak6k1(iv3)
      t3 = spvak3k4(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak3k1(iv3)*t35*abb6n42+spvak5k1(iv3)*t35*abb6&
         &n45+spvak6k2(iv3)*t35*abb6n52+t1*t35*abb6n49+t13*t36*abb6n42+t15*t36*a&
         &bb6n45+t16*t36*abb6n49+t19*t37*abb6n52+t21*t36*abb6n52+t25*t37*abb6n49&
         &+t37*t6*abb6n42+t37*t8*abb6n45)+t2*t33*abb6n33+t2*t34*abb6n33+t1*t14*t&
         &28*abb6n33+t1*t17*t24*abb6n33+t16*t28*t3*abb6n33+t17*t25*t3*abb6n33)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d6:
   subroutine     reconstruct_d6(coeffs)
      use p0_dd_emnebardu_groups, only: tensrec_info_group3
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group3), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_6:
      coeffs%coeffs_6%c0 = derivative(czip)
      coeffs%coeffs_6%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_6%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_6%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_6%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_6%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_6%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_6%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_6%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_6%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_6%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_6%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_6%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_6%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_6%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_6%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_6%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_6%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_6%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_6%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_6%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_6%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_6%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_6%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_6%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_6%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_6%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_6%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_6%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_6%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_6%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_6%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_6:
   end subroutine reconstruct_d6
!---#] subroutine reconstruct_d6:
end module p0_dd_emnebardu_d6h0l1d
