module     p17_ddbar_neepdubar_abbrevd61h0
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh0
   implicit none
   private
   complex(ki), public :: abb61n1
   complex(ki), public :: abb61n2
   complex(ki), public :: abb61n3
   complex(ki), public :: abb61n4
   complex(ki), public :: rat2d61
   complex(ki), public :: abb61n6
   complex(ki), public :: abb61n7
   complex(ki), public :: abb61n8
   complex(ki), public :: abb61n9
   complex(ki), public :: abb61n10
   complex(ki), public :: abb61n11
   complex(ki), public :: abb61n12
   complex(ki), public :: abb61n13
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   real(ki) :: t10
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak3k5
      t10 = TR*TR
      t4 = es345*NC*t1
      t5 = c1*i_
      t6 = t5*spak3k5
      t7 = t10*t6*spak3k6*spbk4k3*spbk6k2
      t1 = es345*t1
      t8 = t10*t6*spak5k6*spbk5k4*spbk6k2
      t9 = NC*NC*t1
      abb61n1 = ((8.0_ki)*(t10*t3/t4*spak5k6*spbk5k4*spbk6k2-t10*t3/t4*spak3k6*s&
      &pbk4k3*spbk6k2)+(4.0_ki)*(t7/t1+t7/t9-(t8/t9+t8/t1)))
      t7 = t10*t5*spak1k3*spak3k5*spbk4k3*spbk6k2
      t5 = t10*t5*spak1k5*spak3k5*spbk5k4*spbk6k2
      abb61n2 = ((16.0_ki)*(t10*t2/t4*spak1k5*spak3k5*spbk5k4*spbk6k2-t10*t2/t4*&
      &spak1k3*spak3k5*spbk4k3*spbk6k2)+(8.0_ki)*(t7/t1+t7/t9-(t5/t9+t5/t1)))
      t2 = t10*t6*spbk4k3
      abb61n3 = ((4.0_ki)*(t2/t1+t2/t9-(2.0_ki)*t10*t3/t4*spbk4k3))
      t2 = t10*t6*spbk5k4
      abb61n4 = ((4.0_ki)*((2.0_ki)*t10*t3/t4*spbk5k4-(t2/t9+t2/t1)))
      rat2d61 = 0
      rat2 = rat2 + rat2d61
      abb61n6 = -(abb61n1)
      abb61n7 = abb61n4
      abb61n8 = abb61n3
      abb61n9 = abb61n2
      abb61n10 = abb61n1
      abb61n11 = -(abb61n2)
      abb61n12 = -(abb61n3)
      abb61n13 = -(abb61n4)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd61h0
