module     p17_ddbar_neepdubar_abbrevd63h0
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh0
   implicit none
   private
   complex(ki), public :: abb63n1
   complex(ki), public :: abb63n2
   complex(ki), public :: abb63n3
   complex(ki), public :: abb63n4
   complex(ki), public :: abb63n5
   complex(ki), public :: abb63n6
   complex(ki), public :: abb63n7
   complex(ki), public :: abb63n8
   complex(ki), public :: abb63n9
   complex(ki), public :: abb63n10
   complex(ki), public :: abb63n11
   complex(ki), public :: abb63n12
   complex(ki), public :: rat2d63
   complex(ki), public :: abb63n14
   complex(ki), public :: abb63n15
   complex(ki), public :: abb63n16
   complex(ki), public :: abb63n17
   complex(ki), public :: abb63n18
   complex(ki), public :: abb63n19
   complex(ki), public :: abb63n20
   complex(ki), public :: abb63n21
   complex(ki), public :: abb63n22
   complex(ki), public :: abb63n23
   complex(ki), public :: abb63n24
   complex(ki), public :: abb63n25
   complex(ki), public :: abb63n26
   complex(ki), public :: abb63n27
   complex(ki), public :: abb63n28
   complex(ki), public :: abb63n29
   complex(ki), public :: abb63n30
   complex(ki), public :: abb63n31
   complex(ki), public :: abb63n32
   complex(ki), public :: abb63n33
   complex(ki), public :: abb63n34
   complex(ki), public :: abb63n35
   complex(ki), public :: abb63n36
   complex(ki), public :: abb63n37
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   real(ki) :: t13
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = c2*i_
      t2 = t1*spak1k3
      t13 = TR*TR
      t3 = (es12+es34-(es56+es345))*(es34+wW*mW*i_-mW*mW)
      t4 = NC*t3
      t5 = c1*i_
      t6 = t5*spak1k3
      t7 = NC*NC*t3
      t8 = NC*c2*i_
      t9 = t8*spak1k3
      abb63n1 = ((8.0_ki)*(t13*t2/t4*spbk4k3-t13*t1/t4*spak1k6*spbk6k4)+(4.0_ki)&
      &*(t13/t3*t8*spak1k6*spbk6k4+t13*t5/t7*spak1k6*spbk6k4-(t13*t6/t7*spbk4k3+&
      &t13/t3*t9*spbk4k3)))
      abb63n2 = ((8.0_ki)*((2.0_ki)*t13*t2/t4*spbk6k4-(t13*t6/t7*spbk6k4+t13/t3*&
      &t9*spbk6k4)))
      abb63n3 = ((8.0_ki)*(-(t13*t1/t4*spak1k4*spbk6k4+t13*t2/t4*spbk6k3))+(4.0_&
      &ki)*(t13/t3*t9*spbk6k3+t13*t6/t7*spbk6k3+t13/t3*t8*spak1k4*spbk6k4+t13*t5&
      &/t7*spak1k4*spbk6k4))
      t2 = t1*spak1k5
      t6 = t13*t2/t4*spak3k4*spbk4k2*spbk6k4
      t2 = t13*t2/t4*spak3k6*spbk6k2*spbk6k4
      t9 = t5*spak1k5
      t10 = t13/t7*t9*spak3k4*spbk4k2*spbk6k4
      t9 = t13/t7*t9*spak3k6*spbk6k2*spbk6k4
      t11 = t8*spak1k5
      t12 = t13*t11/t3*spak3k4*spbk4k2*spbk6k4
      t11 = t13*t11/t3*spak3k6*spbk6k2*spbk6k4
      abb63n4 = ((16.0_ki)*(-(t6+t2))+(8.0_ki)*(t10+t11+t12+t9))
      abb63n5 = ((16.0_ki)*(t2+t6)+(8.0_ki)*(-(t9+t12+t11+t10)))
      t2 = t13*t5/t7*spak3k4*spbk6k4
      t6 = t13*(2.0_ki)*t1/t4*spak3k4*spbk6k4
      t9 = t13/t3*t8*spak3k4*spbk6k4
      abb63n6 = ((4.0_ki)*(t2+t9-t6))
      abb63n7 = ((4.0_ki)*(t6-(t9+t2)))
      t2 = t5*spak3k5
      t6 = t1*spak3k5
      t9 = t8*spak3k5
      abb63n8 = ((8.0_ki)*((2.0_ki)*t13/t4*t6*spbk6k4-(t13/t3*t9*spbk6k4+t13*t2/&
      &t7*spbk6k4)))
      t10 = t13*t5/t7*spak3k6*spbk6k4
      t11 = t13*(2.0_ki)*t1/t4*spak3k6*spbk6k4
      t12 = t13/t3*t8*spak3k6*spbk6k4
      abb63n9 = ((4.0_ki)*(t10+t12-t11))
      abb63n10 = ((4.0_ki)*(t11-(t12+t10)))
      abb63n11 = ((8.0_ki)*(-(t13*t1/t4*spak4k5*spbk6k4+t13/t4*t6*spbk6k3))+(4.0&
      &_ki)*(t13*t2/t7*spbk6k3+t13/t3*t9*spbk6k3+t13/t3*t8*spak4k5*spbk6k4+t13*t&
      &5/t7*spak4k5*spbk6k4))
      abb63n12 = ((8.0_ki)*(t13/t4*t6*spbk4k3+t13*t1/t4*spak5k6*spbk6k4)+(4.0_ki&
      &)*(-(t13*t5/t7*spak5k6*spbk6k4+t13/t3*t8*spak5k6*spbk6k4+t13/t3*t9*spbk4k&
      &3+t13*t2/t7*spbk4k3)))
      rat2d63 = 0
      rat2 = rat2 + rat2d63
      abb63n14 = abb63n1
      abb63n15 = abb63n12
      abb63n16 = abb63n11
      abb63n17 = abb63n10
      abb63n18 = abb63n9
      abb63n19 = abb63n8
      abb63n20 = abb63n7
      abb63n21 = abb63n6
      abb63n22 = abb63n5
      abb63n23 = abb63n4
      abb63n24 = abb63n3
      abb63n25 = abb63n2
      abb63n26 = -(abb63n1)
      abb63n27 = -(abb63n2)
      abb63n28 = -(abb63n3)
      abb63n29 = -(abb63n4)
      abb63n30 = -(abb63n5)
      abb63n31 = -(abb63n6)
      abb63n32 = -(abb63n7)
      abb63n33 = -(abb63n8)
      abb63n34 = -(abb63n9)
      abb63n35 = -(abb63n10)
      abb63n36 = -(abb63n11)
      abb63n37 = -(abb63n12)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd63h0
