module     p17_ddbar_neepdubar_abbrevd55h1
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb55n1
   complex(ki), public :: abb55n2
   complex(ki), public :: abb55n3
   complex(ki), public :: abb55n4
   complex(ki), public :: abb55n5
   complex(ki), public :: abb55n6
   complex(ki), public :: abb55n7
   complex(ki), public :: abb55n8
   complex(ki), public :: abb55n9
   complex(ki), public :: abb55n10
   complex(ki), public :: abb55n11
   complex(ki), public :: abb55n12
   complex(ki), public :: abb55n13
   complex(ki), public :: abb55n14
   complex(ki), public :: abb55n15
   complex(ki), public :: abb55n16
   complex(ki), public :: abb55n17
   complex(ki), public :: abb55n18
   complex(ki), public :: abb55n19
   complex(ki), public :: rat2d55
   complex(ki), public :: abb55n21
   complex(ki), public :: abb55n22
   complex(ki), public :: abb55n23
   complex(ki), public :: abb55n24
   complex(ki), public :: abb55n25
   complex(ki), public :: abb55n26
   complex(ki), public :: abb55n27
   complex(ki), public :: abb55n28
   complex(ki), public :: abb55n29
   complex(ki), public :: abb55n30
   complex(ki), public :: abb55n31
   complex(ki), public :: abb55n32
   complex(ki), public :: abb55n33
   complex(ki), public :: abb55n34
   complex(ki), public :: abb55n35
   complex(ki), public :: abb55n36
   complex(ki), public :: abb55n37
   complex(ki), public :: abb55n38
   complex(ki), public :: abb55n39
   complex(ki), public :: abb55n40
   complex(ki), public :: abb55n41
   complex(ki), public :: abb55n42
   complex(ki), public :: abb55n43
   complex(ki), public :: abb55n44
   complex(ki), public :: abb55n45
   complex(ki), public :: abb55n46
   complex(ki), public :: abb55n47
   complex(ki), public :: abb55n48
   complex(ki), public :: abb55n49
   complex(ki), public :: abb55n50
   complex(ki), public :: abb55n51
   complex(ki), public :: abb55n52
   complex(ki), public :: abb55n53
   complex(ki), public :: abb55n54
   complex(ki), public :: abb55n55
   complex(ki), public :: abb55n56
   complex(ki), public :: abb55n57
   complex(ki), public :: abb55n58
   complex(ki), public :: abb55n59
   complex(ki), public :: abb55n60
   complex(ki), public :: abb55n61
   complex(ki), public :: abb55n62
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   real(ki) :: t22
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak2k6
      t4 = t3*spak3k5
      t22 = TR*TR
      t5 = NC*NC*t1
      t6 = c2*i_
      t7 = t6*spak2k6
      t8 = t7*spak3k5
      t9 = NC*t1
      t10 = NC*c2*i_
      t11 = t10*spak2k6
      t12 = t11*spak3k5
      abb55n1 = ((4.0_ki)*(t22*t12/t1*spbk6k4*spbk6k5+t22*t4/t5*spbk6k4*spbk6k5-&
      &(2.0_ki)*t22*t8/t9*spbk6k4*spbk6k5))
      t13 = t2*spak2k3
      t14 = t6*spak2k3
      t15 = t10*spak2k3
      abb55n2 = ((4.0_ki)*(t22*(2.0_ki)*t14/t9*spbk4k1-(t22*t13/t5*spbk4k1+t22*t&
      &15/t1*spbk4k1)))
      t16 = t2*spak3k5
      t17 = t6*spak3k5
      t18 = t10*spak3k5
      abb55n3 = ((8.0_ki)*(t22*t18/t1*spbk4k1+t22*t16/t5*spbk4k1-t22*(2.0_ki)*t1&
      &7/t9*spbk4k1))
      t19 = t22*t13/t5*spbk6k1
      t20 = t22*(2.0_ki)*t14/t9*spbk6k1
      t21 = t22*t15/t1*spbk6k1
      abb55n4 = ((8.0_ki)*(t19+t21-t20))
      t19 = t20-(t21+t19)
      abb55n5 = ((4.0_ki)*t19)
      abb55n6 = ((8.0_ki)*t19)
      abb55n7 = ((8.0_ki)*((2.0_ki)*t22*t8/t9*spbk6k1*spbk6k4-(t22*t4/t5*spbk6k1&
      &*spbk6k4+t22*t12/t1*spbk6k1*spbk6k4)))
      abb55n8 = ((4.0_ki)*((2.0_ki)*t22*t7/t9*spbk6k1-(t22*t3/t5*spbk6k1+t22*t11&
      &/t1*spbk6k1)))
      abb55n9 = ((8.0_ki)*(-(t22*t6/t9*spak3k6*spbk6k1+t22*t14/t9*spbk2k1))+(4.0&
      &_ki)*(t22*t15/t1*spbk2k1+t22*t13/t5*spbk2k1+t22*t10/t1*spak3k6*spbk6k1+t2&
      &2*t2/t5*spak3k6*spbk6k1))
      abb55n10 = ((8.0_ki)*(-(t22*t6/t9*spak1k3*spbk4k1+t22*t14/t9*spbk4k2))+(4.&
      &0_ki)*(t22*t15/t1*spbk4k2+t22*t13/t5*spbk4k2+t22*t10/t1*spak1k3*spbk4k1+t&
      &22*t2/t5*spak1k3*spbk4k1))
      t4 = t22*t13/t5*spbk6k2
      t8 = t22*(2.0_ki)*t14/t9*spbk6k2
      t12 = t22*t15/t1*spbk6k2
      abb55n11 = ((4.0_ki)*(t12+t4-t8))
      abb55n12 = ((4.0_ki)*(t8-(t4+t12)))
      abb55n13 = ((4.0_ki)*(t22*(2.0_ki)*t14/t9*spbk5k4-(t22*t13/t5*spbk5k4+t22*&
      &t15/t1*spbk5k4)))
      t4 = t22*t15/t1*spbk6k4+t22*t13/t5*spbk6k4-t22*(2.0_ki)*t14/t9*spbk6k4
      abb55n14 = ((8.0_ki)*t4)
      abb55n15 = ((4.0_ki)*t4)
      abb55n16 = ((8.0_ki)*(t22*t7/t9*spbk6k4+t22*t6/t9*spak1k2*spbk4k1-t22*t6/t&
      &9*spak2k5*spbk5k4)+(4.0_ki)*(t22*t10/t1*spak2k5*spbk5k4+t22*t2/t5*spak2k5&
      &*spbk5k4-(t22*t2/t5*spak1k2*spbk4k1+t22*t10/t1*spak1k2*spbk4k1+t22*t3/t5*&
      &spbk6k4+t22*t11/t1*spbk6k4)))
      t3 = t22*t16/t5*spbk6k4
      t4 = t22*(2.0_ki)*t17/t9*spbk6k4
      t7 = t22*t18/t1*spbk6k4
      abb55n17 = ((8.0_ki)*(t3+t7-t4))
      abb55n18 = ((4.0_ki)*(t4-(t7+t3)))
      abb55n19 = ((4.0_ki)*(t22*t10/t1+t22*t2/t5-(2.0_ki)*t22*t6/t9))
      rat2d55 = 0
      rat2 = rat2 + rat2d55
      abb55n21 = -(abb55n1)
      abb55n22 = abb55n19
      abb55n23 = abb55n18
      abb55n24 = abb55n17
      abb55n25 = abb55n16
      abb55n26 = abb55n15
      abb55n27 = abb55n14
      abb55n28 = abb55n13
      abb55n29 = abb55n12
      abb55n30 = abb55n11
      abb55n31 = abb55n10
      abb55n32 = abb55n9
      abb55n33 = abb55n8
      abb55n34 = abb55n7
      abb55n35 = abb55n6
      abb55n36 = abb55n5
      abb55n37 = abb55n4
      abb55n38 = abb55n3
      abb55n39 = abb55n2
      abb55n40 = abb55n1
      abb55n41 = -(abb55n2)
      abb55n42 = -(abb55n3)
      abb55n43 = -(abb55n4)
      t1 = (2.0_ki)*abb55n5
      abb55n44 = t1
      abb55n45 = -(abb55n5)
      abb55n46 = -(t1)
      abb55n47 = -(abb55n6)
      abb55n48 = -(abb55n7)
      abb55n49 = -(abb55n8)
      abb55n50 = -(abb55n9)
      abb55n51 = -(abb55n10)
      abb55n52 = -(abb55n11)
      abb55n53 = -(abb55n12)
      abb55n54 = -(abb55n13)
      abb55n55 = -(abb55n14)
      t1 = (2.0_ki)*abb55n15
      abb55n56 = t1
      abb55n57 = -(abb55n15)
      abb55n58 = -(t1)
      abb55n59 = -(abb55n16)
      abb55n60 = -(abb55n17)
      abb55n61 = -(abb55n18)
      abb55n62 = -(abb55n19)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd55h1
