module     p17_ddbar_neepdubar_abbrevd8h1
   use p17_ddbar_neepdubar_config, only: ki
   use p17_ddbar_neepdubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb8n1
   complex(ki), public :: abb8n2
   complex(ki), public :: abb8n3
   complex(ki), public :: abb8n4
   complex(ki), public :: abb8n5
   complex(ki), public :: abb8n6
   complex(ki), public :: abb8n7
   complex(ki), public :: abb8n8
   complex(ki), public :: abb8n9
   complex(ki), public :: abb8n10
   complex(ki), public :: abb8n11
   complex(ki), public :: rat2d8
   complex(ki), public :: abb8n13
   complex(ki), public :: abb8n14
   complex(ki), public :: abb8n15
   complex(ki), public :: abb8n16
   complex(ki), public :: abb8n17
   complex(ki), public :: abb8n18
   complex(ki), public :: abb8n19
   complex(ki), public :: abb8n20
   complex(ki), public :: abb8n21
   complex(ki), public :: abb8n22
   complex(ki), public :: abb8n23
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   real(ki) :: t35
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p17_ddbar_neepdubar_config, only: deltaOS
      use p17_ddbar_neepdubar_kinematics
      use p17_ddbar_neepdubar_model
      use p17_ddbar_neepdubar_color, only: TR
      use p17_ddbar_neepdubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak1k2
      t4 = t3*spak3k5
      t35 = TR*TR
      t5 = t35*t4*spbk4k1*spbk6k1
      t6 = es345*es12*t1
      t7 = t5/t6
      t8 = t2*spak2k6
      t9 = t8*spak3k5*spbk6k1
      t10 = t35*t9*spbk6k4
      t11 = t10/t6
      t12 = NC*NC*t6
      t5 = t5/t12
      t10 = t10/t12
      t13 = c2*i_
      t14 = t13*spak1k2
      t15 = t14*spak3k5
      t1 = es345*es12*NC*t1
      t16 = t35*t15/t1*spbk4k1*spbk6k1
      t17 = t13*spak2k6
      t18 = t17*spak3k5*spbk6k1
      t19 = t35*t18/t1*spbk6k4
      t20 = NC*c2*i_
      t21 = t20*spak1k2
      t22 = t21*spak3k5
      t23 = t35*t22/t6*spbk4k1*spbk6k1
      t24 = t20*spak2k6
      t25 = t24*spak3k5*spbk6k1
      t26 = t35*t25/t6*spbk6k4
      t27 = t10+t16+t26+t7-(t5+t23+t19+t11)
      abb8n1 = ((2.0_ki)*t27)
      t28 = t35*t3*spbk6k1
      abb8n2 = ((4.0_ki)*(t28/t6+t35*t14/t1*spbk6k1-(t35*t21/t6*spbk6k1+t28/t12)&
      &))
      t28 = t2*spak2k5
      t29 = t35*t28*spbk6k1
      t30 = t29/t6
      t29 = t29/t12
      t31 = t13*spak2k5
      t32 = t35*t31/t1*spbk6k1
      t33 = t20*spak2k5
      t34 = t35*t33/t6*spbk6k1
      abb8n3 = ((16.0_ki)*(t29+t34-(t32+t30)))
      abb8n4 = ((16.0_ki)*(t30+t32-(t34+t29)))
      t29 = t35*t3*spak3k4*spbk4k1*spbk6k1
      t30 = t35*t8*spak3k4*spbk6k1*spbk6k4
      abb8n5 = ((4.0_ki)*(t29/t12+t30/t6+t35*t17/t1*spak3k4*spbk6k1*spbk6k4+t35*&
      &t21/t6*spak3k4*spbk4k1*spbk6k1-(t35*t24/t6*spak3k4*spbk6k1*spbk6k4+t35*t1&
      &4/t1*spak3k4*spbk4k1*spbk6k1+t29/t6+t30/t12)))
      abb8n6 = ((8.0_ki)*t27)
      abb8n7 = ((4.0_ki)*(t11+t19+t23+t5-(t7+t26+t16+t10)))
      t4 = t35*t4*spbk3k1*spbk6k1
      t3 = t35*t3*spak4k5*spbk4k1*spbk6k1
      t5 = t35*t9*spbk6k3
      t7 = t35*t8*spak4k5*spbk6k1*spbk6k4
      abb8n8 = ((4.0_ki)*(t3/t12+t4/t12+t5/t6+t7/t6+t35*t18/t1*spbk6k3+t35*t22/t&
      &6*spbk3k1*spbk6k1+t35*t17/t1*spak4k5*spbk6k1*spbk6k4+t35*t21/t6*spak4k5*s&
      &pbk4k1*spbk6k1-(t35*t24/t6*spak4k5*spbk6k1*spbk6k4+t35*t14/t1*spak4k5*spb&
      &k4k1*spbk6k1+t35*t15/t1*spbk3k1*spbk6k1+t35*t25/t6*spbk6k3+t4/t6+t3/t6+t7&
      &/t12+t5/t12)))
      t3 = t35*t8*spbk6k1
      abb8n9 = ((4.0_ki)*(t3/t6+t35*t17/t1*spbk6k1-(t35*t24/t6*spbk6k1+t3/t12)))
      t3 = t35*t28*spbk2k1
      t4 = t35*t2*spak5k6*spbk6k1
      abb8n10 = ((8.0_ki)*(t3/t12+t4/t12+t35*t33/t6*spbk2k1+t35*t20/t6*spak5k6*s&
      &pbk6k1-(t35*t13/t1*spak5k6*spbk6k1+t35*t31/t1*spbk2k1+t4/t6+t3/t6)))
      t2 = t35*t2*spak1k5*spbk6k1
      t3 = t35*t28*spbk6k2
      abb8n11 = ((8.0_ki)*(t2/t12+t3/t12+t35*t33/t6*spbk6k2+t35*t20/t6*spak1k5*s&
      &pbk6k1-(t35*t13/t1*spak1k5*spbk6k1+t35*t31/t1*spbk6k2+t3/t6+t2/t6)))
      rat2d8 = abb8n1
      rat2 = rat2 + rat2d8
      abb8n13 = -(abb8n5)
      abb8n14 = abb8n11
      abb8n15 = abb8n10
      abb8n16 = abb8n9
      abb8n17 = abb8n7
      abb8n18 = abb8n4
      abb8n19 = abb8n3
      abb8n20 = abb8n2
      abb8n21 = -(abb8n6)
      abb8n22 = ((2.0_ki)*abb8n7)
      abb8n23 = -(abb8n8)
   end subroutine
end module p17_ddbar_neepdubar_abbrevd8h1
