module     p24_udbar_neepuubar_abbrevd57h1
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb57n1
   complex(ki), public :: abb57n2
   complex(ki), public :: abb57n3
   complex(ki), public :: abb57n4
   complex(ki), public :: abb57n5
   complex(ki), public :: abb57n6
   complex(ki), public :: abb57n7
   complex(ki), public :: abb57n8
   complex(ki), public :: abb57n9
   complex(ki), public :: abb57n10
   complex(ki), public :: abb57n11
   complex(ki), public :: abb57n12
   complex(ki), public :: abb57n13
   complex(ki), public :: abb57n14
   complex(ki), public :: abb57n15
   complex(ki), public :: abb57n16
   complex(ki), public :: abb57n17
   complex(ki), public :: abb57n18
   complex(ki), public :: abb57n19
   complex(ki), public :: rat2d57
   complex(ki), public :: abb57n21
   complex(ki), public :: abb57n22
   complex(ki), public :: abb57n23
   complex(ki), public :: abb57n24
   complex(ki), public :: abb57n25
   complex(ki), public :: abb57n26
   complex(ki), public :: abb57n27
   complex(ki), public :: abb57n28
   complex(ki), public :: abb57n29
   complex(ki), public :: abb57n30
   complex(ki), public :: abb57n31
   complex(ki), public :: abb57n32
   complex(ki), public :: abb57n33
   complex(ki), public :: abb57n34
   complex(ki), public :: abb57n35
   complex(ki), public :: abb57n36
   complex(ki), public :: abb57n37
   complex(ki), public :: abb57n38
   complex(ki), public :: abb57n39
   complex(ki), public :: abb57n40
   complex(ki), public :: abb57n41
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   real(ki) :: t19
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = t2*spak2k3
      t19 = TR*TR
      t4 = NC*NC*t1
      t5 = c2*i_
      t6 = t5*spak2k3
      t7 = NC*t1
      t8 = NC*c2*i_
      t9 = t8*spak2k3
      abb57n1 = ((4.0_ki)*(t19/t1*t9*spbk5k4+t19*t3/t4*spbk5k4-(2.0_ki)*t19*t6/t&
      &7*spbk5k4))
      t10 = t2*spak1k5
      t11 = t10*spak2k3
      t12 = t5*spak1k5
      t13 = t12*spak2k3
      t14 = t8*spak1k5
      t15 = t14*spak2k3
      abb57n2 = ((4.0_ki)*(t19*(2.0_ki)*t13/t7*spbk2k1*spbk4k1-(t19*t11/t4*spbk2&
      &k1*spbk4k1+t19*t15/t1*spbk2k1*spbk4k1)))
      abb57n3 = ((8.0_ki)*(t19*t15/t1*spbk4k1*spbk6k1+t19*t11/t4*spbk4k1*spbk6k1&
      &-t19*(2.0_ki)*t13/t7*spbk4k1*spbk6k1))
      t11 = t19*t3/t4*spbk4k1
      t13 = (2.0_ki)*t19*t6/t7*spbk4k1
      t15 = t19/t1*t9*spbk4k1
      abb57n4 = ((4.0_ki)*(t11+t15-t13))
      abb57n5 = ((8.0_ki)*(t13-(t15+t11)))
      t11 = t2*spak3k5
      t13 = t19*t11/t4*spbk4k1
      t15 = t5*spak3k5
      t16 = t19*(2.0_ki)*t15/t7*spbk4k1
      t17 = t8*spak3k5
      t18 = t19*t17/t1*spbk4k1
      abb57n6 = ((8.0_ki)*(t13+t18-t16))
      t13 = t16-(t18+t13)
      abb57n7 = ((4.0_ki)*t13)
      abb57n8 = ((8.0_ki)*t13)
      abb57n9 = ((4.0_ki)*(t19*t14/t1*spbk6k1+t19*t10/t4*spbk6k1-t19*(2.0_ki)*t1&
      &2/t7*spbk6k1))
      t10 = t19*t11/t4*spbk5k1
      t12 = t19*(2.0_ki)*t15/t7*spbk5k1
      t13 = t19*t17/t1*spbk5k1
      abb57n10 = ((4.0_ki)*(t10+t13-t12))
      abb57n11 = ((4.0_ki)*(t12-(t13+t10)))
      t10 = t19*t11/t4*spbk6k1
      t12 = t19*(2.0_ki)*t15/t7*spbk6k1
      t13 = t19*t17/t1*spbk6k1
      t14 = t10+t13-t12
      abb57n12 = ((8.0_ki)*t14)
      abb57n13 = ((4.0_ki)*t14)
      abb57n14 = ((8.0_ki)*(t12-(t13+t10)))
      abb57n15 = ((8.0_ki)*((2.0_ki)*t19*t6/t7*spbk6k4-(t19*t3/t4*spbk6k4+t19/t1&
      &*t9*spbk6k4)))
      abb57n16 = ((8.0_ki)*(t19*t5/t7*spak2k5*spbk5k4-(t19*t5/t7*spak2k6*spbk6k4&
      &+t19*t5/t7*spak1k2*spbk4k1))+(4.0_ki)*(t19/t1*t8*spak1k2*spbk4k1+t19/t1*t&
      &8*spak2k6*spbk6k4+t19*t2/t4*spak1k2*spbk4k1+t19*t2/t4*spak2k6*spbk6k4-(t1&
      &9*t2/t4*spak2k5*spbk5k4+t19/t1*t8*spak2k5*spbk5k4)))
      abb57n17 = ((8.0_ki)*(t19*t15/t7*spbk6k5+t19*t5/t7*spak1k3*spbk6k1)+(4.0_k&
      &i)*(-(t19*t2/t4*spak1k3*spbk6k1+t19/t1*t8*spak1k3*spbk6k1+t19*t11/t4*spbk&
      &6k5+t19*t17/t1*spbk6k5)))
      abb57n18 = ((8.0_ki)*(t19*t6/t7*spbk4k2+t19*t5/t7*spak3k6*spbk6k4)+(4.0_ki&
      &)*(-(t19*t2/t4*spak3k6*spbk6k4+t19/t1*t8*spak3k6*spbk6k4+t19*t3/t4*spbk4k&
      &2+t19/t1*t9*spbk4k2)))
      abb57n19 = ((4.0_ki)*((2.0_ki)*t19*t5/t7-(t19*t2/t4+t19/t1*t8)))
      rat2d57 = 0
      rat2 = rat2 + rat2d57
      abb57n21 = abb57n1
      abb57n22 = abb57n18
      abb57n23 = abb57n17
      abb57n24 = abb57n16
      abb57n25 = abb57n15
      abb57n26 = abb57n14
      abb57n27 = abb57n12
      abb57n28 = abb57n11
      abb57n29 = abb57n10
      abb57n30 = abb57n9
      abb57n31 = abb57n8
      abb57n32 = abb57n6
      abb57n33 = abb57n5
      abb57n34 = abb57n4
      abb57n35 = -(abb57n2)
      abb57n36 = -(abb57n3)
      abb57n37 = -(abb57n7)
      abb57n38 = (-2.0_ki)*abb57n7
      abb57n39 = -(abb57n13)
      abb57n40 = (-2.0_ki)*abb57n13
      abb57n41 = -(abb57n19)
   end subroutine
end module p24_udbar_neepuubar_abbrevd57h1
