module     p24_udbar_neepuubar_abbrevd60h1
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_globalsh1
   implicit none
   private
   complex(ki), public :: abb60n1
   complex(ki), public :: abb60n2
   complex(ki), public :: abb60n3
   complex(ki), public :: abb60n4
   complex(ki), public :: abb60n5
   complex(ki), public :: abb60n6
   complex(ki), public :: abb60n7
   complex(ki), public :: abb60n8
   complex(ki), public :: abb60n9
   complex(ki), public :: abb60n10
   complex(ki), public :: abb60n11
   complex(ki), public :: abb60n12
   complex(ki), public :: rat2d60
   complex(ki), public :: abb60n14
   complex(ki), public :: abb60n15
   complex(ki), public :: abb60n16
   complex(ki), public :: abb60n17
   complex(ki), public :: abb60n18
   complex(ki), public :: abb60n19
   complex(ki), public :: abb60n20
   complex(ki), public :: abb60n21
   complex(ki), public :: abb60n22
   complex(ki), public :: abb60n23
   complex(ki), public :: abb60n24
   complex(ki), public :: abb60n25
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   real(ki) :: t16
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p24_udbar_neepuubar_config, only: deltaOS
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_model
      use p24_udbar_neepuubar_color, only: TR
      use p24_udbar_neepuubar_globalsl1, only: epspow
      implicit none
      t1 = es12*c2*i_
      t16 = TR*TR
      t2 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t3 = NC*t2
      t4 = es345*c2*i_
      t5 = es61*c2*i_
      t6 = es12*c1*i_
      t7 = NC*NC*t2
      t8 = es345*c1*i_
      t9 = es61*c1*i_
      t10 = NC*c2
      t11 = es12*t10*i_
      t12 = es345*t10*i_
      t13 = es61*t10*i_
      abb60n1 = ((8.0_ki)*(t16/t3*t4*spak1k3*spak2k5*spbk4k1*spbk6k1+t16/t3*t4*s&
      &pak2k5*spak3k4*spbk4k1*spbk6k4-(t16/t3*t5*spak2k5*spak3k4*spbk4k1*spbk6k4&
      &+t16/t3*t5*spak1k3*spak2k5*spbk4k1*spbk6k1+t16*t1/t3*spak2k5*spak3k4*spbk&
      &4k1*spbk6k4+t16*t1/t3*spak1k3*spak2k5*spbk4k1*spbk6k1))+(4.0_ki)*(t16*t11&
      &/t2*spak1k3*spak2k5*spbk4k1*spbk6k1+t16*t11/t2*spak2k5*spak3k4*spbk4k1*sp&
      &bk6k4+t16*t13/t2*spak1k3*spak2k5*spbk4k1*spbk6k1+t16*t13/t2*spak2k5*spak3&
      &k4*spbk4k1*spbk6k4+t16*t6/t7*spak1k3*spak2k5*spbk4k1*spbk6k1+t16*t6/t7*sp&
      &ak2k5*spak3k4*spbk4k1*spbk6k4+t16/t7*t9*spak1k3*spak2k5*spbk4k1*spbk6k1+t&
      &16/t7*t9*spak2k5*spak3k4*spbk4k1*spbk6k4-(t16/t7*t8*spak2k5*spak3k4*spbk4&
      &k1*spbk6k4+t16/t7*t8*spak1k3*spak2k5*spbk4k1*spbk6k1+t16*t12/t2*spak2k5*s&
      &pak3k4*spbk4k1*spbk6k4+t16*t12/t2*spak1k3*spak2k5*spbk4k1*spbk6k1)))
      t1 = c1*i_
      t4 = t1*spak1k3
      t5 = t16*t4/t7*spbk4k1
      t6 = c2*i_
      t8 = t6*spak1k3
      t9 = (2.0_ki)*t16/t3*t8*spbk4k1
      t10 = t10*i_
      t11 = t10*spak1k3
      t12 = t16*t11/t2*spbk4k1
      abb60n2 = ((4.0_ki)*(t12+t5-t9))
      abb60n3 = ((4.0_ki)*(t9-(t5+t12)))
      t5 = t8*spak2k5
      t9 = t6*spak2k5*spak3k4*spbk4k1
      t12 = t4*spak2k5
      t13 = t1*spak2k5*spak3k4*spbk4k1
      t14 = t11*spak2k5
      t15 = t10*spak2k5*spak3k4*spbk4k1
      abb60n4 = ((8.0_ki)*(t16/t3*t5*spbk2k1*spbk4k1-t16/t3*t9*spbk4k2)+(4.0_ki)&
      &*(t16*t13/t7*spbk4k2+t16*t15/t2*spbk4k2-(t16*t14/t2*spbk2k1*spbk4k1+t16*t&
      &12/t7*spbk2k1*spbk4k1)))
      abb60n5 = ((16.0_ki)*(-(t16/t3*t5*spbk4k1*spbk6k1+t16/t3*t9*spbk6k4))+(8.0&
      &_ki)*(t16*t13/t7*spbk6k4+t16*t15/t2*spbk6k4+t16*t12/t7*spbk4k1*spbk6k1+t1&
      &6*t14/t2*spbk4k1*spbk6k1))
      abb60n6 = ((8.0_ki)*(-(t16/t3*t6*spak2k6*spak3k4*spbk4k1*spbk6k4+t16/t3*t8&
      &*spak2k6*spbk4k1*spbk6k1))+(4.0_ki)*(t16*t11/t2*spak2k6*spbk4k1*spbk6k1+t&
      &16*t4/t7*spak2k6*spbk4k1*spbk6k1+t16*t1/t7*spak2k6*spak3k4*spbk4k1*spbk6k&
      &4+t16*t10/t2*spak2k6*spak3k4*spbk4k1*spbk6k4))
      t4 = t16*t1/t7*spak3k4*spbk4k1
      t5 = (2.0_ki)*t16/t3*t6*spak3k4*spbk4k1
      t8 = t16*t10/t2*spak3k4*spbk4k1
      abb60n7 = ((4.0_ki)*(t4+t8-t5))
      abb60n8 = ((4.0_ki)*(t5-(t8+t4)))
      t4 = t1*spak3k5
      t5 = t16*t4/t7*spbk4k1
      t8 = t6*spak3k5
      t9 = (2.0_ki)*t16/t3*t8*spbk4k1
      t11 = t10*spak3k5
      t12 = t16*t11/t2*spbk4k1
      abb60n9 = ((8.0_ki)*(t12+t5-t9))
      abb60n10 = ((8.0_ki)*(t9-(t5+t12)))
      abb60n11 = ((8.0_ki)*(t16/t3*t8*spbk3k1+t16/t3*t6*spak4k5*spbk4k1)+(4.0_ki&
      &)*(-(t16*t10/t2*spak4k5*spbk4k1+t16*t1/t7*spak4k5*spbk4k1+t16*t4/t7*spbk3&
      &k1+t16*t11/t2*spbk3k1)))
      abb60n12 = ((8.0_ki)*(t16/t3*t8*spbk4k3-t16/t3*t6*spak1k5*spbk4k1)+(4.0_ki&
      &)*(t16*t1/t7*spak1k5*spbk4k1+t16*t10/t2*spak1k5*spbk4k1-(t16*t4/t7*spbk4k&
      &3+t16*t11/t2*spbk4k3)))
      rat2d60 = 0
      rat2 = rat2 + rat2d60
      abb60n14 = abb60n1
      abb60n15 = abb60n12
      abb60n16 = abb60n11
      abb60n17 = abb60n10
      abb60n18 = abb60n9
      abb60n19 = abb60n8
      abb60n20 = abb60n7
      abb60n21 = abb60n3
      abb60n22 = abb60n2
      abb60n23 = -(abb60n4)
      abb60n24 = -(abb60n5)
      abb60n25 = -(abb60n6)
   end subroutine
end module p24_udbar_neepuubar_abbrevd60h1
