module     p24_udbar_neepuubar_d65h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p24_udbar_neepuubar/helicity1/d65h1l1d.f90
   ! generator: haggies (1.1)
   use p24_udbar_neepuubar_config, only: ki
   use p24_udbar_neepuubar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d65
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p24_udbar_neepuubar_globalsl1, only: epspow
      use p24_udbar_neepuubar_kinematics
      use p24_udbar_neepuubar_abbrevd65h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      real(ki) :: t21
      real(ki) :: t22
      real(ki) :: t23
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t1 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t2 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t3 = (spvak3k6(1)*qshift(1)-spvak3k6(2)*qshift(2)-spvak3k6(3)*qshift(3)-sp&
      &vak3k6(4)*qshift(4))
      t4 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t5 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t6 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t21 = dotproduct(k3, qshift)
      t22 = dotproduct(k4, qshift)
      t23 = dotproduct(k6, qshift)
      t7 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      t8 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb65n13+t1*abb65n24+t2*abb65n26+abb65n25*dotproduct(k2, q&
         &shift)+t1*t6*abb65n17+t1*t8*abb65n20+t2*t21*abb65n18+t2*t22*abb65n18+t&
         &2*t23*abb65n18+t2*t3*abb65n14+t2*t4*abb65n15+t2*t5*abb65n16+t2*t7*abb6&
         &5n19)
         return
      end if
      t9 = spvak2k1(iv1)
      t10 = spvak5k1(iv1)
      t11 = k3(iv1)
      t12 = k4(iv1)
      t13 = k6(iv1)
      t14 = t9*abb65n29
      t15 = spvak2k4(iv1)
      t16 = spvak2k6(iv1)
      t17 = spvak3k4(iv1)
      t18 = spvak3k6(iv1)
      t19 = spvak5k4(iv1)
      t20 = spvak5k6(iv1)
      if(deg.eq.1) then
         numerator = (k2(iv1)*abb65n22+t10*abb65n23+t14*t21+t14*t22+t14*t23+t9*a&
         &bb65n21+t1*t15*abb65n27+t1*t16*abb65n30+t10*t6*abb65n30+t10*t8*abb65n2&
         &7+t11*t2*abb65n29+t12*t2*abb65n29+t13*t2*abb65n29+t17*t2*abb65n32+t18*&
         &t2*abb65n33+t19*t2*abb65n28+t2*t20*abb65n31+t3*t9*abb65n33+t4*t9*abb65&
         &n32+t5*t9*abb65n31+t7*t9*abb65n28)
         return
      end if
      t1 = spvak2k1(iv2)
      t2 = spvak5k1(iv2)
      if(deg.eq.2) then
         numerator = (k3(iv2)*t9*abb65n18+k4(iv2)*t9*abb65n18+k6(iv2)*t9*abb65n1&
         &8+spvak2k4(iv2)*t10*abb65n20+spvak2k6(iv2)*t10*abb65n17+spvak3k4(iv2)*&
         &t9*abb65n15+spvak3k6(iv2)*t9*abb65n14+spvak5k4(iv2)*t9*abb65n19+spvak5&
         &k6(iv2)*t9*abb65n16+t1*t11*abb65n18+t1*t12*abb65n18+t1*t13*abb65n18+t1&
         &*t17*abb65n15+t1*t18*abb65n14+t1*t19*abb65n19+t1*t20*abb65n16+t15*t2*a&
         &bb65n20+t16*t2*abb65n17)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d65:
   subroutine     reconstruct_d65(coeffs)
      use p24_udbar_neepuubar_groups, only: tensrec_info_group7
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group7), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_65:
      coeffs%coeffs_65%c0 = derivative(czip)
      coeffs%coeffs_65%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_65%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_65%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_65%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_65%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_65%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_65%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_65%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_65%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_65%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_65%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_65%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_65%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_65%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_65:
   end subroutine reconstruct_d65
!---#] subroutine reconstruct_d65:
end module p24_udbar_neepuubar_d65h1l1d
