module     p25_udbar_neepssbar_d28h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p25_udbar_neepssbar/helicity1/d28h1l1d.f90
   ! generator: haggies (1.1)
   use p25_udbar_neepssbar_config, only: ki
   use p25_udbar_neepssbar_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d28
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p25_udbar_neepssbar_globalsl1, only: epspow
      use p25_udbar_neepssbar_kinematics
      use p25_udbar_neepssbar_abbrevd28h1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      real(ki) :: t35
      real(ki) :: t36
      real(ki) :: t37
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k6
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t33 = dotproduct(k2, qshift)
      t2 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t4 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t5 = (spvak3k6(1)*qshift(1)-spvak3k6(2)*qshift(2)-spvak3k6(3)*qshift(3)-sp&
      &vak3k6(4)*qshift(4))
      t34 = dotproduct(k6, qshift)
      t35 = dotproduct(k1, qshift)
      t36 = dotproduct(k5, qshift)
      t6 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      t7 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t8 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t9 = (spvak1k6(1)*qshift(1)-spvak1k6(2)*qshift(2)-spvak1k6(3)*qshift(3)-sp&
      &vak1k6(4)*qshift(4))
      t10 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-s&
      &pvak5k2(4)*qshift(4))
      t37 = dotproduct(qshift, qshift)
      if(deg.eq.0) then
         numerator = (t1*abb28n35+t33*abb28n36+t1*t10*abb28n34+t1*t2*abb28n22+t1&
         &*t35*abb28n32+t1*t36*abb28n31+t1*t37*abb28n37+t1*t6*abb28n29+t2*t3*abb&
         &28n21+t2*t33*abb28n25+t2*t34*abb28n25+t2*t4*abb28n23+t2*t5*abb28n24+t2&
         &*t9*abb28n34+t3*t33*abb28n33+t3*t4*abb28n28+t35*t4*abb28n26+t36*t4*abb&
         &28n27+t37*t4*abb28n39+t7*t8*abb28n30+t3*t7*t8*abb28n41)
         return
      end if
      t11 = k2(iv1)
      t12 = spvak2k6(iv1)
      t13 = k1(iv1)
      t14 = k5(iv1)
      t15 = k6(iv1)
      t16 = qshift(iv1)
      t17 = spvak1k6(iv1)
      t18 = spvak2k1(iv1)
      t19 = spvak2k4(iv1)
      t20 = spvak3k4(iv1)
      t21 = spvak3k6(iv1)
      t22 = spvak5k1(iv1)
      t23 = t22*abb28n25
      t24 = spvak5k2(iv1)
      t25 = spvak5k4(iv1)
      t26 = spvak5k6(iv1)
      if(deg.eq.1) then
         numerator = (t11*abb28n36+t12*abb28n35+t23*t33+t23*t34+t1*t13*abb28n32+&
         &t1*t14*abb28n31+t1*t16*abb28n38+t1*t22*abb28n22+t1*t24*abb28n34+t1*t25&
         &*abb28n29+t10*t12*abb28n34+t11*t2*abb28n25+t11*t3*abb28n33+t12*t2*abb2&
         &8n22+t12*t35*abb28n32+t12*t36*abb28n31+t12*t37*abb28n37+t12*t6*abb28n2&
         &9+t13*t4*abb28n26+t14*t4*abb28n27+t15*t2*abb28n25+t16*t4*abb28n40+t17*&
         &t2*abb28n34+t18*t8*abb28n30+t19*t2*abb28n23+t19*t3*abb28n28+t19*t35*ab&
         &b28n26+t19*t36*abb28n27+t19*t37*abb28n39+t2*t21*abb28n24+t2*t26*abb28n&
         &21+t20*t7*abb28n30+t22*t3*abb28n21+t22*t4*abb28n23+t22*t5*abb28n24+t22&
         &*t9*abb28n34+t26*t33*abb28n33+t26*t4*abb28n28+t18*t3*t8*abb28n41+t20*t&
         &3*t7*abb28n41+t26*t7*t8*abb28n41)
         return
      end if
      t33 = d(iv1,iv2)
      t2 = spvak2k4(iv2)
      t5 = spvak2k6(iv2)
      t6 = k1(iv2)
      t9 = spvak5k1(iv2)
      t10 = spvak5k6(iv2)
      t23 = k2(iv2)
      t27 = k5(iv2)
      t28 = qshift(iv2)
      t29 = spvak3k4(iv2)
      t30 = t18*t29
      t31 = spvak2k1(iv2)
      t32 = t20*t31
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t1*t33*abb28n37+t33*t4*abb28n39)+t30*abb28n30+t3&
         &2*abb28n30+k6(iv2)*t22*abb28n25+spvak1k6(iv2)*t22*abb28n34+spvak3k6(iv&
         &2)*t22*abb28n24+spvak5k2(iv2)*t12*abb28n34+spvak5k4(iv2)*t12*abb28n29+&
         &t10*t11*abb28n33+t10*t19*abb28n28+t10*t22*abb28n21+t11*t9*abb28n25+t12&
         &*t27*abb28n31+t12*t28*abb28n38+t12*t6*abb28n32+t12*t9*abb28n22+t13*t2*&
         &abb28n26+t13*t5*abb28n32+t14*t2*abb28n27+t14*t5*abb28n31+t15*t9*abb28n&
         &25+t16*t2*abb28n40+t16*t5*abb28n38+t17*t9*abb28n34+t19*t27*abb28n27+t1&
         &9*t28*abb28n40+t19*t6*abb28n26+t19*t9*abb28n23+t2*t22*abb28n23+t2*t26*&
         &abb28n28+t21*t9*abb28n24+t22*t23*abb28n25+t22*t5*abb28n22+t23*t26*abb2&
         &8n33+t24*t5*abb28n34+t25*t5*abb28n29+t26*t9*abb28n21+t3*t30*abb28n41+t&
         &3*t32*abb28n41+t10*t18*t8*abb28n41+t10*t20*t7*abb28n41+t26*t29*t7*abb2&
         &8n41+t26*t31*t8*abb28n41)
         return
      end if
      t34 = d(iv2,iv3)
      t35 = d(iv1,iv3)
      t1 = spvak5k6(iv3)
      t3 = spvak3k4(iv3)
      t4 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k4(iv3)*t33*abb28n39+spvak2k6(iv3)*t33*abb&
         &28n37+t12*t34*abb28n37+t19*t34*abb28n39+t2*t35*abb28n39+t35*t5*abb28n3&
         &7)+t1*t30*abb28n41+t1*t32*abb28n41+t10*t18*t3*abb28n41+t10*t20*t4*abb2&
         &8n41+t26*t29*t4*abb28n41+t26*t3*t31*abb28n41)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d28:
   subroutine     reconstruct_d28(coeffs)
      use p25_udbar_neepssbar_groups, only: tensrec_info_group4
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group4), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_28:
      coeffs%coeffs_28%c0 = derivative(czip)
      coeffs%coeffs_28%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_28%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_28%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_28%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_28%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_28%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_28%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_28%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_28%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_28%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_28%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_28%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_28%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_28%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_28%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_28%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_28%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_28%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_28%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_28%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_28%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_28%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_28%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_28%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_28%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_28%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_28%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_28%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_28%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_28%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_28%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_28%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_28%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_28%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_28:
   end subroutine reconstruct_d28
!---#] subroutine reconstruct_d28:
end module p25_udbar_neepssbar_d28h1l1d
