module     p26_udbar_neepgg_abbrevd11h0
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh0
   implicit none
   private
   complex(ki), public :: abb11n1
   complex(ki), public :: abb11n2
   complex(ki), public :: abb11n3
   complex(ki), public :: abb11n4
   complex(ki), public :: abb11n5
   complex(ki), public :: abb11n6
   complex(ki), public :: abb11n7
   complex(ki), public :: abb11n8
   complex(ki), public :: abb11n9
   complex(ki), public :: abb11n10
   complex(ki), public :: abb11n11
   complex(ki), public :: abb11n12
   complex(ki), public :: abb11n13
   complex(ki), public :: abb11n14
   complex(ki), public :: abb11n15
   complex(ki), public :: abb11n16
   complex(ki), public :: abb11n17
   complex(ki), public :: rat2d11
   complex(ki), public :: abb11n19
   complex(ki), public :: abb11n20
   complex(ki), public :: abb11n21
   complex(ki), public :: abb11n22
   complex(ki), public :: abb11n23
   complex(ki), public :: abb11n24
   complex(ki), public :: abb11n25
   complex(ki), public :: abb11n26
   complex(ki), public :: abb11n27
   complex(ki), public :: abb11n28
   complex(ki), public :: abb11n29
   complex(ki), public :: abb11n30
   complex(ki), public :: abb11n31
   complex(ki), public :: abb11n32
   complex(ki), public :: abb11n33
   complex(ki), public :: abb11n34
   complex(ki), public :: abb11n35
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   complex(ki) :: t54
   complex(ki) :: t55
   complex(ki) :: t56
   complex(ki) :: t57
   complex(ki) :: t58
   complex(ki) :: t59
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = TR*c1
      t2 = t1*i_
      t3 = t2*spak2k3
      t4 = t3*spak2k6
      t5 = t4*spbk5k2
      t6 = t5*spbk6k1*spbk6k4
      t7 = (es34+es61-(es345+es234))*(es34+wW*mW*i_-mW*mW)
      t8 = NC*t7
      t9 = es61*t8
      t10 = t9*spak5k6
      t11 = t6/t10
      t12 = NC*TR*c1
      t13 = t12*i_
      t14 = t13*spak2k3
      t15 = t14*spak2k6
      t16 = t15*spbk5k2
      t17 = t16*spbk6k1*spbk6k4
      t18 = es61*t7
      t19 = t18*spak5k6
      t20 = t17/t19
      t21 = t2*spak1k5
      t22 = t21*spak2k3
      t23 = t22*spak2k6
      t24 = spak5k6*spak5k6
      t9 = t24*t9
      t25 = t23/t9*spbk4k1*spbk5k2*spbk6k1
      t26 = t13*spak1k5
      t27 = t26*spak2k3
      t28 = t27*spak2k6
      t18 = t18*t24
      t29 = t28/t18*spbk4k1*spbk5k2*spbk6k1
      abb11n1 = ((2.0_ki)*(t11+t29-(t25+t20)))
      t30 = t2*spak2k6
      t31 = t24*t8
      t32 = t30/t31*spbk6k1
      t33 = t13*spak2k6
      t24 = t24*t7
      t34 = t33/t24*spbk6k1
      t35 = es234*t1*i_
      t36 = t35*spak2k6
      t37 = t36/t9*spbk6k1
      t38 = es34*t1*i_
      t39 = t38*spak2k6
      t40 = t39/t9*spbk6k1
      t41 = es345*t1*i_
      t42 = t41*spak2k6
      t43 = t42/t9*spbk6k1
      t44 = es234*t12*i_
      t45 = t44*spak2k6
      t46 = t45/t18*spbk6k1
      t47 = es34*t12*i_
      t48 = t47*spak2k6
      t49 = t48/t18*spbk6k1
      t50 = es345*t12*i_
      t51 = t50*spak2k6
      t52 = t51/t18*spbk6k1
      abb11n2 = ((16.0_ki)*(t32+t40+t46+t52-(t49+t43+t37+t34)))
      abb11n3 = ((16.0_ki)*(t34+t37+t43+t49-(t52+t46+t40+t32)))
      t32 = t2*spak1k2
      t34 = t32*spak2k6
      t37 = t34*spbk5k2
      t40 = t13*spak1k2
      t43 = t40*spak2k6
      t46 = t43*spbk5k2
      abb11n4 = ((8.0_ki)*(t46/t18*spbk6k1-t37/t9*spbk6k1))
      t49 = t32*spak2k3
      t8 = t8*spak5k6
      t52 = spak2k6*spak2k6
      t53 = t2*t52*spak3k5*spbk5k2*spbk6k1*spbk6k4
      t54 = t40*spak2k3
      t7 = t7*spak5k6
      t55 = t13*t52*spak3k5*spbk5k2*spbk6k1*spbk6k4
      t56 = t34*spak3k5*spbk4k1*spbk5k2*spbk6k1
      t57 = t43*spak3k5*spbk4k1*spbk5k2*spbk6k1
      t1 = es12*t1*i_
      t58 = t41*spak2k3*spak2k6
      t12 = es12*t12*i_
      t59 = t50*spak2k3*spak2k6
      abb11n5 = ((4.0_ki)*(t17/t7+t57/t24+t53/t31+t58/t10*spbk5k2*spbk6k1*spbk6k&
      &4+t49/t8*spbk4k1*spbk5k2*spbk6k1+t1/t10*spak1k2*spak2k3*spbk4k1*spbk5k2*s&
      &pbk6k1+t12/t19*spak2k3*spak2k6*spbk5k2*spbk6k1*spbk6k4+t44/t18*t52*spak3k&
      &5*spbk5k2*spbk6k1*spbk6k4+t50/t19*spak1k2*spak2k3*spbk4k1*spbk5k2*spbk6k1&
      &+t22*t52/t9*spbk2k1*spbk5k2*spbk6k1*spbk6k4+t12/t18*spak1k5*spak2k3*spak2&
      &k6*spbk4k1*spbk5k2*spbk6k1+t35/t9*spak1k2*spak2k6*spak3k5*spbk4k1*spbk5k2&
      &*spbk6k1-(t44/t18*spak1k2*spak2k6*spak3k5*spbk4k1*spbk5k2*spbk6k1+t1/t9*s&
      &pak1k5*spak2k3*spak2k6*spbk4k1*spbk5k2*spbk6k1+t35*t52/t9*spak3k5*spbk5k2&
      &*spbk6k1*spbk6k4+t27/t18*t52*spbk2k1*spbk5k2*spbk6k1*spbk6k4+t12/t19*spak&
      &1k2*spak2k3*spbk4k1*spbk5k2*spbk6k1+t41/t10*spak1k2*spak2k3*spbk4k1*spbk5&
      &k2*spbk6k1+t1/t10*spak2k3*spak2k6*spbk5k2*spbk6k1*spbk6k4+t54/t7*spbk4k1*&
      &spbk5k2*spbk6k1+t59/t19*spbk5k2*spbk6k1*spbk6k4+t6/t8+t56/t31+t55/t24)))
      t1 = spbk6k1*spbk6k1
      t6 = spak2k6*spbk6k1
      t6 = t6*t6
      abb11n6 = ((4.0_ki)*(t1/t10*t37+t26/t18*t6*spbk5k2-(t21*t6/t9*spbk5k2+t1/t&
      &19*t46)))
      t6 = t2*spak1k3
      t7 = t6*spak2k6
      t8 = t13*spak1k3
      t12 = t8*spak2k6
      t17 = t21*spak2k6
      t21 = t26*spak2k6
      abb11n7 = ((4.0_ki)*(t1*t12/t19*spbk5k2+t1*t17/t9*spak3k6*spbk5k2-(t1/t18*&
      &t21*spak3k6*spbk5k2+t1/t10*t7*spbk5k2)))
      abb11n8 = ((4.0_ki)*(t16/t24*spbk6k4+t12/t24*spbk5k4*spbk6k1+t28/t18*spbk5&
      &k2*spbk5k4*spbk6k1+t47/t18*spak1k3*spak2k6*spbk5k4*spbk6k1+t52/t18*t8*spb&
      &k5k2*spbk6k1*spbk6k4+t54/t18*spak2k6*spbk4k2*spbk5k2*spbk6k1+t35/t9*spak1&
      &k3*spak2k6*spbk5k4*spbk6k1+t41/t9*spak1k3*spak2k6*spbk5k4*spbk6k1+t32/t9*&
      &spak1k3*spak2k6*spbk4k1*spbk5k2*spbk6k1-(t40/t18*spak1k3*spak2k6*spbk4k1*&
      &spbk5k2*spbk6k1+t52*t6/t9*spbk5k2*spbk6k1*spbk6k4+t49/t9*spak2k6*spbk4k2*&
      &spbk5k2*spbk6k1+t38/t9*spak1k3*spak2k6*spbk5k4*spbk6k1+t50/t18*spak1k3*sp&
      &ak2k6*spbk5k4*spbk6k1+t44/t18*spak1k3*spak2k6*spbk5k4*spbk6k1+t23/t9*spbk&
      &5k2*spbk5k4*spbk6k1+t7/t31*spbk5k4*spbk6k1+t5/t31*spbk6k4)))
      abb11n9 = ((4.0_ki)*(t17/t9*spbk5k2*spbk6k1-t21/t18*spbk5k2*spbk6k1))
      t1 = t20+t25-(t29+t11)
      abb11n10 = ((4.0_ki)*t1)
      abb11n11 = ((8.0_ki)*t1)
      t1 = t4/t31*spbk4k2*spbk6k1
      t6 = t30*spak3k5
      t7 = t6/t31*spbk5k4*spbk6k1
      t8 = t15/t24*spbk4k2*spbk6k1
      t11 = t33*spak3k5
      t12 = t11/t24*spbk5k4*spbk6k1
      t20 = t35/t9*spak2k3*spak2k6*spbk4k2*spbk6k1
      t22 = t36/t9*spak3k5*spbk5k4*spbk6k1
      t23 = t38/t9*spak2k3*spak2k6*spbk4k2*spbk6k1
      t25 = t39/t9*spak3k5*spbk5k4*spbk6k1
      t26 = t58/t9*spbk4k2*spbk6k1
      t27 = t42/t9*spak3k5*spbk5k4*spbk6k1
      t28 = t53/t9
      t29 = t44/t18*spak2k3*spak2k6*spbk4k2*spbk6k1
      t32 = t45/t18*spak3k5*spbk5k4*spbk6k1
      t35 = t47/t18*spak2k3*spak2k6*spbk4k2*spbk6k1
      t37 = t48/t18*spak3k5*spbk5k4*spbk6k1
      t38 = t59/t18*spbk4k2*spbk6k1
      t40 = t51/t18*spak3k5*spbk5k4*spbk6k1
      t41 = t55/t18
      t44 = t56/t9
      t46 = t57/t18
      abb11n12 = ((8.0_ki)*(t20+t25+t26+t28+t32+t35+t40+t46+t7+t8-(t44+t41+t38+t&
      &37+t29+t27+t23+t22+t12+t1)))
      abb11n13 = ((8.0_ki)*(t1+t12+t22+t23+t27+t29+t37+t38+t41+t44-(t8+t7+t46+t4&
      &0+t35+t32+t28+t26+t25+t20)))
      abb11n14 = ((4.0_ki)*(t15/t24*spbk4k1*spbk5k2+t16/t19*spbk5k4*spbk6k1+t48/&
      &t18*spak3k6*spbk5k4*spbk6k1+t33/t24*spak3k6*spbk5k4*spbk6k1+t36/t9*spak3k&
      &6*spbk5k4*spbk6k1+t42/t9*spak3k6*spbk5k4*spbk6k1+t14/t18*t52*spbk4k2*spbk&
      &5k2*spbk6k1+t34/t9*spak3k6*spbk4k1*spbk5k2*spbk6k1+t13/t18*t52*spak3k6*sp&
      &bk5k2*spbk6k1*spbk6k4-(t2*t52/t9*spak3k6*spbk5k2*spbk6k1*spbk6k4+t3*t52/t&
      &9*spbk4k2*spbk5k2*spbk6k1+t43/t18*spak3k6*spbk4k1*spbk5k2*spbk6k1+t39/t9*&
      &spak3k6*spbk5k4*spbk6k1+t30/t31*spak3k6*spbk5k4*spbk6k1+t51/t18*spak3k6*s&
      &pbk5k4*spbk6k1+t45/t18*spak3k6*spbk5k4*spbk6k1+t4/t31*spbk4k1*spbk5k2+t5/&
      &t10*spbk5k4*spbk6k1)))
      abb11n15 = ((8.0_ki)*(t13/t18*t52*spbk5k2*spbk6k1-t2*t52/t9*spbk5k2*spbk6k&
      &1))
      abb11n16 = ((4.0_ki)*(t11/t19*spbk5k2*spbk6k1*spbk6k4+t17/t9*spak3k5*spbk4&
      &k1*spbk5k2*spbk6k1-(t21/t18*spak3k5*spbk4k1*spbk5k2*spbk6k1+t6/t10*spbk5k&
      &2*spbk6k1*spbk6k4)))
      abb11n17 = ((4.0_ki)*(t30/t10*spbk5k2*spbk6k1-t33/t19*spbk5k2*spbk6k1))
      rat2d11 = abb11n1
      rat2 = rat2 + rat2d11
      abb11n19 = abb11n5
      abb11n20 = abb11n17
      abb11n21 = abb11n15
      abb11n22 = abb11n10
      abb11n23 = abb11n9
      abb11n24 = abb11n4
      abb11n25 = abb11n3
      abb11n26 = abb11n2
      abb11n27 = -(abb11n6)
      abb11n28 = -(abb11n7)
      abb11n29 = -(abb11n8)
      abb11n30 = ((2.0_ki)*abb11n10)
      abb11n31 = -(abb11n11)
      abb11n32 = -(abb11n12)
      abb11n33 = -(abb11n13)
      abb11n34 = -(abb11n14)
      abb11n35 = -(abb11n16)
   end subroutine
end module p26_udbar_neepgg_abbrevd11h0
