module     p26_udbar_neepgg_abbrevd2h0
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh0
   implicit none
   private
   complex(ki), public :: abb2n1
   complex(ki), public :: abb2n2
   complex(ki), public :: abb2n3
   complex(ki), public :: abb2n4
   complex(ki), public :: abb2n5
   complex(ki), public :: abb2n6
   complex(ki), public :: abb2n7
   complex(ki), public :: abb2n8
   complex(ki), public :: rat2d2
   complex(ki), public :: abb2n10
   complex(ki), public :: abb2n11
   complex(ki), public :: abb2n12
   complex(ki), public :: abb2n13
   complex(ki), public :: abb2n14
   complex(ki), public :: abb2n15
   complex(ki), public :: abb2n16
   complex(ki), public :: abb2n17
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   real(ki) :: t32
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t32 = NC*TR
      t1 = t32*c1
      t2 = t1*i_
      t3 = t2*spak1k3
      t4 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)*spak5k6*spak5k6
      t5 = t2*spak2k5
      t6 = TR*c3
      t7 = t6*i_
      t8 = t7*spak1k3
      t9 = t7*spak2k5
      t10 = t32*c2
      t11 = t10*i_
      t12 = t11*spak1k3
      t13 = t11*spak2k5
      abb2n1 = ((4.0_ki)*(-(t5/t4*spak3k4*spbk4k1*spbk6k4+t3/t4*spak2k5*spbk4k1*&
      &spbk6k1))+(2.0_ki)*(t12/t4*spak2k5*spbk4k1*spbk6k1+t13/t4*spak3k4*spbk4k1&
      &*spbk6k4-(t9/t4*spak3k4*spbk4k1*spbk6k4+t8/t4*spak2k5*spbk4k1*spbk6k1)))
      t6 = es56*t6*i_
      t1 = es56*t1*i_
      t10 = es56*t10*i_
      abb2n2 = ((2.0_ki)*(-((2.0_ki)/t4*t6*spak1k3*spbk4k1+t10/t4*spak1k3*spbk4k&
      &1+t1/t4*spak1k3*spbk4k1)))
      abb2n3 = ((2.0_ki)*(-((2.0_ki)/t4*t6*spak3k4*spbk4k1+t10/t4*spak3k4*spbk4k&
      &1+t1/t4*spak3k4*spbk4k1)))
      t14 = t11*spak2k6
      t15 = t7*spak2k6
      t16 = t2*spak2k6
      abb2n4 = ((4.0_ki)*(-(t14/t4*spak3k4*spbk4k1*spbk5k4+t12/t4*spak2k6*spbk4k&
      &1*spbk5k1))+(2.0_ki)*(t16/t4*spak3k4*spbk4k1*spbk5k4+t3/t4*spak2k6*spbk4k&
      &1*spbk5k1-(t8/t4*spak2k6*spbk4k1*spbk5k1+t15/t4*spak3k4*spbk4k1*spbk5k4))&
      &)
      t3 = t6*spak2k3
      t8 = (2.0_ki)*t3/t4*spbk4k1
      t12 = t1*spak2k3
      t17 = t12/t4*spbk4k1
      t18 = t10*spak2k3
      t19 = t18/t4*spbk4k1
      t20 = t5*spak3k6
      t21 = t20/t4*spbk4k1*spbk6k5
      t22 = t14*spak3k5
      t23 = t22/t4*spbk4k1*spbk6k5
      t24 = t9*spak3k6
      t25 = t24/t4*spbk4k1*spbk6k5
      t26 = t15*spak3k5
      t27 = t26/t4*spbk4k1*spbk6k5
      t28 = t16*spak3k5
      t29 = t28/t4*spbk4k1*spbk6k5
      t30 = t13*spak3k6
      t31 = t30/t4*spbk4k1*spbk6k5
      abb2n5 = ((4.0_ki)*(t27+t31-(t29+t25))+(8.0_ki)*(t17+t19+t23+t8-t21))
      abb2n6 = ((4.0_ki)*(t25+t29-(t31+t27))+(8.0_ki)*(t21-(t8+t23+t19+t17)))
      abb2n7 = ((8.0_ki)*(t3/t4*spbk3k1+t6/t4*spak2k4*spbk4k1)+(4.0_ki)*(t12/t4*&
      &spbk3k1+t18/t4*spbk3k1+t1/t4*spak2k4*spbk4k1+t10/t4*spak2k4*spbk4k1+t22/t&
      &4*spbk3k1*spbk6k5+t14/t4*spak4k5*spbk4k1*spbk6k5-(t5/t4*spak4k6*spbk4k1*s&
      &pbk6k5+t20/t4*spbk3k1*spbk6k5))+(2.0_ki)*(t26/t4*spbk3k1*spbk6k5+t30/t4*s&
      &pbk3k1*spbk6k5+t13/t4*spak4k6*spbk4k1*spbk6k5+t15/t4*spak4k5*spbk4k1*spbk&
      &6k5-(t9/t4*spak4k6*spbk4k1*spbk6k5+t16/t4*spak4k5*spbk4k1*spbk6k5+t28/t4*&
      &spbk3k1*spbk6k5+t24/t4*spbk3k1*spbk6k5)))
      abb2n8 = ((8.0_ki)*(t3/t4*spbk4k3+t6/t4*spak1k2*spbk4k1)+(4.0_ki)*(t12/t4*&
      &spbk4k3+t18/t4*spbk4k3+t1/t4*spak1k2*spbk4k1+t10/t4*spak1k2*spbk4k1+t22/t&
      &4*spbk4k3*spbk6k5+t2/t4*spak1k6*spak2k5*spbk4k1*spbk6k5-(t11/t4*spak1k5*s&
      &pak2k6*spbk4k1*spbk6k5+t20/t4*spbk4k3*spbk6k5))+(2.0_ki)*(t26/t4*spbk4k3*&
      &spbk6k5+t30/t4*spbk4k3*spbk6k5+t2/t4*spak1k5*spak2k6*spbk4k1*spbk6k5+t7/t&
      &4*spak1k6*spak2k5*spbk4k1*spbk6k5-(t7/t4*spak1k5*spak2k6*spbk4k1*spbk6k5+&
      &t11/t4*spak1k6*spak2k5*spbk4k1*spbk6k5+t28/t4*spbk4k3*spbk6k5+t24/t4*spbk&
      &4k3*spbk6k5)))
      rat2d2 = 0
      rat2 = rat2 + rat2d2
      abb2n10 = -(abb2n1)
      abb2n11 = -(abb2n2)
      abb2n12 = -(abb2n3)
      abb2n13 = -(abb2n4)
      abb2n14 = -(abb2n5)
      abb2n15 = -(abb2n6)
      abb2n16 = -(abb2n7)
      abb2n17 = -(abb2n8)
   end subroutine
end module p26_udbar_neepgg_abbrevd2h0
