module     p26_udbar_neepgg_d84h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity0/d84h0l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d84
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd84h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      complex(ki) :: t105
      complex(ki) :: t106
      complex(ki) :: t107
      complex(ki) :: t108
      complex(ki) :: t109
      complex(ki) :: t110
      complex(ki) :: t111
      complex(ki) :: t112
      complex(ki) :: t113
      complex(ki) :: t114
      complex(ki) :: t115
      complex(ki) :: t116
      complex(ki) :: t117
      complex(ki) :: t118
      complex(ki) :: t119
      complex(ki) :: t120
      complex(ki) :: t121
      complex(ki) :: t122
      complex(ki) :: t123
      complex(ki) :: t124
      complex(ki) :: t125
      complex(ki) :: t126
      complex(ki) :: t127
      complex(ki) :: t128
      complex(ki) :: t129
      complex(ki) :: t130
      complex(ki) :: t131
      complex(ki) :: t132
      complex(ki) :: t133
      complex(ki) :: t134
      complex(ki) :: t135
      complex(ki) :: t136
      complex(ki) :: t137
      complex(ki) :: t138
      complex(ki) :: t139
      complex(ki) :: t140
      complex(ki) :: t141
      complex(ki) :: t142
      complex(ki) :: t143
      complex(ki) :: t144
      complex(ki) :: t145
      complex(ki) :: t146
      complex(ki) :: t147
      complex(ki) :: t148
      complex(ki) :: t149
      complex(ki) :: t150
      complex(ki) :: t151
      complex(ki) :: t152
      complex(ki) :: t153
      complex(ki) :: t154
      complex(ki) :: t155
      complex(ki) :: t156
      complex(ki) :: t157
      complex(ki) :: t158
      complex(ki) :: t159
      complex(ki) :: t160
      complex(ki) :: t161
      complex(ki) :: t162
      complex(ki) :: t163
      complex(ki) :: t164
      complex(ki) :: t165
      complex(ki) :: t166
      complex(ki) :: t167
      complex(ki) :: t168
      complex(ki) :: t169
      complex(ki) :: t170
      complex(ki) :: t171
      complex(ki) :: t172
      complex(ki) :: t173
      complex(ki) :: t174
      complex(ki) :: t175
      complex(ki) :: t176
      complex(ki) :: t177
      complex(ki) :: t178
      complex(ki) :: t179
      complex(ki) :: t180
      complex(ki) :: t181
      complex(ki) :: t182
      complex(ki) :: t183
      complex(ki) :: t184
      complex(ki) :: t185
      complex(ki) :: t186
      complex(ki) :: t187
      real(ki) :: t188
      real(ki) :: t189
      real(ki) :: t190
      real(ki) :: t191
      real(ki) :: t192
      real(ki) :: t193
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t188 = dotproduct(qshift, qshift)
      t1 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t2 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t3 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t189 = dotproduct(k1, qshift)
      t190 = dotproduct(k6, qshift)
      t4 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t5 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t191 = dotproduct(k5, qshift)
      t192 = dotproduct(k2, qshift)
      t6 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t7 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t8 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t9 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t10 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-s&
      &pvak2k6(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb84n93+t1*abb84n185+t188*abb84n162+t188*t188*abb84n150+t&
         &189*abb84n197+t190*abb84n198+t191*abb84n201+t192*abb84n235+t2*abb84n18&
         &6+t3*abb84n189+t4*abb84n199+t5*abb84n200+t1*t188*abb84n288+t1*t191*abb&
         &84n109+t1*t192*abb84n107+t1*t2*abb84n183+t1*t4*abb84n110+t1*t5*abb84n1&
         &24+t188*t189*abb84n214+t188*t191*abb84n231+t188*t192*abb84n243+t188*t2&
         &*abb84n207+t188*t3*abb84n300+t188*t4*abb84n225+t188*t5*abb84n191+t188*&
         &t6*abb84n281+t188*t8*abb84n258+t189*t191*abb84n159+t189*t192*abb84n140&
         &+t189*t2*abb84n164+t189*t3*abb84n123+t189*t4*abb84n160+t189*t5*abb84n1&
         &52+t189*t6*abb84n114+t189*t8*abb84n137+t190*t192*abb84n142+t190*t3*abb&
         &84n125+t190*t4*abb84n175+t190*t6*abb84n112+t190*t8*abb84n138+t191*t3*a&
         &bb84n99+t191*t5*abb84n176+t191*t8*abb84n131+t192*t2*abb84n179+t192*t3*&
         &abb84n101+t192*t4*abb84n145+t192*t5*abb84n139+t192*t8*abb84n129+t2*t3*&
         &abb84n180+t2*t4*abb84n167+t2*t5*abb84n173+t2*t8*abb84n165+t3*t4*abb84n&
         &102+t4*t5*abb84n174+t4*t8*abb84n136+t5*t6*abb84n111+t5*t7*abb84n126+t5&
         &*t8*abb84n132+t1*t188*t5*abb84n120+t1*t191*t5*abb84n272+t1*t192*t5*abb&
         &84n268+t1*t4*t5*abb84n277+t10*t2*t4*abb84n262+t188*t2*t4*abb84n144+t18&
         &8*t3*t4*abb84n117+t188*t4*t6*abb84n105+t188*t4*t9*abb84n134+t188*t5*t6&
         &*abb84n97+t188*t5*t8*abb84n155+t189*t2*t4*abb84n240+t189*t3*t4*abb84n2&
         &78+t189*t4*t5*abb84n210+t189*t4*t6*abb84n291+t189*t4*t9*abb84n254+t190&
         &*t3*t4*abb84n273+t190*t4*t6*abb84n295+t190*t4*t9*abb84n250+t191*t5*t6*&
         &abb84n303+t191*t5*t8*abb84n217+t192*t2*t5*abb84n233+t192*t4*t5*abb84n2&
         &10+t192*t5*t6*abb84n307+t192*t5*t8*abb84n221+t2*t3*t4*abb84n203+t2*t4*&
         &t7*abb84n222+t2*t5*t7*abb84n296+t2*t5*t8*abb84n234+t3*t4*t5*abb84n270+&
         &t4*t5*t6*abb84n308+t4*t5*t7*abb84n267+t4*t5*t8*abb84n216+t4*t5*t9*abb8&
         &4n261+t2*t4*t5*t7*abb84n94)
         return
      end if
      t11 = k1(iv1)
      t12 = k2(iv1)
      t13 = k5(iv1)
      t14 = k6(iv1)
      t15 = qshift(iv1)
      t16 = spvak3k4(iv1)
      t17 = spvak5k1(iv1)
      t18 = spvak5k6(iv1)
      t19 = spvak6k1(iv1)
      t20 = spvak6k5(iv1)
      t21 = spvak2k1(iv1)
      t22 = spvak2k5(iv1)
      t23 = spvak3k1(iv1)
      t24 = spvak2k4(iv1)
      t25 = spvak2k6(iv1)
      t26 = t18*abb84n161
      t27 = t20*abb84n161
      if(deg.eq.1) then
         numerator = (t11*abb84n172+t12*abb84n146+t13*abb84n168+t14*abb84n171+t1&
         &5*abb84n209+t16*abb84n181+t17*abb84n178+t18*abb84n169+t19*abb84n182+t2&
         &0*abb84n170+t1*t12*abb84n290+t1*t13*abb84n286+t1*t15*abb84n287+t1*t16*&
         &abb84n184+t1*t18*abb84n265+t1*t20*abb84n285+t11*t188*abb84n158+t11*t19&
         &1*abb84n212+t11*t192*abb84n245+t11*t2*abb84n205+t11*t3*abb84n266+t11*t&
         &4*abb84n211+t11*t5*abb84n223+t11*t6*abb84n279+t11*t8*abb84n248+t12*t18&
         &8*abb84n141+t12*t189*abb84n245+t12*t190*abb84n241+t12*t2*abb84n188+t12&
         &*t3*abb84n298+t12*t4*abb84n236+t12*t5*abb84n246+t12*t8*abb84n260+t13*t&
         &188*abb84n149+t13*t189*abb84n212+t13*t3*abb84n302+t13*t5*abb84n193+t13&
         &*t8*abb84n256+t14*t192*abb84n241+t14*t3*abb84n264+t14*t4*abb84n194+t14&
         &*t6*abb84n283+t14*t8*abb84n247+t15*t188*abb84n229+t15*t189*abb84n213+t&
         &15*t191*abb84n230+t15*t192*abb84n242+t15*t2*abb84n206+t15*t3*abb84n299&
         &+t15*t4*abb84n224+t15*t5*abb84n190+t15*t6*abb84n280+t15*t8*abb84n257+t&
         &16*t188*abb84n163+t16*t189*abb84n205+t16*t192*abb84n188+t16*t3*abb84n1&
         &87+t16*t4*abb84n202+t16*t5*abb84n196+t16*t8*abb84n204+t17*t188*abb84n1&
         &00+t17*t189*abb84n266+t17*t190*abb84n264+t17*t191*abb84n302+t17*t192*a&
         &bb84n298+t17*t2*abb84n187+t17*t4*abb84n297+t18*t188*abb84n177+t18*t189&
         &*abb84n223+t18*t191*abb84n193+t18*t192*abb84n246+t18*t2*abb84n196+t18*&
         &t4*abb84n195+t18*t6*abb84n284+t18*t7*abb84n263+t18*t8*abb84n255+t188*t&
         &19*abb84n108+t188*t20*abb84n151+t188*t22*abb84n130+t188*t23*abb84n113+&
         &t189*t20*abb84n211+t189*t22*abb84n248+t189*t23*abb84n279+t189*t26*t4+t&
         &189*t27*t5+t19*t191*abb84n286+t19*t192*abb84n290+t19*t2*abb84n184+t19*&
         &t4*abb84n285+t19*t5*abb84n265+t190*t20*abb84n194+t190*t22*abb84n247+t1&
         &90*t23*abb84n283+t191*t22*abb84n256+t192*t20*abb84n236+t192*t22*abb84n&
         &260+t192*t26*t4+t192*t27*t5+t2*t20*abb84n202+t2*t22*abb84n204+t20*t3*a&
         &bb84n297+t20*t5*abb84n195+t20*t8*abb84n249+t21*t5*abb84n263+t22*t4*abb&
         &84n249+t22*t5*abb84n255+t23*t5*abb84n284+t1*t12*t5*abb84n121+t1*t13*t5&
         &*abb84n119+t1*t15*t5*abb84n271+t1*t18*t188*abb84n270+t1*t18*t191*abb84&
         &n119+t1*t18*t192*abb84n121+t1*t18*t4*abb84n116+t1*t20*t5*abb84n116+t10&
         &*t16*t4*abb84n127+t10*t2*t20*abb84n127+t11*t2*t4*abb84n143+t11*t3*t4*a&
         &bb84n115+t11*t4*t5*abb84n161+t11*t4*t6*abb84n106+t11*t4*t9*abb84n133+t&
         &12*t2*t5*abb84n148+t12*t4*t5*abb84n161+t12*t5*t6*abb84n96+t12*t5*t8*ab&
         &b84n154+t13*t5*t6*abb84n98+t13*t5*t8*abb84n156+t14*t3*t4*abb84n118+t14&
         &*t4*t6*abb84n104+t14*t4*t9*abb84n135+t15*t2*t4*abb84n239+t15*t3*t4*abb&
         &84n276+t15*t4*t6*abb84n294+t15*t4*t9*abb84n253+t15*t5*t6*abb84n306+t15&
         &*t5*t8*abb84n220+t16*t188*t4*abb84n238+t16*t189*t4*abb84n143+t16*t192*&
         &t5*abb84n148+t16*t3*t4*abb84n166+t16*t4*t7*abb84n153+t16*t5*t7*abb84n1&
         &03+t16*t5*t8*abb84n147+t17*t188*t4*abb84n275+t17*t189*t4*abb84n115+t17&
         &*t190*t4*abb84n118+t17*t2*t4*abb84n166+t17*t4*t5*abb84n120+t18*t188*t6&
         &*abb84n305+t18*t188*t8*abb84n219+t18*t191*t6*abb84n98+t18*t191*t8*abb8&
         &4n156+t18*t192*t2*abb84n148+t18*t192*t6*abb84n96+t18*t192*t8*abb84n154&
         &+t18*t2*t7*abb84n103+t18*t2*t8*abb84n147+t18*t3*t4*abb84n120+t18*t4*t6&
         &*abb84n95+t18*t4*t7*abb84n122+t18*t4*t8*abb84n157+t18*t4*t9*abb84n128+&
         &t188*t19*t5*abb84n270+t188*t2*t20*abb84n238+t188*t20*t3*abb84n275+t188&
         &*t20*t6*abb84n293+t188*t20*t9*abb84n252+t188*t22*t5*abb84n219+t188*t23&
         &*t4*abb84n293+t188*t23*t5*abb84n305+t188*t24*t4*abb84n252+t189*t2*t20*&
         &abb84n143+t189*t20*t3*abb84n115+t189*t20*t6*abb84n106+t189*t20*t9*abb8&
         &4n133+t189*t23*t4*abb84n106+t189*t24*t4*abb84n133+t19*t191*t5*abb84n11&
         &9+t19*t192*t5*abb84n121+t19*t4*t5*abb84n116+t190*t20*t3*abb84n118+t190&
         &*t20*t6*abb84n104+t190*t20*t9*abb84n135+t190*t23*t4*abb84n104+t190*t24&
         &*t4*abb84n135+t191*t22*t5*abb84n156+t191*t23*t5*abb84n98+t192*t22*t5*a&
         &bb84n154+t192*t23*t5*abb84n96+t2*t20*t3*abb84n166+t2*t20*t7*abb84n153+&
         &t2*t21*t4*abb84n153+t2*t21*t5*abb84n103+t2*t22*t5*abb84n147+t2*t25*t4*&
         &abb84n127+t20*t3*t5*abb84n120+t20*t5*t6*abb84n95+t20*t5*t7*abb84n122+t&
         &20*t5*t8*abb84n157+t20*t5*t9*abb84n128+t21*t4*t5*abb84n122+t22*t4*t5*a&
         &bb84n157+t23*t4*t5*abb84n95+t24*t4*t5*abb84n128+t16*t4*t5*t7*abb84n309&
         &+t18*t2*t4*t7*abb84n309+t2*t20*t5*t7*abb84n309+t2*t21*t4*t5*abb84n309)
         return
      end if
      t193 = d(iv1,iv2)
      t26 = qshift(iv2)
      t27 = k2(iv2)
      t28 = k5(iv2)
      t29 = spvak2k5(iv2)
      t30 = spvak3k1(iv2)
      t31 = t11*t30
      t32 = spvak3k4(iv2)
      t33 = t11*t32
      t34 = spvak5k1(iv2)
      t35 = t11*t34
      t36 = spvak5k6(iv2)
      t37 = t11*t36
      t38 = spvak6k5(iv2)
      t39 = t11*t38
      t40 = k1(iv2)
      t41 = t23*t40
      t42 = t16*t40
      t43 = t17*t40
      t44 = t18*t40
      t45 = t20*t40
      t46 = k6(iv2)
      t47 = t12*t29
      t48 = t12*t32
      t49 = t12*t36
      t50 = spvak6k1(iv2)
      t51 = t12*t50
      t52 = t12*t38
      t53 = t22*t27
      t54 = t16*t27
      t55 = t18*t27
      t56 = t19*t27
      t57 = t20*t27
      t58 = t13*t29
      t59 = t13*t36
      t60 = t13*t50
      t61 = t22*t28
      t62 = t18*t28
      t63 = t19*t28
      t64 = t14*t30
      t65 = t14*t34
      t66 = t14*t38
      t67 = t23*t46
      t68 = t17*t46
      t69 = t20*t46
      t70 = t15*t29
      t71 = t15*t30
      t72 = t15*t32
      t73 = t15*t34
      t74 = t15*t36
      t75 = t15*t50
      t76 = t15*t38
      t77 = t22*t26
      t78 = t23*t26
      t79 = t16*t26
      t80 = t17*t26
      t81 = t18*t26
      t82 = t19*t26
      t83 = t20*t26
      t84 = t21*t36
      t85 = spvak2k1(iv2)
      t86 = t18*t85
      t87 = t22*t32
      t88 = t22*t36
      t89 = t22*t38
      t90 = t16*t29
      t91 = t18*t29
      t92 = t20*t29
      t93 = t23*t36
      t94 = t18*t30
      t95 = t16*t34
      t96 = t16*t36
      t97 = t16*t38
      t98 = t17*t32
      t99 = t18*t32
      t100 = t20*t32
      t101 = t17*t38
      t102 = t20*t34
      t103 = t18*t50
      t104 = t18*t38
      t105 = t19*t36
      t106 = t20*t36
      t107 = t19*t38
      t108 = t20*t50
      t109 = spvak2k4(iv2)
      t110 = t109*t11
      t111 = t24*t40
      t112 = t12*t30
      t113 = t23*t27
      t114 = t13*t30
      t115 = t23*t28
      t116 = t109*t14
      t117 = t24*t46
      t118 = t109*t15
      t119 = t24*t26
      t120 = t21*t32
      t121 = t21*t38
      t122 = t16*t85
      t123 = t20*t85
      t124 = t24*t36
      t125 = t24*t38
      t126 = t109*t18
      t127 = t109*t20
      t128 = t25*t32
      t129 = spvak2k6(iv2)
      t130 = t129*t16
      t131 = t23*t38
      t132 = t20*t30
      t133 = t17*t36
      t134 = t18*t34
      t135 = t104*abb84n210
      t136 = t106*abb84n210
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t193*abb84n162+t1*t193*abb84n288+t15*t26*abb84n2&
         &27+t188*t193*abb84n228+t189*t193*abb84n214+t191*t193*abb84n231+t192*t1&
         &93*abb84n243+t193*t2*abb84n207+t193*t3*abb84n300+t193*t4*abb84n225+t19&
         &3*t5*abb84n191+t193*t6*abb84n281+t193*t8*abb84n258+t1*t193*t5*abb84n12&
         &0+t193*t2*t4*abb84n144+t193*t3*t4*abb84n117+t193*t4*t6*abb84n105+t193*&
         &t4*t9*abb84n134+t193*t5*t6*abb84n97+t193*t5*t8*abb84n155)+t100*abb84n1&
         &67+t101*abb84n102+t102*abb84n102+t103*abb84n124+t104*abb84n174+t105*ab&
         &b84n124+t106*abb84n174+t107*abb84n110+t108*abb84n110+t135*t189+t135*t1&
         &92+t136*t189+t136*t192+t31*abb84n114+t33*abb84n164+t35*abb84n123+t37*a&
         &bb84n152+t39*abb84n160+t41*abb84n114+t42*abb84n164+t43*abb84n123+t44*a&
         &bb84n152+t45*abb84n160+t47*abb84n129+t48*abb84n179+t49*abb84n139+t51*a&
         &bb84n107+t52*abb84n145+t53*abb84n129+t54*abb84n179+t55*abb84n139+t56*a&
         &bb84n107+t57*abb84n145+t58*abb84n131+t59*abb84n176+t60*abb84n109+t61*a&
         &bb84n131+t62*abb84n176+t63*abb84n109+t64*abb84n112+t65*abb84n125+t66*a&
         &bb84n175+t67*abb84n112+t68*abb84n125+t69*abb84n175+t70*abb84n259+t71*a&
         &bb84n282+t72*abb84n208+t73*abb84n301+t74*abb84n192+t75*abb84n289+t76*a&
         &bb84n226+t77*abb84n259+t78*abb84n282+t79*abb84n208+t80*abb84n301+t81*a&
         &bb84n192+t82*abb84n289+t83*abb84n226+t84*abb84n126+t86*abb84n126+t87*a&
         &bb84n165+t88*abb84n132+t89*abb84n136+t90*abb84n165+t91*abb84n132+t92*a&
         &bb84n136+t93*abb84n111+t94*abb84n111+t95*abb84n180+t96*abb84n173+t97*a&
         &bb84n167+t98*abb84n180+t99*abb84n173+t1*t104*abb84n277+t1*t106*abb84n2&
         &77+t1*t49*abb84n268+t1*t55*abb84n268+t1*t59*abb84n272+t1*t62*abb84n272&
         &+t1*t74*abb84n269+t1*t81*abb84n269+t10*t100*abb84n262+t10*t97*abb84n26&
         &2+t100*t188*abb84n144+t100*t189*abb84n240+t100*t3*abb84n203+t100*t7*ab&
         &b84n222+t101*t188*abb84n117+t101*t189*abb84n278+t101*t190*abb84n273+t1&
         &01*t2*abb84n203+t101*t5*abb84n270+t102*t188*abb84n117+t102*t189*abb84n&
         &278+t102*t190*abb84n273+t102*t2*abb84n203+t102*t5*abb84n270+t103*t188*&
         &abb84n120+t103*t191*abb84n272+t103*t192*abb84n268+t103*t4*abb84n277+t1&
         &04*t3*abb84n270+t104*t6*abb84n308+t104*t7*abb84n267+t104*t8*abb84n216+&
         &t104*t9*abb84n261+t105*t188*abb84n120+t105*t191*abb84n272+t105*t192*ab&
         &b84n268+t105*t4*abb84n277+t106*t3*abb84n270+t106*t6*abb84n308+t106*t7*&
         &abb84n267+t106*t8*abb84n216+t106*t9*abb84n261+t107*t5*abb84n277+t108*t&
         &5*abb84n277+t11*t26*abb84n215+t11*t27*abb84n140+t11*t28*abb84n159+t11*&
         &t29*abb84n137+t110*t4*abb84n254+t111*t4*abb84n254+t112*t5*abb84n307+t1&
         &13*t5*abb84n307+t114*t5*abb84n303+t115*t5*abb84n303+t116*t4*abb84n250+&
         &t117*t4*abb84n250+t118*t4*abb84n251+t119*t4*abb84n251+t12*t26*abb84n24&
         &4+t12*t34*abb84n101+t12*t40*abb84n140+t12*t46*abb84n142+t120*t4*abb84n&
         &222+t120*t5*abb84n296+t121*t2*abb84n222+t121*t5*abb84n267+t122*t4*abb8&
         &4n222+t122*t5*abb84n296+t123*t2*abb84n222+t123*t5*abb84n267+t124*t4*ab&
         &b84n261+t125*t188*abb84n134+t125*t189*abb84n254+t125*t190*abb84n250+t1&
         &25*t5*abb84n261+t126*t4*abb84n261+t127*t188*abb84n134+t127*t189*abb84n&
         &254+t127*t190*abb84n250+t127*t5*abb84n261+t128*t4*abb84n262+t13*t26*ab&
         &b84n232+t13*t34*abb84n99+t13*t40*abb84n159+t130*t4*abb84n262+t131*t188&
         &*abb84n105+t131*t189*abb84n291+t131*t190*abb84n295+t131*t5*abb84n308+t&
         &132*t188*abb84n105+t132*t189*abb84n291+t132*t190*abb84n295+t132*t5*abb&
         &84n308+t133*t4*abb84n270+t134*t4*abb84n270+t14*t27*abb84n142+t14*t29*a&
         &bb84n138+t15*t27*abb84n244+t15*t28*abb84n232+t15*t40*abb84n215+t16*t50&
         &*abb84n183+t17*t27*abb84n101+t17*t28*abb84n99+t188*t88*abb84n155+t188*&
         &t91*abb84n155+t188*t93*abb84n97+t188*t94*abb84n97+t188*t97*abb84n144+t&
         &189*t97*abb84n240+t19*t32*abb84n183+t191*t88*abb84n217+t191*t91*abb84n&
         &217+t191*t93*abb84n303+t191*t94*abb84n303+t192*t88*abb84n221+t192*t91*&
         &abb84n221+t192*t93*abb84n307+t192*t94*abb84n307+t192*t96*abb84n233+t19&
         &2*t99*abb84n233+t2*t39*abb84n240+t2*t45*abb84n240+t2*t49*abb84n233+t2*&
         &t55*abb84n233+t2*t76*abb84n237+t2*t83*abb84n237+t2*t84*abb84n296+t2*t8&
         &6*abb84n296+t2*t88*abb84n234+t2*t91*abb84n234+t22*t40*abb84n137+t22*t4&
         &6*abb84n138+t3*t39*abb84n278+t3*t45*abb84n278+t3*t66*abb84n273+t3*t69*&
         &abb84n273+t3*t76*abb84n274+t3*t83*abb84n274+t3*t97*abb84n203+t31*t4*ab&
         &b84n291+t33*t4*abb84n240+t35*t4*abb84n278+t37*t4*abb84n210+t39*t5*abb8&
         &4n210+t39*t6*abb84n291+t39*t9*abb84n254+t4*t41*abb84n291+t4*t42*abb84n&
         &240+t4*t43*abb84n278+t4*t44*abb84n210+t4*t49*abb84n210+t4*t55*abb84n21&
         &0+t4*t64*abb84n295+t4*t65*abb84n273+t4*t67*abb84n295+t4*t68*abb84n273+&
         &t4*t71*abb84n292+t4*t72*abb84n237+t4*t73*abb84n274+t4*t78*abb84n292+t4&
         &*t79*abb84n237+t4*t80*abb84n274+t4*t84*abb84n267+t4*t86*abb84n267+t4*t&
         &88*abb84n216+t4*t91*abb84n216+t4*t93*abb84n308+t4*t94*abb84n308+t4*t95&
         &*abb84n203+t4*t98*abb84n203+t45*t5*abb84n210+t45*t6*abb84n291+t45*t9*a&
         &bb84n254+t47*t5*abb84n221+t48*t5*abb84n233+t49*t6*abb84n307+t49*t8*abb&
         &84n221+t5*t51*abb84n268+t5*t52*abb84n210+t5*t53*abb84n221+t5*t54*abb84&
         &n233+t5*t56*abb84n268+t5*t57*abb84n210+t5*t58*abb84n217+t5*t60*abb84n2&
         &72+t5*t61*abb84n217+t5*t63*abb84n272+t5*t70*abb84n218+t5*t71*abb84n304&
         &+t5*t75*abb84n269+t5*t77*abb84n218+t5*t78*abb84n304+t5*t82*abb84n269+t&
         &5*t87*abb84n234+t5*t89*abb84n216+t5*t90*abb84n234+t5*t92*abb84n216+t55&
         &*t6*abb84n307+t55*t8*abb84n221+t59*t6*abb84n303+t59*t8*abb84n217+t6*t6&
         &2*abb84n303+t6*t66*abb84n295+t6*t69*abb84n295+t6*t74*abb84n304+t6*t76*&
         &abb84n292+t6*t81*abb84n304+t6*t83*abb84n292+t62*t8*abb84n217+t66*t9*ab&
         &b84n250+t69*t9*abb84n250+t7*t96*abb84n296+t7*t97*abb84n222+t7*t99*abb8&
         &4n296+t74*t8*abb84n218+t76*t9*abb84n251+t8*t81*abb84n218+t8*t96*abb84n&
         &234+t8*t99*abb84n234+t83*t9*abb84n251+t100*t5*t7*abb84n94+t104*t2*t7*a&
         &bb84n94+t106*t2*t7*abb84n94+t120*t4*t5*abb84n94+t121*t2*t5*abb84n94+t1&
         &22*t4*t5*abb84n94+t123*t2*t5*abb84n94+t129*t2*t20*abb84n262+t2*t25*t38&
         &*abb84n262+t2*t4*t84*abb84n94+t2*t4*t86*abb84n94+t4*t7*t96*abb84n94+t4&
         &*t7*t99*abb84n94+t5*t7*t97*abb84n94)
         return
      end if
      t188 = d(iv2,iv3)
      t189 = d(iv1,iv3)
      t10 = k1(iv3)
      t39 = k2(iv3)
      t45 = k5(iv3)
      t51 = qshift(iv3)
      t52 = t188*t22
      t56 = t189*t29
      t57 = spvak2k5(iv3)
      t60 = t193*t57
      t63 = t188*t23
      t66 = t189*t30
      t69 = spvak3k1(iv3)
      t75 = t193*t69
      t76 = t16*t188
      t82 = t189*t32
      t83 = spvak3k4(iv3)
      t89 = t193*t83
      t92 = t17*t188
      t104 = t189*t34
      t106 = spvak5k1(iv3)
      t107 = t106*t193
      t108 = t18*t188
      t121 = t189*t36
      t123 = spvak5k6(iv3)
      t135 = t123*t193
      t136 = t188*t19
      t137 = t189*t50
      t138 = spvak6k1(iv3)
      t139 = t138*t193
      t140 = t188*t20
      t141 = t189*t38
      t142 = spvak6k5(iv3)
      t143 = t142*t193
      t144 = spvak2k4(iv3)
      t145 = t12*t123
      t146 = t123*t27
      t147 = t18*t39
      t148 = t36*t39
      t149 = k6(iv3)
      t150 = t15*t69
      t151 = t26*t69
      t152 = t23*t51
      t153 = t30*t51
      t154 = t120*t123
      t155 = t120*t142
      t156 = t21*t83
      t157 = t156*t36
      t158 = t156*t38
      t84 = t142*t84
      t159 = t123*t21*t38
      t160 = t122*t123
      t161 = t122*t142
      t162 = t83*t85
      t163 = t162*t18
      t164 = t162*t20
      t86 = t142*t86
      t165 = t123*t20*t85
      t166 = spvak2k1(iv3)
      t167 = t16*t166
      t168 = t167*t36
      t169 = t167*t38
      t170 = t166*t32
      t171 = t170*t18
      t172 = t170*t20
      t173 = t166*t18*t38
      t174 = t166*t20*t36
      t175 = t123*t22
      t176 = t123*t29
      t177 = t18*t57
      t178 = t36*t57
      t179 = spvak2k6(iv3)
      t180 = t123*t23
      t181 = t123*t30
      t182 = t18*t69
      t183 = t36*t69
      t184 = t138*t18
      t185 = t138*t36
      t186 = t123*t19
      t187 = t123*t50
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t104*abb84n100+t107*abb84n100+t108*abb84n177+t12&
         &1*abb84n177+t135*abb84n177+t136*abb84n108+t137*abb84n108+t139*abb84n10&
         &8+t140*abb84n151+t141*abb84n151+t143*abb84n151+t52*abb84n130+t56*abb84&
         &n130+t60*abb84n130+t63*abb84n113+t66*abb84n113+t75*abb84n113+t76*abb84&
         &n163+t82*abb84n163+t89*abb84n163+t92*abb84n100+t1*t108*abb84n270+t1*t1&
         &21*abb84n270+t1*t135*abb84n270+t10*t193*abb84n158+t104*t4*abb84n275+t1&
         &07*t4*abb84n275+t108*t6*abb84n305+t108*t8*abb84n219+t11*t188*abb84n158&
         &+t12*t188*abb84n141+t121*t6*abb84n305+t121*t8*abb84n219+t13*t188*abb84&
         &n149+t135*t6*abb84n305+t135*t8*abb84n219+t136*t5*abb84n270+t137*t5*abb&
         &84n270+t139*t5*abb84n270+t140*t2*abb84n238+t140*t3*abb84n275+t140*t6*a&
         &bb84n293+t140*t9*abb84n252+t141*t2*abb84n238+t141*t3*abb84n275+t141*t6&
         &*abb84n293+t141*t9*abb84n252+t143*t2*abb84n238+t143*t3*abb84n275+t143*&
         &t6*abb84n293+t143*t9*abb84n252+t15*t188*abb84n229+t189*t26*abb84n229+t&
         &189*t27*abb84n141+t189*t28*abb84n149+t189*t40*abb84n158+t193*t39*abb84&
         &n141+t193*t45*abb84n149+t193*t51*abb84n229+t4*t63*abb84n293+t4*t66*abb&
         &84n293+t4*t75*abb84n293+t4*t76*abb84n238+t4*t82*abb84n238+t4*t89*abb84&
         &n238+t4*t92*abb84n275+t5*t52*abb84n219+t5*t56*abb84n219+t5*t60*abb84n2&
         &19+t5*t63*abb84n305+t5*t66*abb84n305+t5*t75*abb84n305+t109*t189*t4*abb&
         &84n252+t144*t193*t4*abb84n252+t188*t24*t4*abb84n252)+t154*abb84n103+t1&
         &55*abb84n153+t157*abb84n103+t158*abb84n153+t159*abb84n122+t160*abb84n1&
         &03+t161*abb84n153+t163*abb84n103+t164*abb84n153+t165*abb84n122+t168*ab&
         &b84n103+t169*abb84n153+t171*abb84n103+t172*abb84n153+t173*abb84n122+t1&
         &74*abb84n122+t84*abb84n122+t86*abb84n122+t103*t142*abb84n116+t105*t142&
         &*abb84n116+t110*t142*abb84n133+t111*t142*abb84n133+t112*t123*abb84n96+&
         &t113*t123*abb84n96+t114*t123*abb84n98+t115*t123*abb84n98+t116*t142*abb&
         &84n135+t117*t142*abb84n135+t118*t142*abb84n253+t119*t142*abb84n253+t12&
         &3*t47*abb84n154+t123*t48*abb84n148+t123*t53*abb84n154+t123*t54*abb84n1&
         &48+t123*t58*abb84n156+t123*t61*abb84n156+t123*t70*abb84n220+t123*t71*a&
         &bb84n306+t123*t77*abb84n220+t123*t78*abb84n306+t123*t87*abb84n147+t123&
         &*t90*abb84n147+t124*t142*abb84n128+t126*t142*abb84n128+t128*t142*abb84&
         &n127+t130*t142*abb84n127+t133*t142*abb84n120+t134*t142*abb84n120+t138*&
         &t49*abb84n121+t138*t55*abb84n121+t138*t59*abb84n119+t138*t62*abb84n119&
         &+t138*t74*abb84n271+t138*t81*abb84n271+t142*t31*abb84n106+t142*t33*abb&
         &84n143+t142*t35*abb84n115+t142*t37*abb84n161+t142*t41*abb84n106+t142*t&
         &42*abb84n143+t142*t43*abb84n115+t142*t44*abb84n161+t142*t49*abb84n161+&
         &t142*t55*abb84n161+t142*t64*abb84n104+t142*t65*abb84n118+t142*t67*abb8&
         &4n104+t142*t68*abb84n118+t142*t71*abb84n294+t142*t72*abb84n239+t142*t7&
         &3*abb84n276+t142*t78*abb84n294+t142*t79*abb84n239+t142*t80*abb84n276+t&
         &142*t88*abb84n157+t142*t91*abb84n157+t142*t93*abb84n95+t142*t94*abb84n&
         &95+t142*t95*abb84n166+t142*t98*abb84n166+t145*t38*abb84n161+t145*t50*a&
         &bb84n121+t146*t19*abb84n121+t146*t20*abb84n161+t147*t38*abb84n161+t147&
         &*t50*abb84n121+t148*t19*abb84n121+t148*t20*abb84n161+t150*t36*abb84n30&
         &6+t150*t38*abb84n294+t151*t18*abb84n306+t151*t20*abb84n294+t152*t36*ab&
         &b84n306+t152*t38*abb84n294+t153*t18*abb84n306+t153*t20*abb84n294+t154*&
         &t4*abb84n309+t155*t5*abb84n309+t157*t4*abb84n309+t158*t5*abb84n309+t15&
         &9*t2*abb84n309+t160*t4*abb84n309+t161*t5*abb84n309+t163*t4*abb84n309+t&
         &164*t5*abb84n309+t165*t2*abb84n309+t168*t4*abb84n309+t169*t5*abb84n309&
         &+t171*t4*abb84n309+t172*t5*abb84n309+t173*t2*abb84n309+t174*t2*abb84n3&
         &09+t175*t38*abb84n157+t176*t20*abb84n157+t177*t38*abb84n157+t178*t20*a&
         &bb84n157+t180*t38*abb84n95+t181*t20*abb84n95+t182*t38*abb84n95+t183*t2&
         &0*abb84n95+t184*t38*abb84n116+t185*t20*abb84n116+t186*t38*abb84n116+t1&
         &87*t20*abb84n116+t2*t84*abb84n309+t2*t86*abb84n309+t10*t109*t20*abb84n&
         &133+t10*t16*t38*abb84n143+t10*t17*t38*abb84n115+t10*t18*t38*abb84n161+&
         &t10*t20*t30*abb84n106+t10*t20*t32*abb84n143+t10*t20*t34*abb84n115+t10*&
         &t20*t36*abb84n161+t10*t23*t38*abb84n106+t10*t24*t38*abb84n133+t106*t11&
         &*t38*abb84n115+t106*t14*t38*abb84n118+t106*t15*t38*abb84n276+t106*t16*&
         &t38*abb84n166+t106*t18*t38*abb84n120+t106*t20*t26*abb84n276+t106*t20*t&
         &32*abb84n166+t106*t20*t36*abb84n120+t106*t20*t40*abb84n115+t106*t20*t4&
         &6*abb84n118+t109*t123*t20*abb84n128+t109*t149*t20*abb84n135+t109*t20*t&
         &51*abb84n253+t11*t123*t38*abb84n161+t11*t144*t38*abb84n133+t11*t38*t69&
         &*abb84n106+t11*t38*t83*abb84n143+t12*t36*t57*abb84n154+t12*t36*t69*abb&
         &84n96+t12*t36*t83*abb84n148+t123*t13*t50*abb84n119+t123*t15*t50*abb84n&
         &271+t123*t17*t38*abb84n120+t123*t19*t26*abb84n271+t123*t19*t28*abb84n1&
         &19+t123*t20*t34*abb84n120+t123*t20*t40*abb84n161+t123*t24*t38*abb84n12&
         &8+t129*t20*t83*abb84n127+t13*t36*t57*abb84n156+t13*t36*t69*abb84n98+t1&
         &4*t144*t38*abb84n135+t14*t38*t69*abb84n104+t142*t7*t96*abb84n309+t142*&
         &t7*t99*abb84n309+t144*t15*t38*abb84n253+t144*t18*t38*abb84n128+t144*t2&
         &0*t26*abb84n253+t144*t20*t36*abb84n128+t144*t20*t40*abb84n133+t144*t20&
         &*t46*abb84n135+t149*t17*t38*abb84n118+t149*t20*t30*abb84n104+t149*t20*&
         &t34*abb84n118+t149*t23*t38*abb84n104+t149*t24*t38*abb84n135+t15*t36*t5&
         &7*abb84n220+t15*t38*t83*abb84n239+t16*t179*t38*abb84n127+t16*t36*t39*a&
         &bb84n148+t16*t36*t57*abb84n147+t16*t38*t51*abb84n239+t17*t38*t51*abb84&
         &n276+t17*t38*t83*abb84n166+t179*t20*t32*abb84n127+t18*t26*t57*abb84n22&
         &0+t18*t27*t57*abb84n154+t18*t27*t69*abb84n96+t18*t27*t83*abb84n148+t18&
         &*t28*t57*abb84n156+t18*t28*t69*abb84n98+t18*t29*t39*abb84n154+t18*t29*&
         &t45*abb84n156+t18*t29*t51*abb84n220+t18*t29*t83*abb84n147+t18*t30*t39*&
         &abb84n96+t18*t30*t45*abb84n98+t18*t32*t39*abb84n148+t18*t32*t57*abb84n&
         &147+t18*t45*t50*abb84n119+t18*t50*t51*abb84n271+t19*t36*t45*abb84n119+&
         &t19*t36*t51*abb84n271+t20*t26*t83*abb84n239+t20*t32*t51*abb84n239+t20*&
         &t34*t51*abb84n276+t20*t34*t83*abb84n166+t20*t40*t69*abb84n106+t20*t40*&
         &t83*abb84n143+t20*t46*t69*abb84n104+t22*t36*t39*abb84n154+t22*t36*t45*&
         &abb84n156+t22*t36*t51*abb84n220+t22*t36*t83*abb84n147+t23*t36*t39*abb8&
         &4n96+t23*t36*t45*abb84n98+t24*t38*t51*abb84n253+t25*t38*t83*abb84n127+&
         &t123*t16*t38*t7*abb84n309+t123*t20*t32*t7*abb84n309+t18*t38*t7*t83*abb&
         &84n309+t20*t36*t7*t83*abb84n309)
         return
      end if
      t190 = d(iv3,iv4)
      t191 = d(iv2,iv4)
      t192 = d(iv1,iv4)
      t1 = spvak6k5(iv4)
      t2 = spvak2k4(iv4)
      t3 = spvak5k6(iv4)
      t4 = spvak2k5(iv4)
      t5 = spvak3k1(iv4)
      t6 = spvak3k4(iv4)
      t7 = spvak5k1(iv4)
      t8 = spvak6k1(iv4)
      t9 = t21*t6
      t10 = t6*t85
      t11 = t166*t6
      t12 = spvak2k1(iv4)
      t13 = t12*t16
      t14 = t12*t32
      t12 = t12*t83
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t188*t192*abb84n150+t189*t191*abb84n150+t190*t19&
         &3*abb84n150)+(2.0_ki)*(t100*t190*abb84n144+t101*t190*abb84n117+t102*t1&
         &90*abb84n117+t103*t190*abb84n120+t105*t190*abb84n120+t125*t190*abb84n1&
         &34+t127*t190*abb84n134+t131*t190*abb84n105+t132*t190*abb84n105+t175*t1&
         &91*abb84n155+t176*t192*abb84n155+t177*t191*abb84n155+t178*t192*abb84n1&
         &55+t180*t191*abb84n97+t181*t192*abb84n97+t182*t191*abb84n97+t183*t192*&
         &abb84n97+t184*t191*abb84n120+t185*t192*abb84n120+t186*t191*abb84n120+t&
         &187*t192*abb84n120+t190*t88*abb84n155+t190*t91*abb84n155+t190*t93*abb8&
         &4n97+t190*t94*abb84n97+t190*t97*abb84n144+t1*t106*t193*abb84n117+t1*t1&
         &09*t189*abb84n134+t1*t144*t193*abb84n134+t1*t16*t188*abb84n144+t1*t17*&
         &t188*abb84n117+t1*t188*t23*abb84n105+t1*t188*t24*abb84n134+t1*t189*t30&
         &*abb84n105+t1*t189*t32*abb84n144+t1*t189*t34*abb84n117+t1*t193*t69*abb&
         &84n105+t1*t193*t83*abb84n144+t106*t191*t20*abb84n117+t106*t192*t38*abb&
         &84n117+t109*t142*t192*abb84n134+t123*t193*t4*abb84n155+t123*t193*t5*ab&
         &b84n97+t123*t193*t8*abb84n120+t138*t193*t3*abb84n120+t142*t16*t191*abb&
         &84n144+t142*t17*t191*abb84n117+t142*t191*t23*abb84n105+t142*t191*t24*a&
         &bb84n134+t142*t192*t30*abb84n105+t142*t192*t32*abb84n144+t142*t192*t34&
         &*abb84n117+t142*t193*t2*abb84n134+t142*t193*t5*abb84n105+t142*t193*t6*&
         &abb84n144+t142*t193*t7*abb84n117+t144*t191*t20*abb84n134+t144*t192*t38&
         &*abb84n134+t18*t188*t4*abb84n155+t18*t188*t5*abb84n97+t18*t188*t8*abb8&
         &4n120+t188*t19*t3*abb84n120+t188*t2*t20*abb84n134+t188*t20*t5*abb84n10&
         &5+t188*t20*t6*abb84n144+t188*t20*t7*abb84n117+t188*t22*t3*abb84n155+t1&
         &88*t23*t3*abb84n97+t189*t2*t38*abb84n134+t189*t29*t3*abb84n155+t189*t3&
         &*t30*abb84n97+t189*t3*t50*abb84n120+t189*t36*t4*abb84n155+t189*t36*t5*&
         &abb84n97+t189*t36*t8*abb84n120+t189*t38*t5*abb84n105+t189*t38*t6*abb84&
         &n144+t189*t38*t7*abb84n117+t191*t20*t69*abb84n105+t191*t20*t83*abb84n1&
         &44+t192*t38*t69*abb84n105+t192*t38*t83*abb84n144+t193*t3*t57*abb84n155&
         &+t193*t3*t69*abb84n97)+t1*t154*abb84n94+t1*t157*abb84n94+t1*t160*abb84&
         &n94+t1*t163*abb84n94+t1*t168*abb84n94+t1*t171*abb84n94+t10*t123*t20*ab&
         &b84n94+t10*t142*t18*abb84n94+t11*t18*t38*abb84n94+t11*t20*t36*abb84n94&
         &+t12*t18*t38*abb84n94+t12*t20*t36*abb84n94+t120*t142*t3*abb84n94+t122*&
         &t142*t3*abb84n94+t123*t13*t38*abb84n94+t123*t14*t20*abb84n94+t123*t38*&
         &t9*abb84n94+t13*t142*t36*abb84n94+t14*t142*t18*abb84n94+t142*t36*t9*ab&
         &b84n94+t156*t3*t38*abb84n94+t162*t20*t3*abb84n94+t167*t3*t38*abb84n94+&
         &t170*t20*t3*abb84n94)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d84:
   subroutine     reconstruct_d84(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group6
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group6), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_84:
      coeffs%coeffs_84%c0 = derivative(czip)
      coeffs%coeffs_84%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_84%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_84%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_84%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_84%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_84%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_84%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_84%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_84%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_84%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_84%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_84%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_84%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_84%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_84%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_84%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_84%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_84%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_84%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_84%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_84%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_84%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_84%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_84%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_84%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_84%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_84%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_84%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_84%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_84%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_84%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_84%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_84%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_84%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_84%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_84%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_84%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_84%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_84%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_84%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_84%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_84%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_84%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_84%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_84%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_84%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_84%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_84%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_84%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_84%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_84%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_84%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_84%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_84%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_84%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_84%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_84%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_84%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_84%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_84%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_84%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_84%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_84%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_84%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_84%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_84%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_84%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_84%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_84%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_84:
   end subroutine reconstruct_d84
!---#] subroutine reconstruct_d84:
end module p26_udbar_neepgg_d84h0l1d
