module     p26_udbar_neepgg_d99h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p26_udbar_neepgg/helicity0/d99h0l1d.f90
   ! generator: haggies (1.1)
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d99
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p26_udbar_neepgg_globalsl1, only: epspow
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_abbrevd99h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      real(ki) :: t40
      real(ki) :: t41
      real(ki) :: t42
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift(:) = 0.0_ki
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(deg.eq.0) then
         numerator = abb99n56
         return
      end if
      t1 = k1(iv1)
      t2 = k2(iv1)
      t3 = k3(iv1)
      t4 = k4(iv1)
      t5 = k5(iv1)
      t6 = k6(iv1)
      t7 = spvak2k6(iv1)
      t8 = spvak3k1(iv1)
      t9 = spvak3k4(iv1)
      t10 = spvak5k6(iv1)
      t11 = spvak6k5(iv1)
      if(deg.eq.1) then
         numerator = (t1*abb99n95+t10*abb99n91+t11*abb99n92+t2*abb99n89+t3*abb99&
         &n94+t4*abb99n94+t5*abb99n93+t6*abb99n88+t7*abb99n97+t8*abb99n98+t9*abb&
         &99n96)
         return
      end if
      t40 = d(iv1,iv2)
      t12 = k2(iv2)
      t13 = k5(iv2)
      t14 = k6(iv2)
      t15 = spvak5k6(iv2)
      t16 = t1*t15
      t17 = spvak6k5(iv2)
      t18 = k1(iv2)
      t19 = t10*t18
      t20 = k3(iv2)
      t21 = k4(iv2)
      t22 = spvak3k1(iv2)
      t23 = spvak3k4(iv2)
      t24 = t15*t3
      t25 = t10*t20
      t26 = t15*t4
      t27 = t10*t21
      t28 = spvak2k6(iv2)
      t29 = t15*t8
      t30 = t10*t22
      t31 = t15*t9
      t32 = t10*t23
      if(deg.eq.2) then
         numerator = (t16*abb99n71+t19*abb99n71+t24*abb99n72+t25*abb99n72+t26*ab&
         &b99n72+t27*abb99n72+t29*abb99n67+t30*abb99n67+t31*abb99n70+t32*abb99n7&
         &0+(2.0_ki)*t40*abb99n83+spvak2k5(iv1)*t15*abb99n59+spvak2k5(iv2)*t10*a&
         &bb99n59+t1*t12*abb99n87+t1*t13*abb99n76+t1*t14*abb99n62+t1*t17*abb99n7&
         &9+t10*t12*abb99n73+t10*t13*abb99n65+t10*t14*abb99n66+t10*t17*abb99n64+&
         &t11*t12*abb99n82+t11*t13*abb99n81+t11*t14*abb99n80+t11*t15*abb99n64+t1&
         &1*t18*abb99n79+t11*t20*abb99n78+t11*t21*abb99n78+t11*t22*abb99n69+t11*&
         &t23*abb99n75+t11*t28*abb99n58+t12*t3*abb99n86+t12*t4*abb99n86+t12*t8*a&
         &bb99n84+t12*t9*abb99n85+t13*t3*abb99n77+t13*t4*abb99n77+t13*t8*abb99n6&
         &8+t13*t9*abb99n74+t14*t3*abb99n63+t14*t4*abb99n63+t14*t7*abb99n60+t14*&
         &t8*abb99n57+t14*t9*abb99n61+t15*t2*abb99n73+t15*t5*abb99n65+t15*t6*abb&
         &99n66+t17*t2*abb99n82+t17*t3*abb99n78+t17*t4*abb99n78+t17*t5*abb99n81+&
         &t17*t6*abb99n80+t17*t7*abb99n58+t17*t8*abb99n69+t17*t9*abb99n75+t18*t2&
         &*abb99n87+t18*t5*abb99n76+t18*t6*abb99n62+t2*t20*abb99n86+t2*t21*abb99&
         &n86+t2*t22*abb99n84+t2*t23*abb99n85+t20*t5*abb99n77+t20*t6*abb99n63+t2&
         &1*t5*abb99n77+t21*t6*abb99n63+t22*t5*abb99n68+t22*t6*abb99n57+t23*t5*a&
         &bb99n74+t23*t6*abb99n61+t28*t6*abb99n60)
         return
      end if
      t41 = d(iv2,iv3)
      t42 = d(iv1,iv3)
      t2 = k1(iv3)
      t5 = k3(iv3)
      t6 = k4(iv3)
      t12 = spvak3k1(iv3)
      t13 = spvak3k4(iv3)
      t14 = spvak5k6(iv3)
      t33 = spvak6k5(iv3)
      t34 = spvak2k1(iv1)
      t35 = spvak2k1(iv2)
      t36 = spvak2k1(iv3)
      t37 = spvak2k4(iv1)
      t38 = spvak2k4(iv2)
      t39 = spvak2k4(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k6(iv3)*t40*abb99n107+t1*t41*abb99n105+t10&
         &*t41*abb99n103+t11*t41*abb99n90+t12*t40*abb99n110+t13*t40*abb99n106+t1&
         &4*t40*abb99n103+t15*t42*abb99n103+t17*t42*abb99n90+t18*t42*abb99n105+t&
         &2*t40*abb99n105+t20*t42*abb99n104+t21*t42*abb99n104+t22*t42*abb99n110+&
         &t23*t42*abb99n106+t28*t42*abb99n107+t3*t41*abb99n104+t33*t40*abb99n90+&
         &t4*t41*abb99n104+t40*t5*abb99n104+t40*t6*abb99n104+t41*t7*abb99n107+t4&
         &1*t8*abb99n110+t41*t9*abb99n106)+t16*t33*abb99n100+t19*t33*abb99n100+t&
         &24*t33*abb99n101+t25*t33*abb99n101+t26*t33*abb99n101+t27*t33*abb99n101&
         &+t29*t33*abb99n109+t30*t33*abb99n109+t31*t33*abb99n102+t32*t33*abb99n1&
         &02+t1*t14*t17*abb99n100+t10*t12*t17*abb99n109+t10*t13*t17*abb99n102+t1&
         &0*t17*t2*abb99n100+t10*t17*t36*abb99n99+t10*t17*t39*abb99n108+t10*t17*&
         &t5*abb99n101+t10*t17*t6*abb99n101+t10*t33*t35*abb99n99+t10*t33*t38*abb&
         &99n108+t11*t12*t15*abb99n109+t11*t13*t15*abb99n102+t11*t14*t18*abb99n1&
         &00+t11*t14*t20*abb99n101+t11*t14*t21*abb99n101+t11*t14*t22*abb99n109+t&
         &11*t14*t23*abb99n102+t11*t14*t35*abb99n99+t11*t14*t38*abb99n108+t11*t1&
         &5*t2*abb99n100+t11*t15*t36*abb99n99+t11*t15*t39*abb99n108+t11*t15*t5*a&
         &bb99n101+t11*t15*t6*abb99n101+t14*t17*t3*abb99n101+t14*t17*t34*abb99n9&
         &9+t14*t17*t37*abb99n108+t14*t17*t4*abb99n101+t14*t17*t8*abb99n109+t14*&
         &t17*t9*abb99n102+t15*t33*t34*abb99n99+t15*t33*t37*abb99n108)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d99:
   subroutine     reconstruct_d99(coeffs)
      use p26_udbar_neepgg_groups, only: tensrec_info_group7
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group7), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_99:
      coeffs%coeffs_99%c0 = derivative(czip)
      coeffs%coeffs_99%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_99%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_99%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_99%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_99%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_99%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_99%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_99%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_99%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_99%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_99%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_99%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_99%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_99%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_99%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_99%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_99%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_99%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_99%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_99%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_99%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_99%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_99%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_99%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_99%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_99%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_99%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_99%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_99%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_99%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_99%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_99%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_99%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_99%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_99:
   end subroutine reconstruct_d99
!---#] subroutine reconstruct_d99:
end module p26_udbar_neepgg_d99h0l1d
