module     p26_udbar_neepgg_abbrevd105h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb105n1
   complex(ki), public :: abb105n2
   complex(ki), public :: abb105n3
   complex(ki), public :: abb105n4
   complex(ki), public :: abb105n5
   complex(ki), public :: abb105n6
   complex(ki), public :: abb105n7
   complex(ki), public :: abb105n8
   complex(ki), public :: abb105n9
   complex(ki), public :: abb105n10
   complex(ki), public :: abb105n11
   complex(ki), public :: abb105n12
   complex(ki), public :: abb105n13
   complex(ki), public :: abb105n14
   complex(ki), public :: rat2d105
   complex(ki), public :: abb105n16
   complex(ki), public :: abb105n17
   complex(ki), public :: abb105n18
   complex(ki), public :: abb105n19
   complex(ki), public :: abb105n20
   complex(ki), public :: abb105n21
   complex(ki), public :: abb105n22
   complex(ki), public :: abb105n23
   complex(ki), public :: abb105n24
   complex(ki), public :: abb105n25
   complex(ki), public :: abb105n26
   complex(ki), public :: abb105n27
   complex(ki), public :: abb105n28
   complex(ki), public :: abb105n29
   complex(ki), public :: abb105n30
   complex(ki), public :: abb105n31
   complex(ki), public :: abb105n32
   complex(ki), public :: abb105n33
   complex(ki), public :: abb105n34
   complex(ki), public :: abb105n35
   complex(ki), public :: abb105n36
   complex(ki), public :: abb105n37
   complex(ki), public :: abb105n38
   complex(ki), public :: abb105n39
   complex(ki), public :: abb105n40
   complex(ki), public :: abb105n41
   complex(ki), public :: abb105n42
   complex(ki), public :: abb105n43
   complex(ki), public :: abb105n44
   complex(ki), public :: abb105n45
   complex(ki), public :: abb105n46
   complex(ki), public :: abb105n47
   complex(ki), public :: abb105n48
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c3
      t3 = es56*t2*i_
      t4 = t3*spak1k5*spak2k3
      t5 = spbk6k1*spbk6k1
      t6 = es234*t1
      t7 = t6*spak5k6
      t8 = t7*spbk6k5
      t9 = NC*TR*c1
      t10 = es56*t9*i_
      t11 = t10*spak1k5*spak2k3
      abb105n1 = ((2.0_ki)*(t11*t5/t8*spak2k5*spbk4k2+t4*t5/t8*spak2k5*spbk4k2-(&
      &t4*t5/t8*spak3k5*spbk4k3+t11*t5/t8*spak3k5*spbk4k3)))
      t4 = t2*i_
      t11 = t4*spak1k5*spak2k3
      t12 = t9*i_
      t13 = t12*spak1k5*spak2k3
      t14 = t11*t5/t8*spak3k5*spbk4k3+t13*t5/t8*spak3k5*spbk4k3-(t13*t5/t8*spak2&
      &k5*spbk4k2+t11*t5/t8*spak2k5*spbk4k2)
      abb105n2 = ((4.0_ki)*t14)
      abb105n3 = ((2.0_ki)*t14)
      t3 = t3*spak2k3
      t10 = t10*spak2k3
      t14 = t4*spak2k3
      t15 = t14*spak2k5*spbk4k2
      t16 = t15*spbk6k1
      t17 = t1*spak5k6*spbk6k5
      t18 = t14*spak3k5*spbk4k3
      t19 = t18*spbk6k1
      t20 = t12*spak2k3
      t21 = t20*spak2k5*spbk4k2
      t22 = t21*spbk6k1
      t23 = t20*spak3k5*spbk4k3
      t24 = t23*spbk6k1
      t2 = es61*t2*i_*spak2k3
      t9 = es61*t9*i_*spak2k3
      abb105n4 = ((3.0_ki)*(t19/t17+t24/t17-(t22/t17+t16/t17))+(5.0_ki)*(t10/t8*&
      &spak2k5*spbk4k2*spbk6k1+t3/t8*spak2k5*spbk4k2*spbk6k1-(t3/t8*spak3k5*spbk&
      &4k3*spbk6k1+t10/t8*spak3k5*spbk4k3*spbk6k1))+t11*t5/t8*spak3k6*spbk4k3+t1&
      &3*t5/t8*spak3k6*spbk4k3+t2/t8*spak3k5*spbk4k3*spbk6k1+t9/t8*spak3k5*spbk4&
      &k3*spbk6k1-(t9/t8*spak2k5*spbk4k2*spbk6k1+t2/t8*spak2k5*spbk4k2*spbk6k1+t&
      &13*t5/t8*spak2k6*spbk4k2+t11*t5/t8*spak2k6*spbk4k2))
      t2 = t16/t8-t19/t8
      t3 = t22/t8
      t5 = t24/t8
      t9 = t2+t3-t5
      abb105n5 = ((4.0_ki)*t9)
      abb105n6 = ((8.0_ki)*t9)
      abb105n7 = ((12.0_ki)*t9)
      abb105n8 = (t18/t8*spbk5k1+t23/t8*spbk5k1+t14/t8*spak3k6*spbk4k3*spbk6k1+t&
      &20/t8*spak3k6*spbk4k3*spbk6k1-(t20/t8*spak2k6*spbk4k2*spbk6k1+t14/t8*spak&
      &2k6*spbk4k2*spbk6k1+t21/t8*spbk5k1+t15/t8*spbk5k1))
      abb105n9 = ((5.0_ki)*(t18/t7+t23/t7-(t21/t7+t15/t7))+(3.0_ki)*(t12/t8*spak&
      &1k2*spak2k3*spbk4k2*spbk6k1+t4/t8*spak1k2*spak2k3*spbk4k2*spbk6k1-(t4/t8*&
      &spak1k3*spak2k3*spbk4k3*spbk6k1+t12/t8*spak1k3*spak2k3*spbk4k3*spbk6k1)))
      t4 = t6*spbk6k5
      t6 = TR*c1*i_*spak2k3
      t7 = t6*spbk4k2
      t1 = es234*NC*t1
      t9 = t1*spbk6k5
      abb105n10 = ((4.0_ki)*(t7/t9*spbk6k1-t14/t4*spbk4k2*spbk6k1))
      t1 = t1*spak5k6*spbk6k5
      abb105n11 = ((4.0_ki)*(t3+t6/t1*spak3k5*spbk4k3*spbk6k1-(t6/t1*spak2k5*spb&
      &k4k2*spbk6k1+t5))+(8.0_ki)*t2)
      t2 = t6*spbk4k3
      abb105n12 = ((4.0_ki)*(t14/t4*spbk4k3*spbk6k1-t2/t9*spbk6k1))
      abb105n13 = ((4.0_ki)*(t7/t1+t20/t8*spbk4k2))
      abb105n14 = ((4.0_ki)*(-(t20/t8*spbk4k3+t2/t1)))
      rat2d105 = 0
      rat2 = rat2 + rat2d105
      abb105n16 = abb105n1
      abb105n17 = abb105n14
      abb105n18 = abb105n13
      abb105n19 = abb105n12
      abb105n20 = abb105n11
      abb105n21 = abb105n10
      abb105n22 = abb105n9
      abb105n23 = abb105n8
      abb105n24 = abb105n7
      abb105n25 = abb105n6
      abb105n26 = abb105n5
      abb105n27 = abb105n4
      abb105n28 = abb105n3
      abb105n29 = abb105n2
      abb105n30 = -(abb105n2)
      abb105n31 = (-2.0_ki)*abb105n3
      abb105n32 = -(abb105n4)
      abb105n33 = -(abb105n5)
      abb105n34 = -(abb105n6)
      abb105n35 = -(abb105n7)
      abb105n36 = (-2.0_ki)*abb105n8
      abb105n37 = -(abb105n9)
      abb105n38 = -(abb105n10)
      t1 = (2.0_ki)*abb105n11
      abb105n39 = t1
      abb105n40 = -(abb105n11)
      abb105n41 = -(t1)
      abb105n42 = -(abb105n12)
      t1 = (2.0_ki)*abb105n13
      abb105n43 = t1
      abb105n44 = -(abb105n13)
      abb105n45 = -(t1)
      t1 = (2.0_ki)*abb105n14
      abb105n46 = t1
      abb105n47 = -(abb105n14)
      abb105n48 = -(t1)
   end subroutine
end module p26_udbar_neepgg_abbrevd105h1
