module     p26_udbar_neepgg_abbrevd16h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb16n1
   complex(ki), public :: abb16n2
   complex(ki), public :: abb16n3
   complex(ki), public :: abb16n4
   complex(ki), public :: abb16n5
   complex(ki), public :: abb16n6
   complex(ki), public :: abb16n7
   complex(ki), public :: abb16n8
   complex(ki), public :: abb16n9
   complex(ki), public :: abb16n10
   complex(ki), public :: abb16n11
   complex(ki), public :: abb16n12
   complex(ki), public :: abb16n13
   complex(ki), public :: abb16n14
   complex(ki), public :: abb16n15
   complex(ki), public :: abb16n16
   complex(ki), public :: abb16n17
   complex(ki), public :: abb16n18
   complex(ki), public :: abb16n19
   complex(ki), public :: abb16n20
   complex(ki), public :: abb16n21
   complex(ki), public :: abb16n22
   complex(ki), public :: abb16n23
   complex(ki), public :: abb16n24
   complex(ki), public :: abb16n25
   complex(ki), public :: abb16n26
   complex(ki), public :: abb16n27
   complex(ki), public :: abb16n28
   complex(ki), public :: abb16n29
   complex(ki), public :: abb16n30
   complex(ki), public :: abb16n31
   complex(ki), public :: abb16n32
   complex(ki), public :: abb16n33
   complex(ki), public :: abb16n34
   complex(ki), public :: abb16n35
   complex(ki), public :: abb16n36
   complex(ki), public :: abb16n37
   complex(ki), public :: abb16n38
   complex(ki), public :: abb16n39
   complex(ki), public :: abb16n40
   complex(ki), public :: rat2d16
   complex(ki), public :: abb16n42
   complex(ki), public :: abb16n43
   complex(ki), public :: abb16n44
   complex(ki), public :: abb16n45
   complex(ki), public :: abb16n46
   complex(ki), public :: abb16n47
   complex(ki), public :: abb16n48
   complex(ki), public :: abb16n49
   complex(ki), public :: abb16n50
   complex(ki), public :: abb16n51
   complex(ki), public :: abb16n52
   complex(ki), public :: abb16n53
   complex(ki), public :: abb16n54
   complex(ki), public :: abb16n55
   complex(ki), public :: abb16n56
   complex(ki), public :: abb16n57
   complex(ki), public :: abb16n58
   complex(ki), public :: abb16n59
   complex(ki), public :: abb16n60
   complex(ki), public :: abb16n61
   complex(ki), public :: abb16n62
   complex(ki), public :: abb16n63
   complex(ki), public :: abb16n64
   complex(ki), public :: abb16n65
   complex(ki), public :: abb16n66
   complex(ki), public :: abb16n67
   complex(ki), public :: abb16n68
   complex(ki), public :: abb16n69
   complex(ki), public :: abb16n70
   complex(ki), public :: abb16n71
   complex(ki), public :: abb16n72
   complex(ki), public :: abb16n73
   complex(ki), public :: abb16n74
   complex(ki), public :: abb16n75
   complex(ki), public :: abb16n76
   complex(ki), public :: abb16n77
   complex(ki), public :: abb16n78
   complex(ki), public :: abb16n79
   complex(ki), public :: abb16n80
   complex(ki), public :: abb16n81
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = TR*c2
      t2 = es12*t1*i_
      t3 = t2*spak1k5*spak2k3
      t4 = spbk6k1*spbk6k1
      t5 = NC*(es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t6 = t5*spbk6k5
      t7 = spak1k5*spbk6k1
      t7 = t7*t7
      t5 = t5*spak5k6
      t8 = t5*spbk6k5
      t9 = t1*i_
      t10 = t9*spak2k3
      t11 = t10*spak2k5
      t12 = es56*t1*i_
      t13 = t12*spak1k5
      abb16n1 = ((4.0_ki)*(t2*t7/t8*spak2k3*spbk4k1+t11/t5*spak1k5*spak1k5*spbk2&
      &k1*spbk4k1*spbk6k1-(t13/t8*spak2k3*spak2k5*spbk2k1*spbk6k1*spbk6k4+t3*t4/&
      &t6*spbk6k4)))
      t2 = es234*t1*i_
      t14 = t2*spak2k5
      t15 = t12*spak2k5
      t16 = es61*t1*i_
      t17 = t16*spak2k5
      abb16n2 = ((4.0_ki)*(t15/t8*spbk6k1+t17/t8*spbk6k1-t14/t8*spbk6k1))
      t18 = t9*spak1k2
      t19 = t18*spak1k5
      abb16n3 = ((4.0_ki)*(-(t19*t4/t6*spbk6k1+t13*t4/t8*spak2k5)))
      t13 = t19*spak3k5*spbk4k1
      t20 = t13*t4/t8
      t21 = t9*spak1k3
      t22 = t21*spak1k5*spak2k5*spbk4k1
      t23 = t9*spak1k5
      t24 = t23*spak2k3
      t25 = t24*spak2k5
      t26 = t25*spbk2k1
      abb16n4 = ((4.0_ki)*(t20-(t26/t8*spbk6k1*spbk6k4+t22*t4/t8)))
      t27 = t24*spbk4k1
      t28 = t27/t8*spbk6k1
      abb16n5 = ((8.0_ki)*t28)
      t29 = t23*spak2k5
      t30 = t29*spak3k5*spbk4k1
      t31 = t30/t5*spbk6k1
      abb16n6 = ((8.0_ki)*(-(t31+t20)))
      t25 = t25*spbk4k1
      t32 = t12*spak2k3
      t33 = t32*spak2k5
      t34 = t16*spak2k3
      t35 = t34*spak2k5
      t36 = t18*spak1k3
      abb16n7 = ((4.0_ki)*(t13/t5*spbk6k1+t22/t5*spbk6k1+t26/t5*spbk6k4+t30/t5*s&
      &pbk6k5+(2.0_ki)*t3/t8*spbk6k1*spbk6k4+t33/t8*spbk6k2*spbk6k4+t35/t8*spbk6&
      &k2*spbk6k4+t36*t4/t8*spak1k5*spbk4k1+t16/t8*spak1k5*spak2k3*spbk6k1*spbk6&
      &k4-(es345*t1/t8*i_*spak1k5*spak2k3*spbk6k1*spbk6k4+t19/t8*spak2k3*spbk4k1&
      &*spbk6k1*spbk6k2+t25/t5*spbk6k2)))
      abb16n8 = (-4.0_ki)*t7/t8*t9
      abb16n9 = ((8.0_ki)*(t10*t7/t8*spbk4k1-t24*t4/t6*spbk6k4))
      t1 = t29*t4/t8
      t7 = (8.0_ki)*t1
      abb16n10 = t7
      abb16n11 = (-4.0_ki)*t1
      abb16n12 = -(t7)
      t1 = t23*t4/t8*spak3k5
      t7 = (8.0_ki)*t1
      abb16n13 = t7
      abb16n14 = ((4.0_ki)*t1)
      abb16n15 = -(t7)
      abb16n16 = ((4.0_ki)*(t12/t8*spak3k5*spbk6k1+t16/t8*spak3k5*spbk6k1+t23*t4&
      &/t8*spak3k6-t2/t8*spak3k5*spbk6k1))
      abb16n17 = (-4.0_ki)*t23*t4/t6
      abb16n18 = ((8.0_ki)*(t19*t4/t8+t29/t5*spbk6k1))
      abb16n19 = (-4.0_ki)*t23/t8*spbk6k1
      t1 = t2*spak2k3
      t7 = t1*spak2k5
      abb16n20 = ((4.0_ki)*(t15/t5*spak3k5*spbk4k1+t17/t5*spak3k5*spbk4k1+t3/t8*&
      &spbk4k1*spbk6k1+t33/t8*spbk2k1*spbk6k4+t35/t8*spbk2k1*spbk6k4+t7/t8*spbk4&
      &k1*spbk6k2+t11/t6*spbk5k1*spbk6k2*spbk6k4+t19*t4/t8*spak3k6*spbk4k1+t29/t&
      &5*spak3k6*spbk4k1*spbk6k1+t12/t8*spak1k2*spak3k5*spbk4k1*spbk6k1+t16/t8*s&
      &pak1k2*spak3k5*spbk4k1*spbk6k1-(t2/t8*spak1k2*spak3k5*spbk4k1*spbk6k1+t7/&
      &t8*spbk2k1*spbk6k4+t35/t8*spbk4k1*spbk6k2+t33/t8*spbk4k1*spbk6k2+t26/t8*s&
      &pbk5k4*spbk6k1+t14/t5*spak3k5*spbk4k1)))
      t2 = t9*spak2k5
      t3 = t2*spak3k5
      t4 = t3*spbk5k1
      t7 = t4/t8*spbk6k4
      abb16n21 = ((8.0_ki)*t7)
      abb16n22 = (-4.0_ki)*t7
      abb16n23 = ((8.0_ki)*t2/t8*spbk5k1)
      t12 = t18*spak3k5*spbk4k1
      t13 = t11*spbk4k2
      t9 = t9*spak2k6*spak3k5
      abb16n24 = ((4.0_ki)*(t12/t8*spbk5k1+t32/t8*spbk4k1+t34/t8*spbk4k1-(t9/t8*&
      &spbk5k1*spbk6k4+t10/t6*spbk5k1*spbk6k4+t4/t8*spbk5k4+t13/t8*spbk5k1+t1/t8&
      &*spbk4k1)))
      t1 = t11/t6*spbk6k1*spbk6k2*spbk6k4
      t4 = t25/t8*spbk6k1*spbk6k2
      abb16n25 = ((8.0_ki)*(t1+t20+t31-t4))
      abb16n26 = ((8.0_ki)*(t4-(t31+t20+t1)))
      t1 = t3/t8*spbk6k1*spbk6k4
      abb16n27 = ((32.0_ki)*t1)
      t4 = (16.0_ki)*t1
      abb16n28 = t4
      t1 = (8.0_ki)*t1
      abb16n29 = t1
      abb16n30 = -(t1)
      abb16n31 = -(t4)
      t1 = (16.0_ki)*t2/t8*spbk6k1
      abb16n32 = t1
      abb16n33 = -(t1)
      t1 = t10/t6*spbk6k1*spbk6k4
      t4 = t12/t8*spbk6k1
      t6 = t13/t8*spbk6k1
      t10 = t3*spbk5k4
      t11 = t10/t8*spbk6k1
      t14 = t9/t8*spbk6k1*spbk6k4
      abb16n34 = ((8.0_ki)*(t1+t11+t14+t6+t7-(t4+t28)))
      abb16n35 = ((8.0_ki)*(t28+t4-(t7+t6+t14+t11+t1)))
      t1 = t3/t5*spbk6k4
      t3 = t21*spak2k5
      t4 = t3/t8*spbk6k1*spbk6k4
      t6 = t24/t8*spbk6k1*spbk6k4
      abb16n36 = ((8.0_ki)*(t1+t4-t6))
      t1 = t6-(t4+t1)
      abb16n37 = ((4.0_ki)*t1)
      abb16n38 = ((8.0_ki)*t1)
      abb16n39 = ((8.0_ki)*(t2/t5+t18/t8*spbk6k1))
      abb16n40 = ((4.0_ki)*(t12/t5+t27/t5+t24/t8*spbk5k4*spbk6k1+t36/t8*spbk4k1*&
      &spbk6k1-(t21/t8*spak2k6*spbk6k1*spbk6k4+t18/t8*spak2k3*spbk4k2*spbk6k1+t3&
      &/t8*spbk5k4*spbk6k1+t9/t5*spbk6k4+t34/t8*spbk6k4+t32/t8*spbk6k4+t13/t5+t1&
      &0/t5)))
      rat2d16 = 0
      rat2 = rat2 + rat2d16
      abb16n42 = abb16n1
      abb16n43 = abb16n40
      abb16n44 = abb16n39
      abb16n45 = abb16n38
      abb16n46 = abb16n37
      abb16n47 = abb16n36
      abb16n48 = abb16n35
      abb16n49 = abb16n34
      abb16n50 = abb16n33
      abb16n51 = abb16n32
      abb16n52 = abb16n31
      abb16n53 = abb16n30
      abb16n54 = abb16n29
      abb16n55 = abb16n28
      abb16n56 = abb16n27
      abb16n57 = abb16n26
      abb16n58 = abb16n25
      abb16n59 = abb16n24
      abb16n60 = abb16n23
      abb16n61 = abb16n22
      abb16n62 = abb16n21
      abb16n63 = abb16n20
      abb16n64 = abb16n19
      abb16n65 = abb16n18
      abb16n66 = abb16n17
      abb16n67 = abb16n16
      abb16n68 = abb16n15
      abb16n69 = abb16n14
      abb16n70 = abb16n13
      abb16n71 = abb16n12
      abb16n72 = abb16n11
      abb16n73 = abb16n10
      abb16n74 = abb16n9
      abb16n75 = abb16n8
      abb16n76 = abb16n7
      abb16n77 = abb16n6
      abb16n78 = abb16n5
      abb16n79 = abb16n4
      abb16n80 = abb16n3
      abb16n81 = abb16n2
   end subroutine
end module p26_udbar_neepgg_abbrevd16h1
