module     p26_udbar_neepgg_abbrevd23h1
   use p26_udbar_neepgg_config, only: ki
   use p26_udbar_neepgg_globalsh1
   implicit none
   private
   complex(ki), public :: abb23n1
   complex(ki), public :: abb23n2
   complex(ki), public :: abb23n3
   complex(ki), public :: abb23n4
   complex(ki), public :: abb23n5
   complex(ki), public :: abb23n6
   complex(ki), public :: abb23n7
   complex(ki), public :: abb23n8
   complex(ki), public :: abb23n9
   complex(ki), public :: abb23n10
   complex(ki), public :: abb23n11
   complex(ki), public :: abb23n12
   complex(ki), public :: abb23n13
   complex(ki), public :: abb23n14
   complex(ki), public :: abb23n15
   complex(ki), public :: abb23n16
   complex(ki), public :: abb23n17
   complex(ki), public :: abb23n18
   complex(ki), public :: abb23n19
   complex(ki), public :: abb23n20
   complex(ki), public :: abb23n21
   complex(ki), public :: abb23n22
   complex(ki), public :: abb23n23
   complex(ki), public :: abb23n24
   complex(ki), public :: abb23n25
   complex(ki), public :: abb23n26
   complex(ki), public :: rat2d23
   complex(ki), public :: abb23n28
   complex(ki), public :: abb23n29
   complex(ki), public :: abb23n30
   complex(ki), public :: abb23n31
   complex(ki), public :: abb23n32
   complex(ki), public :: abb23n33
   complex(ki), public :: abb23n34
   complex(ki), public :: abb23n35
   complex(ki), public :: abb23n36
   complex(ki), public :: abb23n37
   complex(ki), public :: abb23n38
   complex(ki), public :: abb23n39
   complex(ki), public :: abb23n40
   complex(ki), public :: abb23n41
   complex(ki), public :: abb23n42
   complex(ki), public :: abb23n43
   complex(ki), public :: abb23n44
   complex(ki), public :: abb23n45
   complex(ki), public :: abb23n46
   complex(ki), public :: abb23n47
   complex(ki), public :: abb23n48
   complex(ki), public :: abb23n49
   complex(ki), public :: abb23n50
   complex(ki), public :: abb23n51
   complex(ki), public :: abb23n52
   complex(ki), public :: abb23n53
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p26_udbar_neepgg_config, only: deltaOS
      use p26_udbar_neepgg_kinematics
      use p26_udbar_neepgg_model
      use p26_udbar_neepgg_color, only: TR
      use p26_udbar_neepgg_globalsl1, only: epspow
      implicit none
      t1 = TR*c1
      t2 = t1*i_
      t3 = t2*spak2k3
      t4 = NC*(es34+wW*mW*i_-mW*mW)
      t5 = t4*spak5k6*spbk6k5
      t4 = es61*t4
      t6 = t4*spbk6k5
      t7 = t2*spak1k2
      t4 = t4*spak5k6*spbk6k5
      t8 = t2*spak2k5
      t9 = t8*spak3k6
      t10 = t2*spak2k6
      abb23n1 = ((4.0_ki)*(t9/t4*spbk5k4*spbk6k1+t3/t4*spak2k6*spbk4k2*spbk6k1+t&
      &7/t4*spak3k6*spbk4k1*spbk6k1-(t10/t4*spak3k6*spbk6k1*spbk6k4+t3/t6*spbk5k&
      &4*spbk6k1+t3/t5*spbk4k1)))
      t11 = t7*spak3k5*spbk4k1*spbk6k1
      t12 = t10*spak3k5*spbk6k1*spbk6k4
      t1 = es234*t1*i_
      abb23n2 = ((4.0_ki)*(t12/t5+t1/t4*spak1k2*spak3k5*spbk4k1*spbk6k1-(t1/t4*s&
      &pak2k6*spak3k5*spbk6k1*spbk6k4+t11/t5)))
      abb23n3 = (-8.0_ki)/t4*t7*spbk6k1
      t1 = spbk6k1*spbk6k1
      t13 = t1/t4*t7*spak1k5*spak3k5*spbk4k1
      t14 = t2*spak1k5
      t15 = t14*spak2k6
      t16 = t1*t15/t4*spak3k5*spbk6k4
      abb23n4 = ((4.0_ki)*(t16-t13))
      abb23n5 = ((8.0_ki)*(t13-t16))
      abb23n6 = ((4.0_ki)*(t1/t6*t7-t1*t15/t4))
      t13 = t2*spak1k3
      t15 = t13*spak2k5
      t16 = t14*spak2k3
      abb23n7 = ((4.0_ki)*(t15/t4*spbk5k4*spbk6k1+t7/t4*spak1k3*spbk4k1*spbk6k1+&
      &t7/t4*spak2k3*spbk4k2*spbk6k1-(t13/t4*spak2k6*spbk6k1*spbk6k4+t16/t4*spbk&
      &5k4*spbk6k1+t3/t5*spbk6k4)))
      t5 = t15/t4*spbk6k1*spbk6k4
      t7 = t16/t4*spbk6k1*spbk6k4
      abb23n8 = ((8.0_ki)*(t7-t5))
      abb23n9 = ((4.0_ki)*(t5-t7))
      abb23n10 = ((4.0_ki)*t14/t4*spbk6k1)
      t5 = t3*spbk6k1
      abb23n11 = ((4.0_ki)*(t1*t14/t4*spak3k6+t16/t4*spbk2k1*spbk6k1-(t5/t6*spbk&
      &6k2+t1*t13/t6)))
      t1 = t5/t6*spbk6k4
      t5 = t16/t4*spbk4k1*spbk6k1
      abb23n12 = ((8.0_ki)*(t1-t5))
      t7 = t8*spak3k5
      t13 = t7/t4*spbk6k1*spbk6k4
      t15 = (16.0_ki)*t13
      abb23n13 = t15
      t13 = (8.0_ki)*t13
      abb23n14 = t13
      abb23n15 = -(t13)
      abb23n16 = -(t15)
      t9 = t9/t4*spbk6k1*spbk6k4
      abb23n17 = ((4.0_ki)*(t5+t9-(2.0_ki)*t1))
      abb23n18 = ((8.0_ki)*(t1-t9))
      t1 = (16.0_ki)/t4*t8*spbk6k1
      abb23n19 = t1
      abb23n20 = -(t1)
      t1 = t11/t4
      t3 = t3/t4*spak2k5*spbk4k2*spbk6k1
      t5 = t7/t4*spbk5k4*spbk6k1
      t7 = t12/t4
      abb23n21 = ((8.0_ki)*(t7-(t5+t3+t1)))
      abb23n22 = ((8.0_ki)*(t1+t3+t5-t7))
      abb23n23 = (-8.0_ki)*t10/t4*spbk6k1
      t1 = t2/t6*spak3k5*spbk6k1*spbk6k4
      t3 = t14/t4*spak3k5*spbk4k1*spbk6k1
      abb23n24 = ((8.0_ki)*(t1-t3))
      abb23n25 = ((4.0_ki)*(t3-t1))
      abb23n26 = ((4.0_ki)*t2/t6*spbk6k1)
      rat2d23 = 0
      rat2 = rat2 + rat2d23
      abb23n28 = abb23n1
      abb23n29 = abb23n26
      abb23n30 = abb23n25
      abb23n31 = abb23n24
      abb23n32 = abb23n23
      abb23n33 = abb23n22
      abb23n34 = abb23n21
      abb23n35 = abb23n20
      abb23n36 = abb23n19
      abb23n37 = abb23n18
      abb23n38 = abb23n17
      abb23n39 = abb23n16
      abb23n40 = abb23n15
      abb23n41 = abb23n14
      abb23n42 = abb23n13
      abb23n43 = abb23n12
      abb23n44 = abb23n11
      abb23n45 = abb23n10
      abb23n46 = abb23n9
      abb23n47 = abb23n8
      abb23n48 = abb23n7
      abb23n49 = abb23n6
      abb23n50 = abb23n5
      abb23n51 = abb23n4
      abb23n52 = abb23n3
      abb23n53 = abb23n2
   end subroutine
end module p26_udbar_neepgg_abbrevd23h1
