module     p3_ud_emnebaruu_abbrevd13h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb13n1
   complex(ki), public :: abb13n2
   complex(ki), public :: abb13n3
   complex(ki), public :: abb13n4
   complex(ki), public :: abb13n5
   complex(ki), public :: abb13n6
   complex(ki), public :: abb13n7
   complex(ki), public :: abb13n8
   complex(ki), public :: abb13n9
   complex(ki), public :: abb13n10
   complex(ki), public :: abb13n11
   complex(ki), public :: rat2d13
   complex(ki), public :: abb13n13
   complex(ki), public :: abb13n14
   complex(ki), public :: abb13n15
   complex(ki), public :: abb13n16
   complex(ki), public :: abb13n17
   complex(ki), public :: abb13n18
   complex(ki), public :: abb13n19
   complex(ki), public :: abb13n20
   complex(ki), public :: abb13n21
   complex(ki), public :: abb13n22
   complex(ki), public :: abb13n23
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   real(ki) :: t38
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak3k5*spak3k6
      t38 = TR*TR
      t3 = t38*t2*spbk2k1*spbk4k3
      t4 = (es12+es34-(es56+es345))*(es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t5 = t3/t4
      t6 = t1*spak3k6
      t7 = t6*spak5k6
      t8 = t38*t7*spbk2k1*spbk6k4
      t9 = t8/t4
      t10 = t5+t9
      t11 = NC*NC*t4
      t3 = t3/t11
      t8 = t8/t11
      t12 = c2*i_
      t13 = NC*t4
      t14 = t38*t12/t13*spak3k5*spak3k6*spbk2k1*spbk4k3
      t15 = t12*spak3k6
      t16 = t38*t15/t13*spak5k6*spbk2k1*spbk6k4
      t17 = NC*c2
      t18 = t17*i_
      t19 = t18*spak3k5*spak3k6
      t20 = t38*t19/t4*spbk2k1*spbk4k3
      t21 = t18*spak3k6
      t22 = t21*spak5k6
      t23 = t38*t22/t4*spbk2k1*spbk6k4
      abb13n1 = ((2.0_ki)*(t10+t14+t16-(t8+t3+t23+t20)))
      t24 = es12*c1*i_
      t25 = es12*t17*i_
      t26 = es234*c1*i_
      t27 = es34*c1*i_
      t28 = es345*c1*i_
      t29 = es61*c1*i_
      t30 = t1*spak1k3
      t31 = TR*spbk2k1
      t31 = t31*t31
      t32 = t1*spak1k6
      t33 = es234*t17*i_
      t34 = es34*t17*i_
      t35 = es345*t17*i_
      t17 = es61*t17*i_
      t36 = t18*spak1k3
      t37 = t18*spak1k6
      abb13n2 = ((4.0_ki)*(t38*t24/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t38*t24/t4&
      &*spak3k6*spak5k6*spbk2k1*spbk6k4-(t38*t25/t4*spak3k6*spak5k6*spbk2k1*spbk&
      &6k4+t38*t25/t4*spak3k5*spak3k6*spbk2k1*spbk4k3))+(2.0_ki)*(t31*t32/t4*spa&
      &k2k5*spak3k6*spbk6k4+t31*t36/t4*spak2k5*spak3k6*spbk4k3+t38*t27/t4*spak3k&
      &5*spak3k6*spbk2k1*spbk4k3+t38*t27/t4*spak3k6*spak5k6*spbk2k1*spbk6k4+t38*&
      &t29/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t38*t29/t4*spak3k6*spak5k6*spbk2k1&
      &*spbk6k4+t38*t33/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t38*t33/t4*spak3k6*sp&
      &ak5k6*spbk2k1*spbk6k4+t38*t35/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t38*t35/&
      &t4*spak3k6*spak5k6*spbk2k1*spbk6k4-(t38*t34/t4*spak3k6*spak5k6*spbk2k1*sp&
      &bk6k4+t38*t34/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t38*t28/t4*spak3k6*spak5&
      &k6*spbk2k1*spbk6k4+t38*t28/t4*spak3k5*spak3k6*spbk2k1*spbk4k3+t38*t26/t4*&
      &spak3k6*spak5k6*spbk2k1*spbk6k4+t38*t26/t4*spak3k5*spak3k6*spbk2k1*spbk4k&
      &3+t38*t17/t4*spak3k6*spak5k6*spbk2k1*spbk6k4+t38*t17/t4*spak3k5*spak3k6*s&
      &pbk2k1*spbk4k3+t31*t37/t4*spak2k5*spak3k6*spbk6k4+t30*t31/t4*spak2k5*spak&
      &3k6*spbk4k3)))
      abb13n3 = ((8.0_ki)*(t10-(t23+t20)))
      t5 = -(t9+t5)
      abb13n4 = ((8.0_ki)*(t20+t23+t5))
      t2 = t2*spbk4k3
      t9 = t19*spbk4k3
      abb13n5 = ((6.0_ki)*(t38/t4*t9*spbk5k1+t38*t22/t4*spbk5k1*spbk6k4-(t38/t4*&
      &t7*spbk5k1*spbk6k4+t38*t2/t4*spbk5k1))+(2.0_ki)*(t38*t1/t4*spak2k3*spak3k&
      &6*spbk2k1*spbk4k3+t38*t18/t4*spak2k6*spak3k6*spbk2k1*spbk6k4-(t38*t18/t4*&
      &spak2k3*spak3k6*spbk2k1*spbk4k3+t38*t1/t4*spak2k6*spak3k6*spbk2k1*spbk6k4&
      &)))
      abb13n6 = ((2.0_ki)*(t38*t2/t4*spbk5k2+t38/t4*t7*spbk5k2*spbk6k4+t38*t32/t&
      &4*spak3k6*spbk2k1*spbk6k4+t38*t36/t4*spak3k6*spbk2k1*spbk4k3-(t38*t37/t4*&
      &spak3k6*spbk2k1*spbk6k4+t38*t30/t4*spak3k6*spbk2k1*spbk4k3+t38*t22/t4*spb&
      &k5k2*spbk6k4+t38/t4*t9*spbk5k2)))
      t1 = t1*spak1k5*spak3k6*spbk2k1
      t2 = t12*spak1k5*spak3k6*spbk2k1
      abb13n7 = ((4.0_ki)*(t38*t1/t11*spbk4k3-t38*t2/t13*spbk4k3))
      abb13n8 = ((4.0_ki)*(t38*t2/t13*spbk6k4-t38*t1/t11*spbk6k4))
      abb13n9 = ((4.0_ki)*(t20+t23+t3+t5+t8-(t16+t14)))
      t1 = t38*t6*spbk4k3
      abb13n10 = ((4.0_ki)*(t1/t11+t1/t4-(t38*t21/t4*spbk4k3+t38*t15/t13*spbk4k3&
      &)))
      t1 = t38*t6*spbk6k4
      abb13n11 = ((4.0_ki)*(t38*t15/t13*spbk6k4+t38*t21/t4*spbk6k4-(t1/t4+t1/t11&
      &)))
      rat2d13 = abb13n1
      rat2 = rat2 + rat2d13
      abb13n13 = abb13n2
      abb13n14 = abb13n11
      abb13n15 = abb13n10
      abb13n16 = abb13n9
      abb13n17 = -(abb13n3)
      abb13n18 = -(abb13n4)
      abb13n19 = -(abb13n5)
      abb13n20 = -(abb13n6)
      abb13n21 = -(abb13n7)
      abb13n22 = -(abb13n8)
      abb13n23 = ((2.0_ki)*abb13n9)
   end subroutine
end module p3_ud_emnebaruu_abbrevd13h0
