module     p3_ud_emnebaruu_abbrevd8h1
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh1
   implicit none
   private
   complex(ki), public :: abb8n1
   complex(ki), public :: abb8n2
   complex(ki), public :: abb8n3
   complex(ki), public :: abb8n4
   complex(ki), public :: abb8n5
   complex(ki), public :: abb8n6
   complex(ki), public :: rat2d8
   complex(ki), public :: abb8n8
   complex(ki), public :: abb8n9
   complex(ki), public :: abb8n10
   complex(ki), public :: abb8n11
   complex(ki), public :: abb8n12
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   real(ki) :: t19
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t19 = TR*TR
      t2 = t19*t1*spak1k3*spak1k6*spbk4k2*spbk5k1
      t3 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t4 = es234*t3
      t5 = t2/t4
      t1 = t1*spak1k6
      t6 = t19*t1*spak3k6*spbk4k2*spbk6k5
      t7 = t6/t4
      t8 = NC*NC*t4
      t2 = t2/t8
      t6 = t6/t8
      t9 = c2*i_
      t3 = es234*NC*t3
      t10 = t19/t3*t9*spak1k3*spak1k6*spbk4k2*spbk5k1
      t9 = t9*spak1k6
      t11 = t19/t3*t9*spak3k6*spbk4k2*spbk6k5
      t12 = NC*c2*i_
      t13 = t19*t12/t4*spak1k3*spak1k6*spbk4k2*spbk5k1
      t12 = t12*spak1k6
      t14 = t19*t12/t4*spak3k6*spbk4k2*spbk6k5
      abb8n1 = ((2.0_ki)*(t10+t14+t5+t6-(t7+t2+t13+t11)))
      t15 = t1*spak3k4*spbk4k2
      t16 = t19*t15*spbk5k1
      t17 = t9*spak3k4*spbk4k2
      t18 = t12*spak3k4*spbk4k2
      abb8n2 = ((4.0_ki)*(t16/t8+t19*t18/t4*spbk5k1-(t19*t17/t3*spbk5k1+t16/t4))&
      &)
      t16 = t19*t1*spbk5k1
      abb8n3 = ((4.0_ki)*(t16/t4+t19/t3*t9*spbk5k1-(t19*t12/t4*spbk5k1+t16/t8)))
      t15 = t19*t15*spbk6k5
      abb8n4 = ((4.0_ki)*(t15/t8+t19*t18/t4*spbk6k5-(t19*t17/t3*spbk6k5+t15/t4))&
      &)
      abb8n5 = ((4.0_ki)*(t11+t13+t2+t7-(t6+t5+t14+t10)))
      t1 = t19*t1*spbk6k5
      abb8n6 = ((4.0_ki)*(t1/t4+t19/t3*t9*spbk6k5-(t19*t12/t4*spbk6k5+t1/t8)))
      rat2d8 = abb8n1
      rat2 = rat2 + rat2d8
      abb8n8 = abb8n4
      abb8n9 = abb8n6
      abb8n10 = abb8n5
      abb8n11 = abb8n3
      abb8n12 = abb8n2
   end subroutine
end module p3_ud_emnebaruu_abbrevd8h1
