module     p6_dubar_emnebarssbar_abbrevd2h1
   use p6_dubar_emnebarssbar_config, only: ki
   use p6_dubar_emnebarssbar_globalsh1
   implicit none
   private
   complex(ki), public :: abb2n1
   complex(ki), public :: abb2n2
   complex(ki), public :: abb2n3
   complex(ki), public :: abb2n4
   complex(ki), public :: abb2n5
   complex(ki), public :: abb2n6
   complex(ki), public :: abb2n7
   complex(ki), public :: abb2n8
   complex(ki), public :: abb2n9
   complex(ki), public :: abb2n10
   complex(ki), public :: abb2n11
   complex(ki), public :: abb2n12
   complex(ki), public :: abb2n13
   complex(ki), public :: abb2n14
   complex(ki), public :: abb2n15
   complex(ki), public :: abb2n16
   complex(ki), public :: abb2n17
   complex(ki), public :: abb2n18
   complex(ki), public :: abb2n19
   complex(ki), public :: abb2n20
   complex(ki), public :: abb2n21
   complex(ki), public :: abb2n22
   complex(ki), public :: abb2n23
   complex(ki), public :: abb2n24
   complex(ki), public :: abb2n25
   complex(ki), public :: abb2n26
   complex(ki), public :: abb2n27
   complex(ki), public :: abb2n28
   complex(ki), public :: abb2n29
   complex(ki), public :: abb2n30
   complex(ki), public :: rat2d2
   complex(ki), public :: abb2n32
   complex(ki), public :: abb2n33
   complex(ki), public :: abb2n34
   complex(ki), public :: abb2n35
   complex(ki), public :: abb2n36
   complex(ki), public :: abb2n37
   complex(ki), public :: abb2n38
   complex(ki), public :: abb2n39
   complex(ki), public :: abb2n40
   complex(ki), public :: abb2n41
   complex(ki), public :: abb2n42
   complex(ki), public :: abb2n43
   complex(ki), public :: abb2n44
   complex(ki), public :: abb2n45
   complex(ki), public :: abb2n46
   complex(ki), public :: abb2n47
   complex(ki), public :: abb2n48
   complex(ki), public :: abb2n49
   complex(ki), public :: abb2n50
   complex(ki), public :: abb2n51
   complex(ki), public :: abb2n52
   complex(ki), public :: abb2n53
   complex(ki), public :: abb2n54
   complex(ki), public :: abb2n55
   complex(ki), public :: abb2n56
   complex(ki), public :: abb2n57
   complex(ki), public :: abb2n58
   complex(ki), public :: abb2n59
   complex(ki), public :: abb2n60
   complex(ki), public :: abb2n61
   complex(ki), public :: abb2n62
   complex(ki), public :: abb2n63
   complex(ki), public :: abb2n64
   complex(ki), public :: abb2n65
   complex(ki), public :: abb2n66
   complex(ki), public :: abb2n67
   complex(ki), public :: abb2n68
   complex(ki), public :: abb2n69
   complex(ki), public :: abb2n70
   complex(ki), public :: abb2n71
   complex(ki), public :: abb2n72
   complex(ki), public :: abb2n73
   complex(ki), public :: abb2n74
   complex(ki), public :: abb2n75
   complex(ki), public :: abb2n76
   complex(ki), public :: abb2n77
   complex(ki), public :: abb2n78
   complex(ki), public :: abb2n79
   complex(ki), public :: abb2n80
   complex(ki), public :: abb2n81
   complex(ki), public :: abb2n82
   complex(ki), public :: abb2n83
   complex(ki), public :: abb2n84
   complex(ki), public :: abb2n85
   complex(ki), public :: abb2n86
   complex(ki), public :: abb2n87
   complex(ki), public :: abb2n88
   complex(ki), public :: abb2n89
   complex(ki), public :: abb2n90
   complex(ki), public :: abb2n91
   complex(ki), public :: abb2n92
   complex(ki), public :: abb2n93
   complex(ki), public :: abb2n94
   complex(ki), public :: abb2n95
   complex(ki), public :: abb2n96
   complex(ki), public :: abb2n97
   complex(ki), public :: abb2n98
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   real(ki) :: t17
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p6_dubar_emnebarssbar_config, only: deltaOS
      use p6_dubar_emnebarssbar_kinematics
      use p6_dubar_emnebarssbar_model
      use p6_dubar_emnebarssbar_color, only: TR
      use p6_dubar_emnebarssbar_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = es12*c1*i_
      t17 = TR*TR
      t3 = es56*NC*NC*t1
      t4 = t2*spak2k5
      t5 = es12*c2*i_
      t1 = es56*NC*t1
      t6 = t5*spak2k5
      abb2n1 = ((4.0_ki)*(t17/t1*t6*spak3k4*spbk4k1*spbk6k4+t17/t1*t5*spak1k3*sp&
      &ak2k5*spbk4k1*spbk6k1-(t17*t2/t3*spak1k3*spak2k5*spbk4k1*spbk6k1+t17/t3*t&
      &4*spak3k4*spbk4k1*spbk6k4)))
      t2 = c1*i_
      t5 = t2*spak1k2
      t7 = TR*spbk4k1
      t7 = t7*t7
      t8 = c2*i_
      t9 = t8*spak1k2
      abb2n2 = ((4.0_ki)*(t7/t1*t9*spak3k4-t5/t3*t7*spak3k4))
      t7 = t5*spak3k5
      t10 = t17/t3*t7*spbk4k1*spbk6k1
      t11 = t9*spak3k5
      t12 = t17*t11/t1*spbk4k1*spbk6k1
      abb2n3 = ((8.0_ki)*(t10-t12))
      abb2n4 = ((4.0_ki)*(t17/t3*t4*spbk6k1+t17*t11/t1*spbk3k1*spbk6k1+t17/t1*t9&
      &*spak4k5*spbk4k1*spbk6k1-(t17/t3*t5*spak4k5*spbk4k1*spbk6k1+t17/t3*t7*spb&
      &k3k1*spbk6k1+t17/t1*t6*spbk6k1)))
      abb2n5 = ((8.0_ki)*(t17/t1*t9*spbk4k1-t17/t3*t5*spbk4k1))
      abb2n6 = ((4.0_ki)*(t17/t1*t6*spbk6k4+t17*t11/t1*spbk4k3*spbk6k1+t17/t1*t9&
      &*spak2k5*spbk4k2*spbk6k1+t17/t3*t5*spak1k5*spbk4k1*spbk6k1+es23*t17/t1*c2&
      &*i_*spak2k5*spbk6k4+es34*t17/t1*c2*i_*spak2k5*spbk6k4+es234*t17/t3*c1*i_*&
      &spak2k5*spbk6k4-(es34*t17/t3*c1*i_*spak2k5*spbk6k4+es23*t17/t3*c1*i_*spak&
      &2k5*spbk6k4+es234*t17/t1*c2*i_*spak2k5*spbk6k4+t17/t3*t5*spak2k5*spbk4k2*&
      &spbk6k1+t17/t1*t9*spak1k5*spbk4k1*spbk6k1+t17/t3*t7*spbk4k3*spbk6k1+t17/t&
      &3*t4*spbk6k4)))
      t4 = t2*spak1k3
      t6 = t8*spak1k3
      abb2n7 = ((4.0_ki)*(t17/t3*t4*spbk4k1-t17/t1*t6*spbk4k1))
      t7 = t2*spak2k3
      t11 = t8*spak2k3
      t13 = t17*t11/t1*spbk4k1-t17/t3*t7*spbk4k1
      abb2n8 = ((4.0_ki)*t13)
      abb2n9 = ((8.0_ki)*t13)
      t13 = t2*spak2k5
      t14 = t8*spak2k5
      abb2n10 = ((8.0_ki)*(t17*t13/t3*spak3k4*spbk4k1*spbk6k4+t17/t3*t4*spak2k5*&
      &spbk4k1*spbk6k1-(t17/t1*t6*spak2k5*spbk4k1*spbk6k1+t17*t14/t1*spak3k4*spb&
      &k4k1*spbk6k4)))
      abb2n11 = ((4.0_ki)*(t17*t2/t3*spak3k4*spbk4k1-t17/t1*t8*spak3k4*spbk4k1))
      t4 = t2*spak3k5
      t6 = t17/t3*t4*spbk4k1
      t15 = t8*spak3k5
      t16 = t17*t15/t1*spbk4k1
      abb2n12 = ((8.0_ki)*(t6-t16))
      t6 = t16-t6
      abb2n13 = ((4.0_ki)*t6)
      abb2n14 = ((8.0_ki)*t6)
      abb2n15 = ((4.0_ki)*(t17/t3*t4*spbk3k1+t17*t2/t3*spak4k5*spbk4k1-(t17/t1*t&
      &8*spak4k5*spbk4k1+t17*t15/t1*spbk3k1)))
      t4 = t7*spak2k5
      t6 = t4*spbk4k2
      t15 = t11*spak2k5
      t16 = t15*spbk4k2
      abb2n16 = ((8.0_ki)*(t12+t17*t16/t1*spbk6k1-(t17/t3*t6*spbk6k1+t10)))
      abb2n17 = ((4.0_ki)*(t10+t17*t15/t1*spbk2k1*spbk6k4+t17*t11/t1*spak3k5*spb&
      &k4k3*spbk6k1+t17*t2/t3*spak1k5*spak2k3*spbk4k1*spbk6k1-(t17/t1*t8*spak1k5&
      &*spak2k3*spbk4k1*spbk6k1+t17/t3*t7*spak3k5*spbk4k3*spbk6k1+t17/t3*t4*spbk&
      &2k1*spbk6k4+t12)))
      abb2n18 = ((8.0_ki)*(t17*t14/t1*spbk6k1-t17*t13/t3*spbk6k1))
      abb2n19 = ((4.0_ki)*(t17/t3*t6*spbk6k4-t17*t16/t1*spbk6k4))
      t4 = t17/t3*t7*spbk6k4
      t6 = t17*t11/t1*spbk6k4
      t10 = t4-t6
      abb2n20 = ((8.0_ki)*t10)
      abb2n21 = ((4.0_ki)*t10)
      abb2n22 = ((8.0_ki)*(t6-t4))
      abb2n23 = ((4.0_ki)*(t17*t11/t1*spbk6k3+t17/t1*t9*spbk6k1+t17/t1*t8*spak2k&
      &4*spbk6k4-(t17*t2/t3*spak2k4*spbk6k4+t17/t3*t7*spbk6k3+t17/t3*t5*spbk6k1)&
      &))
      abb2n24 = ((4.0_ki)*(t17*t13/t3*spbk6k2-t17*t14/t1*spbk6k2))
      abb2n25 = ((4.0_ki)*(t17*t13/t3*spbk6k3-t17*t14/t1*spbk6k3))
      t4 = t17*t13/t3*spbk6k4
      t5 = t17*t14/t1*spbk6k4
      t6 = t4-t5
      abb2n26 = ((8.0_ki)*t6)
      abb2n27 = ((4.0_ki)*t6)
      t4 = t5-t4
      abb2n28 = ((4.0_ki)*t4)
      abb2n29 = ((8.0_ki)*t4)
      abb2n30 = ((4.0_ki)*(t17*t2/t3-t17/t1*t8))
      rat2d2 = 0
      rat2 = rat2 + rat2d2
      abb2n32 = abb2n1
      abb2n33 = abb2n30
      abb2n34 = abb2n29
      abb2n35 = abb2n28
      abb2n36 = abb2n27
      abb2n37 = abb2n26
      abb2n38 = abb2n25
      abb2n39 = abb2n24
      abb2n40 = abb2n23
      abb2n41 = abb2n22
      abb2n42 = abb2n21
      abb2n43 = abb2n20
      abb2n44 = abb2n19
      abb2n45 = abb2n18
      abb2n46 = abb2n17
      abb2n47 = abb2n16
      abb2n48 = abb2n15
      abb2n49 = abb2n14
      abb2n50 = abb2n13
      abb2n51 = abb2n12
      abb2n52 = abb2n11
      abb2n53 = abb2n10
      abb2n54 = abb2n9
      abb2n55 = abb2n8
      abb2n56 = abb2n7
      abb2n57 = abb2n6
      abb2n58 = abb2n5
      abb2n59 = abb2n4
      abb2n60 = abb2n3
      abb2n61 = abb2n2
      abb2n62 = -(abb2n2)
      abb2n63 = -(abb2n3)
      abb2n64 = -(abb2n4)
      abb2n65 = -(abb2n5)
      abb2n66 = -(abb2n6)
      abb2n67 = -(abb2n7)
      t1 = (2.0_ki)*abb2n8
      abb2n68 = t1
      abb2n69 = -(abb2n8)
      abb2n70 = -(t1)
      abb2n71 = -(abb2n9)
      abb2n72 = -(abb2n10)
      abb2n73 = -(abb2n11)
      abb2n74 = -(abb2n12)
      t1 = (2.0_ki)*abb2n13
      abb2n75 = t1
      abb2n76 = -(abb2n13)
      abb2n77 = -(t1)
      abb2n78 = -(abb2n14)
      abb2n79 = -(abb2n15)
      abb2n80 = -(abb2n16)
      abb2n81 = (-2.0_ki)*abb2n17
      abb2n82 = -(abb2n18)
      abb2n83 = -(abb2n19)
      abb2n84 = -(abb2n20)
      t1 = (2.0_ki)*abb2n21
      abb2n85 = t1
      abb2n86 = -(abb2n21)
      abb2n87 = -(t1)
      abb2n88 = -(abb2n22)
      abb2n89 = -(abb2n23)
      abb2n90 = -(abb2n24)
      abb2n91 = -(abb2n25)
      abb2n92 = -(abb2n26)
      abb2n93 = -(abb2n27)
      t1 = (2.0_ki)*abb2n28
      abb2n94 = t1
      abb2n95 = -(abb2n28)
      abb2n96 = -(t1)
      abb2n97 = -(abb2n29)
      abb2n98 = -(abb2n30)
   end subroutine
end module p6_dubar_emnebarssbar_abbrevd2h1
