module     p7_dubar_emnebargg_d94h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W2jets/1.4/Virtual/
   ! p7_dubar_emnebargg/helicity0/d94h0l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d94
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd94h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      complex(ki) :: t105
      complex(ki) :: t106
      complex(ki) :: t107
      complex(ki) :: t108
      complex(ki) :: t109
      complex(ki) :: t110
      complex(ki) :: t111
      complex(ki) :: t112
      complex(ki) :: t113
      complex(ki) :: t114
      complex(ki) :: t115
      complex(ki) :: t116
      complex(ki) :: t117
      complex(ki) :: t118
      complex(ki) :: t119
      complex(ki) :: t120
      complex(ki) :: t121
      complex(ki) :: t122
      complex(ki) :: t123
      complex(ki) :: t124
      complex(ki) :: t125
      complex(ki) :: t126
      complex(ki) :: t127
      complex(ki) :: t128
      complex(ki) :: t129
      complex(ki) :: t130
      complex(ki) :: t131
      complex(ki) :: t132
      complex(ki) :: t133
      complex(ki) :: t134
      complex(ki) :: t135
      complex(ki) :: t136
      complex(ki) :: t137
      complex(ki) :: t138
      complex(ki) :: t139
      complex(ki) :: t140
      complex(ki) :: t141
      complex(ki) :: t142
      complex(ki) :: t143
      complex(ki) :: t144
      complex(ki) :: t145
      complex(ki) :: t146
      complex(ki) :: t147
      complex(ki) :: t148
      complex(ki) :: t149
      complex(ki) :: t150
      complex(ki) :: t151
      complex(ki) :: t152
      complex(ki) :: t153
      complex(ki) :: t154
      complex(ki) :: t155
      complex(ki) :: t156
      complex(ki) :: t157
      complex(ki) :: t158
      complex(ki) :: t159
      complex(ki) :: t160
      complex(ki) :: t161
      complex(ki) :: t162
      complex(ki) :: t163
      complex(ki) :: t164
      complex(ki) :: t165
      complex(ki) :: t166
      complex(ki) :: t167
      complex(ki) :: t168
      complex(ki) :: t169
      complex(ki) :: t170
      complex(ki) :: t171
      complex(ki) :: t172
      complex(ki) :: t173
      complex(ki) :: t174
      complex(ki) :: t175
      complex(ki) :: t176
      complex(ki) :: t177
      complex(ki) :: t178
      complex(ki) :: t179
      complex(ki) :: t180
      complex(ki) :: t181
      complex(ki) :: t182
      complex(ki) :: t183
      complex(ki) :: t184
      complex(ki) :: t185
      complex(ki) :: t186
      complex(ki) :: t187
      complex(ki) :: t188
      complex(ki) :: t189
      complex(ki) :: t190
      complex(ki) :: t191
      complex(ki) :: t192
      complex(ki) :: t193
      real(ki) :: t194
      real(ki) :: t195
      real(ki) :: t196
      real(ki) :: t197
      real(ki) :: t198
      real(ki) :: t199
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t194 = dotproduct(k6, qshift)
      t195 = dotproduct(qshift, qshift)
      t196 = dotproduct(k2, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t2 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t197 = dotproduct(k1, qshift)
      t3 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t4 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t5 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t198 = dotproduct(k5, qshift)
      t6 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t7 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t8 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t9 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb94n85+t1*abb94n169+t194*abb94n214+t194*t194*abb94n123+t&
         &195*abb94n134+t195*t195*abb94n125+t196*abb94n168+t197*abb94n176+t198*a&
         &bb94n212+t2*abb94n170+t3*abb94n177+t4*abb94n195+t5*abb94n206+t1*t194*a&
         &bb94n149+t1*t195*abb94n192+t1*t197*abb94n162+t1*t198*abb94n151+t1*t2*a&
         &bb94n153+t1*t3*abb94n152+t1*t4*abb94n141+t1*t5*abb94n140+t194*t195*abb&
         &94n223+t194*t196*abb94n164+t194*t197*abb94n128+t194*t198*abb94n126+t19&
         &4*t3*abb94n110+t194*t4*abb94n121+t194*t5*abb94n117+t194*t6*abb94n156+t&
         &195*t196*abb94n173+t195*t197*abb94n230+t195*t198*abb94n230+t195*t2*abb&
         &94n180+t195*t3*abb94n251+t195*t4*abb94n236+t195*t5*abb94n243+t195*t6*a&
         &bb94n185+t196*t197*abb94n164+t196*t2*abb94n159+t196*t4*abb94n131+t196*&
         &t5*abb94n147+t197*t198*abb94n122+t197*t4*abb94n119+t197*t5*abb94n116+t&
         &197*t6*abb94n154+t198*t2*abb94n157+t198*t3*abb94n108+t198*t4*abb94n132&
         &+t198*t5*abb94n118+t2*t4*abb94n100+t2*t5*abb94n99+t3*t4*abb94n95+t3*t5&
         &*abb94n94+t4*t5*abb94n114+t1*t194*t3*abb94n284+t1*t194*t4*abb94n220+t1&
         &*t194*t5*abb94n210+t1*t195*t3*abb94n88+t1*t195*t4*abb94n130+t1*t195*t5&
         &*abb94n138+t1*t197*t4*abb94n220+t1*t197*t5*abb94n210+t1*t198*t3*abb94n&
         &280+t1*t198*t5*abb94n211+t1*t4*t5*abb94n246+t194*t4*t5*abb94n202+t194*&
         &t4*t6*abb94n271+t194*t5*t6*abb94n278+t195*t2*t5*abb94n106+t195*t3*t4*a&
         &bb94n103+t195*t4*t5*abb94n146+t195*t4*t6*abb94n97+t195*t5*t6*abb94n92+&
         &t196*t2*t5*abb94n254+t196*t3*t4*abb94n259+t196*t4*t5*abb94n200+t197*t4&
         &*t6*abb94n267+t197*t5*t6*abb94n274+t198*t2*t5*abb94n258+t198*t3*t4*abb&
         &94n263+t198*t4*t5*abb94n201+t2*t4*t5*abb94n264+t3*t4*t5*abb94n254+t4*t&
         &5*t6*abb94n279+t4*t5*t7*abb94n203+t4*t5*t8*abb94n247+t4*t5*t9*abb94n24&
         &8+t1*t4*t5*t9*abb94n86)
         return
      end if
      t10 = k1(iv1)
      t11 = k2(iv1)
      t12 = k5(iv1)
      t13 = k6(iv1)
      t14 = qshift(iv1)
      t15 = spvak3k4(iv1)
      t16 = spvak5k1(iv1)
      t17 = spvak5k6(iv1)
      t18 = spvak6k1(iv1)
      t19 = spvak6k5(iv1)
      t20 = t11*abb94n171
      t21 = t14*abb94n229
      t22 = spvak3k1(iv1)
      t23 = spvak2k1(iv1)
      t24 = spvak2k4(iv1)
      t25 = spvak2k5(iv1)
      t26 = t15*abb94n129
      t27 = t15*abb94n137
      t28 = t17*abb94n107
      t29 = t17*abb94n137
      t30 = t19*abb94n129
      if(deg.eq.1) then
         numerator = (t10*abb94n161+t11*abb94n167+t12*abb94n135+t13*abb94n133+t1&
         &4*abb94n213+t15*abb94n166+t16*abb94n160+t17*abb94n139+t18*abb94n165+t1&
         &9*abb94n148+t194*t20+t197*t20+t197*t21+t198*t21+t1*t10*abb94n175+t1*t1&
         &2*abb94n190+t1*t13*abb94n194+t1*t14*abb94n191+t1*t16*abb94n189+t1*t17*&
         &abb94n205+t1*t18*abb94n188+t1*t19*abb94n204+t1*t194*t29+t1*t194*t30+t1&
         &*t197*t29+t1*t197*t30+t10*t194*abb94n221+t10*t195*abb94n124+t10*t196*a&
         &bb94n171+t10*t198*abb94n233+t10*t4*abb94n238+t10*t5*abb94n241+t10*t6*a&
         &bb94n187+t11*t195*abb94n163+t11*t2*abb94n178+t11*t4*abb94n216+t11*t5*a&
         &bb94n196+t12*t194*abb94n225+t12*t195*abb94n124+t12*t197*abb94n233+t12*&
         &t2*abb94n182+t12*t3*abb94n253+t12*t4*abb94n215+t12*t5*abb94n239+t13*t1&
         &94*abb94n232+t13*t195*abb94n127+t13*t196*abb94n171+t13*t197*abb94n221+&
         &t13*t198*abb94n225+t13*t3*abb94n249+t13*t4*abb94n234+t13*t5*abb94n240+&
         &t13*t6*abb94n183+t14*t194*abb94n222+t14*t195*abb94n228+t14*t196*abb94n&
         &172+t14*t2*abb94n179+t14*t3*abb94n250+t14*t4*abb94n235+t14*t5*abb94n24&
         &2+t14*t6*abb94n184+t15*t194*abb94n194+t15*t195*abb94n150+t15*t197*abb9&
         &4n175+t15*t198*abb94n190+t15*t2*abb94n188+t15*t3*abb94n189+t15*t4*abb9&
         &4n204+t15*t5*abb94n205+t16*t194*abb94n249+t16*t195*abb94n109+t16*t198*&
         &abb94n253+t16*t4*abb94n272+t16*t5*abb94n273+t17*t194*abb94n240+t17*t19&
         &5*abb94n115+t17*t196*abb94n196+t17*t197*abb94n241+t17*t198*abb94n239+t&
         &17*t2*abb94n266+t17*t3*abb94n273+t17*t4*abb94n245+t18*t195*abb94n158+t&
         &18*t196*abb94n178+t18*t198*abb94n182+t18*t4*abb94n265+t18*t5*abb94n266&
         &+t19*t194*abb94n234+t19*t195*abb94n120+t19*t196*abb94n216+t19*t197*abb&
         &94n238+t19*t198*abb94n215+t19*t2*abb94n265+t19*t3*abb94n272+t19*t5*abb&
         &94n245+t194*t22*abb94n183+t194*t26*t4+t194*t27*t5+t195*t22*abb94n155+t&
         &196*t2*t28+t197*t22*abb94n187+t197*t26*t4+t197*t27*t5+t28*t3*t4+t1*t10&
         &*t4*abb94n129+t1*t10*t5*abb94n137+t1*t12*t3*abb94n89+t1*t12*t5*abb94n1&
         &36+t1*t13*t3*abb94n87+t1*t13*t4*abb94n129+t1*t13*t5*abb94n137+t1*t14*t&
         &3*abb94n283+t1*t14*t4*abb94n219+t1*t14*t5*abb94n209+t1*t16*t194*abb94n&
         &87+t1*t16*t195*abb94n282+t1*t16*t198*abb94n89+t1*t17*t195*abb94n208+t1&
         &*t17*t198*abb94n136+t1*t17*t4*abb94n113+t1*t19*t195*abb94n218+t1*t19*t&
         &5*abb94n113+t10*t4*t6*abb94n98+t10*t5*t6*abb94n93+t11*t2*t5*abb94n107+&
         &t11*t3*t4*abb94n104+t11*t4*t5*abb94n145+t12*t2*t5*abb94n105+t12*t3*t4*&
         &abb94n102+t12*t4*t5*abb94n144+t13*t4*t5*abb94n143+t13*t4*t6*abb94n96+t&
         &13*t5*t6*abb94n91+t14*t2*t5*abb94n257+t14*t3*t4*abb94n262+t14*t4*t5*ab&
         &b94n199+t14*t4*t6*abb94n270+t14*t5*t6*abb94n277+t15*t194*t3*abb94n87+t&
         &15*t195*t3*abb94n282+t15*t195*t4*abb94n218+t15*t195*t5*abb94n208+t15*t&
         &198*t3*abb94n89+t15*t198*t5*abb94n136+t15*t4*t5*abb94n113+t16*t195*t4*&
         &abb94n261+t16*t196*t4*abb94n104+t16*t198*t4*abb94n102+t16*t4*t5*abb94n&
         &107+t17*t194*t4*abb94n143+t17*t194*t6*abb94n91+t17*t195*t2*abb94n256+t&
         &17*t195*t4*abb94n198+t17*t195*t6*abb94n276+t17*t196*t4*abb94n145+t17*t&
         &197*t6*abb94n93+t17*t198*t2*abb94n105+t17*t198*t4*abb94n144+t17*t2*t4*&
         &abb94n101+t17*t4*t6*abb94n90+t17*t4*t7*abb94n142+t17*t4*t8*abb94n112+t&
         &17*t4*t9*abb94n111+t18*t195*t5*abb94n256+t18*t196*t5*abb94n107+t18*t19&
         &8*t5*abb94n105+t18*t4*t5*abb94n101+t19*t194*t5*abb94n143+t19*t194*t6*a&
         &bb94n96+t19*t195*t3*abb94n261+t19*t195*t5*abb94n198+t19*t195*t6*abb94n&
         &269+t19*t196*t3*abb94n104+t19*t196*t5*abb94n145+t19*t197*t6*abb94n98+t&
         &19*t198*t3*abb94n102+t19*t198*t5*abb94n144+t19*t2*t5*abb94n101+t19*t3*&
         &t5*abb94n107+t19*t5*t6*abb94n90+t19*t5*t7*abb94n142+t19*t5*t8*abb94n11&
         &2+t19*t5*t9*abb94n111+t194*t22*t4*abb94n96+t194*t22*t5*abb94n91+t195*t&
         &22*t4*abb94n269+t195*t22*t5*abb94n276+t197*t22*t4*abb94n98+t197*t22*t5&
         &*abb94n93+t22*t4*t5*abb94n90+t23*t4*t5*abb94n111+t24*t4*t5*abb94n112+t&
         &25*t4*t5*abb94n142+t1*t17*t4*t9*abb94n285+t1*t19*t5*t9*abb94n285+t1*t2&
         &3*t4*t5*abb94n285+t15*t4*t5*t9*abb94n285)
         return
      end if
      t199 = d(iv1,iv2)
      t20 = k6(iv2)
      t21 = qshift(iv2)
      t26 = t199*abb94n230
      t27 = k2(iv2)
      t28 = k5(iv2)
      t29 = spvak3k1(iv2)
      t30 = t10*t29
      t31 = spvak3k4(iv2)
      t32 = t10*t31
      t33 = spvak5k6(iv2)
      t34 = t10*t33
      t35 = spvak6k5(iv2)
      t36 = t10*t35
      t37 = k1(iv2)
      t38 = t22*t37
      t39 = t15*t37
      t40 = t17*t37
      t41 = t19*t37
      t42 = t11*t33
      t43 = spvak6k1(iv2)
      t44 = t11*t43
      t45 = t11*t35
      t46 = t17*t27
      t47 = t18*t27
      t48 = t19*t27
      t49 = t12*t31
      t50 = spvak5k1(iv2)
      t51 = t12*t50
      t52 = t12*t33
      t53 = t12*t43
      t54 = t12*t35
      t55 = t15*t28
      t56 = t16*t28
      t57 = t17*t28
      t58 = t18*t28
      t59 = t19*t28
      t60 = t13*t29
      t61 = t13*t31
      t62 = t13*t50
      t63 = t13*t33
      t64 = t13*t35
      t65 = t20*t22
      t66 = t15*t20
      t67 = t16*t20
      t68 = t17*t20
      t69 = t19*t20
      t70 = t14*t29
      t71 = t14*t31
      t72 = t14*t50
      t73 = t14*t33
      t74 = t14*t43
      t75 = t14*t35
      t76 = t21*t22
      t77 = t15*t21
      t78 = t16*t21
      t79 = t17*t21
      t80 = t18*t21
      t81 = t19*t21
      t82 = t15*t50
      t83 = t15*t33
      t84 = t15*t35
      t85 = t16*t31
      t86 = t17*t31
      t87 = t19*t31
      t88 = t16*t33
      t89 = t16*t35
      t90 = t17*t50
      t91 = t19*t50
      t92 = t17*t43
      t93 = t17*t35
      t94 = t18*t33
      t95 = t19*t33
      t96 = t18*t35
      t97 = t19*t43
      t98 = t11*t50
      t99 = t16*t27
      t100 = t23*t33
      t101 = t23*t35
      t102 = spvak2k1(iv2)
      t103 = t102*t17
      t104 = t102*t19
      t105 = t24*t33
      t106 = spvak2k4(iv2)
      t107 = t106*t17
      t108 = t25*t33
      t109 = spvak2k5(iv2)
      t110 = t109*t17
      t111 = t22*t33
      t112 = t22*t35
      t113 = t17*t29
      t114 = t19*t29
      t115 = t83*abb94n210
      t116 = t84*abb94n220
      t117 = t86*abb94n210
      t118 = t87*abb94n220
      t119 = t23*t31
      t120 = t102*t15
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t197*t26+t198*t26+t199*abb94n134+t1*t199*abb94n1&
         &92+t13*t20*abb94n123+t14*t21*abb94n226+t194*t199*abb94n223+t195*t199*a&
         &bb94n227+t196*t199*abb94n173+t199*t2*abb94n180+t199*t3*abb94n251+t199*&
         &t4*abb94n236+t199*t5*abb94n243+t199*t6*abb94n185+t1*t199*t3*abb94n88+t&
         &1*t199*t4*abb94n130+t1*t199*t5*abb94n138+t199*t2*t5*abb94n106+t199*t3*&
         &t4*abb94n103+t199*t4*t5*abb94n146+t199*t4*t6*abb94n97+t199*t5*t6*abb94&
         &n92)+t115*t194+t115*t197+t116*t194+t116*t197+t117*t194+t117*t197+t118*&
         &t194+t118*t197+t30*abb94n154+t32*abb94n162+t34*abb94n116+t36*abb94n119&
         &+t38*abb94n154+t39*abb94n162+t40*abb94n116+t41*abb94n119+t42*abb94n147&
         &+t44*abb94n159+t45*abb94n131+t46*abb94n147+t47*abb94n159+t48*abb94n131&
         &+t49*abb94n151+t51*abb94n108+t52*abb94n118+t53*abb94n157+t54*abb94n132&
         &+t55*abb94n151+t56*abb94n108+t57*abb94n118+t58*abb94n157+t59*abb94n132&
         &+t60*abb94n156+t61*abb94n149+t62*abb94n110+t63*abb94n117+t64*abb94n121&
         &+t65*abb94n156+t66*abb94n149+t67*abb94n110+t68*abb94n117+t69*abb94n121&
         &+t70*abb94n186+t71*abb94n193+t72*abb94n252+t73*abb94n244+t74*abb94n181&
         &+t75*abb94n237+t76*abb94n186+t77*abb94n193+t78*abb94n252+t79*abb94n244&
         &+t80*abb94n181+t81*abb94n237+t82*abb94n152+t83*abb94n140+t84*abb94n141&
         &+t85*abb94n152+t86*abb94n140+t87*abb94n141+t88*abb94n94+t89*abb94n95+t&
         &90*abb94n94+t91*abb94n95+t92*abb94n99+t93*abb94n114+t94*abb94n99+t95*a&
         &bb94n114+t96*abb94n100+t97*abb94n100+t1*t34*abb94n210+t1*t36*abb94n220&
         &+t1*t40*abb94n210+t1*t41*abb94n220+t1*t51*abb94n280+t1*t52*abb94n211+t&
         &1*t56*abb94n280+t1*t57*abb94n211+t1*t62*abb94n284+t1*t63*abb94n210+t1*&
         &t64*abb94n220+t1*t67*abb94n284+t1*t68*abb94n210+t1*t69*abb94n220+t1*t7&
         &2*abb94n281+t1*t73*abb94n207+t1*t75*abb94n217+t1*t78*abb94n281+t1*t79*&
         &abb94n207+t1*t81*abb94n217+t1*t93*abb94n246+t1*t95*abb94n246+t10*t20*a&
         &bb94n128+t10*t21*abb94n231+t10*t27*abb94n164+t10*t28*abb94n122+t100*t4&
         &*abb94n248+t101*t5*abb94n248+t103*t4*abb94n248+t104*t5*abb94n248+t105*&
         &t4*abb94n247+t107*t4*abb94n247+t108*t4*abb94n203+t11*t20*abb94n164+t11&
         &*t21*abb94n174+t11*t37*abb94n164+t110*t4*abb94n203+t111*t194*abb94n278&
         &+t111*t195*abb94n92+t111*t197*abb94n274+t111*t4*abb94n279+t112*t194*ab&
         &b94n271+t112*t195*abb94n97+t112*t197*abb94n267+t112*t5*abb94n279+t113*&
         &t194*abb94n278+t113*t195*abb94n92+t113*t197*abb94n274+t113*t4*abb94n27&
         &9+t114*t194*abb94n271+t114*t195*abb94n97+t114*t197*abb94n267+t114*t5*a&
         &bb94n279+t12*t20*abb94n126+t12*t21*abb94n231+t12*t37*abb94n122+t13*t21&
         &*abb94n224+t13*t27*abb94n164+t13*t28*abb94n126+t13*t37*abb94n128+t14*t&
         &20*abb94n224+t14*t27*abb94n174+t14*t28*abb94n231+t14*t37*abb94n231+t15&
         &*t43*abb94n153+t18*t31*abb94n153+t194*t82*abb94n284+t194*t85*abb94n284&
         &+t194*t93*abb94n202+t194*t95*abb94n202+t195*t82*abb94n88+t195*t83*abb9&
         &4n138+t195*t84*abb94n130+t195*t85*abb94n88+t195*t86*abb94n138+t195*t87&
         &*abb94n130+t195*t89*abb94n103+t195*t91*abb94n103+t195*t92*abb94n106+t1&
         &95*t93*abb94n146+t195*t94*abb94n106+t195*t95*abb94n146+t196*t89*abb94n&
         &259+t196*t91*abb94n259+t196*t92*abb94n254+t196*t93*abb94n200+t196*t94*&
         &abb94n254+t196*t95*abb94n200+t198*t82*abb94n280+t198*t83*abb94n211+t19&
         &8*t85*abb94n280+t198*t86*abb94n211+t198*t89*abb94n263+t198*t91*abb94n2&
         &63+t198*t92*abb94n258+t198*t93*abb94n201+t198*t94*abb94n258+t198*t95*a&
         &bb94n201+t2*t42*abb94n254+t2*t46*abb94n254+t2*t52*abb94n258+t2*t57*abb&
         &94n258+t2*t73*abb94n255+t2*t79*abb94n255+t2*t93*abb94n264+t2*t95*abb94&
         &n264+t3*t45*abb94n259+t3*t48*abb94n259+t3*t49*abb94n280+t3*t54*abb94n2&
         &63+t3*t55*abb94n280+t3*t59*abb94n263+t3*t61*abb94n284+t3*t66*abb94n284&
         &+t3*t71*abb94n281+t3*t75*abb94n260+t3*t77*abb94n281+t3*t81*abb94n260+t&
         &3*t93*abb94n254+t3*t95*abb94n254+t30*t4*abb94n267+t30*t5*abb94n274+t32&
         &*t4*abb94n220+t32*t5*abb94n210+t34*t6*abb94n274+t36*t6*abb94n267+t38*t&
         &4*abb94n267+t38*t5*abb94n274+t39*t4*abb94n220+t39*t5*abb94n210+t4*t42*&
         &abb94n200+t4*t46*abb94n200+t4*t51*abb94n263+t4*t52*abb94n201+t4*t56*ab&
         &b94n263+t4*t57*abb94n201+t4*t60*abb94n271+t4*t61*abb94n220+t4*t63*abb9&
         &4n202+t4*t65*abb94n271+t4*t66*abb94n220+t4*t68*abb94n202+t4*t70*abb94n&
         &268+t4*t71*abb94n217+t4*t72*abb94n260+t4*t73*abb94n197+t4*t76*abb94n26&
         &8+t4*t77*abb94n217+t4*t78*abb94n260+t4*t79*abb94n197+t4*t83*abb94n246+&
         &t4*t86*abb94n246+t4*t88*abb94n254+t4*t90*abb94n254+t4*t92*abb94n264+t4&
         &*t94*abb94n264+t4*t98*abb94n259+t4*t99*abb94n259+t40*t6*abb94n274+t41*&
         &t6*abb94n267+t44*t5*abb94n254+t45*t5*abb94n200+t47*t5*abb94n254+t48*t5&
         &*abb94n200+t49*t5*abb94n211+t5*t53*abb94n258+t5*t54*abb94n201+t5*t55*a&
         &bb94n211+t5*t58*abb94n258+t5*t59*abb94n201+t5*t60*abb94n278+t5*t61*abb&
         &94n210+t5*t64*abb94n202+t5*t65*abb94n278+t5*t66*abb94n210+t5*t69*abb94&
         &n202+t5*t70*abb94n275+t5*t71*abb94n207+t5*t74*abb94n255+t5*t75*abb94n1&
         &97+t5*t76*abb94n275+t5*t77*abb94n207+t5*t80*abb94n255+t5*t81*abb94n197&
         &+t5*t84*abb94n246+t5*t87*abb94n246+t5*t89*abb94n254+t5*t91*abb94n254+t&
         &5*t96*abb94n264+t5*t97*abb94n264+t6*t63*abb94n278+t6*t64*abb94n271+t6*&
         &t68*abb94n278+t6*t69*abb94n271+t6*t73*abb94n275+t6*t75*abb94n268+t6*t7&
         &9*abb94n275+t6*t81*abb94n268+t6*t93*abb94n279+t6*t95*abb94n279+t7*t93*&
         &abb94n203+t7*t95*abb94n203+t8*t93*abb94n247+t8*t95*abb94n247+t9*t93*ab&
         &b94n248+t9*t95*abb94n248+t1*t100*t4*abb94n86+t1*t101*t5*abb94n86+t1*t1&
         &03*t4*abb94n86+t1*t104*t5*abb94n86+t1*t9*t93*abb94n86+t1*t9*t95*abb94n&
         &86+t106*t19*t5*abb94n247+t109*t19*t5*abb94n203+t119*t4*t5*abb94n86+t12&
         &0*t4*t5*abb94n86+t24*t35*t5*abb94n247+t25*t35*t5*abb94n203+t4*t83*t9*a&
         &bb94n86+t4*t86*t9*abb94n86+t5*t84*t9*abb94n86+t5*t87*t9*abb94n86)
         return
      end if
      t194 = d(iv2,iv3)
      t195 = d(iv1,iv3)
      t7 = k1(iv3)
      t8 = k2(iv3)
      t26 = k5(iv3)
      t34 = k6(iv3)
      t36 = qshift(iv3)
      t40 = t194*t22
      t41 = t195*t29
      t44 = spvak3k1(iv3)
      t45 = t199*t44
      t47 = t15*t194
      t48 = t195*t31
      t53 = spvak3k4(iv3)
      t54 = t199*t53
      t58 = t16*t194
      t59 = t195*t50
      t62 = spvak5k1(iv3)
      t64 = t199*t62
      t67 = t17*t194
      t69 = t195*t33
      t74 = spvak5k6(iv3)
      t75 = t199*t74
      t80 = t18*t194
      t81 = t195*t43
      t96 = spvak6k1(iv3)
      t97 = t199*t96
      t101 = t19*t194
      t104 = t195*t35
      t115 = spvak6k5(iv3)
      t116 = t115*t199
      t117 = t10*t44
      t118 = t10*t53
      t121 = t37*t44
      t122 = t37*t53
      t123 = t22*t7
      t124 = t29*t7
      t125 = t15*t7
      t126 = t31*t7
      t127 = t11*t74
      t128 = t27*t74
      t129 = t17*t8
      t130 = t33*t8
      t131 = t12*t53
      t132 = t12*t74
      t133 = t28*t53
      t134 = t28*t74
      t135 = t15*t26
      t136 = t26*t31
      t137 = t17*t26
      t138 = t26*t33
      t139 = t13*t44
      t140 = t13*t53
      t141 = t20*t44
      t142 = t20*t53
      t143 = t22*t34
      t144 = t29*t34
      t145 = t15*t34
      t146 = t31*t34
      t147 = t14*t44
      t148 = t14*t53
      t149 = t14*t74
      t150 = t21*t44
      t151 = t21*t53
      t152 = t21*t74
      t153 = t22*t36
      t154 = t29*t36
      t155 = t15*t36
      t156 = t31*t36
      t157 = t17*t36
      t158 = t33*t36
      t100 = t100*t115
      t159 = t23*t35*t74
      t103 = t103*t115
      t160 = t102*t19*t74
      t161 = spvak2k1(iv3)
      t162 = t161*t17*t35
      t163 = t161*t19*t33
      t164 = spvak2k4(iv3)
      t165 = spvak2k5(iv3)
      t166 = t22*t74
      t167 = t29*t74
      t168 = t17*t44
      t169 = t33*t44
      t170 = t115*t83
      t171 = t15*t74
      t172 = t171*t35
      t173 = t115*t86
      t174 = t31*t74
      t175 = t174*t19
      t176 = t17*t53
      t177 = t176*t35
      t178 = t33*t53
      t179 = t178*t19
      t180 = t17*t96
      t181 = t33*t96
      t182 = t18*t74
      t183 = t43*t74
      t184 = t119*t74
      t185 = t23*t53
      t186 = t185*t33
      t187 = t120*t74
      t188 = t102*t53
      t189 = t17*t188
      t190 = t15*t161
      t191 = t190*t33
      t192 = t161*t31
      t193 = t17*t192
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t101*abb94n120+t104*abb94n120+t116*abb94n120+t40&
         &*abb94n155+t41*abb94n155+t45*abb94n155+t47*abb94n150+t48*abb94n150+t54&
         &*abb94n150+t58*abb94n109+t59*abb94n109+t64*abb94n109+t67*abb94n115+t69&
         &*abb94n115+t75*abb94n115+t80*abb94n158+t81*abb94n158+t97*abb94n158+t1*&
         &t101*abb94n218+t1*t104*abb94n218+t1*t116*abb94n218+t1*t58*abb94n282+t1&
         &*t59*abb94n282+t1*t64*abb94n282+t1*t67*abb94n208+t1*t69*abb94n208+t1*t&
         &75*abb94n208+t10*t194*abb94n124+t101*t3*abb94n261+t101*t5*abb94n198+t1&
         &01*t6*abb94n269+t104*t3*abb94n261+t104*t5*abb94n198+t104*t6*abb94n269+&
         &t11*t194*abb94n163+t116*t3*abb94n261+t116*t5*abb94n198+t116*t6*abb94n2&
         &69+t12*t194*abb94n124+t13*t194*abb94n127+t14*t194*abb94n228+t195*t20*a&
         &bb94n127+t195*t21*abb94n228+t195*t27*abb94n163+t195*t28*abb94n124+t195&
         &*t37*abb94n124+t199*t26*abb94n124+t199*t34*abb94n127+t199*t36*abb94n22&
         &8+t199*t7*abb94n124+t199*t8*abb94n163+t2*t67*abb94n256+t2*t69*abb94n25&
         &6+t2*t75*abb94n256+t3*t47*abb94n282+t3*t48*abb94n282+t3*t54*abb94n282+&
         &t4*t40*abb94n269+t4*t41*abb94n269+t4*t45*abb94n269+t4*t47*abb94n218+t4&
         &*t48*abb94n218+t4*t54*abb94n218+t4*t58*abb94n261+t4*t59*abb94n261+t4*t&
         &64*abb94n261+t4*t67*abb94n198+t4*t69*abb94n198+t4*t75*abb94n198+t40*t5&
         &*abb94n276+t41*t5*abb94n276+t45*t5*abb94n276+t47*t5*abb94n208+t48*t5*a&
         &bb94n208+t5*t54*abb94n208+t5*t80*abb94n256+t5*t81*abb94n256+t5*t97*abb&
         &94n256+t6*t67*abb94n276+t6*t69*abb94n276+t6*t75*abb94n276)+t100*abb94n&
         &111+t103*abb94n111+t159*abb94n111+t160*abb94n111+t162*abb94n111+t163*a&
         &bb94n111+t170*abb94n113+t172*abb94n113+t173*abb94n113+t175*abb94n113+t&
         &177*abb94n113+t179*abb94n113+t1*t100*abb94n285+t1*t103*abb94n285+t1*t1&
         &59*abb94n285+t1*t160*abb94n285+t1*t162*abb94n285+t1*t163*abb94n285+t10&
         &5*t115*abb94n112+t107*t115*abb94n112+t108*t115*abb94n142+t110*t115*abb&
         &94n142+t111*t115*abb94n90+t113*t115*abb94n90+t115*t30*abb94n98+t115*t3&
         &2*abb94n129+t115*t38*abb94n98+t115*t39*abb94n129+t115*t42*abb94n145+t1&
         &15*t46*abb94n145+t115*t51*abb94n102+t115*t52*abb94n144+t115*t56*abb94n&
         &102+t115*t57*abb94n144+t115*t60*abb94n96+t115*t61*abb94n129+t115*t63*a&
         &bb94n143+t115*t65*abb94n96+t115*t66*abb94n129+t115*t68*abb94n143+t115*&
         &t70*abb94n270+t115*t71*abb94n219+t115*t72*abb94n262+t115*t73*abb94n199&
         &+t115*t76*abb94n270+t115*t77*abb94n219+t115*t78*abb94n262+t115*t79*abb&
         &94n199+t115*t88*abb94n107+t115*t90*abb94n107+t115*t92*abb94n101+t115*t&
         &94*abb94n101+t115*t98*abb94n104+t115*t99*abb94n104+t117*t33*abb94n93+t&
         &117*t35*abb94n98+t118*t33*abb94n137+t118*t35*abb94n129+t121*t17*abb94n&
         &93+t121*t19*abb94n98+t122*t17*abb94n137+t122*t19*abb94n129+t123*t33*ab&
         &b94n93+t123*t35*abb94n98+t124*t17*abb94n93+t124*t19*abb94n98+t125*t33*&
         &abb94n137+t125*t35*abb94n129+t126*t17*abb94n137+t126*t19*abb94n129+t12&
         &7*t35*abb94n145+t127*t43*abb94n107+t128*t18*abb94n107+t128*t19*abb94n1&
         &45+t129*t35*abb94n145+t129*t43*abb94n107+t130*t18*abb94n107+t130*t19*a&
         &bb94n145+t131*t33*abb94n136+t131*t50*abb94n89+t132*t35*abb94n144+t132*&
         &t43*abb94n105+t133*t16*abb94n89+t133*t17*abb94n136+t134*t18*abb94n105+&
         &t134*t19*abb94n144+t135*t33*abb94n136+t135*t50*abb94n89+t136*t16*abb94&
         &n89+t136*t17*abb94n136+t137*t35*abb94n144+t137*t43*abb94n105+t138*t18*&
         &abb94n105+t138*t19*abb94n144+t139*t33*abb94n91+t139*t35*abb94n96+t140*&
         &t33*abb94n137+t140*t35*abb94n129+t140*t50*abb94n87+t141*t17*abb94n91+t&
         &141*t19*abb94n96+t142*t16*abb94n87+t142*t17*abb94n137+t142*t19*abb94n1&
         &29+t143*t33*abb94n91+t143*t35*abb94n96+t144*t17*abb94n91+t144*t19*abb9&
         &4n96+t145*t33*abb94n137+t145*t35*abb94n129+t145*t50*abb94n87+t146*t16*&
         &abb94n87+t146*t17*abb94n137+t146*t19*abb94n129+t147*t33*abb94n277+t147&
         &*t35*abb94n270+t148*t33*abb94n209+t148*t35*abb94n219+t148*t50*abb94n28&
         &3+t149*t35*abb94n199+t149*t43*abb94n257+t150*t17*abb94n277+t150*t19*ab&
         &b94n270+t151*t16*abb94n283+t151*t17*abb94n209+t151*t19*abb94n219+t152*&
         &t18*abb94n257+t152*t19*abb94n199+t153*t33*abb94n277+t153*t35*abb94n270&
         &+t154*t17*abb94n277+t154*t19*abb94n270+t155*t33*abb94n209+t155*t35*abb&
         &94n219+t155*t50*abb94n283+t156*t16*abb94n283+t156*t17*abb94n209+t156*t&
         &19*abb94n219+t157*t35*abb94n199+t157*t43*abb94n257+t158*t18*abb94n257+&
         &t158*t19*abb94n199+t166*t35*abb94n90+t167*t19*abb94n90+t168*t35*abb94n&
         &90+t169*t19*abb94n90+t170*t9*abb94n285+t172*t9*abb94n285+t173*t9*abb94&
         &n285+t175*t9*abb94n285+t177*t9*abb94n285+t179*t9*abb94n285+t180*t35*ab&
         &b94n101+t181*t19*abb94n101+t182*t35*abb94n101+t183*t19*abb94n101+t184*&
         &t4*abb94n285+t186*t4*abb94n285+t187*t4*abb94n285+t189*t4*abb94n285+t19&
         &1*t4*abb94n285+t193*t4*abb94n285+t30*t74*abb94n93+t32*t74*abb94n137+t3&
         &8*t74*abb94n93+t39*t74*abb94n137+t42*t96*abb94n107+t46*t96*abb94n107+t&
         &49*t62*abb94n89+t49*t74*abb94n136+t52*t96*abb94n105+t55*t62*abb94n89+t&
         &55*t74*abb94n136+t57*t96*abb94n105+t60*t74*abb94n91+t61*t62*abb94n87+t&
         &61*t74*abb94n137+t62*t66*abb94n87+t62*t71*abb94n283+t62*t77*abb94n283+&
         &t65*t74*abb94n91+t66*t74*abb94n137+t70*t74*abb94n277+t71*t74*abb94n209&
         &+t73*t96*abb94n257+t74*t76*abb94n277+t74*t77*abb94n209+t79*t96*abb94n2&
         &57+t106*t19*t74*abb94n112+t109*t19*t74*abb94n142+t11*t35*t62*abb94n104&
         &+t115*t119*t5*abb94n285+t115*t120*t5*abb94n285+t12*t35*t62*abb94n102+t&
         &13*t35*t74*abb94n143+t14*t35*t62*abb94n262+t16*t26*t35*abb94n102+t16*t&
         &35*t36*abb94n262+t16*t35*t74*abb94n107+t16*t35*t8*abb94n104+t164*t17*t&
         &35*abb94n112+t164*t19*t33*abb94n112+t165*t17*t35*abb94n142+t165*t19*t3&
         &3*abb94n142+t17*t34*t35*abb94n143+t17*t35*t62*abb94n107+t185*t35*t5*ab&
         &b94n285+t188*t19*t5*abb94n285+t19*t192*t5*abb94n285+t19*t20*t74*abb94n&
         &143+t19*t21*t62*abb94n262+t19*t26*t50*abb94n102+t19*t27*t62*abb94n104+&
         &t19*t28*t62*abb94n102+t19*t33*t34*abb94n143+t19*t33*t62*abb94n107+t19*&
         &t36*t50*abb94n262+t19*t50*t74*abb94n107+t19*t50*t8*abb94n104+t190*t35*&
         &t5*abb94n285+t24*t35*t74*abb94n112+t25*t35*t74*abb94n142)
         return
      end if
      t196 = d(iv3,iv4)
      t197 = d(iv2,iv4)
      t198 = d(iv1,iv4)
      t1 = spvak5k6(iv4)
      t2 = spvak6k5(iv4)
      t3 = spvak3k1(iv4)
      t4 = spvak5k1(iv4)
      t5 = spvak3k4(iv4)
      t6 = spvak6k1(iv4)
      t7 = t23*t5
      t8 = t102*t5
      t9 = t161*t5
      t10 = spvak2k1(iv4)
      t11 = t10*t15
      t12 = t10*t31
      t10 = t10*t53
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t194*t198*abb94n125+t195*t197*abb94n125+t196*t19&
         &9*abb94n125)+(2.0_ki)*(t111*t196*abb94n92+t112*t196*abb94n97+t113*t196&
         &*abb94n92+t114*t196*abb94n97+t166*t197*abb94n92+t167*t198*abb94n92+t16&
         &8*t197*abb94n92+t169*t198*abb94n92+t171*t197*abb94n138+t174*t198*abb94&
         &n138+t176*t197*abb94n138+t178*t198*abb94n138+t180*t197*abb94n106+t181*&
         &t198*abb94n106+t182*t197*abb94n106+t183*t198*abb94n106+t196*t82*abb94n&
         &88+t196*t83*abb94n138+t196*t84*abb94n130+t196*t85*abb94n88+t196*t86*ab&
         &b94n138+t196*t87*abb94n130+t196*t89*abb94n103+t196*t91*abb94n103+t196*&
         &t92*abb94n106+t196*t93*abb94n146+t196*t94*abb94n106+t196*t95*abb94n146&
         &+t1*t115*t199*abb94n146+t1*t15*t194*abb94n138+t1*t18*t194*abb94n106+t1&
         &*t19*t194*abb94n146+t1*t194*t22*abb94n92+t1*t195*t29*abb94n92+t1*t195*&
         &t31*abb94n138+t1*t195*t35*abb94n146+t1*t195*t43*abb94n106+t1*t199*t44*&
         &abb94n92+t1*t199*t53*abb94n138+t1*t199*t96*abb94n106+t115*t15*t197*abb&
         &94n130+t115*t16*t197*abb94n103+t115*t17*t197*abb94n146+t115*t197*t22*a&
         &bb94n97+t115*t198*t29*abb94n97+t115*t198*t31*abb94n130+t115*t198*t33*a&
         &bb94n146+t115*t198*t50*abb94n103+t115*t199*t3*abb94n97+t115*t199*t4*ab&
         &b94n103+t115*t199*t5*abb94n130+t15*t194*t2*abb94n130+t15*t194*t4*abb94&
         &n88+t15*t197*t62*abb94n88+t16*t194*t2*abb94n103+t16*t194*t5*abb94n88+t&
         &16*t197*t53*abb94n88+t17*t194*t2*abb94n146+t17*t194*t3*abb94n92+t17*t1&
         &94*t5*abb94n138+t17*t194*t6*abb94n106+t19*t194*t3*abb94n97+t19*t194*t4&
         &*abb94n103+t19*t194*t5*abb94n130+t19*t197*t44*abb94n97+t19*t197*t53*ab&
         &b94n130+t19*t197*t62*abb94n103+t19*t197*t74*abb94n146+t194*t2*t22*abb9&
         &4n97+t195*t2*t29*abb94n97+t195*t2*t31*abb94n130+t195*t2*t33*abb94n146+&
         &t195*t2*t50*abb94n103+t195*t3*t33*abb94n92+t195*t3*t35*abb94n97+t195*t&
         &31*t4*abb94n88+t195*t33*t5*abb94n138+t195*t33*t6*abb94n106+t195*t35*t4&
         &*abb94n103+t195*t35*t5*abb94n130+t195*t5*t50*abb94n88+t198*t31*t62*abb&
         &94n88+t198*t35*t44*abb94n97+t198*t35*t53*abb94n130+t198*t35*t62*abb94n&
         &103+t198*t35*t74*abb94n146+t198*t50*t53*abb94n88+t199*t2*t44*abb94n97+&
         &t199*t2*t53*abb94n130+t199*t2*t62*abb94n103+t199*t2*t74*abb94n146+t199&
         &*t3*t74*abb94n92+t199*t4*t53*abb94n88+t199*t5*t62*abb94n88+t199*t5*t74&
         &*abb94n138+t199*t6*t74*abb94n106)+t184*t2*abb94n86+t186*t2*abb94n86+t1&
         &87*t2*abb94n86+t189*t2*abb94n86+t191*t2*abb94n86+t193*t2*abb94n86+t1*t&
         &115*t119*abb94n86+t1*t115*t120*abb94n86+t1*t185*t35*abb94n86+t1*t188*t&
         &19*abb94n86+t1*t19*t192*abb94n86+t1*t190*t35*abb94n86+t10*t17*t35*abb9&
         &4n86+t10*t19*t33*abb94n86+t11*t115*t33*abb94n86+t11*t35*t74*abb94n86+t&
         &115*t12*t17*abb94n86+t115*t17*t8*abb94n86+t115*t33*t7*abb94n86+t12*t19&
         &*t74*abb94n86+t17*t35*t9*abb94n86+t19*t33*t9*abb94n86+t19*t74*t8*abb94&
         &n86+t35*t7*t74*abb94n86)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d94:
   subroutine     reconstruct_d94(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group3
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group3), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_94:
      coeffs%coeffs_94%c0 = derivative(czip)
      coeffs%coeffs_94%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_94%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_94%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_94%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_94%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_94%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_94%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_94%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_94%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_94%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_94%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_94%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_94%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_94%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_94%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_94%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_94%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_94%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_94%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_94%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_94%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_94%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_94%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_94%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_94%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_94%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_94%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_94%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_94%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_94%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_94%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_94%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_94%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_94%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_94%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_94%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_94%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_94%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_94%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_94%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_94%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_94%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_94%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_94%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_94%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_94%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_94%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_94%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_94%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_94%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_94%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_94%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_94%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_94%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_94%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_94%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_94%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_94%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_94%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_94%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_94%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_94%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_94%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_94%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_94%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_94%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_94%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_94%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_94%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_94:
   end subroutine reconstruct_d94
!---#] subroutine reconstruct_d94:
end module p7_dubar_emnebargg_d94h0l1d
