module     p7_dubar_emnebargg_abbrevd45h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb45n1
   complex(ki), public :: abb45n2
   complex(ki), public :: abb45n3
   complex(ki), public :: abb45n4
   complex(ki), public :: abb45n5
   complex(ki), public :: abb45n6
   complex(ki), public :: abb45n7
   complex(ki), public :: abb45n8
   complex(ki), public :: abb45n9
   complex(ki), public :: abb45n10
   complex(ki), public :: abb45n11
   complex(ki), public :: abb45n12
   complex(ki), public :: abb45n13
   complex(ki), public :: abb45n14
   complex(ki), public :: abb45n15
   complex(ki), public :: rat2d45
   complex(ki), public :: abb45n17
   complex(ki), public :: abb45n18
   complex(ki), public :: abb45n19
   complex(ki), public :: abb45n20
   complex(ki), public :: abb45n21
   complex(ki), public :: abb45n22
   complex(ki), public :: abb45n23
   complex(ki), public :: abb45n24
   complex(ki), public :: abb45n25
   complex(ki), public :: abb45n26
   complex(ki), public :: abb45n27
   complex(ki), public :: abb45n28
   complex(ki), public :: abb45n29
   complex(ki), public :: abb45n30
   complex(ki), public :: abb45n31
   complex(ki), public :: abb45n32
   complex(ki), public :: abb45n33
   complex(ki), public :: abb45n34
   complex(ki), public :: abb45n35
   complex(ki), public :: abb45n36
   complex(ki), public :: abb45n37
   complex(ki), public :: abb45n38
   complex(ki), public :: abb45n39
   complex(ki), public :: abb45n40
   complex(ki), public :: abb45n41
   complex(ki), public :: abb45n42
   complex(ki), public :: abb45n43
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c1*i_
      t3 = t2*spak1k5*spak2k3
      t4 = spbk6k1*spbk6k1
      t5 = es61*es234*NC*t1
      t6 = t5*spak5k6*spbk6k5
      t7 = t3*t4/t6*spak2k5*spbk4k2
      t8 = t3*t4/t6*spak3k5*spbk4k3
      t9 = NC*TR*c1
      t10 = t9*i_
      t11 = t10*spak1k5*spak2k3
      t12 = t11*spak2k5*spbk4k2
      t13 = t12*t4
      t14 = es234*t1
      t15 = es61*t14
      t16 = t15*spak5k6
      t17 = t16*spbk6k5
      t18 = t13/t17
      t19 = t11*spak3k5*spbk4k3
      t20 = t19*t4
      t21 = t20/t17
      abb45n1 = ((2.0_ki)*(t18+t8-(t7+t21)))
      t14 = t14*spak5k6*spbk6k5
      t1 = es61*t1*spak5k6*spbk6k5
      abb45n2 = ((2.0_ki)*(t13/t1+t20/t14-(t13/t14+t20/t1)))
      abb45n3 = ((8.0_ki)*(t21-t18))
      abb45n4 = ((8.0_ki)*(t18-t21))
      t9 = es56*t9*i_*spak2k3
      t13 = t10*spak1k2
      t20 = t13*spak2k3*spbk4k2
      t15 = t15*spbk6k5
      t22 = t10*spak1k3
      t23 = t22*spak2k3*spbk4k3
      t10 = t10*spak2k3
      t24 = t10*spak2k5*spbk4k2*spbk6k1
      t25 = t10*spak3k5*spbk4k3*spbk6k1
      abb45n5 = ((6.0_ki)*(t9/t17*spak2k5*spbk4k2*spbk6k1-t9/t17*spak3k5*spbk4k3&
      &*spbk6k1)+(2.0_ki)*(t25/t1+t11/t17*t4*spak2k6*spbk4k2-(t11/t17*t4*spak3k6&
      &*spbk4k3+t24/t1))+(4.0_ki)*(t24/t14+t23/t15*t4-(t20/t15*t4+t25/t14)))
      abb45n6 = ((6.0_ki)*(t12/t16*spbk6k1-t19/t16*spbk6k1)+(2.0_ki)*(t22/t17*t4&
      &*spak1k5*spak2k3*spbk4k3-t13/t17*t4*spak1k5*spak2k3*spbk4k2))
      abb45n7 = ((8.0_ki)*(t23/t17*spbk6k1+t2/t6*spak1k3*spak2k3*spbk4k3*spbk6k1&
      &-(t2/t6*spak1k2*spak2k3*spbk4k2*spbk6k1+t20/t17*spbk6k1)))
      abb45n8 = ((4.0_ki)*(t21+t7-(t8+t18)))
      abb45n9 = ((4.0_ki)*(t11/t17*spbk4k2*spbk6k1+t3/t6*spbk4k2*spbk6k1))
      abb45n10 = ((4.0_ki)*(-(t3/t6*spbk4k3*spbk6k1+t11/t17*spbk4k3*spbk6k1)))
      t1 = t2*spak2k3
      t2 = t5*spbk6k5
      abb45n11 = ((4.0_ki)*(t1/t2*spbk4k2*spbk6k1+t10/t15*spbk4k2*spbk6k1))
      t3 = t1/t6*spak2k5*spbk4k2*spbk6k1
      t4 = t1/t6*spak3k5*spbk4k3*spbk6k1
      t5 = t24/t17
      t7 = t25/t17
      abb45n12 = ((16.0_ki)*(t4+t7-(t5+t3)))
      abb45n13 = ((16.0_ki)*(t3+t5-(t7+t4)))
      abb45n14 = ((8.0_ki)*(t1/t6*spak3k6*spbk4k3*spbk6k1+t10/t17*spak3k6*spbk4k&
      &3*spbk6k1-(t10/t17*spak2k6*spbk4k2*spbk6k1+t1/t6*spak2k6*spbk4k2*spbk6k1)&
      &))
      abb45n15 = ((4.0_ki)*(-(t10/t15*spbk4k3*spbk6k1+t1/t2*spbk4k3*spbk6k1)))
      rat2d45 = abb45n1
      rat2 = rat2 + rat2d45
      abb45n17 = abb45n2
      abb45n18 = abb45n15
      abb45n19 = abb45n14
      abb45n20 = abb45n13
      abb45n21 = abb45n12
      abb45n22 = abb45n11
      abb45n23 = abb45n10
      abb45n24 = abb45n9
      abb45n25 = abb45n8
      abb45n26 = abb45n7
      abb45n27 = abb45n6
      abb45n28 = abb45n5
      abb45n29 = abb45n4
      abb45n30 = abb45n3
      abb45n31 = -(abb45n3)
      abb45n32 = -(abb45n4)
      abb45n33 = -(abb45n5)
      abb45n34 = -(abb45n6)
      abb45n35 = -(abb45n7)
      abb45n36 = (-2.0_ki)*abb45n8
      abb45n37 = -(abb45n9)
      abb45n38 = -(abb45n10)
      abb45n39 = -(abb45n11)
      abb45n40 = -(abb45n12)
      abb45n41 = -(abb45n13)
      abb45n42 = (-2.0_ki)*abb45n14
      abb45n43 = -(abb45n15)
   end subroutine
end module p7_dubar_emnebargg_abbrevd45h1
